############################################################################
############################################################################
#########################                          #########################
#########################  FINITE GROUPS IN MAPLE  #########################
#########################     PGL - Database       #########################
#########################                          #########################
############################################################################
############################################################################

 
# Generators of the permutation representation of groups PGL(n,q) for 
# q<=100 and n=2
# q<=20  and n=3
# q<=10  and n=4
# q<=5   and n=5 
# q= 2   and n=6,7,8,9,10

unprotect(FiniteGroups:-ProjectiveGeneralLinearGroups);
FiniteGroups:-ProjectiveGeneralLinearGroups := module()

export
  `2,2`, `2,3`, `2,4`, `2,5`, `2,7`, `2,8`, `2,9`, `2,11`, 
  `2,13`, `2,16`, `2,17`, `2,19`, `2,23`, `2,25`, `2,27`, 
  `2,29`, `2,31`, `2,32`, `2,37`, `2,41`, `2,43`, `2,47`, 
  `2,49`, `2,53`, `2,59`, `2,61`, `2,64`, `2,67`, `2,71`, 
  `2,73`, `2,79`, `2,81`, `2,83`, `2,89`, `2,97`, `3,2`, 
  `3,3`, `3,4`, `3,5`, `3,7`, `3,8`, `3,9`, `3,11`, 
  `3,13`, `3,16`, `3,17`, `3,19`, `4,2`, `4,3`, `4,4`, 
  `4,5`, `4,7`, `4,8`, `4,9`, `5,2`, `5,3`, `5,4`, `5,5`, 
  `6,2`, `7,2`, `8,2`, `9,2`, `10,2`;



`2,2` :=[ 3, ######## PGL(2,2) ########
[ [ 2, 3 ] ], 
[ [ 1, 2 ] ] ]:
`2,3` :=[ 4, ######## PGL(2,3) ########
[ [ 3, 4 ] ], 
[ [ 1, 2, 4 ] ] ]:
`2,4` :=[ 5, ######## PGL(2,4) ########
[ [ 3, 5, 4 ] ], 
[ [ 1, 2, 3 ] ] ]:
`2,5` :=[ 6, ######## PGL(2,5) ########
[ [ 3, 6, 5, 4 ] ], 
[ [ 1, 2, 5 ], [ 3, 4, 6 ] ] ]:
`2,7` :=[ 8, ######## PGL(2,7) ########
[ [ 3, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 6 ], [ 3, 4, 8 ] ] ]:
`2,8` :=[ 9, ######## PGL(2,8) ########
[ [ 3, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 3 ], [ 4, 7, 5 ], [ 6, 9, 8 ] ] ]:
`2,9` :=[ 10, ######## PGL(2,9) ########
[ [ 3, 10, 9, 8, 4, 7, 6, 5 ] ], 
[ [ 1, 2, 4 ], [ 5, 6, 8 ], [ 7, 9, 10 ] ] ]:
`2,11` :=[ 12, ######## PGL(2,11) ########
[ [ 3, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 8 ], [ 3, 7, 9 ], [ 4, 10, 5 ], [ 6, 12, 11 ] ] ]:
`2,13` :=[ 14, ######## PGL(2,13) ########
[ [ 3, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 9 ], [ 3, 8, 10 ], [ 4, 5, 12 ], [ 6, 13, 14 ] ] ]:
`2,16` :=[ 17, ######## PGL(2,16) ########
[ [ 3, 17, 16, 15, 14, 5, 13, 12, 11, 10, 4, 9, 8, 7, 6 ] ], 
[ [ 1, 2, 3 ], [ 6, 14, 8 ], [ 7, 11, 10 ], [ 9, 17, 15 ], [ 12, 16, 13 ] ] ]:
`2,17` :=[ 18, ######## PGL(2,17) ########
[ [ 3, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 11 ], [ 3, 13, 9 ], [ 4, 15, 6 ], [ 5, 8, 12 ], [ 7, 18, 16 ], [ 10, 14, 17 ] ] ]:
`2,19` :=[ 20, ######## PGL(2,19) ########
[ [ 3, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 12 ], [ 3, 11, 13 ], [ 4, 17, 6 ], [ 5, 14, 8 ], [ 7, 20, 18 ], [ 10, 19, 16 ] ] ]:
`2,23` :=[ 24, ######## PGL(2,23) ########
[ [ 3, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 14 ], [ 3, 12, 16 ], [ 4, 18, 9 ], [ 5, 20, 6 ], [ 7, 13, 11 ], [ 8, 23, 22 ], [ 10, 24, 19 ], [ 15, 21, 17 ] ] ]:
`2,25` :=[ 26, ######## PGL(2,25) ########
[ [ 3, 26, 25, 24, 23, 22, 6, 21, 20, 19, 18, 17, 5, 16, 15, 14, 13, 12, 4, 11, 10, 9, 8, 7 ] ], 
[ [ 1, 2, 5 ], [ 3, 4, 6 ], [ 7, 18, 14 ], [ 8, 22, 9 ], [ 10, 17, 12 ], [ 11, 25, 24 ], [ 15, 26, 19 ], [ 16, 23, 21 ] ] ]:
`2,27` :=[ 28, ######## PGL(2,27) ########
[ [ 3, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 4, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5 ] ], 
[ [ 1, 2, 4 ], [ 5, 8, 24 ], [ 6, 21, 10 ], [ 7, 16, 15 ], [ 9, 25, 28 ], [ 11, 13, 14 ], [ 12, 27, 23 ], [ 17, 26, 18 ], [ 19, 20, 22 ] ] ]:
`2,29` :=[ 30, ######## PGL(2,29) ########
[ [ 3, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 17 ], [ 3, 16, 18 ], [ 4, 12, 21 ], [ 5, 23, 9 ], [ 6, 7, 24 ], [ 8, 15, 14 ], [ 10, 27, 28 ], [ 11, 29, 25 ], [ 13, 22, 30 ], 
  [ 19, 26, 20 ] ] ]:
`2,31` :=[ 32, ######## PGL(2,31) ########
[ [ 3, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 18 ], [ 3, 24, 12 ], [ 4, 30, 5 ], [ 6, 32, 31 ], [ 7, 10, 22 ], [ 8, 15, 16 ], [ 9, 11, 19 ], [ 14, 26, 29 ], [ 17, 25, 27 ], 
  [ 20, 21, 28 ] ] ]:
`2,32` :=[ 33, ######## PGL(2,32) ########
[ [ 3, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 3 ], [ 4, 16, 20 ], [ 5, 29, 6 ], [ 7, 24, 9 ], [ 8, 32, 31 ], [ 10, 12, 18 ], [ 11, 14, 15 ], [ 13, 30, 28 ], [ 17, 21, 33 ], 
  [ 19, 25, 27 ], [ 22, 23, 26 ] ] ]:
`2,37` :=[ 38, ######## PGL(2,37) ########
[ [ 3, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 21 ], [ 3, 20, 22 ], [ 4, 31, 10 ], [ 5, 34, 6 ], [ 7, 14, 24 ], [ 8, 37, 36 ], [ 9, 23, 13 ], [ 11, 38, 32 ], [ 12, 16, 17 ], 
  [ 18, 28, 35 ], [ 19, 33, 29 ], [ 25, 26, 30 ] ] ]:
`2,41` :=[ 42, ######## PGL(2,41) ########
[ [ 3, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 
      6, 5, 4 ] ], 
[ [ 1, 2, 23 ], [ 3, 37, 9 ], [ 4, 24, 21 ], [ 5, 31, 13 ], [ 6, 36, 7 ], [ 8, 12, 29 ], [ 10, 40, 39 ], [ 11, 20, 18 ], [ 14, 16, 19 ], 
  [ 15, 41, 33 ], [ 17, 34, 38 ], [ 22, 42, 25 ], [ 26, 35, 28 ], [ 27, 30, 32 ] ] ]:
`2,43` :=[ 44, ######## PGL(2,43) ########
[ [ 3, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 
      9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 24 ], [ 3, 39, 9 ], [ 4, 12, 35 ], [ 5, 14, 32 ], [ 6, 19, 26 ], [ 7, 33, 11 ], [ 8, 25, 18 ], [ 10, 20, 21 ], [ 13, 36, 44 ], 
  [ 15, 41, 37 ], [ 16, 34, 43 ], [ 22, 29, 42 ], [ 23, 40, 30 ], [ 27, 28, 38 ] ] ]:
`2,47` :=[ 48, ######## PGL(2,47) ########
[ [ 3, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 
      13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 26 ], [ 3, 8, 44 ], [ 4, 34, 17 ], [ 5, 43, 7 ], [ 6, 28, 21 ], [ 9, 47, 45 ], [ 10, 16, 29 ], [ 11, 32, 12 ], [ 13, 15, 27 ], 
  [ 14, 22, 19 ], [ 18, 48, 35 ], [ 20, 41, 40 ], [ 23, 36, 42 ], [ 24, 46, 31 ], [ 25, 37, 39 ], [ 30, 38, 33 ] ] ]:
`2,49` :=[ 50, ######## PGL(2,49) ########
[ [ 3, 50, 49, 48, 47, 46, 45, 44, 8, 43, 42, 41, 40, 39, 38, 37, 7, 36, 35, 34, 33, 32, 31, 30, 6, 29, 28, 27, 26, 25, 24, 23, 5, 22, 21, 20, 19, 
      18, 17, 16, 4, 15, 14, 13, 12, 11, 10, 9 ] ], 
[ [ 1, 2, 6 ], [ 3, 4, 8 ], [ 9, 25, 33 ], [ 10, 20, 37 ], [ 11, 32, 24 ], [ 12, 15, 41 ], [ 13, 38, 16 ], [ 14, 30, 23 ], [ 17, 31, 19 ], 
  [ 18, 44, 47 ], [ 21, 46, 43 ], [ 22, 39, 49 ], [ 26, 34, 50 ], [ 27, 48, 35 ], [ 28, 42, 40 ], [ 29, 45, 36 ] ] ]:
`2,53` :=[ 54, ######## PGL(2,53) ########
[ [ 3, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 
      19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 29 ], [ 3, 28, 30 ], [ 4, 12, 45 ], [ 5, 34, 22 ], [ 6, 47, 8 ], [ 7, 19, 35 ], [ 9, 10, 42 ], [ 11, 52, 50 ], [ 13, 46, 54 ], 
  [ 14, 20, 27 ], [ 15, 25, 21 ], [ 16, 48, 49 ], [ 17, 26, 18 ], [ 23, 39, 51 ], [ 24, 53, 36 ], [ 31, 38, 44 ], [ 32, 41, 40 ], [ 33, 43, 37 ] ] ]:
`2,59` :=[ 60, ######## PGL(2,59) ########
[ [ 3, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 
      25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 32 ], [ 3, 31, 33 ], [ 4, 40, 23 ], [ 5, 26, 36 ], [ 6, 48, 13 ], [ 7, 50, 10 ], [ 8, 15, 44 ], [ 9, 39, 19 ], [ 11, 22, 34 ], 
  [ 12, 18, 37 ], [ 14, 57, 54 ], [ 16, 58, 51 ], [ 17, 21, 29 ], [ 20, 49, 56 ], [ 24, 60, 41 ], [ 25, 55, 45 ], [ 27, 46, 52 ], [ 28, 38, 59 ], 
  [ 30, 42, 53 ], [ 35, 43, 47 ] ] ]:
`2,61` :=[ 62, ######## PGL(2,61) ########
[ [ 3, 62, 61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 
      27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 33 ], [ 3, 32, 34 ], [ 4, 27, 38 ], [ 5, 11, 53 ], [ 6, 21, 42 ], [ 7, 46, 16 ], [ 8, 12, 49 ], [ 9, 31, 29 ], [ 10, 44, 15 ], 
  [ 13, 55, 61 ], [ 14, 19, 36 ], [ 17, 54, 58 ], [ 18, 25, 26 ], [ 20, 59, 50 ], [ 22, 56, 51 ], [ 24, 45, 60 ], [ 28, 39, 62 ], [ 30, 47, 52 ], 
  [ 35, 57, 37 ], [ 40, 41, 48 ] ] ]:
`2,64` :=[ 65, ######## PGL(2,64) ########
[ [ 3, 65, 64, 63, 62, 61, 60, 59, 58, 11, 57, 56, 55, 54, 53, 52, 51, 50, 10, 49, 48, 5, 47, 46, 45, 44, 43, 9, 42, 41, 40, 39, 38, 37, 36, 35, 8, 
      34, 33, 32, 31, 30, 4, 29, 28, 7, 27, 26, 25, 24, 23, 22, 21, 20, 6, 19, 18, 17, 16, 15, 14, 13, 12 ] ], 
[ [ 1, 2, 3 ], [ 6, 9, 7 ], [ 8, 11, 10 ], [ 12, 18, 58 ], [ 13, 24, 51 ], [ 14, 54, 20 ], [ 15, 35, 38 ], [ 16, 40, 33 ], [ 17, 43, 29 ], 
  [ 19, 59, 65 ], [ 21, 46, 22 ], [ 23, 63, 57 ], [ 25, 36, 28 ], [ 26, 53, 64 ], [ 27, 32, 30 ], [ 31, 56, 55 ], [ 34, 60, 48 ], [ 37, 61, 44 ], 
  [ 39, 42, 62 ], [ 41, 52, 49 ], [ 45, 50, 47 ] ] ]:
`2,67` :=[ 68, ######## PGL(2,67) ########
[ [ 3, 68, 67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 
      33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 36 ], [ 3, 35, 37 ], [ 4, 63, 8 ], [ 5, 21, 49 ], [ 6, 24, 45 ], [ 7, 38, 30 ], [ 9, 68, 64 ], [ 10, 54, 11 ], [ 12, 41, 22 ], 
  [ 13, 19, 43 ], [ 14, 44, 17 ], [ 15, 20, 40 ], [ 16, 26, 33 ], [ 18, 62, 61 ], [ 23, 51, 67 ], [ 27, 48, 66 ], [ 28, 58, 55 ], [ 29, 53, 59 ], 
  [ 31, 60, 50 ], [ 32, 52, 57 ], [ 34, 65, 42 ], [ 39, 46, 56 ] ] ]:
`2,71` :=[ 72, ######## PGL(2,71) ########
[ [ 3, 72, 71, 70, 69, 68, 67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 
      37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 38 ], [ 3, 32, 44 ], [ 4, 20, 55 ], [ 5, 46, 28 ], [ 6, 42, 31 ], [ 7, 35, 37 ], [ 8, 57, 14 ], [ 9, 12, 58 ], [ 10, 54, 15 ], 
  [ 11, 25, 43 ], [ 13, 17, 49 ], [ 16, 40, 23 ], [ 18, 64, 67 ], [ 19, 68, 62 ], [ 21, 56, 72 ], [ 22, 66, 61 ], [ 24, 29, 26 ], [ 27, 59, 63 ], 
  [ 30, 71, 48 ], [ 33, 51, 65 ], [ 34, 70, 45 ], [ 36, 60, 53 ], [ 39, 41, 69 ], [ 47, 52, 50 ] ] ]:
`2,73` :=[ 74, ######## PGL(2,73) ########
[ [ 3, 74, 73, 72, 71, 70, 69, 68, 67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 
      39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 39 ], [ 3, 31, 47 ], [ 4, 25, 52 ], [ 5, 44, 32 ], [ 6, 58, 17 ], [ 7, 64, 10 ], [ 8, 16, 57 ], [ 9, 23, 49 ], [ 11, 33, 37 ], 
  [ 12, 56, 13 ], [ 14, 71, 68 ], [ 15, 30, 36 ], [ 18, 28, 35 ], [ 19, 38, 24 ], [ 20, 72, 61 ], [ 21, 62, 70 ], [ 22, 66, 65 ], [ 26, 53, 74 ], 
  [ 29, 55, 69 ], [ 34, 73, 46 ], [ 40, 59, 54 ], [ 41, 45, 67 ], [ 42, 48, 63 ], [ 43, 50, 60 ] ] ]:
`2,79` :=[ 80, ######## PGL(2,79) ########
[ [ 3, 80, 79, 78, 77, 76, 75, 74, 73, 72, 71, 70, 69, 68, 67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 
      45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 
      10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 42 ], [ 3, 38, 46 ], [ 4, 34, 49 ], [ 5, 54, 28 ], [ 6, 59, 22 ], [ 7, 41, 39 ], [ 8, 67, 12 ], [ 9, 10, 68 ], [ 11, 58, 18 ], 
  [ 13, 23, 51 ], [ 14, 53, 20 ], [ 15, 40, 32 ], [ 16, 74, 75 ], [ 17, 76, 72 ], [ 19, 21, 47 ], [ 24, 36, 27 ], [ 25, 78, 62 ], [ 26, 73, 66 ], 
  [ 30, 79, 56 ], [ 31, 70, 64 ], [ 33, 61, 71 ], [ 35, 50, 80 ], [ 37, 63, 65 ], [ 43, 77, 45 ], [ 44, 69, 52 ], [ 48, 60, 57 ] ] ]:
`2,81` :=[ 82, ######## PGL(2,81) ########
[ [ 3, 82, 81, 80, 79, 78, 77, 76, 75, 74, 10, 73, 72, 71, 70, 69, 68, 67, 66, 65, 9, 64, 63, 62, 61, 60, 59, 58, 57, 56, 8, 55, 54, 53, 52, 51, 
      50, 49, 48, 47, 4, 46, 45, 44, 43, 42, 41, 40, 39, 38, 7, 37, 36, 35, 34, 33, 32, 31, 30, 29, 6, 28, 27, 26, 25, 24, 23, 22, 21, 20, 5, 19, 
      18, 17, 16, 15, 14, 13, 12, 11 ] ], 
[ [ 1, 2, 4 ], [ 5, 6, 8 ], [ 7, 9, 10 ], [ 11, 21, 71 ], [ 12, 66, 25 ], [ 13, 43, 47 ], [ 14, 55, 35 ], [ 15, 37, 52 ], [ 16, 34, 54 ], 
  [ 17, 63, 24 ], [ 18, 20, 65 ], [ 19, 36, 49 ], [ 22, 72, 82 ], [ 23, 51, 29 ], [ 26, 33, 45 ], [ 27, 81, 68 ], [ 28, 73, 75 ], [ 30, 76, 69 ], 
  [ 31, 32, 40 ], [ 38, 79, 58 ], [ 39, 59, 77 ], [ 41, 56, 78 ], [ 42, 70, 64 ], [ 44, 57, 74 ], [ 46, 50, 80 ], [ 48, 60, 67 ], [ 53, 61, 62 ] ] ]:
`2,83` := [ 84, ######## PGL(2,83) ########
[ [ 3, 84, 83, 82, 81, 80, 79, 78, 77, 76, 75, 74, 73, 72, 71, 70, 69, 68, 67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 
      49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 
      14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 44 ], [ 3, 43, 45 ], [ 4, 54, 33 ], [ 5, 17, 69 ], [ 6, 64, 21 ], [ 7, 70, 14 ], [ 8, 30, 53 ], [ 9, 22, 60 ], [ 10, 65, 16 ], 
  [ 11, 41, 39 ], [ 12, 27, 52 ], [ 13, 32, 46 ], [ 15, 26, 50 ], [ 18, 81, 74 ], [ 19, 71, 83 ], [ 20, 40, 31 ], [ 23, 78, 72 ], [ 24, 82, 67 ], 
  [ 25, 29, 37 ], [ 28, 66, 79 ], [ 34, 84, 55 ], [ 35, 58, 80 ], [ 36, 61, 76 ], [ 38, 62, 73 ], [ 42, 56, 75 ], [ 47, 77, 49 ], [ 48, 68, 57 ], 
  [ 51, 59, 63 ] ] ]:
`2,89` :=[ 90, ######## PGL(2,89) ########
[ [ 3, 90, 89, 88, 87, 86, 85, 84, 83, 82, 81, 80, 79, 78, 77, 76, 75, 74, 73, 72, 71, 70, 69, 68, 67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 
      55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 
      20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 47 ], [ 3, 31, 63 ], [ 4, 15, 78 ], [ 5, 49, 43 ], [ 6, 22, 69 ], [ 7, 10, 80 ], [ 8, 34, 55 ], [ 9, 29, 59 ], [ 11, 42, 44 ], 
  [ 12, 64, 21 ], [ 13, 18, 66 ], [ 14, 84, 87 ], [ 16, 79, 90 ], [ 17, 53, 27 ], [ 19, 46, 32 ], [ 20, 54, 23 ], [ 24, 37, 36 ], [ 25, 72, 88 ], 
  [ 26, 38, 33 ], [ 28, 76, 81 ], [ 30, 82, 73 ], [ 35, 65, 85 ], [ 39, 60, 86 ], [ 40, 74, 71 ], [ 41, 77, 67 ], [ 45, 89, 51 ], [ 48, 75, 62 ], 
  [ 50, 52, 83 ], [ 56, 68, 61 ], [ 57, 70, 58 ] ] ]:
`2,97` :=[ 98, ######## PGL(2,97) ########
[ [ 3, 98, 97, 96, 95, 94, 93, 92, 91, 90, 89, 88, 87, 86, 85, 84, 83, 82, 81, 80, 79, 78, 77, 76, 75, 74, 73, 72, 71, 70, 69, 68, 67, 66, 65, 64, 
      63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 
      28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4 ] ], 
[ [ 1, 2, 51 ], [ 3, 17, 85 ], [ 4, 43, 58 ], [ 5, 88, 12 ], [ 6, 38, 61 ], [ 7, 89, 9 ], [ 8, 27, 70 ], [ 10, 62, 33 ], [ 11, 20, 74 ], 
  [ 13, 95, 93 ], [ 14, 97, 90 ], [ 15, 25, 65 ], [ 16, 42, 47 ], [ 18, 63, 24 ], [ 19, 56, 30 ], [ 21, 48, 36 ], [ 22, 52, 31 ], [ 23, 29, 53 ], 
  [ 26, 34, 45 ], [ 28, 82, 91 ], [ 32, 75, 94 ], [ 37, 77, 87 ], [ 39, 84, 78 ], [ 40, 92, 69 ], [ 41, 64, 96 ], [ 44, 59, 98 ], [ 46, 83, 72 ], 
  [ 49, 73, 79 ], [ 50, 80, 71 ], [ 54, 81, 66 ], [ 55, 60, 86 ], [ 57, 68, 76 ] ] ]:
`3,2` :=[ 7, ######## PGL(3,2) ########
[ [ 4, 6 ], [ 5, 7 ] ], 
[ [ 1, 2, 4 ], [ 3, 6, 5 ] ] ]:
`3,3` :=[ 13, ######## PGL(3,3) ########
[ [ 6, 7 ], [ 8, 11 ], [ 9, 13 ], [ 10, 12 ] ], 
[ [ 1, 2, 5, 7, 13, 3, 8, 6, 10, 9, 12, 4, 11 ] ] ]:
`3,4` :=[ 21, ######## PGL(3,4) ########
[ [ 7, 9, 8 ], [ 10, 18, 14 ], [ 11, 21, 16 ], [ 12, 19, 17 ], [ 13, 20, 15 ] ], 
[ [ 1, 2, 6, 7, 11, 3, 10 ], [ 4, 14, 8, 15, 16, 20, 13 ], [ 5, 18, 9, 19, 21, 17, 12 ] ] ]:
`3,5` :=[ 31, ######## PGL(3,5) ########
[ [ 8, 11, 10, 9 ], [ 12, 27, 22, 17 ], [ 13, 31, 25, 19 ], [ 14, 28, 26, 20 ], [ 15, 29, 23, 21 ], [ 16, 30, 24, 18 ] ], 
[ [ 1, 2, 7, 10, 25, 3, 12, 9, 20, 31, 18, 21, 16, 24, 4, 17, 11, 30, 13, 29, 28, 23, 5, 22 ], [ 6, 27, 8, 15, 19, 26 ] ] ]:
`3,7` :=[ 57, ######## PGL(3,7) ########
[ [ 10, 15, 14, 13, 12, 11 ], [ 16, 51, 44, 37, 30, 23 ], [ 17, 57, 49, 41, 33, 25 ], [ 18, 52, 50, 42, 34, 26 ], [ 19, 53, 45, 43, 35, 27 ], 
  [ 20, 54, 46, 38, 36, 28 ], [ 21, 55, 47, 39, 31, 29 ], [ 22, 56, 48, 40, 32, 24 ] ], 
[ [ 1, 2, 9, 13, 41, 3, 16, 11, 27, 57, 31, 54, 52, 38, 6, 37 ], [ 4, 23, 15, 55, 17, 46, 35, 40 ], 
  [ 5, 30, 12, 34, 33, 26, 50, 21, 32, 19, 18, 53, 45, 28, 22, 39 ], [ 7, 44, 14, 48, 49, 56, 24, 36, 47, 42, 8, 51, 10, 20, 25, 43 ] ] ]:
`3,8` :=[ 73, ######## PGL(3,8) ########
[ [ 11, 17, 16, 15, 14, 13, 12 ], [ 18, 66, 58, 50, 42, 34, 26 ], [ 19, 73, 64, 55, 46, 37, 28 ], [ 20, 67, 65, 56, 47, 38, 29 ], 
  [ 21, 68, 59, 57, 48, 39, 30 ], [ 22, 69, 60, 51, 49, 40, 31 ], [ 23, 70, 61, 52, 43, 41, 32 ], [ 24, 71, 62, 53, 44, 35, 33 ], 
  [ 25, 72, 63, 54, 45, 36, 27 ] ], 
[ [ 1, 2, 10, 11, 19, 3, 18 ], [ 4, 26, 15, 51, 37, 44, 25 ], [ 5, 34, 12, 27, 55, 69, 24 ], [ 6, 42, 17, 67, 64, 30, 23 ], 
  [ 7, 50, 13, 35, 28, 63, 22 ], [ 8, 58, 14, 43, 73, 56, 21 ], [ 9, 66, 16, 59, 46, 41, 20 ], [ 29, 71, 40, 68, 72, 48, 57 ], 
  [ 32, 39, 60, 54, 61, 62, 70 ], [ 33, 47, 49, 65, 38, 52, 45 ] ] ]:
`3,9` :=[ 91, ######## PGL(3,9) ########
[ [ 12, 19, 18, 17, 13, 16, 15, 14 ], [ 20, 83, 74, 65, 29, 56, 47, 38 ], [ 21, 91, 81, 71, 31, 61, 51, 41 ], [ 22, 88, 78, 68, 30, 64, 54, 44 ], 
  [ 23, 84, 82, 72, 35, 58, 52, 42 ], [ 24, 86, 75, 73, 36, 62, 49, 43 ], [ 25, 87, 77, 66, 37, 63, 53, 40 ], [ 26, 85, 79, 69, 32, 57, 55, 45 ], 
  [ 27, 89, 76, 70, 33, 59, 48, 46 ], [ 28, 90, 80, 67, 34, 60, 50, 39 ] ], 
[ [ 1, 2, 11, 13, 31, 3, 20, 12, 22, 21, 30, 4, 29 ], [ 5, 38, 15, 49, 71, 50, 53, 80, 28, 57, 54, 89, 34 ], 
  [ 6, 47, 17, 67, 41, 87, 43, 42, 24, 75, 64, 45, 33 ], [ 7, 56, 18, 76, 91, 79, 82, 55, 26, 39, 78, 73, 32 ], 
  [ 8, 65, 14, 40, 51, 62, 90, 70, 23, 66, 68, 77, 37 ], [ 9, 74, 19, 85, 61, 72, 59, 63, 27, 48, 44, 60, 36 ], 
  [ 10, 83, 16, 58, 81, 46, 69, 86, 25, 84, 88, 52, 35 ] ] ]:
`3,11` :=[ 133, ######## PGL(3,11) ########
[ [ 14, 23, 22, 21, 20, 19, 18, 17, 16, 15 ], [ 24, 123, 112, 101, 90, 79, 68, 57, 46, 35 ], [ 25, 133, 121, 109, 97, 85, 73, 61, 49, 37 ], 
  [ 26, 124, 122, 110, 98, 86, 74, 62, 50, 38 ], [ 27, 125, 113, 111, 99, 87, 75, 63, 51, 39 ], [ 28, 126, 114, 102, 100, 88, 76, 64, 52, 40 ], 
  [ 29, 127, 115, 103, 91, 89, 77, 65, 53, 41 ], [ 30, 128, 116, 104, 92, 80, 78, 66, 54, 42 ], [ 31, 129, 117, 105, 93, 81, 69, 67, 55, 43 ], 
  [ 32, 130, 118, 106, 94, 82, 70, 58, 56, 44 ], [ 33, 131, 119, 107, 95, 83, 71, 59, 47, 45 ], [ 34, 132, 120, 108, 96, 84, 72, 60, 48, 36 ] ], 
[ [ 1, 2, 13, 19, 85, 3, 24, 18, 74, 97, 36, 54, 59, 89, 9, 90, 14, 30, 73, 86, 12, 123, 22, 118, 61, 111, 93, 102, 104, 126, 88, 10, 101, 16, 52, 
      37, 65, 45, 43, 131, 33, 106, 38, 76, 119, 72, 75, 108, 60, 100, 69, 42, 120, 83, 5, 46, 15, 41, 109, 71, 64, 34, 117, 50, 125, 77, 130, 132, 
      44, 32, 95, 124, 66, 56, 81, 7, 68, 20, 96, 25, 128, 110, 82, 6, 57, 23, 129, 121, 94, 113, 116, 39, 87, 11, 112, 17, 63, 133, 55, 70, 53, 
      48, 103, 115, 28, 51, 26, 29, 62, 122, 105, 27, 40, 98, 47, 92, 91, 80, 8, 79 ], [ 4, 35, 21, 107, 49, 114, 127, 99, 58, 78, 31, 84 ] ] ]:
`3,13` :=[ 183, ######## PGL(3,13) ########
[ [ 16, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17 ], [ 28, 171, 158, 145, 132, 119, 106, 93, 80, 67, 54, 41 ], 
  [ 29, 183, 169, 155, 141, 127, 113, 99, 85, 71, 57, 43 ], [ 30, 172, 170, 156, 142, 128, 114, 100, 86, 72, 58, 44 ], 
  [ 31, 173, 159, 157, 143, 129, 115, 101, 87, 73, 59, 45 ], [ 32, 174, 160, 146, 144, 130, 116, 102, 88, 74, 60, 46 ], 
  [ 33, 175, 161, 147, 133, 131, 117, 103, 89, 75, 61, 47 ], [ 34, 176, 162, 148, 134, 120, 118, 104, 90, 76, 62, 48 ], 
  [ 35, 177, 163, 149, 135, 121, 107, 105, 91, 77, 63, 49 ], [ 36, 178, 164, 150, 136, 122, 108, 94, 92, 78, 64, 50 ], 
  [ 37, 179, 165, 151, 137, 123, 109, 95, 81, 79, 65, 51 ], [ 38, 180, 166, 152, 138, 124, 110, 96, 82, 68, 66, 52 ], 
  [ 39, 181, 167, 153, 139, 125, 111, 97, 83, 69, 55, 53 ], [ 40, 182, 168, 154, 140, 126, 112, 98, 84, 70, 56, 42 ] ], 
[ [ 1, 2, 15, 22, 113, 3, 28, 21, 100, 127, 42, 135, 89, 111, 5, 54, 25, 152, 43, 148, 147, 134, 76, 39, 151, 30, 34, 86, 72, 143, 37, 125, 172, 
      149, 160, 118, 10, 119, 16, 35, 99, 114, 14, 171, 19, 74, 169, 79, 78, 65, 51, 96, 75, 182, 123, 146, 121, 120, 107, 9, 106 ], 
  [ 4, 41, 18, 61, 155, 82, 176, 45, 174, 175, 32, 60, 142, 180, 97, 88, 98, 101, 140, 154, 69, 104, 179, 84, 46, 31, 47, 44, 161, 131, 94, 49, 70, 
      117, 11, 132, 24, 139, 141, 167, 53, 122, 133, 63, 181, 110, 6, 67, 26, 165, 183, 136, 102, 153, 56, 90, 124, 159, 105, 36, 112 ], 
  [ 7, 80, 20, 87, 85, 59, 129, 68, 91, 137, 115, 13, 158, 27, 178, 71, 130, 81, 163, 157, 108, 8, 93, 23, 126, 29, 177, 58, 116, 12, 145, 17, 48, 
      57, 103, 166, 40, 164, 170, 92, 150, 173, 162, 144, 50, 83, 33, 73, 156, 95, 62, 168, 66, 64, 38, 138, 128, 55, 77, 52, 109 ] ] ]:
`3,16` :=[ 273, ######## PGL(3,16) ########
[ [ 19, 33, 32, 31, 30, 21, 29, 28, 27, 26, 20, 25, 24, 23, 22 ], [ 34, 258, 242, 226, 210, 66, 194, 178, 162, 146, 50, 130, 114, 98, 82 ], 
  [ 35, 273, 256, 239, 222, 69, 205, 188, 171, 154, 52, 137, 120, 103, 86 ], [ 36, 265, 248, 231, 214, 67, 209, 192, 175, 158, 53, 141, 124, 107, 
      90 ], [ 37, 269, 252, 235, 218, 68, 201, 184, 167, 150, 51, 145, 128, 111, 94 ], 
  [ 38, 259, 257, 240, 223, 78, 197, 189, 172, 155, 58, 132, 121, 104, 87 ], [ 39, 262, 243, 241, 224, 79, 206, 181, 173, 156, 59, 138, 116, 105, 
      88 ], [ 40, 263, 246, 227, 225, 80, 207, 190, 165, 157, 60, 139, 122, 100, 89 ], 
  [ 41, 264, 247, 230, 211, 81, 208, 191, 174, 149, 61, 140, 123, 106, 84 ], [ 42, 260, 249, 232, 215, 70, 195, 193, 176, 159, 62, 133, 125, 108, 
      91 ], [ 43, 266, 244, 233, 216, 71, 198, 179, 177, 160, 63, 142, 117, 109, 92 ], 
  [ 44, 267, 250, 228, 217, 72, 199, 182, 163, 161, 64, 143, 126, 101, 93 ], [ 45, 268, 251, 234, 212, 73, 200, 183, 166, 147, 65, 144, 127, 110, 
      85 ], [ 46, 261, 253, 236, 219, 74, 196, 185, 168, 151, 54, 131, 129, 112, 95 ], 
  [ 47, 270, 245, 237, 220, 75, 202, 180, 169, 152, 55, 134, 115, 113, 96 ], [ 48, 271, 254, 229, 221, 76, 203, 186, 164, 153, 56, 135, 118, 99, 97 
     ], [ 49, 272, 255, 238, 213, 77, 204, 187, 170, 148, 57, 136, 119, 102, 83 ] ], 
[ [ 1, 2, 18, 19, 35, 3, 34 ], [ 4, 50, 20, 51, 52, 68, 37 ], [ 5, 66, 21, 67, 69, 53, 36 ], [ 6, 82, 30, 211, 120, 134, 49 ], 
  [ 7, 98, 27, 163, 154, 183, 48 ], [ 8, 114, 22, 83, 222, 264, 47 ], [ 9, 130, 33, 259, 239, 89, 46 ], [ 10, 146, 23, 99, 171, 250, 45 ], 
  [ 11, 162, 26, 147, 103, 203, 44 ], [ 12, 178, 32, 243, 205, 108, 43 ], [ 13, 194, 28, 179, 256, 173, 42 ], [ 14, 210, 24, 115, 86, 238, 41 ], 
  [ 15, 226, 25, 131, 273, 223, 40 ], [ 16, 242, 29, 195, 188, 160, 39 ], [ 17, 258, 31, 227, 137, 129, 38 ], [ 54, 148, 167, 186, 144, 241, 121 ], 
  [ 55, 164, 218, 200, 220, 216, 152 ], [ 56, 180, 128, 262, 255, 157, 215 ], [ 57, 196, 252, 109, 91, 126, 230 ], 
  [ 58, 212, 184, 96, 206, 140, 177 ], [ 59, 228, 201, 236, 233, 185, 112 ], [ 60, 244, 269, 159, 263, 271, 207 ], 
  [ 61, 260, 111, 139, 161, 87, 254 ], [ 62, 84, 94, 174, 106, 251, 93 ], [ 63, 100, 235, 217, 168, 202, 268 ], [ 64, 116, 150, 119, 118, 102, 187 ]
    , [ 65, 132, 145, 257, 189, 176, 138 ], [ 70, 213, 248, 237, 249, 253, 125 ], [ 71, 229, 265, 95, 190, 208, 156 ], 
  [ 72, 245, 141, 193, 240, 105, 219 ], [ 73, 261, 175, 122, 166, 170, 234 ], [ 74, 85, 158, 247, 221, 232, 169 ], 
  [ 75, 101, 107, 267, 143, 225, 104 ], [ 76, 117, 214, 136, 113, 155, 199 ], [ 77, 133, 209, 172, 266, 127, 246 ], 
  [ 78, 149, 231, 153, 151, 135, 97 ], [ 79, 165, 90, 110, 123, 182, 272 ], [ 80, 181, 192, 224, 88, 270, 191 ], 
  [ 81, 197, 124, 198, 204, 92, 142 ] ] ]:
`3,17` :=[ 307, ######## PGL(3,17) ########
[ [ 20, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21 ], [ 36, 291, 274, 257, 240, 223, 206, 189, 172, 155, 138, 121, 104, 87, 70, 53 ]
    , [ 37, 307, 289, 271, 253, 235, 217, 199, 181, 163, 145, 127, 109, 91, 73, 55 ], 
  [ 38, 292, 290, 272, 254, 236, 218, 200, 182, 164, 146, 128, 110, 92, 74, 56 ], [ 39, 293, 275, 273, 255, 237, 219, 201, 183, 165, 147, 129, 111, 
      93, 75, 57 ], [ 40, 294, 276, 258, 256, 238, 220, 202, 184, 166, 148, 130, 112, 94, 76, 58 ], 
  [ 41, 295, 277, 259, 241, 239, 221, 203, 185, 167, 149, 131, 113, 95, 77, 59 ], [ 42, 296, 278, 260, 242, 224, 222, 204, 186, 168, 150, 132, 114, 
      96, 78, 60 ], [ 43, 297, 279, 261, 243, 225, 207, 205, 187, 169, 151, 133, 115, 97, 79, 61 ], 
  [ 44, 298, 280, 262, 244, 226, 208, 190, 188, 170, 152, 134, 116, 98, 80, 62 ], [ 45, 299, 281, 263, 245, 227, 209, 191, 173, 171, 153, 135, 117, 
      99, 81, 63 ], [ 46, 300, 282, 264, 246, 228, 210, 192, 174, 156, 154, 136, 118, 100, 82, 64 ], 
  [ 47, 301, 283, 265, 247, 229, 211, 193, 175, 157, 139, 137, 119, 101, 83, 65 ], 
  [ 48, 302, 284, 266, 248, 230, 212, 194, 176, 158, 140, 122, 120, 102, 84, 66 ], 
  [ 49, 303, 285, 267, 249, 231, 213, 195, 177, 159, 141, 123, 105, 103, 85, 67 ], 
  [ 50, 304, 286, 268, 250, 232, 214, 196, 178, 160, 142, 124, 106, 88, 86, 68 ], [ 51, 305, 287, 269, 251, 233, 215, 197, 179, 161, 143, 125, 107, 
      89, 71, 69 ], [ 52, 306, 288, 270, 252, 234, 216, 198, 180, 162, 144, 126, 108, 90, 72, 54 ] ], 
[ [ 1, 2, 19, 28, 181, 3, 36, 30, 215, 145, 275, 299, 254, 176, 8, 121, 29, 198, 73, 297, 220, 230, 255, 193, 260, 279, 95, 38, 98, 89, 208, 298, 
      237, 102, 157, 116, 86, 246, 40, 132, 233, 306, 101, 140, 190, 209, 43, 183, 17, 274, 27, 164, 235, 68, 83, 195, 294, 169, 48, 268, 143, 241, 
      227, 204, 175, 9, 138, 20, 45, 217, 179, 5, 70, 25, 130, 199, 90, 225, 170, 65, 304, 67, 66, 49, 285, 197, 56, 151, 105, 171, 82, 178, 6, 87, 
      21, 62, 253, 159, 150, 88, 191, 226, 187, 13, 206, 26, 147, 37, 81, 161, 184, 16, 257, 24, 113, 307, 118, 120, 154, 156, 99, 106, 188, 12, 
      189, 22, 79, 127, 148, 54, 117, 103, 174, 10, 155, 31, 232, 289, 265, 92, 259, 262, 41, 149, 71, 263, 58, 185, 15, 240, 23, 96, 55, 134, 267, 
      126, 131, 216, 162, 201, 124, 97, 72, 280, 112, 290, 282, 146, 292, 135, 284, 180, 4, 53, 32, 249, 91, 242, 244, 278, 78, 110, 256, 210, 60, 
      219, 213, 111, 273, 228, 221, 247, 57, 168, 303, 50, 302, 305, 84, 212, 94, 293, 152, 122, 63, 270, 177, 7, 104, 35, 300, 271, 194, 277, 61, 
      236, 85, 229, 238, 119, 137, 46, 234, 51, 47, 251, 125, 114, 52, 64, 287, 231, 272, 211, 77, 93, 276, 44, 200, 107, 205, 192, 243, 261, 296, 
      203, 158, 133, 250, 108, 222, 264, 75, 59, 202, 141, 207, 281, 129, 182, 18, 291, 33, 266, 109, 239, 136, 301, 288, 248, 74, 42, 166, 269, 
      160, 167, 286, 214, 128, 165, 252, 142, 224, 153, 139, 173, 11, 172 ], [ 14, 223, 34, 283, 163, 218, 196, 39, 115, 69, 100, 123, 80, 144, 
      258, 245, 295, 186 ] ] ]:
`3,19` :=[ 381, ######## PGL(3,19) ########
[ [ 22, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23 ], [ 40, 363, 344, 325, 306, 287, 268, 249, 230, 211, 192, 173, 154, 
      135, 116, 97, 78, 59 ], [ 41, 381, 361, 341, 321, 301, 281, 261, 241, 221, 201, 181, 161, 141, 121, 101, 81, 61 ], 
  [ 42, 364, 362, 342, 322, 302, 282, 262, 242, 222, 202, 182, 162, 142, 122, 102, 82, 62 ], 
  [ 43, 365, 345, 343, 323, 303, 283, 263, 243, 223, 203, 183, 163, 143, 123, 103, 83, 63 ], 
  [ 44, 366, 346, 326, 324, 304, 284, 264, 244, 224, 204, 184, 164, 144, 124, 104, 84, 64 ], 
  [ 45, 367, 347, 327, 307, 305, 285, 265, 245, 225, 205, 185, 165, 145, 125, 105, 85, 65 ], 
  [ 46, 368, 348, 328, 308, 288, 286, 266, 246, 226, 206, 186, 166, 146, 126, 106, 86, 66 ], 
  [ 47, 369, 349, 329, 309, 289, 269, 267, 247, 227, 207, 187, 167, 147, 127, 107, 87, 67 ], 
  [ 48, 370, 350, 330, 310, 290, 270, 250, 248, 228, 208, 188, 168, 148, 128, 108, 88, 68 ], 
  [ 49, 371, 351, 331, 311, 291, 271, 251, 231, 229, 209, 189, 169, 149, 129, 109, 89, 69 ], 
  [ 50, 372, 352, 332, 312, 292, 272, 252, 232, 212, 210, 190, 170, 150, 130, 110, 90, 70 ], 
  [ 51, 373, 353, 333, 313, 293, 273, 253, 233, 213, 193, 191, 171, 151, 131, 111, 91, 71 ], 
  [ 52, 374, 354, 334, 314, 294, 274, 254, 234, 214, 194, 174, 172, 152, 132, 112, 92, 72 ], 
  [ 53, 375, 355, 335, 315, 295, 275, 255, 235, 215, 195, 175, 155, 153, 133, 113, 93, 73 ], 
  [ 54, 376, 356, 336, 316, 296, 276, 256, 236, 216, 196, 176, 156, 136, 134, 114, 94, 74 ], 
  [ 55, 377, 357, 337, 317, 297, 277, 257, 237, 217, 197, 177, 157, 137, 117, 115, 95, 75 ], 
  [ 56, 378, 358, 338, 318, 298, 278, 258, 238, 218, 198, 178, 158, 138, 118, 98, 96, 76 ], 
  [ 57, 379, 359, 339, 319, 299, 279, 259, 239, 219, 199, 179, 159, 139, 119, 99, 79, 77 ], 
  [ 58, 380, 360, 340, 320, 300, 280, 260, 240, 220, 200, 180, 160, 140, 120, 100, 80, 60 ] ], 
[ [ 1, 2, 21, 31, 221, 3, 40, 30, 202, 241, 60, 150, 176, 228, 14, 249, 27, 145, 81, 128, 77, 131, 134, 191, 171, 294, 124, 343, 273, 186, 76, 112, 
      156, 351, 244, 117, 210, 51, 220, 4, 59, 36, 316, 101, 289, 371, 303, 295, 143, 43, 68, 302, 276, 243, 98, 232, 231, 212, 12, 211 ], 
  [ 5, 78, 33, 259, 141, 347, 168, 237, 326, 292, 86, 223, 19, 344, 35, 297, 181, 323, 234, 269, 110, 118, 229, 13, 230, 22, 50, 201, 222, 20, 363, 
      37, 335, 121, 286, 91, 318, 139, 309, 310, 329, 349, 206, 317, 120, 267, 293, 105, 365, 189, 133, 172, 313, 44, 87, 242, 79, 90, 299, 219 ], 
  [ 6, 97, 23, 69, 321, 196, 127, 58, 353, 282, 357, 358, 377, 75, 93, 356, 339, 197, 146, 100, 270, 129, 96, 71, 359, 54, 277, 262, 198, 165, 180, 
      304, 314, 63, 207, 336, 140, 328, 330, 368, 246, 155, 332, 64, 226, 16, 287, 29, 183, 361, 92, 337, 159, 66, 264, 236, 307, 272, 167, 218 ], 
  [ 7, 116, 39, 373, 341, 235, 288, 352, 263, 217 ], [ 8, 135, 24, 88, 261, 179, 285, 72, 378, 94, 375, 379, 113, 175, 209, 374, 360, 73, 55, 296, 
      162, 123, 324, 253, 369, 265, 255, 65, 245, 136, 252, 350, 225, 17, 306, 25, 107, 61, 169, 256, 84, 185, 57, 334, 102, 308, 291, 67, 283, 
      376, 56, 315, 82, 147, 119, 248, 193, 70, 340, 216 ], [ 9, 154, 28, 164, 161, 104, 346, 149, 157, 370, 284, 53, 258, 122, 305, 333, 83, 166, 
      199, 184, 380, 132, 153, 233, 250, 312, 367, 227, 15, 268, 34, 278, 281, 338, 178, 266, 274, 205, 298, 200, 203, 260, 160, 85, 204, 279, 300, 
      238, 345, 130, 115, 213, 11, 192, 32, 240, 41, 372, 322, 215 ], [ 10, 173, 38, 354, 301, 257, 103, 327, 311, 348, 187, 95, 52, 239, 364, 170, 
      275, 224, 18, 325, 26, 126, 381, 151, 195, 108, 80, 109, 99, 251, 331, 45, 106, 42, 49, 182, 342, 254, 46, 125, 362, 111, 137, 271, 148, 138, 
      290, 48, 163, 142, 366, 208, 355, 320, 177, 247, 174, 190, 152, 214 ], [ 47, 144, 62, 188, 114, 194, 89, 280, 319, 158 ] ] ]:
`4,2` :=[ 15, ######## PGL(4,2) ########
[ [ 8, 12 ], [ 9, 13 ], [ 10, 14 ], [ 11, 15 ] ], 
[ [ 1, 2, 4, 8 ], [ 3, 6, 12, 9 ], [ 5, 10 ], [ 7, 14, 13, 11 ] ] ]:
`4,3` :=[ 40, ######## PGL(4,3) ########
[ [ 15, 16 ], [ 17, 20 ], [ 18, 22 ], [ 19, 21 ], [ 23, 32 ], [ 24, 34 ], [ 25, 33 ], [ 26, 38 ], [ 27, 40 ], [ 28, 39 ], [ 29, 35 ], [ 30, 37 ], 
  [ 31, 36 ] ], 
[ [ 1, 2, 5, 14, 16, 22, 40, 9, 26, 33, 4, 11, 32 ], [ 3, 8, 23, 15, 19, 31, 27, 39, 12, 35, 7, 20, 34 ], 
  [ 6, 17, 25, 18, 28, 36, 10, 29, 24, 21, 37, 13, 38 ] ] ]:
`4,4` :=[ 85, ######## PGL(4,4) ########
[ [ 23, 25, 24 ], [ 26, 34, 30 ], [ 27, 37, 32 ], [ 28, 35, 33 ], [ 29, 36, 31 ], [ 38, 70, 54 ], [ 39, 73, 56 ], [ 40, 71, 57 ], [ 41, 72, 55 ], 
  [ 42, 82, 62 ], [ 43, 85, 64 ], [ 44, 83, 65 ], [ 45, 84, 63 ], [ 46, 74, 66 ], [ 47, 77, 68 ], [ 48, 75, 69 ], [ 49, 76, 67 ], [ 50, 78, 58 ], 
  [ 51, 81, 60 ], [ 52, 79, 61 ], [ 53, 80, 59 ] ], 
[ [ 1, 2, 6, 22, 23, 27, 43, 11, 42, 7, 26, 39, 3, 10, 38 ], [ 4, 14, 54, 24, 31, 59, 64, 84, 61, 60, 68, 52, 20, 78, 41 ], 
  [ 5, 18, 70, 25, 35, 75, 85, 65, 76, 77, 81, 49, 17, 66, 40 ], [ 8, 30, 55, 32, 63, 80, 45, 19, 74, 73, 33, 67, 48, 13, 50 ], 
  [ 9, 34, 71, 37, 83, 69, 44, 15, 58, 56, 36, 79, 53, 12, 46 ], [ 16, 62, 72, 29, 51 ], [ 21, 82, 57, 28, 47 ] ] ]:
`4,5` :=[ 156, ######## PGL(4,5) ########
[ [ 33, 36, 35, 34 ], [ 37, 52, 47, 42 ], [ 38, 56, 50, 44 ], [ 39, 53, 51, 45 ], [ 40, 54, 48, 46 ], [ 41, 55, 49, 43 ], [ 57, 132, 107, 82 ], 
  [ 58, 136, 110, 84 ], [ 59, 133, 111, 85 ], [ 60, 134, 108, 86 ], [ 61, 135, 109, 83 ], [ 62, 152, 122, 92 ], [ 63, 156, 125, 94 ], 
  [ 64, 153, 126, 95 ], [ 65, 154, 123, 96 ], [ 66, 155, 124, 93 ], [ 67, 137, 127, 97 ], [ 68, 141, 130, 99 ], [ 69, 138, 131, 100 ], 
  [ 70, 139, 128, 101 ], [ 71, 140, 129, 98 ], [ 72, 142, 112, 102 ], [ 73, 146, 115, 104 ], [ 74, 143, 116, 105 ], [ 75, 144, 113, 106 ], 
  [ 76, 145, 114, 103 ], [ 77, 147, 117, 87 ], [ 78, 151, 120, 89 ], [ 79, 148, 121, 90 ], [ 80, 149, 118, 91 ], [ 81, 150, 119, 88 ] ], 
[ [ 1, 2, 7, 32, 35, 50, 125, 13, 62, 134, 53, 140, 113, 15, 72, 84, 51, 130, 31, 152, 83, 46, 105, 81, 124, 28, 137, 108, 5, 22, 107 ], 
  [ 3, 12, 57, 34, 45, 100, 156, 93, 121, 24, 117, 9, 42, 85, 56, 155, 88, 96, 116, 30, 147, 58, 54, 145, 138, 123, 23, 112, 10, 47, 110 ], 
  [ 4, 17, 82, 36, 55, 150, 63, 154, 103, 71, 74, 89, 101, 141, 118, 29, 142, 133, 48, 115, 25, 122, 8, 37, 60, 44, 95, 131, 16, 77, 109 ], 
  [ 6, 27, 132, 33, 40, 75, 94, 126, 18, 87, 86, 41, 80, 119, 14, 67, 59, 39, 70, 69, 64, 139, 128, 21, 102, 61, 49, 120, 19, 92, 111 ], 
  [ 11, 52, 135, 38, 65, 144, 153, 98, 146, 143, 148, 73, 104, 76, 99, 151, 68, 79, 114, 20, 97, 136, 43, 90, 106, 66, 149, 78, 129, 26, 127 ] ] ]:
`4,7` :=[ 400, ######## PGL(4,7) ########
[ [ 59, 64, 63, 62, 61, 60 ], [ 65, 100, 93, 86, 79, 72 ], [ 66, 106, 98, 90, 82, 74 ], [ 67, 101, 99, 91, 83, 75 ], [ 68, 102, 94, 92, 84, 76 ], 
  [ 69, 103, 95, 87, 85, 77 ], [ 70, 104, 96, 88, 80, 78 ], [ 71, 105, 97, 89, 81, 73 ], [ 107, 352, 303, 254, 205, 156 ], 
  [ 108, 358, 308, 258, 208, 158 ], [ 109, 353, 309, 259, 209, 159 ], [ 110, 354, 304, 260, 210, 160 ], [ 111, 355, 305, 255, 211, 161 ], 
  [ 112, 356, 306, 256, 206, 162 ], [ 113, 357, 307, 257, 207, 157 ], [ 114, 394, 338, 282, 226, 170 ], [ 115, 400, 343, 286, 229, 172 ], 
  [ 116, 395, 344, 287, 230, 173 ], [ 117, 396, 339, 288, 231, 174 ], [ 118, 397, 340, 283, 232, 175 ], [ 119, 398, 341, 284, 227, 176 ], 
  [ 120, 399, 342, 285, 228, 171 ], [ 121, 359, 345, 289, 233, 177 ], [ 122, 365, 350, 293, 236, 179 ], [ 123, 360, 351, 294, 237, 180 ], 
  [ 124, 361, 346, 295, 238, 181 ], [ 125, 362, 347, 290, 239, 182 ], [ 126, 363, 348, 291, 234, 183 ], [ 127, 364, 349, 292, 235, 178 ], 
  [ 128, 366, 310, 296, 240, 184 ], [ 129, 372, 315, 300, 243, 186 ], [ 130, 367, 316, 301, 244, 187 ], [ 131, 368, 311, 302, 245, 188 ], 
  [ 132, 369, 312, 297, 246, 189 ], [ 133, 370, 313, 298, 241, 190 ], [ 134, 371, 314, 299, 242, 185 ], [ 135, 373, 317, 261, 247, 191 ], 
  [ 136, 379, 322, 265, 250, 193 ], [ 137, 374, 323, 266, 251, 194 ], [ 138, 375, 318, 267, 252, 195 ], [ 139, 376, 319, 262, 253, 196 ], 
  [ 140, 377, 320, 263, 248, 197 ], [ 141, 378, 321, 264, 249, 192 ], [ 142, 380, 324, 268, 212, 198 ], [ 143, 386, 329, 272, 215, 200 ], 
  [ 144, 381, 330, 273, 216, 201 ], [ 145, 382, 325, 274, 217, 202 ], [ 146, 383, 326, 269, 218, 203 ], [ 147, 384, 327, 270, 213, 204 ], 
  [ 148, 385, 328, 271, 214, 199 ], [ 149, 387, 331, 275, 219, 163 ], [ 150, 393, 336, 279, 222, 165 ], [ 151, 388, 337, 280, 223, 166 ], 
  [ 152, 389, 332, 281, 224, 167 ], [ 153, 390, 333, 276, 225, 168 ], [ 154, 391, 334, 277, 220, 169 ], [ 155, 392, 335, 278, 221, 164 ] ], 
[ [ 1, 2, 9, 58, 62, 90, 286, 17, 114, 305, 84, 244, 278, 18, 121, 354, 94, 314, 196, 120, 333, 329, 301, 56, 387, 157, 85, 251, 327, 287, 24, 163, 
      211, 96, 328, 294, 22, 149, 256, 5, 30, 205, 61, 83, 237, 229, 173, 295, 29, 198, 162, 78, 202, 204, 176, 274, 47, 324, 259, 8, 51, 352, 59, 
      69, 139, 172, 288, 31, 212, 355, 101, 363, 262, 20, 135, 158, 92, 300, 49, 338, 357, 73, 167, 253, 341, 385, 122, 389, 192, 134, 137, 200, 
      190, 372, 325, 273, 40, 275, 11, 72, 160, 106, 398, 213, 397, 248, 348, 140, 179, 337, 315, 203, 169, 225, 145, 214, 362, 297, 28, 191, 113, 
      88, 272, 33, 226, 159, 99, 349, 147, 228, 166, 246, 292, 50, 345, 112, 81, 223, 131, 116, 347, 133, 130, 151, 298, 35, 240, 257, 4, 23, 156, 
      64, 104, 384, 115, 340, 378, 367, 332, 322, 252, 334, 336, 350, 154, 277, 53, 366, 304, 77, 195, 155, 284, 45, 310, 161, 71, 153, 270, 19, 
      128, 109, 102, 370, 311, 175, 267, 55, 380, 108, 95, 321, 245, 285, 52, 359, 255, 6, 37, 254 ], 
  [ 3, 16, 107, 60, 76, 188, 400, 227, 201, 197, 127, 382, 143, 242, 264, 34, 233, 208, 75, 181, 351, 119, 326, 280, 32, 219, 110, 67, 125, 368, 
      339, 371, 318, 224, 138, 165, 239, 243, 271, 26, 177, 309, 70, 146, 221, 117, 312, 182, 316, 168, 218, 390, 199, 183, 323, 217, 383, 150, 
      291, 43, 296, 14, 93, 307, 98, 342, 392, 171, 281, 39, 268, 12, 79, 209, 82, 230, 180, 344, 364, 269, 54, 373, 353, 87, 265, 41, 282, 10, 65, 
      111, 74, 174, 302, 21, 142, 207, 68, 132, 123, 396, 241, 299, 42, 289, 15, 100, 356, 66, 118, 319, 231, 187, 393, 178, 330, 266, 48, 331, 
      308, 105, 391, 164, 232, 194, 148, 235, 215, 369, 346, 126, 375, 388, 185, 379, 374, 381, 136, 193, 141, 186, 386, 129, 144, 249, 313, 189, 
      365, 276, 46, 317, 210, 89, 279, 25, 170, 260, 7, 44, 303, 63, 97, 335, 343, 399, 220, 152, 263, 27, 184, 358, 80, 216, 376, 395, 234, 250, 
      320, 238, 236, 222, 124, 361, 290, 36, 247, 306, 91, 293, 57, 394, 206, 103, 377, 360, 283, 38, 261, 13, 86, 258 ] ] ]:
`4,8` :=[ 585, ######## PGL(4,8) ########
[ [ 75, 81, 80, 79, 78, 77, 76 ], [ 82, 130, 122, 114, 106, 98, 90 ], [ 83, 137, 128, 119, 110, 101, 92 ], [ 84, 131, 129, 120, 111, 102, 93 ], 
  [ 85, 132, 123, 121, 112, 103, 94 ], [ 86, 133, 124, 115, 113, 104, 95 ], [ 87, 134, 125, 116, 107, 105, 96 ], [ 88, 135, 126, 117, 108, 99, 97 ],
  [ 89, 136, 127, 118, 109, 100, 91 ], [ 138, 522, 458, 394, 330, 266, 202 ], [ 139, 529, 464, 399, 334, 269, 204 ], 
  [ 140, 523, 465, 400, 335, 270, 205 ], [ 141, 524, 459, 401, 336, 271, 206 ], [ 142, 525, 460, 395, 337, 272, 207 ], 
  [ 143, 526, 461, 396, 331, 273, 208 ], [ 144, 527, 462, 397, 332, 267, 209 ], [ 145, 528, 463, 398, 333, 268, 203 ], 
  [ 146, 578, 506, 434, 362, 290, 218 ], [ 147, 585, 512, 439, 366, 293, 220 ], [ 148, 579, 513, 440, 367, 294, 221 ], 
  [ 149, 580, 507, 441, 368, 295, 222 ], [ 150, 581, 508, 435, 369, 296, 223 ], [ 151, 582, 509, 436, 363, 297, 224 ], 
  [ 152, 583, 510, 437, 364, 291, 225 ], [ 153, 584, 511, 438, 365, 292, 219 ], [ 154, 530, 514, 442, 370, 298, 226 ], 
  [ 155, 537, 520, 447, 374, 301, 228 ], [ 156, 531, 521, 448, 375, 302, 229 ], [ 157, 532, 515, 449, 376, 303, 230 ], 
  [ 158, 533, 516, 443, 377, 304, 231 ], [ 159, 534, 517, 444, 371, 305, 232 ], [ 160, 535, 518, 445, 372, 299, 233 ], 
  [ 161, 536, 519, 446, 373, 300, 227 ], [ 162, 538, 466, 450, 378, 306, 234 ], [ 163, 545, 472, 455, 382, 309, 236 ], 
  [ 164, 539, 473, 456, 383, 310, 237 ], [ 165, 540, 467, 457, 384, 311, 238 ], [ 166, 541, 468, 451, 385, 312, 239 ], 
  [ 167, 542, 469, 452, 379, 313, 240 ], [ 168, 543, 470, 453, 380, 307, 241 ], [ 169, 544, 471, 454, 381, 308, 235 ], 
  [ 170, 546, 474, 402, 386, 314, 242 ], [ 171, 553, 480, 407, 390, 317, 244 ], [ 172, 547, 481, 408, 391, 318, 245 ], 
  [ 173, 548, 475, 409, 392, 319, 246 ], [ 174, 549, 476, 403, 393, 320, 247 ], [ 175, 550, 477, 404, 387, 321, 248 ], 
  [ 176, 551, 478, 405, 388, 315, 249 ], [ 177, 552, 479, 406, 389, 316, 243 ], [ 178, 554, 482, 410, 338, 322, 250 ], 
  [ 179, 561, 488, 415, 342, 325, 252 ], [ 180, 555, 489, 416, 343, 326, 253 ], [ 181, 556, 483, 417, 344, 327, 254 ], 
  [ 182, 557, 484, 411, 345, 328, 255 ], [ 183, 558, 485, 412, 339, 329, 256 ], [ 184, 559, 486, 413, 340, 323, 257 ], 
  [ 185, 560, 487, 414, 341, 324, 251 ], [ 186, 562, 490, 418, 346, 274, 258 ], [ 187, 569, 496, 423, 350, 277, 260 ], 
  [ 188, 563, 497, 424, 351, 278, 261 ], [ 189, 564, 491, 425, 352, 279, 262 ], [ 190, 565, 492, 419, 353, 280, 263 ], 
  [ 191, 566, 493, 420, 347, 281, 264 ], [ 192, 567, 494, 421, 348, 275, 265 ], [ 193, 568, 495, 422, 349, 276, 259 ], 
  [ 194, 570, 498, 426, 354, 282, 210 ], [ 195, 577, 504, 431, 358, 285, 212 ], [ 196, 571, 505, 432, 359, 286, 213 ], 
  [ 197, 572, 499, 433, 360, 287, 214 ], [ 198, 573, 500, 427, 361, 288, 215 ], [ 199, 574, 501, 428, 355, 289, 216 ], 
  [ 200, 575, 502, 429, 356, 283, 217 ], [ 201, 576, 503, 430, 357, 284, 211 ] ], 
[ [ 1, 2, 10, 74, 75, 83, 147, 19, 146, 11, 82, 139, 3, 18, 138 ], [ 4, 26, 202, 79, 115, 403, 293, 364, 281, 212, 447, 197, 44, 346, 145 ], 
  [ 5, 34, 266, 76, 91, 211, 439, 581, 408, 277, 236, 191, 69, 546, 144 ], [ 6, 42, 330, 81, 131, 531, 512, 222, 471, 342, 553, 184, 30, 234, 143 ],
  [ 7, 50, 394, 77, 99, 275, 220, 511, 214, 407, 325, 172, 63, 498, 142 ], [ 8, 58, 458, 78, 107, 339, 585, 440, 533, 472, 350, 169, 56, 442, 141 ],
  [ 9, 66, 522, 80, 123, 467, 366, 297, 340, 537, 504, 158, 41, 322, 140 ], [ 12, 90, 203, 119, 435, 549, 152, 59, 466, 334, 105, 323, 156, 25, 194 
     ], [ 13, 98, 267, 92, 219, 503, 150, 43, 338, 529, 120, 443, 165, 24, 186 ], [ 14, 106, 331, 137, 579, 448, 149, 35, 274, 204, 127, 499, 174, 
      23, 178 ], [ 15, 114, 395, 101, 291, 348, 153, 67, 530, 464, 94, 235, 183, 22, 170 ], 
  [ 16, 122, 459, 110, 363, 329, 148, 27, 210, 399, 133, 547, 192, 21, 162 ], [ 17, 130, 523, 128, 507, 238, 151, 51, 402, 269, 108, 347, 201, 20, 
      154 ], [ 28, 218, 463, 86, 171, 55, 434, 525, 88, 187, 37, 290, 332, 89, 195 ], 
  [ 29, 226, 527, 104, 315, 540, 584, 432, 469, 382, 425, 413, 373, 353, 193 ], [ 31, 242, 207, 95, 243, 247, 223, 479, 406, 317, 556, 264, 359, 
      241, 175 ], [ 32, 250, 271, 124, 475, 430, 509, 254, 279, 252, 319, 572, 392, 505, 166 ], 
  [ 33, 258, 335, 113, 387, 521, 294, 372, 345, 577, 376, 377, 385, 449, 157 ], [ 36, 282, 268, 100, 283, 284, 292, 356, 217, 431, 517, 318, 564, 
      328, 196 ], [ 38, 298, 396, 109, 355, 265, 367, 305, 404, 301, 428, 493, 574, 352, 185 ], 
  [ 39, 306, 460, 118, 427, 485, 510, 262, 343, 561, 248, 231, 543, 552, 176 ], [ 40, 314, 524, 136, 571, 384, 441, 541, 536, 496, 542, 544, 560, 
      240, 167 ], [ 45, 354, 209, 111, 371, 393, 513, 230, 535, 488, 478, 454, 253, 327, 188 ], 
  [ 46, 362, 273, 84, 155, 73, 578, 400, 85, 163, 64, 506, 206, 87, 179 ], [ 47, 370, 337, 129, 515, 302, 436, 557, 216, 423, 453, 245, 263, 351, 
      177 ], [ 48, 378, 401, 93, 227, 567, 296, 388, 473, 358, 233, 559, 232, 551, 168 ], 
  [ 49, 386, 465, 102, 299, 412, 365, 289, 276, 228, 575, 360, 249, 239, 159 ], [ 52, 410, 333, 97, 259, 375, 369, 321, 532, 520, 286, 308, 484, 
      502, 198 ], [ 53, 418, 397, 117, 419, 421, 437, 565, 280, 260, 383, 433, 477, 446, 189 ], 
  [ 54, 426, 461, 126, 491, 558, 224, 487, 470, 390, 489, 486, 518, 326, 180 ], [ 57, 450, 205, 135, 563, 320, 580, 456, 213, 455, 261, 391, 497, 
      550, 160 ], [ 60, 474, 398, 125, 483, 494, 582, 416, 341, 545, 568, 304, 452, 237, 199 ], 
  [ 61, 482, 462, 134, 555, 256, 295, 380, 409, 285, 300, 420, 429, 501, 190 ], [ 62, 490, 526, 96, 251, 311, 508, 246, 215, 415, 389, 481, 422, 
      445, 181 ], [ 65, 514, 270, 116, 411, 357, 225, 495, 534, 480, 414, 381, 417, 349, 161 ], 
  [ 68, 538, 528, 112, 379, 457, 221, 519, 278, 244, 255, 287, 316, 548, 200 ], [ 70, 554, 208, 103, 307, 476, 438, 573, 344, 569, 312, 516, 310, 
      500, 182 ], [ 71, 562, 272, 132, 539, 576, 368, 313, 468, 374, 361, 257, 303, 444, 173 ], 
  [ 72, 570, 336, 121, 451, 229, 583, 424, 405, 309, 492, 566, 288, 324, 164 ] ] ]:
`4,9` :=[ 820, ######## PGL(4,9) ########
[ [ 93, 100, 99, 98, 94, 97, 96, 95 ], [ 101, 164, 155, 146, 110, 137, 128, 119 ], [ 102, 172, 162, 152, 112, 142, 132, 122 ], 
  [ 103, 169, 159, 149, 111, 145, 135, 125 ], [ 104, 165, 163, 153, 116, 139, 133, 123 ], [ 105, 167, 156, 154, 117, 143, 130, 124 ], 
  [ 106, 168, 158, 147, 118, 144, 134, 121 ], [ 107, 166, 160, 150, 113, 138, 136, 126 ], [ 108, 170, 157, 151, 114, 140, 129, 127 ], 
  [ 109, 171, 161, 148, 115, 141, 131, 120 ], [ 173, 740, 659, 578, 254, 497, 416, 335 ], [ 174, 748, 666, 584, 256, 502, 420, 338 ], 
  [ 175, 745, 663, 581, 255, 505, 423, 341 ], [ 176, 741, 667, 585, 260, 499, 421, 339 ], [ 177, 743, 660, 586, 261, 503, 418, 340 ], 
  [ 178, 744, 662, 579, 262, 504, 422, 337 ], [ 179, 742, 664, 582, 257, 498, 424, 342 ], [ 180, 746, 661, 583, 258, 500, 417, 343 ], 
  [ 181, 747, 665, 580, 259, 501, 419, 336 ], [ 182, 812, 722, 632, 272, 542, 452, 362 ], [ 183, 820, 729, 638, 274, 547, 456, 365 ], 
  [ 184, 817, 726, 635, 273, 550, 459, 368 ], [ 185, 813, 730, 639, 278, 544, 457, 366 ], [ 186, 815, 723, 640, 279, 548, 454, 367 ], 
  [ 187, 816, 725, 633, 280, 549, 458, 364 ], [ 188, 814, 727, 636, 275, 543, 460, 369 ], [ 189, 818, 724, 637, 276, 545, 453, 370 ], 
  [ 190, 819, 728, 634, 277, 546, 455, 363 ], [ 191, 785, 695, 605, 263, 569, 479, 389 ], [ 192, 793, 702, 611, 265, 574, 483, 392 ], 
  [ 193, 790, 699, 608, 264, 577, 486, 395 ], [ 194, 786, 703, 612, 269, 571, 484, 393 ], [ 195, 788, 696, 613, 270, 575, 481, 394 ], 
  [ 196, 789, 698, 606, 271, 576, 485, 391 ], [ 197, 787, 700, 609, 266, 570, 487, 396 ], [ 198, 791, 697, 610, 267, 572, 480, 397 ], 
  [ 199, 792, 701, 607, 268, 573, 482, 390 ], [ 200, 749, 731, 641, 308, 515, 461, 371 ], [ 201, 757, 738, 647, 310, 520, 465, 374 ], 
  [ 202, 754, 735, 644, 309, 523, 468, 377 ], [ 203, 750, 739, 648, 314, 517, 466, 375 ], [ 204, 752, 732, 649, 315, 521, 463, 376 ], 
  [ 205, 753, 734, 642, 316, 522, 467, 373 ], [ 206, 751, 736, 645, 311, 516, 469, 378 ], [ 207, 755, 733, 646, 312, 518, 462, 379 ], 
  [ 208, 756, 737, 643, 313, 519, 464, 372 ], [ 209, 767, 668, 650, 317, 551, 434, 380 ], [ 210, 775, 675, 656, 319, 556, 438, 383 ], 
  [ 211, 772, 672, 653, 318, 559, 441, 386 ], [ 212, 768, 676, 657, 323, 553, 439, 384 ], [ 213, 770, 669, 658, 324, 557, 436, 385 ], 
  [ 214, 771, 671, 651, 325, 558, 440, 382 ], [ 215, 769, 673, 654, 320, 552, 442, 387 ], [ 216, 773, 670, 655, 321, 554, 435, 388 ], 
  [ 217, 774, 674, 652, 322, 555, 437, 381 ], [ 218, 776, 686, 587, 326, 560, 470, 353 ], [ 219, 784, 693, 593, 328, 565, 474, 356 ], 
  [ 220, 781, 690, 590, 327, 568, 477, 359 ], [ 221, 777, 694, 594, 332, 562, 475, 357 ], [ 222, 779, 687, 595, 333, 566, 472, 358 ], 
  [ 223, 780, 689, 588, 334, 567, 476, 355 ], [ 224, 778, 691, 591, 329, 561, 478, 360 ], [ 225, 782, 688, 592, 330, 563, 471, 361 ], 
  [ 226, 783, 692, 589, 331, 564, 473, 354 ], [ 227, 758, 704, 614, 281, 506, 488, 398 ], [ 228, 766, 711, 620, 283, 511, 492, 401 ], 
  [ 229, 763, 708, 617, 282, 514, 495, 404 ], [ 230, 759, 712, 621, 287, 508, 493, 402 ], [ 231, 761, 705, 622, 288, 512, 490, 403 ], 
  [ 232, 762, 707, 615, 289, 513, 494, 400 ], [ 233, 760, 709, 618, 284, 507, 496, 405 ], [ 234, 764, 706, 619, 285, 509, 489, 406 ], 
  [ 235, 765, 710, 616, 286, 510, 491, 399 ], [ 236, 794, 677, 623, 290, 524, 425, 407 ], [ 237, 802, 684, 629, 292, 529, 429, 410 ], 
  [ 238, 799, 681, 626, 291, 532, 432, 413 ], [ 239, 795, 685, 630, 296, 526, 430, 411 ], [ 240, 797, 678, 631, 297, 530, 427, 412 ], 
  [ 241, 798, 680, 624, 298, 531, 431, 409 ], [ 242, 796, 682, 627, 293, 525, 433, 414 ], [ 243, 800, 679, 628, 294, 527, 426, 415 ], 
  [ 244, 801, 683, 625, 295, 528, 428, 408 ], [ 245, 803, 713, 596, 299, 533, 443, 344 ], [ 246, 811, 720, 602, 301, 538, 447, 347 ], 
  [ 247, 808, 717, 599, 300, 541, 450, 350 ], [ 248, 804, 721, 603, 305, 535, 448, 348 ], [ 249, 806, 714, 604, 306, 539, 445, 349 ], 
  [ 250, 807, 716, 597, 307, 540, 449, 346 ], [ 251, 805, 718, 600, 302, 534, 451, 351 ], [ 252, 809, 715, 601, 303, 536, 444, 352 ], 
  [ 253, 810, 719, 598, 304, 537, 446, 345 ] ], 
[ [ 1, 2, 11, 92, 94, 112, 274, 21, 182, 255, 4, 29, 254 ], [ 3, 20, 173, 93, 103, 193, 183, 273, 30, 263, 13, 110, 256 ], 
  [ 5, 38, 335, 96, 130, 436, 638, 455, 539, 333, 89, 794, 259 ], [ 6, 47, 416, 98, 148, 598, 365, 816, 691, 325, 45, 398, 258 ], 
  [ 7, 56, 497, 99, 157, 679, 820, 727, 406, 312, 73, 650, 257 ], [ 8, 65, 578, 95, 121, 355, 456, 548, 657, 302, 77, 686, 262 ], 
  [ 9, 74, 659, 100, 166, 760, 547, 639, 464, 296, 60, 533, 261 ], [ 10, 83, 740, 97, 139, 517, 729, 370, 798, 286, 52, 461, 260 ], 
  [ 12, 101, 175, 102, 184, 264, 22, 191, 174, 111, 265, 31, 272 ], [ 14, 119, 337, 132, 454, 557, 819, 718, 244, 462, 287, 34, 299 ], 
  [ 15, 128, 418, 152, 634, 446, 458, 566, 252, 534, 297, 33, 290 ], [ 16, 137, 499, 162, 724, 415, 636, 491, 215, 687, 307, 32, 281 ], 
  [ 17, 146, 580, 122, 364, 780, 367, 771, 205, 651, 311, 37, 326 ], [ 18, 155, 661, 172, 814, 709, 730, 379, 231, 399, 321, 36, 317 ], 
  [ 19, 164, 742, 142, 544, 648, 545, 630, 221, 795, 331, 35, 308 ], [ 23, 200, 579, 149, 607, 689, 280, 57, 506, 423, 170, 796, 304 ], 
  [ 24, 209, 660, 145, 571, 405, 276, 75, 668, 505, 126, 400, 294 ], [ 25, 218, 741, 169, 787, 466, 278, 39, 344, 663, 154, 652, 284 ], 
  [ 26, 227, 336, 159, 697, 658, 275, 66, 587, 581, 158, 688, 334 ], [ 27, 236, 417, 125, 391, 537, 279, 48, 425, 341, 141, 535, 324 ], 
  [ 28, 245, 498, 135, 481, 800, 277, 84, 749, 745, 133, 463, 314 ], [ 40, 353, 420, 143, 553, 810, 637, 428, 377, 222, 804, 655, 266 ], 
  [ 41, 362, 744, 124, 382, 375, 186, 318, 54, 479, 746, 115, 301 ], [ 42, 371, 177, 156, 670, 577, 369, 762, 529, 558, 756, 799, 295 ], 
  [ 43, 380, 339, 105, 211, 669, 550, 612, 707, 685, 784, 403, 285 ], [ 44, 389, 501, 117, 319, 81, 722, 343, 150, 616, 770, 187, 327 ], 
  [ 46, 407, 582, 167, 769, 223, 813, 736, 487, 755, 763, 538, 315 ], [ 49, 434, 584, 131, 445, 476, 728, 352, 717, 235, 381, 402, 267 ], 
  [ 50, 443, 422, 161, 715, 253, 543, 621, 788, 430, 359, 465, 305 ], [ 51, 452, 503, 171, 805, 628, 185, 309, 64, 569, 342, 114, 292 ], 
  [ 53, 470, 665, 109, 247, 507, 459, 575, 414, 600, 410, 654, 329 ], [ 55, 488, 179, 120, 346, 699, 640, 437, 620, 779, 349, 690, 316 ], 
  [ 58, 515, 666, 127, 409, 618, 815, 673, 568, 207, 615, 797, 268 ], [ 59, 524, 504, 108, 238, 426, 368, 789, 448, 440, 647, 536, 306 ], 
  [ 61, 542, 585, 140, 526, 567, 189, 291, 78, 695, 586, 113, 283 ], [ 62, 551, 747, 151, 625, 203, 633, 473, 701, 595, 599, 401, 330 ], 
  [ 63, 560, 180, 129, 427, 395, 546, 603, 383, 411, 591, 653, 320 ], [ 67, 596, 338, 168, 778, 385, 366, 753, 772, 214, 732, 469, 269 ], 
  [ 68, 605, 662, 118, 328, 71, 632, 419, 134, 472, 719, 190, 300 ], [ 69, 614, 743, 106, 220, 750, 817, 700, 649, 518, 711, 694, 298 ], 
  [ 70, 623, 176, 147, 589, 608, 725, 361, 474, 710, 676, 541, 288 ], [ 72, 641, 500, 144, 562, 243, 453, 530, 576, 351, 681, 802, 322 ], 
  [ 76, 677, 748, 160, 706, 739, 460, 512, 495, 251, 525, 540, 270 ], [ 79, 704, 667, 136, 490, 233, 363, 807, 610, 671, 523, 693, 289 ], 
  [ 80, 713, 181, 138, 508, 486, 818, 682, 811, 646, 509, 468, 332 ], [ 82, 731, 424, 107, 229, 345, 726, 397, 555, 765, 556, 801, 313 ], 
  [ 85, 758, 502, 153, 643, 527, 549, 594, 626, 239, 471, 692, 271 ], [ 86, 767, 178, 165, 751, 790, 457, 521, 738, 451, 431, 404, 303 ], 
  [ 87, 776, 340, 123, 373, 213, 723, 388, 393, 510, 441, 656, 293 ], [ 88, 785, 421, 116, 310, 91, 812, 664, 163, 733, 496, 188, 282 ], 
  [ 90, 803, 583, 104, 202, 588, 635, 482, 782, 358, 447, 467, 323 ], [ 194, 228, 354, 483, 791, 439, 602, 374, 249, 561, 216, 696, 631 ], 
  [ 195, 237, 435, 611, 698, 604, 356, 492, 224, 768, 250, 570, 378 ], [ 196, 246, 516, 702, 613, 680, 766, 565, 234, 372, 240, 480, 773 ], 
  [ 197, 201, 597, 392, 573, 360, 438, 629, 212, 714, 226, 786, 493 ], [ 198, 210, 678, 793, 484, 764, 520, 720, 208, 624, 230, 390, 564 ], 
  [ 199, 219, 759, 574, 396, 519, 684, 775, 241, 489, 206, 606, 716 ], [ 204, 642, 554, 792, 475, 683, 757, 808, 619, 752, 754, 781, 376 ], 
  [ 217, 705, 712, 703, 622, 761, 511, 477, 737, 433, 350, 708, 721 ], [ 225, 777, 412, 609, 734, 442, 593, 617, 806, 592, 590, 644, 563 ], 
  [ 232, 408, 645, 572, 387, 357, 429, 386, 384, 348, 672, 559, 774 ], [ 242, 444, 449, 485, 809, 601, 347, 735, 478, 674, 514, 450, 494 ], 
  [ 248, 552, 783, 394, 528, 522, 675, 532, 531, 513, 432, 413, 627 ] ] ]:
`5,2` :=[ 31, ######## PGL(5,2) ########
[ [ 16, 24 ], [ 17, 25 ], [ 18, 26 ], [ 19, 27 ], [ 20, 28 ], [ 21, 29 ], [ 22, 30 ], [ 23, 31 ] ], 
[ [ 1, 2, 4, 8, 16 ], [ 3, 6, 12, 24, 17 ], [ 5, 10, 20, 9, 18 ], [ 7, 14, 28, 25, 19 ], [ 11, 22, 13, 26, 21 ], [ 15, 30, 29, 27, 23 ] ] ]:
`5,3` :=[ 121, ######## PGL(5,3) ########
[ [ 42, 43 ], [ 44, 47 ], [ 45, 49 ], [ 46, 48 ], [ 50, 59 ], [ 51, 61 ], [ 52, 60 ], [ 53, 65 ], [ 54, 67 ], [ 55, 66 ], [ 56, 62 ], [ 57, 64 ], 
  [ 58, 63 ], [ 68, 95 ], [ 69, 97 ], [ 70, 96 ], [ 71, 101 ], [ 72, 103 ], [ 73, 102 ], [ 74, 98 ], [ 75, 100 ], [ 76, 99 ], [ 77, 113 ], 
  [ 78, 115 ], [ 79, 114 ], [ 80, 119 ], [ 81, 121 ], [ 82, 120 ], [ 83, 116 ], [ 84, 118 ], [ 85, 117 ], [ 86, 104 ], [ 87, 106 ], [ 88, 105 ], 
  [ 89, 110 ], [ 90, 112 ], [ 91, 111 ], [ 92, 107 ], [ 93, 109 ], [ 94, 108 ] ], 
[ [ 1, 2, 5, 14, 41, 43, 49, 67, 121, 27, 80, 114, 21, 62, 106, 22, 65, 115, 18, 53, 79, 99, 10, 29, 86, 69, 48, 64, 112, 40, 119, 24, 71, 60, 100, 
      13, 38, 113, 15, 44, 52, 76, 54, 82, 117, 39, 116, 33, 98, 7, 20, 59, 97, 3, 8, 23, 68, 42, 46, 58, 94, 81, 120, 30, 89, 87, 75, 57, 91, 90, 
      93, 84, 111, 37, 110, 34, 101, 6, 17, 50, 70, 45, 55, 85, 108, 28, 83, 105, 19, 56, 88, 72, 66, 118, 36, 107, 25, 74, 51, 73, 63, 109, 31, 
      92, 78, 102, 12, 35, 104, 16, 47, 61, 103, 9, 26, 77, 96, 4, 11, 32, 95 ] ] ]:
`5,4` :=[ 341, ######## PGL(5,4) ########
[ [ 87, 89, 88 ], [ 90, 98, 94 ], [ 91, 101, 96 ], [ 92, 99, 97 ], [ 93, 100, 95 ], [ 102, 134, 118 ], [ 103, 137, 120 ], [ 104, 135, 121 ], 
  [ 105, 136, 119 ], [ 106, 146, 126 ], [ 107, 149, 128 ], [ 108, 147, 129 ], [ 109, 148, 127 ], [ 110, 138, 130 ], [ 111, 141, 132 ], 
  [ 112, 139, 133 ], [ 113, 140, 131 ], [ 114, 142, 122 ], [ 115, 145, 124 ], [ 116, 143, 125 ], [ 117, 144, 123 ], [ 150, 278, 214 ], 
  [ 151, 281, 216 ], [ 152, 279, 217 ], [ 153, 280, 215 ], [ 154, 290, 222 ], [ 155, 293, 224 ], [ 156, 291, 225 ], [ 157, 292, 223 ], 
  [ 158, 282, 226 ], [ 159, 285, 228 ], [ 160, 283, 229 ], [ 161, 284, 227 ], [ 162, 286, 218 ], [ 163, 289, 220 ], [ 164, 287, 221 ], 
  [ 165, 288, 219 ], [ 166, 326, 246 ], [ 167, 329, 248 ], [ 168, 327, 249 ], [ 169, 328, 247 ], [ 170, 338, 254 ], [ 171, 341, 256 ], 
  [ 172, 339, 257 ], [ 173, 340, 255 ], [ 174, 330, 258 ], [ 175, 333, 260 ], [ 176, 331, 261 ], [ 177, 332, 259 ], [ 178, 334, 250 ], 
  [ 179, 337, 252 ], [ 180, 335, 253 ], [ 181, 336, 251 ], [ 182, 294, 262 ], [ 183, 297, 264 ], [ 184, 295, 265 ], [ 185, 296, 263 ], 
  [ 186, 306, 270 ], [ 187, 309, 272 ], [ 188, 307, 273 ], [ 189, 308, 271 ], [ 190, 298, 274 ], [ 191, 301, 276 ], [ 192, 299, 277 ], 
  [ 193, 300, 275 ], [ 194, 302, 266 ], [ 195, 305, 268 ], [ 196, 303, 269 ], [ 197, 304, 267 ], [ 198, 310, 230 ], [ 199, 313, 232 ], 
  [ 200, 311, 233 ], [ 201, 312, 231 ], [ 202, 322, 238 ], [ 203, 325, 240 ], [ 204, 323, 241 ], [ 205, 324, 239 ], [ 206, 314, 242 ], 
  [ 207, 317, 244 ], [ 208, 315, 245 ], [ 209, 316, 243 ], [ 210, 318, 234 ], [ 211, 321, 236 ], [ 212, 319, 237 ], [ 213, 320, 235 ] ], 
[ [ 1, 2, 6, 22, 86, 87, 91, 107, 171, 43, 170, 39, 154, 7, 26, 102, 151, 3, 10, 38, 150 ], 
  [ 4, 14, 54, 214, 88, 95, 123, 235, 256, 340, 253, 316, 205, 60, 238, 264, 164, 20, 78, 310, 153 ], 
  [ 5, 18, 70, 278, 89, 99, 139, 299, 341, 257, 332, 269, 188, 77, 306, 313, 161, 17, 66, 262, 152 ], 
  [ 8, 30, 118, 215, 96, 127, 251, 320, 173, 51, 202, 56, 222, 136, 287, 117, 211, 48, 190, 41, 162 ], 
  [ 9, 34, 134, 279, 101, 147, 331, 277, 172, 47, 186, 73, 290, 121, 227, 112, 191, 53, 210, 40, 158 ], [ 11, 42, 166, 23, 90, 103, 155 ], 
  [ 12, 46, 182, 25, 98, 135, 283, 149, 339, 261, 300, 333, 273, 204, 68, 270, 200, 36, 142, 311, 165 ], 
  [ 13, 50, 198, 24, 94, 119, 219, 128, 255, 336, 237, 252, 324, 189, 81, 322, 185, 33, 130, 263, 160 ], 
  [ 15, 58, 230, 216, 100, 143, 315, 213, 44, 174, 55, 218, 120, 223, 144, 319, 181, 83, 330, 265, 156 ], 
  [ 16, 62, 246, 280, 93, 115, 203, 64, 254, 328, 221, 124, 239, 272, 212, 52, 206, 72, 286, 105, 163 ], 
  [ 19, 74, 294, 281, 97, 131, 267, 192, 45, 178, 71, 282, 137, 291, 133, 275, 176, 63, 250, 312, 157 ], 
  [ 21, 82, 326, 217, 92, 111, 187, 85, 338, 249, 284, 141, 307, 325, 193, 49, 194, 57, 226, 104, 159 ], [ 27, 106, 167 ], 
  [ 28, 110, 183, 37, 146, 327, 229, 108, 175, 59, 234, 248, 292, 125, 243, 240, 276, 180, 79, 314, 201 ], 
  [ 29, 114, 199, 32, 126, 247, 288, 109, 179, 75, 298, 329, 225, 140, 303, 309, 321, 177, 67, 266, 184 ], 
  [ 31, 122, 231, 224, 148, 335, 245, 236, 260, 308, 317, 209, 76, 302, 297, 289, 113, 195, 69, 274, 168 ], 
  [ 35, 138, 295, 293, 129, 259, 304, 301, 337, 241, 268, 196, 61, 242, 232, 228, 116, 207, 80, 318, 169 ], [ 65, 258, 296, 285, 145, 323, 197 ], 
  [ 84, 334, 233, 220, 132, 271, 208 ] ] ]:
`5,5` :=[ 781, ######## PGL(5,5) ########
[ [ 158, 161, 160, 159 ], [ 162, 177, 172, 167 ], [ 163, 181, 175, 169 ], [ 164, 178, 176, 170 ], [ 165, 179, 173, 171 ], [ 166, 180, 174, 168 ], 
  [ 182, 257, 232, 207 ], [ 183, 261, 235, 209 ], [ 184, 258, 236, 210 ], [ 185, 259, 233, 211 ], [ 186, 260, 234, 208 ], [ 187, 277, 247, 217 ], 
  [ 188, 281, 250, 219 ], [ 189, 278, 251, 220 ], [ 190, 279, 248, 221 ], [ 191, 280, 249, 218 ], [ 192, 262, 252, 222 ], [ 193, 266, 255, 224 ], 
  [ 194, 263, 256, 225 ], [ 195, 264, 253, 226 ], [ 196, 265, 254, 223 ], [ 197, 267, 237, 227 ], [ 198, 271, 240, 229 ], [ 199, 268, 241, 230 ], 
  [ 200, 269, 238, 231 ], [ 201, 270, 239, 228 ], [ 202, 272, 242, 212 ], [ 203, 276, 245, 214 ], [ 204, 273, 246, 215 ], [ 205, 274, 243, 216 ], 
  [ 206, 275, 244, 213 ], [ 282, 657, 532, 407 ], [ 283, 661, 535, 409 ], [ 284, 658, 536, 410 ], [ 285, 659, 533, 411 ], [ 286, 660, 534, 408 ], 
  [ 287, 677, 547, 417 ], [ 288, 681, 550, 419 ], [ 289, 678, 551, 420 ], [ 290, 679, 548, 421 ], [ 291, 680, 549, 418 ], [ 292, 662, 552, 422 ], 
  [ 293, 666, 555, 424 ], [ 294, 663, 556, 425 ], [ 295, 664, 553, 426 ], [ 296, 665, 554, 423 ], [ 297, 667, 537, 427 ], [ 298, 671, 540, 429 ], 
  [ 299, 668, 541, 430 ], [ 300, 669, 538, 431 ], [ 301, 670, 539, 428 ], [ 302, 672, 542, 412 ], [ 303, 676, 545, 414 ], [ 304, 673, 546, 415 ], 
  [ 305, 674, 543, 416 ], [ 306, 675, 544, 413 ], [ 307, 757, 607, 457 ], [ 308, 761, 610, 459 ], [ 309, 758, 611, 460 ], [ 310, 759, 608, 461 ], 
  [ 311, 760, 609, 458 ], [ 312, 777, 622, 467 ], [ 313, 781, 625, 469 ], [ 314, 778, 626, 470 ], [ 315, 779, 623, 471 ], [ 316, 780, 624, 468 ], 
  [ 317, 762, 627, 472 ], [ 318, 766, 630, 474 ], [ 319, 763, 631, 475 ], [ 320, 764, 628, 476 ], [ 321, 765, 629, 473 ], [ 322, 767, 612, 477 ], 
  [ 323, 771, 615, 479 ], [ 324, 768, 616, 480 ], [ 325, 769, 613, 481 ], [ 326, 770, 614, 478 ], [ 327, 772, 617, 462 ], [ 328, 776, 620, 464 ], 
  [ 329, 773, 621, 465 ], [ 330, 774, 618, 466 ], [ 331, 775, 619, 463 ], [ 332, 682, 632, 482 ], [ 333, 686, 635, 484 ], [ 334, 683, 636, 485 ], 
  [ 335, 684, 633, 486 ], [ 336, 685, 634, 483 ], [ 337, 702, 647, 492 ], [ 338, 706, 650, 494 ], [ 339, 703, 651, 495 ], [ 340, 704, 648, 496 ], 
  [ 341, 705, 649, 493 ], [ 342, 687, 652, 497 ], [ 343, 691, 655, 499 ], [ 344, 688, 656, 500 ], [ 345, 689, 653, 501 ], [ 346, 690, 654, 498 ], 
  [ 347, 692, 637, 502 ], [ 348, 696, 640, 504 ], [ 349, 693, 641, 505 ], [ 350, 694, 638, 506 ], [ 351, 695, 639, 503 ], [ 352, 697, 642, 487 ], 
  [ 353, 701, 645, 489 ], [ 354, 698, 646, 490 ], [ 355, 699, 643, 491 ], [ 356, 700, 644, 488 ], [ 357, 707, 557, 507 ], [ 358, 711, 560, 509 ], 
  [ 359, 708, 561, 510 ], [ 360, 709, 558, 511 ], [ 361, 710, 559, 508 ], [ 362, 727, 572, 517 ], [ 363, 731, 575, 519 ], [ 364, 728, 576, 520 ], 
  [ 365, 729, 573, 521 ], [ 366, 730, 574, 518 ], [ 367, 712, 577, 522 ], [ 368, 716, 580, 524 ], [ 369, 713, 581, 525 ], [ 370, 714, 578, 526 ], 
  [ 371, 715, 579, 523 ], [ 372, 717, 562, 527 ], [ 373, 721, 565, 529 ], [ 374, 718, 566, 530 ], [ 375, 719, 563, 531 ], [ 376, 720, 564, 528 ], 
  [ 377, 722, 567, 512 ], [ 378, 726, 570, 514 ], [ 379, 723, 571, 515 ], [ 380, 724, 568, 516 ], [ 381, 725, 569, 513 ], [ 382, 732, 582, 432 ], 
  [ 383, 736, 585, 434 ], [ 384, 733, 586, 435 ], [ 385, 734, 583, 436 ], [ 386, 735, 584, 433 ], [ 387, 752, 597, 442 ], [ 388, 756, 600, 444 ], 
  [ 389, 753, 601, 445 ], [ 390, 754, 598, 446 ], [ 391, 755, 599, 443 ], [ 392, 737, 602, 447 ], [ 393, 741, 605, 449 ], [ 394, 738, 606, 450 ], 
  [ 395, 739, 603, 451 ], [ 396, 740, 604, 448 ], [ 397, 742, 587, 452 ], [ 398, 746, 590, 454 ], [ 399, 743, 591, 455 ], [ 400, 744, 588, 456 ], 
  [ 401, 745, 589, 453 ], [ 402, 747, 592, 437 ], [ 403, 751, 595, 439 ], [ 404, 748, 596, 440 ], [ 405, 749, 593, 441 ], [ 406, 750, 594, 438 ] ], 
[ [ 1, 2, 7, 32, 157, 160, 175, 250, 625, 63, 312, 759, 428, 196, 355, 369, 439, 476, 641, 91, 452, 436, 416, 216, 455, 456, 441, 466, 591, 149, 
      742, 383, 554, 26, 127, 632, 36, 177, 260, 675, 188, 315, 769, 528, 321, 699, 578, 140, 697, 558, 40, 197, 360, 419, 251, 630, 88, 437, 461, 
      541, 30, 147, 732, 283, 179, 270, 725, 688, 623, 73, 362, 509, 301, 224, 495, 756, 343, 329, 739, 378, 504, 701, 568, 90, 447, 511, 291, 274, 
      745, 388, 654, 76, 377, 484, 676, 193, 340, 394, 564, 70, 347, 334, 289, 264, 695, 638, 96, 477, 561, 55, 272, 735, 288, 279, 770, 513, 346, 
      324, 714, 753, 348, 354, 364, 514, 351, 349, 339, 389, 639, 101, 502, 686, 543, 29, 142, 707, 658, 173, 240, 575, 125, 622, 58, 287, 259, 
      670, 263, 690, 613, 123, 612, 108, 537, 10, 47, 232, 535, 3, 12, 57, 282, 159, 170, 225, 500, 781, 468, 621, 143, 712, 733, 298, 229, 520, 
      381, 499, 776, 443, 496, 741, 368, 454, 451, 516, 341, 399, 589, 139, 692, 633, 46, 227, 510, 306, 249, 620, 138, 687, 608, 48, 237, 560, 50, 
      247, 610, 38, 187, 310, 669, 278, 765, 488, 721, 768, 523, 396, 574, 120, 597, 84, 417, 236, 555, 31, 152, 757, 408, 171, 230, 525, 406, 624, 
      78, 387, 634, 51, 252, 635, 56, 277, 760, 413, 221, 480, 581, 155, 772, 433, 421, 241, 580, 150, 747, 308, 679, 228, 515, 356, 374, 464, 601, 
      99, 492, 736, 293, 204, 395, 569, 95, 472, 636, 41, 202, 385, 544, 14, 67, 332, 284, 164, 195, 350, 344, 314, 764, 503, 696, 643, 121, 602, 
      109, 542, 9, 42, 207, 410, 181, 280, 775, 438, 471, 616, 118, 587, 134, 667, 258, 665, 238, 565, 75, 372, 459, 551, 18, 87, 432, 411, 166, 
      205, 400, 594, 64, 317, 684, 553, 21, 102, 507, 286, 174, 245, 600, 94, 467, 611, 43, 212, 435, 431, 191, 330, 744, 403, 629, 103, 512, 336, 
      299, 214, 445, 506, 691, 618, 148, 737, 358, 429, 201, 380, 494, 751, 318, 704, 603, 129, 642, 111, 552, 11, 52, 257, 660, 163, 190, 325, 
      719, 778, 473, 646, 116, 577, 135, 672, 183, 290, 269, 720, 763, 498, 771, 518, 371, 449, 526, 391, 649, 151, 752, 333, 304, 239, 570, 100, 
      497, 761, 418, 246, 605, 119, 592, 59, 292, 184, 295, 194, 345, 319, 689, 628, 98, 487, 711, 668, 273, 740, 363, 529, 326, 724, 703, 598, 
      104, 517, 361, 424, 276, 755, 338, 404, 614, 128, 637, 86, 427, 186, 305, 244, 595, 69, 342, 309, 664, 253, 640, 106, 527, 311, 674, 203, 
      390, 644, 126, 627, 83, 412, 211, 430, 206, 405, 619, 153, 762, 483, 671, 268, 715, 738, 373, 479, 576, 130, 647, 136, 677, 208, 415, 231, 
      530, 331, 749, 328, 754, 353, 379, 489, 726, 693, 648, 146, 727, 708, 673, 198, 365, 519, 376, 474, 651, 141, 702, 583, 54, 267, 710, 663, 
      248, 615, 113, 562, 60, 297, 209, 420, 256, 655, 81, 402, 609, 53, 262, 685, 538, 15, 72, 357, 409, 176, 255, 650, 156, 777, 458, 546, 24, 
      117, 582, 34, 167, 210, 425, 281, 780, 463, 596, 74, 367, 434, 426, 266, 705, 588, 154, 767, 508, 296, 199, 370, 444, 501, 766, 493, 746, 
      393, 579, 145, 722, 683, 548, 23, 112, 557, 35, 172, 235, 550, 13, 62, 307, 659, 178, 265, 700, 563, 65, 322, 709, 678, 223, 490, 731, 718, 
      773, 448, 521, 366, 524, 401, 599, 89, 442, 486, 666, 243, 590, 144, 717, 758, 423, 271, 730, 713, 748, 323, 729, 728, 723, 698, 573, 115, 
      572, 110, 547, 8, 37, 182, 285, 169, 220, 475, 656, 66, 327, 734, 303, 254, 645, 131, 652, 61, 302, 234, 545, 19, 92, 457, 536, 6, 27, 132, 
      657, 158, 165, 200, 375, 469, 626, 68, 337, 384, 539, 20, 97, 482, 661, 168, 215, 450, 531, 316, 774, 453, 446, 491, 716, 743, 398, 604, 114, 
      567, 85, 422, 261, 680, 213, 440, 481, 566, 80, 397, 584, 39, 192, 335, 294, 189, 320, 694, 653, 71, 352, 359, 414, 226, 505, 706, 593, 79, 
      392, 559, 45, 222, 485, 681, 218, 465, 606, 124, 617, 133, 662, 233, 540, 25, 122, 607, 33, 162, 185, 300, 219, 470, 631, 93, 462, 586, 49, 
      242, 585, 44, 217, 460, 556, 16, 77, 382, 534, 4, 17, 82, 407, 161, 180, 275, 750, 313, 779, 478, 571, 105, 522, 386, 549, 28, 137, 682, 533, 
      5, 22, 107, 532 ] ] ]:
`6,2` :=[ 63, ######## PGL(6,2) ########
[ [ 32, 48 ], [ 33, 49 ], [ 34, 50 ], [ 35, 51 ], [ 36, 52 ], [ 37, 53 ], [ 38, 54 ], [ 39, 55 ], [ 40, 56 ], [ 41, 57 ], [ 42, 58 ], [ 43, 59 ], 
  [ 44, 60 ], [ 45, 61 ], [ 46, 62 ], [ 47, 63 ] ], 
[ [ 1, 2, 4, 8, 16, 32 ], [ 3, 6, 12, 24, 48, 33 ], [ 5, 10, 20, 40, 17, 34 ], [ 7, 14, 28, 56, 49, 35 ], [ 9, 18, 36 ], [ 11, 22, 44, 25, 50, 37 ],
  [ 13, 26, 52, 41, 19, 38 ], [ 15, 30, 60, 57, 51, 39 ], [ 21, 42 ], [ 23, 46, 29, 58, 53, 43 ], [ 27, 54, 45 ], [ 31, 62, 61, 59, 55, 47 ] ] ]:
`7,2` :=[ 127, ######## PGL(7,2) ########
[ [ 64, 96 ], [ 65, 97 ], [ 66, 98 ], [ 67, 99 ], [ 68, 100 ], [ 69, 101 ], [ 70, 102 ], [ 71, 103 ], [ 72, 104 ], [ 73, 105 ], [ 74, 106 ], 
  [ 75, 107 ], [ 76, 108 ], [ 77, 109 ], [ 78, 110 ], [ 79, 111 ], [ 80, 112 ], [ 81, 113 ], [ 82, 114 ], [ 83, 115 ], [ 84, 116 ], [ 85, 117 ], 
  [ 86, 118 ], [ 87, 119 ], [ 88, 120 ], [ 89, 121 ], [ 90, 122 ], [ 91, 123 ], [ 92, 124 ], [ 93, 125 ], [ 94, 126 ], [ 95, 127 ] ], 
[ [ 1, 2, 4, 8, 16, 32, 64 ], [ 3, 6, 12, 24, 48, 96, 65 ], [ 5, 10, 20, 40, 80, 33, 66 ], [ 7, 14, 28, 56, 112, 97, 67 ], 
  [ 9, 18, 36, 72, 17, 34, 68 ], [ 11, 22, 44, 88, 49, 98, 69 ], [ 13, 26, 52, 104, 81, 35, 70 ], [ 15, 30, 60, 120, 113, 99, 71 ], 
  [ 19, 38, 76, 25, 50, 100, 73 ], [ 21, 42, 84, 41, 82, 37, 74 ], [ 23, 46, 92, 57, 114, 101, 75 ], [ 27, 54, 108, 89, 51, 102, 77 ], 
  [ 29, 58, 116, 105, 83, 39, 78 ], [ 31, 62, 124, 121, 115, 103, 79 ], [ 43, 86, 45, 90, 53, 106, 85 ], [ 47, 94, 61, 122, 117, 107, 87 ], 
  [ 55, 110, 93, 59, 118, 109, 91 ], [ 63, 126, 125, 123, 119, 111, 95 ] ] ]:
`8,2` :=[ 255, ######## PGL(8,2) ########
[ [ 128, 192 ], [ 129, 193 ], [ 130, 194 ], [ 131, 195 ], [ 132, 196 ], [ 133, 197 ], [ 134, 198 ], [ 135, 199 ], [ 136, 200 ], [ 137, 201 ], 
  [ 138, 202 ], [ 139, 203 ], [ 140, 204 ], [ 141, 205 ], [ 142, 206 ], [ 143, 207 ], [ 144, 208 ], [ 145, 209 ], [ 146, 210 ], [ 147, 211 ], 
  [ 148, 212 ], [ 149, 213 ], [ 150, 214 ], [ 151, 215 ], [ 152, 216 ], [ 153, 217 ], [ 154, 218 ], [ 155, 219 ], [ 156, 220 ], [ 157, 221 ], 
  [ 158, 222 ], [ 159, 223 ], [ 160, 224 ], [ 161, 225 ], [ 162, 226 ], [ 163, 227 ], [ 164, 228 ], [ 165, 229 ], [ 166, 230 ], [ 167, 231 ], 
  [ 168, 232 ], [ 169, 233 ], [ 170, 234 ], [ 171, 235 ], [ 172, 236 ], [ 173, 237 ], [ 174, 238 ], [ 175, 239 ], [ 176, 240 ], [ 177, 241 ], 
  [ 178, 242 ], [ 179, 243 ], [ 180, 244 ], [ 181, 245 ], [ 182, 246 ], [ 183, 247 ], [ 184, 248 ], [ 185, 249 ], [ 186, 250 ], [ 187, 251 ], 
  [ 188, 252 ], [ 189, 253 ], [ 190, 254 ], [ 191, 255 ] ], 
[ [ 1, 2, 4, 8, 16, 32, 64, 128 ], [ 3, 6, 12, 24, 48, 96, 192, 129 ], [ 5, 10, 20, 40, 80, 160, 65, 130 ], [ 7, 14, 28, 56, 112, 224, 193, 131 ], 
  [ 9, 18, 36, 72, 144, 33, 66, 132 ], [ 11, 22, 44, 88, 176, 97, 194, 133 ], [ 13, 26, 52, 104, 208, 161, 67, 134 ], 
  [ 15, 30, 60, 120, 240, 225, 195, 135 ], [ 17, 34, 68, 136 ], [ 19, 38, 76, 152, 49, 98, 196, 137 ], [ 21, 42, 84, 168, 81, 162, 69, 138 ], 
  [ 23, 46, 92, 184, 113, 226, 197, 139 ], [ 25, 50, 100, 200, 145, 35, 70, 140 ], [ 27, 54, 108, 216, 177, 99, 198, 141 ], 
  [ 29, 58, 116, 232, 209, 163, 71, 142 ], [ 31, 62, 124, 248, 241, 227, 199, 143 ], [ 37, 74, 148, 41, 82, 164, 73, 146 ], 
  [ 39, 78, 156, 57, 114, 228, 201, 147 ], [ 43, 86, 172, 89, 178, 101, 202, 149 ], [ 45, 90, 180, 105, 210, 165, 75, 150 ], 
  [ 47, 94, 188, 121, 242, 229, 203, 151 ], [ 51, 102, 204, 153 ], [ 53, 106, 212, 169, 83, 166, 77, 154 ], 
  [ 55, 110, 220, 185, 115, 230, 205, 155 ], [ 59, 118, 236, 217, 179, 103, 206, 157 ], [ 61, 122, 244, 233, 211, 167, 79, 158 ], 
  [ 63, 126, 252, 249, 243, 231, 207, 159 ], [ 85, 170 ], [ 87, 174, 93, 186, 117, 234, 213, 171 ], [ 91, 182, 109, 218, 181, 107, 214, 173 ], 
  [ 95, 190, 125, 250, 245, 235, 215, 175 ], [ 111, 222, 189, 123, 246, 237, 219, 183 ], [ 119, 238, 221, 187 ], 
  [ 127, 254, 253, 251, 247, 239, 223, 191 ] ] ]:
`9,2` :=[ 511, ######## PGL(9,2) ########
[ [ 256, 384 ], [ 257, 385 ], [ 258, 386 ], [ 259, 387 ], [ 260, 388 ], [ 261, 389 ], [ 262, 390 ], [ 263, 391 ], [ 264, 392 ], [ 265, 393 ], 
  [ 266, 394 ], [ 267, 395 ], [ 268, 396 ], [ 269, 397 ], [ 270, 398 ], [ 271, 399 ], [ 272, 400 ], [ 273, 401 ], [ 274, 402 ], [ 275, 403 ], 
  [ 276, 404 ], [ 277, 405 ], [ 278, 406 ], [ 279, 407 ], [ 280, 408 ], [ 281, 409 ], [ 282, 410 ], [ 283, 411 ], [ 284, 412 ], [ 285, 413 ], 
  [ 286, 414 ], [ 287, 415 ], [ 288, 416 ], [ 289, 417 ], [ 290, 418 ], [ 291, 419 ], [ 292, 420 ], [ 293, 421 ], [ 294, 422 ], [ 295, 423 ], 
  [ 296, 424 ], [ 297, 425 ], [ 298, 426 ], [ 299, 427 ], [ 300, 428 ], [ 301, 429 ], [ 302, 430 ], [ 303, 431 ], [ 304, 432 ], [ 305, 433 ], 
  [ 306, 434 ], [ 307, 435 ], [ 308, 436 ], [ 309, 437 ], [ 310, 438 ], [ 311, 439 ], [ 312, 440 ], [ 313, 441 ], [ 314, 442 ], [ 315, 443 ], 
  [ 316, 444 ], [ 317, 445 ], [ 318, 446 ], [ 319, 447 ], [ 320, 448 ], [ 321, 449 ], [ 322, 450 ], [ 323, 451 ], [ 324, 452 ], [ 325, 453 ], 
  [ 326, 454 ], [ 327, 455 ], [ 328, 456 ], [ 329, 457 ], [ 330, 458 ], [ 331, 459 ], [ 332, 460 ], [ 333, 461 ], [ 334, 462 ], [ 335, 463 ], 
  [ 336, 464 ], [ 337, 465 ], [ 338, 466 ], [ 339, 467 ], [ 340, 468 ], [ 341, 469 ], [ 342, 470 ], [ 343, 471 ], [ 344, 472 ], [ 345, 473 ], 
  [ 346, 474 ], [ 347, 475 ], [ 348, 476 ], [ 349, 477 ], [ 350, 478 ], [ 351, 479 ], [ 352, 480 ], [ 353, 481 ], [ 354, 482 ], [ 355, 483 ], 
  [ 356, 484 ], [ 357, 485 ], [ 358, 486 ], [ 359, 487 ], [ 360, 488 ], [ 361, 489 ], [ 362, 490 ], [ 363, 491 ], [ 364, 492 ], [ 365, 493 ], 
  [ 366, 494 ], [ 367, 495 ], [ 368, 496 ], [ 369, 497 ], [ 370, 498 ], [ 371, 499 ], [ 372, 500 ], [ 373, 501 ], [ 374, 502 ], [ 375, 503 ], 
  [ 376, 504 ], [ 377, 505 ], [ 378, 506 ], [ 379, 507 ], [ 380, 508 ], [ 381, 509 ], [ 382, 510 ], [ 383, 511 ] ], 
[ [ 1, 2, 4, 8, 16, 32, 64, 128, 256 ], [ 3, 6, 12, 24, 48, 96, 192, 384, 257 ], [ 5, 10, 20, 40, 80, 160, 320, 129, 258 ], 
  [ 7, 14, 28, 56, 112, 224, 448, 385, 259 ], [ 9, 18, 36, 72, 144, 288, 65, 130, 260 ], [ 11, 22, 44, 88, 176, 352, 193, 386, 261 ], 
  [ 13, 26, 52, 104, 208, 416, 321, 131, 262 ], [ 15, 30, 60, 120, 240, 480, 449, 387, 263 ], [ 17, 34, 68, 136, 272, 33, 66, 132, 264 ], 
  [ 19, 38, 76, 152, 304, 97, 194, 388, 265 ], [ 21, 42, 84, 168, 336, 161, 322, 133, 266 ], [ 23, 46, 92, 184, 368, 225, 450, 389, 267 ], 
  [ 25, 50, 100, 200, 400, 289, 67, 134, 268 ], [ 27, 54, 108, 216, 432, 353, 195, 390, 269 ], [ 29, 58, 116, 232, 464, 417, 323, 135, 270 ], 
  [ 31, 62, 124, 248, 496, 481, 451, 391, 271 ], [ 35, 70, 140, 280, 49, 98, 196, 392, 273 ], [ 37, 74, 148, 296, 81, 162, 324, 137, 274 ], 
  [ 39, 78, 156, 312, 113, 226, 452, 393, 275 ], [ 41, 82, 164, 328, 145, 290, 69, 138, 276 ], [ 43, 86, 172, 344, 177, 354, 197, 394, 277 ], 
  [ 45, 90, 180, 360, 209, 418, 325, 139, 278 ], [ 47, 94, 188, 376, 241, 482, 453, 395, 279 ], [ 51, 102, 204, 408, 305, 99, 198, 396, 281 ], 
  [ 53, 106, 212, 424, 337, 163, 326, 141, 282 ], [ 55, 110, 220, 440, 369, 227, 454, 397, 283 ], [ 57, 114, 228, 456, 401, 291, 71, 142, 284 ], 
  [ 59, 118, 236, 472, 433, 355, 199, 398, 285 ], [ 61, 122, 244, 488, 465, 419, 327, 143, 286 ], [ 63, 126, 252, 504, 497, 483, 455, 399, 287 ], 
  [ 73, 146, 292 ], [ 75, 150, 300, 89, 178, 356, 201, 402, 293 ], [ 77, 154, 308, 105, 210, 420, 329, 147, 294 ], 
  [ 79, 158, 316, 121, 242, 484, 457, 403, 295 ], [ 83, 166, 332, 153, 306, 101, 202, 404, 297 ], [ 85, 170, 340, 169, 338, 165, 330, 149, 298 ], 
  [ 87, 174, 348, 185, 370, 229, 458, 405, 299 ], [ 91, 182, 364, 217, 434, 357, 203, 406, 301 ], [ 93, 186, 372, 233, 466, 421, 331, 151, 302 ], 
  [ 95, 190, 380, 249, 498, 485, 459, 407, 303 ], [ 103, 206, 412, 313, 115, 230, 460, 409, 307 ], [ 107, 214, 428, 345, 179, 358, 205, 410, 309 ], 
  [ 109, 218, 436, 361, 211, 422, 333, 155, 310 ], [ 111, 222, 444, 377, 243, 486, 461, 411, 311 ], [ 117, 234, 468, 425, 339, 167, 334, 157, 314 ],
  [ 119, 238, 476, 441, 371, 231, 462, 413, 315 ], [ 123, 246, 492, 473, 435, 359, 207, 414, 317 ], [ 125, 250, 500, 489, 467, 423, 335, 159, 318 ],
  [ 127, 254, 508, 505, 499, 487, 463, 415, 319 ], [ 171, 342, 173, 346, 181, 362, 213, 426, 341 ], [ 175, 350, 189, 378, 245, 490, 469, 427, 343 ],
  [ 183, 366, 221, 442, 373, 235, 470, 429, 347 ], [ 187, 374, 237, 474, 437, 363, 215, 430, 349 ], [ 191, 382, 253, 506, 501, 491, 471, 431, 351 ],
  [ 219, 438, 365 ], [ 223, 446, 381, 251, 502, 493, 475, 439, 367 ], [ 239, 478, 445, 379, 247, 494, 477, 443, 375 ], 
  [ 255, 510, 509, 507, 503, 495, 479, 447, 383 ] ] ]:
`10,2` :=[ 1023, ######## PGL(10,2) ########
[ [ 512, 768 ], [ 513, 769 ], [ 514, 770 ], [ 515, 771 ], [ 516, 772 ], [ 517, 773 ], [ 518, 774 ], [ 519, 775 ], [ 520, 776 ], [ 521, 777 ], 
  [ 522, 778 ], [ 523, 779 ], [ 524, 780 ], [ 525, 781 ], [ 526, 782 ], [ 527, 783 ], [ 528, 784 ], [ 529, 785 ], [ 530, 786 ], [ 531, 787 ], 
  [ 532, 788 ], [ 533, 789 ], [ 534, 790 ], [ 535, 791 ], [ 536, 792 ], [ 537, 793 ], [ 538, 794 ], [ 539, 795 ], [ 540, 796 ], [ 541, 797 ], 
  [ 542, 798 ], [ 543, 799 ], [ 544, 800 ], [ 545, 801 ], [ 546, 802 ], [ 547, 803 ], [ 548, 804 ], [ 549, 805 ], [ 550, 806 ], [ 551, 807 ], 
  [ 552, 808 ], [ 553, 809 ], [ 554, 810 ], [ 555, 811 ], [ 556, 812 ], [ 557, 813 ], [ 558, 814 ], [ 559, 815 ], [ 560, 816 ], [ 561, 817 ], 
  [ 562, 818 ], [ 563, 819 ], [ 564, 820 ], [ 565, 821 ], [ 566, 822 ], [ 567, 823 ], [ 568, 824 ], [ 569, 825 ], [ 570, 826 ], [ 571, 827 ], 
  [ 572, 828 ], [ 573, 829 ], [ 574, 830 ], [ 575, 831 ], [ 576, 832 ], [ 577, 833 ], [ 578, 834 ], [ 579, 835 ], [ 580, 836 ], [ 581, 837 ], 
  [ 582, 838 ], [ 583, 839 ], [ 584, 840 ], [ 585, 841 ], [ 586, 842 ], [ 587, 843 ], [ 588, 844 ], [ 589, 845 ], [ 590, 846 ], [ 591, 847 ], 
  [ 592, 848 ], [ 593, 849 ], [ 594, 850 ], [ 595, 851 ], [ 596, 852 ], [ 597, 853 ], [ 598, 854 ], [ 599, 855 ], [ 600, 856 ], [ 601, 857 ], 
  [ 602, 858 ], [ 603, 859 ], [ 604, 860 ], [ 605, 861 ], [ 606, 862 ], [ 607, 863 ], [ 608, 864 ], [ 609, 865 ], [ 610, 866 ], [ 611, 867 ], 
  [ 612, 868 ], [ 613, 869 ], [ 614, 870 ], [ 615, 871 ], [ 616, 872 ], [ 617, 873 ], [ 618, 874 ], [ 619, 875 ], [ 620, 876 ], [ 621, 877 ], 
  [ 622, 878 ], [ 623, 879 ], [ 624, 880 ], [ 625, 881 ], [ 626, 882 ], [ 627, 883 ], [ 628, 884 ], [ 629, 885 ], [ 630, 886 ], [ 631, 887 ], 
  [ 632, 888 ], [ 633, 889 ], [ 634, 890 ], [ 635, 891 ], [ 636, 892 ], [ 637, 893 ], [ 638, 894 ], [ 639, 895 ], [ 640, 896 ], [ 641, 897 ], 
  [ 642, 898 ], [ 643, 899 ], [ 644, 900 ], [ 645, 901 ], [ 646, 902 ], [ 647, 903 ], [ 648, 904 ], [ 649, 905 ], [ 650, 906 ], [ 651, 907 ], 
  [ 652, 908 ], [ 653, 909 ], [ 654, 910 ], [ 655, 911 ], [ 656, 912 ], [ 657, 913 ], [ 658, 914 ], [ 659, 915 ], [ 660, 916 ], [ 661, 917 ], 
  [ 662, 918 ], [ 663, 919 ], [ 664, 920 ], [ 665, 921 ], [ 666, 922 ], [ 667, 923 ], [ 668, 924 ], [ 669, 925 ], [ 670, 926 ], [ 671, 927 ], 
  [ 672, 928 ], [ 673, 929 ], [ 674, 930 ], [ 675, 931 ], [ 676, 932 ], [ 677, 933 ], [ 678, 934 ], [ 679, 935 ], [ 680, 936 ], [ 681, 937 ], 
  [ 682, 938 ], [ 683, 939 ], [ 684, 940 ], [ 685, 941 ], [ 686, 942 ], [ 687, 943 ], [ 688, 944 ], [ 689, 945 ], [ 690, 946 ], [ 691, 947 ], 
  [ 692, 948 ], [ 693, 949 ], [ 694, 950 ], [ 695, 951 ], [ 696, 952 ], [ 697, 953 ], [ 698, 954 ], [ 699, 955 ], [ 700, 956 ], [ 701, 957 ], 
  [ 702, 958 ], [ 703, 959 ], [ 704, 960 ], [ 705, 961 ], [ 706, 962 ], [ 707, 963 ], [ 708, 964 ], [ 709, 965 ], [ 710, 966 ], [ 711, 967 ], 
  [ 712, 968 ], [ 713, 969 ], [ 714, 970 ], [ 715, 971 ], [ 716, 972 ], [ 717, 973 ], [ 718, 974 ], [ 719, 975 ], [ 720, 976 ], [ 721, 977 ], 
  [ 722, 978 ], [ 723, 979 ], [ 724, 980 ], [ 725, 981 ], [ 726, 982 ], [ 727, 983 ], [ 728, 984 ], [ 729, 985 ], [ 730, 986 ], [ 731, 987 ], 
  [ 732, 988 ], [ 733, 989 ], [ 734, 990 ], [ 735, 991 ], [ 736, 992 ], [ 737, 993 ], [ 738, 994 ], [ 739, 995 ], [ 740, 996 ], [ 741, 997 ], 
  [ 742, 998 ], [ 743, 999 ], [ 744, 1000 ], [ 745, 1001 ], [ 746, 1002 ], [ 747, 1003 ], [ 748, 1004 ], [ 749, 1005 ], [ 750, 1006 ], 
  [ 751, 1007 ], [ 752, 1008 ], [ 753, 1009 ], [ 754, 1010 ], [ 755, 1011 ], [ 756, 1012 ], [ 757, 1013 ], [ 758, 1014 ], [ 759, 1015 ], 
  [ 760, 1016 ], [ 761, 1017 ], [ 762, 1018 ], [ 763, 1019 ], [ 764, 1020 ], [ 765, 1021 ], [ 766, 1022 ], [ 767, 1023 ] ], 
[ [ 1, 2, 4, 8, 16, 32, 64, 128, 256, 512 ], [ 3, 6, 12, 24, 48, 96, 192, 384, 768, 513 ], [ 5, 10, 20, 40, 80, 160, 320, 640, 257, 514 ], 
  [ 7, 14, 28, 56, 112, 224, 448, 896, 769, 515 ], [ 9, 18, 36, 72, 144, 288, 576, 129, 258, 516 ], [ 11, 22, 44, 88, 176, 352, 704, 385, 770, 517 ]
    , [ 13, 26, 52, 104, 208, 416, 832, 641, 259, 518 ], [ 15, 30, 60, 120, 240, 480, 960, 897, 771, 519 ], 
  [ 17, 34, 68, 136, 272, 544, 65, 130, 260, 520 ], [ 19, 38, 76, 152, 304, 608, 193, 386, 772, 521 ], 
  [ 21, 42, 84, 168, 336, 672, 321, 642, 261, 522 ], [ 23, 46, 92, 184, 368, 736, 449, 898, 773, 523 ], 
  [ 25, 50, 100, 200, 400, 800, 577, 131, 262, 524 ], [ 27, 54, 108, 216, 432, 864, 705, 387, 774, 525 ], 
  [ 29, 58, 116, 232, 464, 928, 833, 643, 263, 526 ], [ 31, 62, 124, 248, 496, 992, 961, 899, 775, 527 ], [ 33, 66, 132, 264, 528 ], 
  [ 35, 70, 140, 280, 560, 97, 194, 388, 776, 529 ], [ 37, 74, 148, 296, 592, 161, 322, 644, 265, 530 ], 
  [ 39, 78, 156, 312, 624, 225, 450, 900, 777, 531 ], [ 41, 82, 164, 328, 656, 289, 578, 133, 266, 532 ], 
  [ 43, 86, 172, 344, 688, 353, 706, 389, 778, 533 ], [ 45, 90, 180, 360, 720, 417, 834, 645, 267, 534 ], 
  [ 47, 94, 188, 376, 752, 481, 962, 901, 779, 535 ], [ 49, 98, 196, 392, 784, 545, 67, 134, 268, 536 ], 
  [ 51, 102, 204, 408, 816, 609, 195, 390, 780, 537 ], [ 53, 106, 212, 424, 848, 673, 323, 646, 269, 538 ], 
  [ 55, 110, 220, 440, 880, 737, 451, 902, 781, 539 ], [ 57, 114, 228, 456, 912, 801, 579, 135, 270, 540 ], 
  [ 59, 118, 236, 472, 944, 865, 707, 391, 782, 541 ], [ 61, 122, 244, 488, 976, 929, 835, 647, 271, 542 ], 
  [ 63, 126, 252, 504, 1008, 993, 963, 903, 783, 543 ], [ 69, 138, 276, 552, 81, 162, 324, 648, 273, 546 ], 
  [ 71, 142, 284, 568, 113, 226, 452, 904, 785, 547 ], [ 73, 146, 292, 584, 145, 290, 580, 137, 274, 548 ], 
  [ 75, 150, 300, 600, 177, 354, 708, 393, 786, 549 ], [ 77, 154, 308, 616, 209, 418, 836, 649, 275, 550 ], 
  [ 79, 158, 316, 632, 241, 482, 964, 905, 787, 551 ], [ 83, 166, 332, 664, 305, 610, 197, 394, 788, 553 ], 
  [ 85, 170, 340, 680, 337, 674, 325, 650, 277, 554 ], [ 87, 174, 348, 696, 369, 738, 453, 906, 789, 555 ], 
  [ 89, 178, 356, 712, 401, 802, 581, 139, 278, 556 ], [ 91, 182, 364, 728, 433, 866, 709, 395, 790, 557 ], 
  [ 93, 186, 372, 744, 465, 930, 837, 651, 279, 558 ], [ 95, 190, 380, 760, 497, 994, 965, 907, 791, 559 ], [ 99, 198, 396, 792, 561 ], 
  [ 101, 202, 404, 808, 593, 163, 326, 652, 281, 562 ], [ 103, 206, 412, 824, 625, 227, 454, 908, 793, 563 ], 
  [ 105, 210, 420, 840, 657, 291, 582, 141, 282, 564 ], [ 107, 214, 428, 856, 689, 355, 710, 397, 794, 565 ], 
  [ 109, 218, 436, 872, 721, 419, 838, 653, 283, 566 ], [ 111, 222, 444, 888, 753, 483, 966, 909, 795, 567 ], 
  [ 115, 230, 460, 920, 817, 611, 199, 398, 796, 569 ], [ 117, 234, 468, 936, 849, 675, 327, 654, 285, 570 ], 
  [ 119, 238, 476, 952, 881, 739, 455, 910, 797, 571 ], [ 121, 242, 484, 968, 913, 803, 583, 143, 286, 572 ], 
  [ 123, 246, 492, 984, 945, 867, 711, 399, 798, 573 ], [ 125, 250, 500, 1000, 977, 931, 839, 655, 287, 574 ], 
  [ 127, 254, 508, 1016, 1009, 995, 967, 911, 799, 575 ], [ 147, 294, 588, 153, 306, 612, 201, 402, 804, 585 ], 
  [ 149, 298, 596, 169, 338, 676, 329, 658, 293, 586 ], [ 151, 302, 604, 185, 370, 740, 457, 914, 805, 587 ], 
  [ 155, 310, 620, 217, 434, 868, 713, 403, 806, 589 ], [ 157, 314, 628, 233, 466, 932, 841, 659, 295, 590 ], 
  [ 159, 318, 636, 249, 498, 996, 969, 915, 807, 591 ], [ 165, 330, 660, 297, 594 ], [ 167, 334, 668, 313, 626, 229, 458, 916, 809, 595 ], 
  [ 171, 342, 684, 345, 690, 357, 714, 405, 810, 597 ], [ 173, 346, 692, 361, 722, 421, 842, 661, 299, 598 ], 
  [ 175, 350, 700, 377, 754, 485, 970, 917, 811, 599 ], [ 179, 358, 716, 409, 818, 613, 203, 406, 812, 601 ], 
  [ 181, 362, 724, 425, 850, 677, 331, 662, 301, 602 ], [ 183, 366, 732, 441, 882, 741, 459, 918, 813, 603 ], 
  [ 187, 374, 748, 473, 946, 869, 715, 407, 814, 605 ], [ 189, 378, 756, 489, 978, 933, 843, 663, 303, 606 ], 
  [ 191, 382, 764, 505, 1010, 997, 971, 919, 815, 607 ], [ 205, 410, 820, 617, 211, 422, 844, 665, 307, 614 ], 
  [ 207, 414, 828, 633, 243, 486, 972, 921, 819, 615 ], [ 213, 426, 852, 681, 339, 678, 333, 666, 309, 618 ], 
  [ 215, 430, 860, 697, 371, 742, 461, 922, 821, 619 ], [ 219, 438, 876, 729, 435, 870, 717, 411, 822, 621 ], 
  [ 221, 442, 884, 745, 467, 934, 845, 667, 311, 622 ], [ 223, 446, 892, 761, 499, 998, 973, 923, 823, 623 ], [ 231, 462, 924, 825, 627 ], 
  [ 235, 470, 940, 857, 691, 359, 718, 413, 826, 629 ], [ 237, 474, 948, 873, 723, 423, 846, 669, 315, 630 ], 
  [ 239, 478, 956, 889, 755, 487, 974, 925, 827, 631 ], [ 245, 490, 980, 937, 851, 679, 335, 670, 317, 634 ], 
  [ 247, 494, 988, 953, 883, 743, 463, 926, 829, 635 ], [ 251, 502, 1004, 985, 947, 871, 719, 415, 830, 637 ], 
  [ 253, 506, 1012, 1001, 979, 935, 847, 671, 319, 638 ], [ 255, 510, 1020, 1017, 1011, 999, 975, 927, 831, 639 ], [ 341, 682 ], 
  [ 343, 686, 349, 698, 373, 746, 469, 938, 853, 683 ], [ 347, 694, 365, 730, 437, 874, 725, 427, 854, 685 ], 
  [ 351, 702, 381, 762, 501, 1002, 981, 939, 855, 687 ], [ 363, 726, 429, 858, 693 ], [ 367, 734, 445, 890, 757, 491, 982, 941, 859, 695 ], 
  [ 375, 750, 477, 954, 885, 747, 471, 942, 861, 699 ], [ 379, 758, 493, 986, 949, 875, 727, 431, 862, 701 ], 
  [ 383, 766, 509, 1018, 1013, 1003, 983, 943, 863, 703 ], [ 439, 878, 733, 443, 886, 749, 475, 950, 877, 731 ], 
  [ 447, 894, 765, 507, 1014, 1005, 987, 951, 879, 735 ], [ 479, 958, 893, 763, 503, 1006, 989, 955, 887, 751 ], [ 495, 990, 957, 891, 759 ], 
  [ 511, 1022, 1021, 1019, 1015, 1007, 991, 959, 895, 767 ] ] ]: 

end module;
protect(FiniteGroups:-ProjectiveGeneralLinearGroups);
