############################################################################
############################################################################
#########################                          #########################
#########################  FINITE GROUPS IN MAPLE  #########################
#########################       GO - Database      #########################
#########################                          #########################
############################################################################
############################################################################

# Generators of the permutation representation of groups GO(d,n,q) for 
# q<=100 and n=2
# q<=20  and n=3
# q<=10  and n=4
# q<=5   and n=5 
# q= 3   and n=6,7,8,
# q= 2   and n=9,10,11

unprotect(FiniteGroups:-GeneralOrthogonalGroups);
FiniteGroups:-GeneralOrthogonalGroups := module()

export
  `1,2,2`, `1,2,3`, `1,2,4`, `1,2,5`, `1,2,7`, `1,2,8`, `1,2,9`, 
  `1,2,11`, `1,2,13`, `1,2,16`, `1,2,17`, `1,2,19`, `1,2,23`, `1,2,25`, 
  `1,2,27`, `1,2,29`, `1,2,31`, `1,2,32`, `1,2,37`, `1,2,41`, `1,2,43`, 
  `1,2,47`, `1,2,49`, `1,2,53`, `1,2,59`, `1,2,61`, `1,2,64`, `1,2,67`, 
  `1,2,71`, `1,2,73`, `1,2,79`, `1,2,81`, `1,2,83`, `1,2,89`, `1,2,97`, 
  `-1,2,2`, `-1,2,3`, `-1,2,4`, `-1,2,5`, `-1,2,7`, `-1,2,8`, `-1,2,9`, 
  `-1,2,11`, `-1,2,13`, `-1,2,16`, `-1,2,17`, `-1,2,19`, `-1,2,23`, 
  `-1,2,25`, `-1,2,27`, `-1,2,29`, `-1,2,31`, `-1,2,32`, `-1,2,37`, 
  `-1,2,41`, `-1,2,43`, `-1,2,47`, `-1,2,49`, `-1,2,53`, `-1,2,59`, 
  `-1,2,61`, `-1,2,64`, `-1,2,67`, `-1,2,71`, `-1,2,73`, `-1,2,79`, 
  `-1,2,81`, `-1,2,83`, `-1,2,89`, `-1,2,97`, `0,3,2`, `0,3,3`, 
  `0,3,4`, `0,3,5`, `0,3,7`, `0,3,8`, `0,3,9`, `0,3,11`, `0,3,13`, 
  `0,3,16`, `0,3,17`, `0,3,19`, `1,4,2`, `1,4,3`, `1,4,4`, `1,4,5`, 
  `1,4,7`, `1,4,8`, `1,4,9`, `-1,4,2`, `-1,4,3`, `-1,4,4`, `-1,4,5`, 
  `-1,4,7`, `-1,4,8`, `-1,4,9`, `0,5,2`, `0,5,3`, `0,5,4`, `0,5,5`, 
  `1,6,2`, `1,6,3`, `-1,6,2`, `-1,6,3`, `0,7,2`, `0,7,3`, `1,8,2`, 
  `1,8,3`, `-1,8,2`, `-1,8,3`, `0,9,2`, `1,10,2`, `-1,10,2`, `0,11,2`;


`1,2,2` := [ 3,  
[ [ 2, 3 ] ] ]:
`1,2,3` := [ 4, 
[ [ 1, 2 ], [ 3, 4 ] ], 
[ [ 1, 2 ] ] ]:
`1,2,4` := [ 3, 
[ [ 1, 2, 3 ] ], 
[ [ 2, 3 ] ] ]:
`1,2,5` := [ 4, 
[ [ 1, 2, 3, 4 ] ], 
[ [ 2, 4 ] ] ]:
`1,2,7` := [ 6, 
[ [ 1, 2, 3, 5, 6, 4 ] ], 
[ [ 2, 4 ], [ 3, 6 ] ] ]:
`1,2,8` := [ 7, 
[ [ 1, 2, 3, 5, 7, 6, 4 ] ], 
[ [ 2, 4 ], [ 3, 6 ], [ 5, 7 ] ] ]:
`1,2,9` := [ 8, 
[ [ 1, 2, 3, 5, 7, 8, 6, 4 ] ], 
[ [ 2, 4 ], [ 3, 6 ], [ 5, 8 ] ] ]:
`1,2,11` := [ 10, 
[ [ 1, 2, 3, 5, 7, 9, 10, 8, 6, 4 ] ], 
[ [ 2, 4 ], [ 3, 6 ], [ 5, 8 ], [ 7, 10 ] ] ]:
`1,2,13` := [ 24, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 23 ] ] ]:
`1,2,16` := [ 30, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 30, 26, 22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 25, 29, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 29 ] ] ]:
`1,2,17` := [ 16, 
[ [ 1, 2, 4, 7, 11, 12, 8, 5, 3, 6, 9, 13, 15, 16, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 13, 16 ] ] ]:
`1,2,19` := [ 36, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 34, 30, 26, 22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] 
 ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 35 ] ] ]:
`1,2,23` := [ 44, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 43 ] ] ]:
`1,2,25` := [ 48, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 47 ] ] ]:
`1,2,27` := [ 52, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 51 ] ] ]:
`1,2,29` := [ 56, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 55 ] ] ]:
`1,2,31` := [ 60, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 59 ] ] ]:
`1,2,32` := [ 62, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 61 ] ] ]:
`1,2,37` := [ 72, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ]
    , [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 
      5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 71 ] ] ]:
`1,2,41` := [ 80, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 
      22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 
      40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 79 ] ] ]:
`1,2,43` := [ 84, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 
      30, 26, 22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 84, 80, 76, 72, 68, 64, 60, 
      56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 83 ] ] ]:
`1,2,47` := [ 92, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 90, 86, 82, 78, 74, 70, 66, 62, 58, 54, 50, 
      46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 89, 92, 
      88, 84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 91 ] ] ]:
`1,2,49` := [ 96, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 94, 90, 86, 82, 78, 74, 70, 66, 62, 58, 
      54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 
      89, 93, 96, 92, 88, 84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 95 ] ] ]:
`1,2,53` := [ 104, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 102, 98, 94, 90, 86, 82, 78, 
      74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 
      69, 73, 77, 81, 85, 89, 93, 97, 101, 104, 100, 96, 92, 88, 84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 
      5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 103 ] ] ]:
`1,2,59` := [ 116, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 107, 111, 115, 114, 110, 106, 
      102, 98, 94, 90, 86, 82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 89, 93, 97, 101, 105, 109, 113, 116, 112, 108, 104, 
      100, 96, 92, 88, 84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 106 ], [ 103, 108 ], [ 105, 110 ], [ 107, 112 ], 
  [ 109, 114 ], [ 111, 116 ], [ 113, 115 ] ] ]:
`1,2,61` := [ 120, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 107, 111, 115, 119, 118, 114, 
      110, 106, 102, 98, 94, 90, 86, 82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 89, 93, 97, 101, 105, 109, 113, 117, 120, 116, 112, 
      108, 104, 100, 96, 92, 88, 84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 106 ], [ 103, 108 ], [ 105, 110 ], [ 107, 112 ], 
  [ 109, 114 ], [ 111, 116 ], [ 113, 118 ], [ 115, 120 ], [ 117, 119 ] ] ]:
`1,2,64` := [ 126, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 107, 111, 115, 119, 123, 126, 
      122, 118, 114, 110, 106, 102, 98, 94, 90, 86, 82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 89, 93, 97, 101, 105, 109, 113, 117, 121, 125, 124, 
      120, 116, 112, 108, 104, 100, 96, 92, 88, 84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 106 ], [ 103, 108 ], [ 105, 110 ], [ 107, 112 ], 
  [ 109, 114 ], [ 111, 116 ], [ 113, 118 ], [ 115, 120 ], [ 117, 122 ], [ 119, 124 ], [ 121, 126 ], [ 123, 125 ] ] ]:
`1,2,67` := [ 132,
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 107, 111, 115, 119, 123, 127, 
      131, 130, 126, 122, 118, 114, 110, 106, 102, 98, 94, 90, 86, 82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ],
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 89, 93, 97, 101, 105, 109, 113, 117, 121, 125, 129, 
      132, 128, 124, 120, 116, 112, 108, 104, 100, 96, 92, 88, 84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 
     ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 106 ], [ 103, 108 ], [ 105, 110 ], [ 107, 112 ], 
  [ 109, 114 ], [ 111, 116 ], [ 113, 118 ], [ 115, 120 ], [ 117, 122 ], [ 119, 124 ], [ 121, 126 ], [ 123, 128 ], [ 125, 130 ], [ 127, 132 ], 
  [ 129, 131 ] ] ]:
`1,2,71` := [ 140, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 107, 111, 115, 119, 123, 127, 
      131, 135, 139, 138, 134, 130, 126, 122, 118, 114, 110, 106, 102, 98, 94, 90, 86, 82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 
      26, 22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 89, 93, 97, 101, 105, 109, 
      113, 117, 121, 125, 129, 133, 137, 140, 136, 132, 128, 124, 120, 116, 112, 108, 104, 100, 96, 92, 88, 84, 80, 76, 72, 68, 64, 60, 56, 52, 
      48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 106 ], [ 103, 108 ], [ 105, 110 ], [ 107, 112 ], 
  [ 109, 114 ], [ 111, 116 ], [ 113, 118 ], [ 115, 120 ], [ 117, 122 ], [ 119, 124 ], [ 121, 126 ], [ 123, 128 ], [ 125, 130 ], [ 127, 132 ], 
  [ 129, 134 ], [ 131, 136 ], [ 133, 138 ], [ 135, 140 ], [ 137, 139 ] ] ]:
`1,2,73` := [ 144, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 107, 111, 115, 119, 123, 127, 
      131, 135, 139, 143, 142, 138, 134, 130, 126, 122, 118, 114, 110, 106, 102, 98, 94, 90, 86, 82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 
      38, 34, 30, 26, 22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 89, 93, 97, 101, 
      105, 109, 113, 117, 121, 125, 129, 133, 137, 141, 144, 140, 136, 132, 128, 124, 120, 116, 112, 108, 104, 100, 96, 92, 88, 84, 80, 76, 72, 
      68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 106 ], [ 103, 108 ], [ 105, 110 ], [ 107, 112 ], 
  [ 109, 114 ], [ 111, 116 ], [ 113, 118 ], [ 115, 120 ], [ 117, 122 ], [ 119, 124 ], [ 121, 126 ], [ 123, 128 ], [ 125, 130 ], [ 127, 132 ], 
  [ 129, 134 ], [ 131, 136 ], [ 133, 138 ], [ 135, 140 ], [ 137, 142 ], [ 139, 144 ], [ 141, 143 ] ] ]:
`1,2,79` := [ 156, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 107, 111, 115, 119, 123, 127, 
      131, 135, 139, 143, 147, 151, 155, 154, 150, 146, 142, 138, 134, 130, 126, 122, 118, 114, 110, 106, 102, 98, 94, 90, 86, 82, 78, 74, 70, 
      66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 
      77, 81, 85, 89, 93, 97, 101, 105, 109, 113, 117, 121, 125, 129, 133, 137, 141, 145, 149, 153, 156, 152, 148, 144, 140, 136, 132, 128, 
      124, 120, 116, 112, 108, 104, 100, 96, 92, 88, 84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 106 ], [ 103, 108 ], [ 105, 110 ], [ 107, 112 ], 
  [ 109, 114 ], [ 111, 116 ], [ 113, 118 ], [ 115, 120 ], [ 117, 122 ], [ 119, 124 ], [ 121, 126 ], [ 123, 128 ], [ 125, 130 ], [ 127, 132 ], 
  [ 129, 134 ], [ 131, 136 ], [ 133, 138 ], [ 135, 140 ], [ 137, 142 ], [ 139, 144 ], [ 141, 146 ], [ 143, 148 ], [ 145, 150 ], [ 147, 152 ], 
  [ 149, 154 ], [ 151, 156 ], [ 153, 155 ] ] ]:
`1,2,81` := [ 160, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 107, 111, 115, 119, 123, 127, 
      131, 135, 139, 143, 147, 151, 155, 159, 158, 154, 150, 146, 142, 138, 134, 130, 126, 122, 118, 114, 110, 106, 102, 98, 94, 90, 86, 82, 
      78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 89, 93, 97, 101, 105, 109, 113, 117, 121, 125, 129, 
      133, 137, 141, 145, 149, 153, 157, 160, 156, 152, 148, 144, 140, 136, 132, 128, 124, 120, 116, 112, 108, 104, 100, 96, 92, 88, 84, 80, 
      76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 106 ], [ 103, 108 ], [ 105, 110 ], [ 107, 112 ], 
  [ 109, 114 ], [ 111, 116 ], [ 113, 118 ], [ 115, 120 ], [ 117, 122 ], [ 119, 124 ], [ 121, 126 ], [ 123, 128 ], [ 125, 130 ], [ 127, 132 ], 
  [ 129, 134 ], [ 131, 136 ], [ 133, 138 ], [ 135, 140 ], [ 137, 142 ], [ 139, 144 ], [ 141, 146 ], [ 143, 148 ], [ 145, 150 ], [ 147, 152 ], 
  [ 149, 154 ], [ 151, 156 ], [ 153, 158 ], [ 155, 160 ], [ 157, 159 ] ] ]:
`1,2,83` := [ 164, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 107, 111, 115, 119, 123, 127, 
      131, 135, 139, 143, 147, 151, 155, 159, 163, 162, 158, 154, 150, 146, 142, 138, 134, 130, 126, 122, 118, 114, 110, 106, 102, 98, 94, 90, 
      86, 82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 89, 93, 97, 101, 105, 109, 113, 117, 121, 125, 129, 
      133, 137, 141, 145, 149, 153, 157, 161, 164, 160, 156, 152, 148, 144, 140, 136, 132, 128, 124, 120, 116, 112, 108, 104, 100, 96, 92, 88, 
      84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 106 ], [ 103, 108 ], [ 105, 110 ], [ 107, 112 ], 
  [ 109, 114 ], [ 111, 116 ], [ 113, 118 ], [ 115, 120 ], [ 117, 122 ], [ 119, 124 ], [ 121, 126 ], [ 123, 128 ], [ 125, 130 ], [ 127, 132 ], 
  [ 129, 134 ], [ 131, 136 ], [ 133, 138 ], [ 135, 140 ], [ 137, 142 ], [ 139, 144 ], [ 141, 146 ], [ 143, 148 ], [ 145, 150 ], [ 147, 152 ], 
  [ 149, 154 ], [ 151, 156 ], [ 153, 158 ], [ 155, 160 ], [ 157, 162 ], [ 159, 164 ], [ 161, 163 ] ] ]:
`1,2,89` := [ 176, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 107, 111, 115, 119, 123, 127, 
      131, 135, 139, 143, 147, 151, 155, 159, 163, 167, 171, 175, 174, 170, 166, 162, 158, 154, 150, 146, 142, 138, 134, 130, 126, 122, 118, 
      114, 110, 106, 102, 98, 94, 90, 86, 82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ], 
  [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 89, 93, 97, 101, 105, 109, 113, 117, 121, 125, 129, 
      133, 137, 141, 145, 149, 153, 157, 161, 165, 169, 173, 176, 172, 168, 164, 160, 156, 152, 148, 144, 140, 136, 132, 128, 124, 120, 116, 
      112, 108, 104, 100, 96, 92, 88, 84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 106 ], [ 103, 108 ], [ 105, 110 ], [ 107, 112 ], 
  [ 109, 114 ], [ 111, 116 ], [ 113, 118 ], [ 115, 120 ], [ 117, 122 ], [ 119, 124 ], [ 121, 126 ], [ 123, 128 ], [ 125, 130 ], [ 127, 132 ], 
  [ 129, 134 ], [ 131, 136 ], [ 133, 138 ], [ 135, 140 ], [ 137, 142 ], [ 139, 144 ], [ 141, 146 ], [ 143, 148 ], [ 145, 150 ], [ 147, 152 ], 
  [ 149, 154 ], [ 151, 156 ], [ 153, 158 ], [ 155, 160 ], [ 157, 162 ], [ 159, 164 ], [ 161, 166 ], [ 163, 168 ], [ 165, 170 ], [ 167, 172 ], 
  [ 169, 174 ], [ 171, 176 ], [ 173, 175 ] ] ]:
`1,2,97` := [ 192, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 99, 103, 107, 111, 115, 119, 123, 127, 
      131, 135, 139, 143, 147, 151, 155, 159, 163, 167, 171, 175, 179, 183, 187, 191, 190, 186, 182, 178, 174, 170, 166, 162, 158, 154, 150, 
      146, 142, 138, 134, 130, 126, 122, 118, 114, 110, 106, 102, 98, 94, 90, 86, 82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 
      22, 18, 14, 10 ], [ 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 89, 93, 97, 101, 105, 109, 113, 
      117, 121, 125, 129, 133, 137, 141, 145, 149, 153, 157, 161, 165, 169, 173, 177, 181, 185, 189, 192, 188, 184, 180, 176, 172, 168, 164, 
      160, 156, 152, 148, 144, 140, 136, 132, 128, 124, 120, 116, 112, 108, 104, 100, 96, 92, 88, 84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 
      40, 36, 32, 28, 24, 20, 16, 12, 8, 5 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 96 ], [ 93, 98 ], [ 95, 100 ], [ 97, 102 ], [ 99, 104 ], [ 101, 106 ], [ 103, 108 ], [ 105, 110 ], [ 107, 112 ], 
  [ 109, 114 ], [ 111, 116 ], [ 113, 118 ], [ 115, 120 ], [ 117, 122 ], [ 119, 124 ], [ 121, 126 ], [ 123, 128 ], [ 125, 130 ], [ 127, 132 ], 
  [ 129, 134 ], [ 131, 136 ], [ 133, 138 ], [ 135, 140 ], [ 137, 142 ], [ 139, 144 ], [ 141, 146 ], [ 143, 148 ], [ 145, 150 ], [ 147, 152 ], 
  [ 149, 154 ], [ 151, 156 ], [ 153, 158 ], [ 155, 160 ], [ 157, 162 ], [ 159, 164 ], [ 161, 166 ], [ 163, 168 ], [ 165, 170 ], [ 167, 172 ], 
  [ 169, 174 ], [ 171, 176 ], [ 173, 178 ], [ 175, 180 ], [ 177, 182 ], [ 179, 184 ], [ 181, 186 ], [ 183, 188 ], [ 185, 190 ], [ 187, 192 ], 
  [ 189, 191 ] ] ]:
`-1,2,2` := [ 3, 
[ [ 1, 2, 3 ] ], 
[ [ 2, 3 ] ] ]:
`-1,2,3` := [ 4, 
[ [ 1, 2, 3, 4 ] ], 
[ [ 1, 3 ] ] ]:
`-1,2,4` := [ 5, 
[ [ 1, 2, 3, 5, 4 ] ], 
[ [ 2, 4 ], [ 3, 5 ] ] ]:
`-1,2,5` := [ 6, 
[ [ 1, 2, 4, 3, 5, 6 ] ], 
[ [ 1, 3 ], [ 2, 4 ], [ 5, 6 ] ] ]:
`-1,2,7` := [ 8, 
[ [ 1, 2, 4, 5, 3, 6, 7, 8 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 6, 8 ] ] ]:
`-1,2,8` := [ 9, 
[ [ 1, 2, 3, 5, 7, 9, 8, 6, 4 ] ], 
[ [ 2, 4 ], [ 3, 6 ], [ 5, 8 ], [ 7, 9 ] ] ]:
`-1,2,9` := [ 10, 
[ [ 1, 2, 4, 7, 5, 3, 6, 8, 10, 9 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 7 ], [ 6, 9 ], [ 8, 10 ] ] ]:
`-1,2,11` := [ 12, 
[ [ 1, 2, 4, 7, 8, 5, 3, 6, 9, 11, 12, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 9, 12 ] ] ]:
`-1,2,13` := [ 14, 
[ [ 1, 2, 4, 7, 11, 8, 5, 3, 6, 9, 12, 14, 13, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 11 ], [ 9, 13 ], [ 12, 14 ] ] ]:
`-1,2,16` := [ 17, 
[ [ 1, 2, 3, 5, 7, 9, 11, 13, 15, 17, 16, 14, 12, 10, 8, 6, 4 ] ], 
[ [ 2, 4 ], [ 3, 6 ], [ 5, 8 ], [ 7, 10 ], [ 9, 12 ], [ 11, 14 ], [ 13, 16 ], [ 15, 17 ] ] ]:
`-1,2,17` := [ 18, 
[ [ 1, 2, 4, 7, 11, 15, 12, 8, 5, 3, 6, 9, 13, 16, 18, 17, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 15 ], [ 13, 17 ], [ 16, 18 ] ] ]:
`-1,2,19` := [ 20, 
[ [ 1, 2, 4, 7, 11, 15, 16, 12, 8, 5, 3, 6, 9, 13, 17, 19, 20, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 17, 20 ] ] ]:
`-1,2,23` := [ 24, 
[ [ 1, 2, 4, 7, 11, 15, 19, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 23, 24, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 21, 24 ] ] ]:
`-1,2,25` := [ 26, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 24, 26, 25, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 23 ], [ 21, 25 ], 
  [ 24, 26 ] ] ]:
`-1,2,27` := [ 28, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 27, 28, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 25, 28 ] ] ]:
`-1,2,29` := [ 30, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 28, 30, 29, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 27 ], [ 25, 29 ], [ 28, 30 ] ] ]:
`-1,2,31` := [ 32, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 31, 32, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 29, 32 ] ] ]:
`-1,2,32` := [ 33, 
[ [ 1, 2, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6, 4 ] ], 
[ [ 2, 4 ], [ 3, 6 ], [ 5, 8 ], [ 7, 10 ], [ 9, 12 ], [ 11, 14 ], [ 13, 16 ], [ 15, 18 ], [ 17, 20 ], [ 19, 22 ], [ 21, 24 ], [ 23, 26 ], 
  [ 25, 28 ], [ 27, 30 ], [ 29, 32 ], [ 31, 33 ] ] ]:
`-1,2,37` := [ 38, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 32, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 36, 38, 37, 34, 30, 26, 22, 18, 14, 
      10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 35 ], [ 33, 37 ], [ 36, 38 ] ] ]:
`-1,2,41` := [ 42, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 36, 32, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 40, 42, 41, 38, 34, 30, 
      26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 39 ], [ 37, 41 ], [ 40, 42 ] ] ]:
`-1,2,43` := [ 44, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 43, 44, 42, 38, 
      34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 41, 44 ] ] ]:
`-1,2,47` := [ 48, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 47, 
      48, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 45, 48 ] ] ]:
`-1,2,49` := [ 50, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 
      48, 50, 49, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 47 ], 
  [ 45, 49 ], [ 48, 50 ] ] ]:
`-1,2,53` := [ 54, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 
      41, 45, 49, 52, 54, 53, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 51 ], [ 49, 53 ], [ 52, 54 ] ] ]:
`-1,2,59` := [ 60, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 
      29, 33, 37, 41, 45, 49, 53, 57, 59, 60, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 57, 60 ] ] ]:
`-1,2,61` := [ 62, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 
      25, 29, 33, 37, 41, 45, 49, 53, 57, 60, 62, 61, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 59 ], [ 57, 61 ], [ 60, 62 ] ] ]:
`-1,2,64` := [ 65, 
[ [ 1, 2, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33, 35, 37, 39, 41, 43, 45, 47, 49, 51, 53, 55, 57, 59, 61, 63, 65, 64, 62, 
      60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6, 4 ] ], 
[ [ 2, 4 ], [ 3, 6 ], [ 5, 8 ], [ 7, 10 ], [ 9, 12 ], [ 11, 14 ], [ 13, 16 ], [ 15, 18 ], [ 17, 20 ], [ 19, 22 ], [ 21, 24 ], [ 23, 26 ], 
  [ 25, 28 ], [ 27, 30 ], [ 29, 32 ], [ 31, 34 ], [ 33, 36 ], [ 35, 38 ], [ 37, 40 ], [ 39, 42 ], [ 41, 44 ], [ 43, 46 ], [ 45, 48 ], 
  [ 47, 50 ], [ 49, 52 ], [ 51, 54 ], [ 53, 56 ], [ 55, 58 ], [ 57, 60 ], [ 59, 62 ], [ 61, 64 ], [ 63, 65 ] ] ]:
`-1,2,67` := [ 68, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 
      13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 67, 68, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 65, 68 ] ] ]:
`-1,2,71` := [ 72, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5, 
      3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 71, 72, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 
      10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 69, 72 ] ] ]:
`-1,2,73` := [ 74, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 
      5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 72, 74, 73, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 
      18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 71 ], [ 69, 73 ], [ 72, 74 ] ] ]:
`-1,2,79` := [ 80, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 20, 
      16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 79, 80, 78, 74, 70, 66, 62, 58, 54, 50, 46, 
      42, 38, 34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 77, 80 ] ] ]:
`-1,2,81` := [ 82, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 24, 
      20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 80, 82, 81, 78, 74, 70, 66, 62, 58, 54, 
      50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 79 ], [ 77, 81 ], [ 80, 82 ] ] ]:
`-1,2,83` := [ 84, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 36, 32, 28, 
      24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 83, 84, 82, 78, 74, 70, 66, 62, 
      58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 81, 84 ] ] ]:
`-1,2,89` := [ 90, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 84, 80, 76, 72, 68, 64, 60, 56, 52, 48, 44, 40, 
      36, 32, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 88, 90, 89, 86, 
      82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 87 ], [ 85, 89 ], [ 88, 90 ] ] ]:
`-1,2,97` := [ 98, 
[ [ 1, 2, 4, 7, 11, 15, 19, 23, 27, 31, 35, 39, 43, 47, 51, 55, 59, 63, 67, 71, 75, 79, 83, 87, 91, 95, 92, 88, 84, 80, 76, 72, 68, 64, 60, 56, 
      52, 48, 44, 40, 36, 32, 28, 24, 20, 16, 12, 8, 5, 3, 6, 9, 13, 17, 21, 25, 29, 33, 37, 41, 45, 49, 53, 57, 61, 65, 69, 73, 77, 81, 85, 
      89, 93, 96, 98, 97, 94, 90, 86, 82, 78, 74, 70, 66, 62, 58, 54, 50, 46, 42, 38, 34, 30, 26, 22, 18, 14, 10 ] ], 
[ [ 1, 3 ], [ 2, 5 ], [ 4, 8 ], [ 6, 10 ], [ 7, 12 ], [ 9, 14 ], [ 11, 16 ], [ 13, 18 ], [ 15, 20 ], [ 17, 22 ], [ 19, 24 ], [ 21, 26 ], 
  [ 23, 28 ], [ 25, 30 ], [ 27, 32 ], [ 29, 34 ], [ 31, 36 ], [ 33, 38 ], [ 35, 40 ], [ 37, 42 ], [ 39, 44 ], [ 41, 46 ], [ 43, 48 ], 
  [ 45, 50 ], [ 47, 52 ], [ 49, 54 ], [ 51, 56 ], [ 53, 58 ], [ 55, 60 ], [ 57, 62 ], [ 59, 64 ], [ 61, 66 ], [ 63, 68 ], [ 65, 70 ], 
  [ 67, 72 ], [ 69, 74 ], [ 71, 76 ], [ 73, 78 ], [ 75, 80 ], [ 77, 82 ], [ 79, 84 ], [ 81, 86 ], [ 83, 88 ], [ 85, 90 ], [ 87, 92 ], 
  [ 89, 94 ], [ 91, 95 ], [ 93, 97 ], [ 96, 98 ] ] ]:
`0,3,2` := [ 4, 
[ [ 3, 4 ] ], 
[ [ 2, 3 ] ] ]:
`0,3,3` := [ 8, 
[ [ 1, 2 ], [ 3, 5 ], [ 4, 7 ], [ 6, 8 ] ], 
[ [ 1, 3, 6, 2, 4, 8 ], [ 5, 7 ] ] ]:
`0,3,4` := [ 5, 
[ [ 2, 3, 5 ] ], 
[ [ 1, 2, 4 ] ] ]:
`0,3,5` := [ 24,
[ [ 1, 2, 4, 8 ], [ 3, 6, 12, 19 ], [ 5, 10, 13, 21 ], [ 7, 14, 17, 11 ], [ 9, 16, 18, 24 ], [ 15, 22, 23, 20 ] ], 
[ [ 1, 3, 7, 4, 9, 17 ], [ 2, 5, 11, 8, 15, 14 ], [ 6, 13, 19, 16, 23, 24 ], [ 10, 18, 21, 22, 12, 20 ] ] ]:
`0,3,7` := [ 16, 
[ [ 1, 2 ], [ 3, 4 ], [ 5, 7, 9, 11, 13, 15 ], [ 6, 8, 10, 12, 14, 16 ] ], 
[ [ 1, 3, 5, 2, 4, 6 ], [ 7, 8 ], [ 9, 11, 13, 10, 12, 14 ], [ 15, 16 ] ] ]:
`0,3,8` := [ 9, 
[ [ 2, 3, 5, 6, 7, 8, 9 ] ], 
[ [ 1, 2, 4 ], [ 3, 5, 7 ], [ 6, 8, 9 ] ] ]:
`0,3,9` := [ 90, 
[ [ 2, 3, 5, 9, 16, 28, 45, 69 ], [ 4, 7, 13, 23, 39, 62, 12, 19 ], [ 6, 11, 20, 34, 53, 68, 50, 74 ], [ 10, 18, 31, 49, 73, 38, 60, 78 ], 
  [ 14, 25, 40, 15, 22, 33, 24, 41 ], [ 17, 30, 47, 71, 85, 77, 37, 59 ], [ 21, 36, 57, 64, 81, 87, 56, 29 ], [ 26, 43, 67, 58, 79, 89, 88, 90 ]
    , [ 27, 44, 66, 83, 84, 48, 61, 54 ], [ 32, 51, 75, 42, 65, 80, 35, 55 ], [ 46, 70, 63, 82, 86, 72, 52, 76 ] ], 
[ [ 1, 2, 4, 8, 15, 27 ], [ 3, 6, 12, 22, 38, 61 ], [ 5, 10, 19, 33, 34, 54 ], [ 7, 14, 26, 44, 28, 46 ], [ 9, 17, 13, 24, 42, 66 ], 
  [ 11, 21, 37, 60, 81, 51 ], [ 16, 29, 39, 41, 64, 84 ], [ 18, 32, 52, 53, 77, 88 ], [ 20, 35, 56, 78, 71, 57 ], [ 23, 40, 63, 83, 69, 67 ], 
  [ 25, 30, 48, 45, 65, 62 ], [ 31, 50, 43, 68, 49, 70 ], [ 36, 58, 76, 87, 82, 90 ], [ 47, 72, 59, 80, 89, 75 ], [ 55, 73, 79, 85, 74, 86 ] ] ]:
`0,3,11` := [ 132, 
[ [ 2, 3, 5, 9, 16, 28, 46, 73, 104, 128 ], [ 4, 7, 13, 23, 31, 51, 19, 34, 49, 12 ], [ 6, 11, 20, 36, 58, 40, 64, 93, 118, 132 ], 
  [ 10, 18, 32, 53, 81, 97, 95, 123, 117, 127 ], [ 14, 25, 24, 41, 66, 15, 22, 35, 52, 77 ], [ 17, 30, 43, 70, 101, 112, 131, 103, 121, 39 ], 
  [ 21, 38, 62, 94, 122, 57, 85, 114, 29, 48 ], [ 26, 44, 72, 102, 125, 33, 55, 37, 60, 90 ], [ 27, 45, 69, 99, 111, 107, 86, 71, 82, 65 ], 
  [ 42, 68, 100, 56, 84, 50, 78, 109, 59, 88 ], [ 47, 75, 106, 129, 89, 115, 83, 113, 126, 108 ], [ 54, 63, 96, 67, 98, 61, 92, 120, 79, 105 ], 
  [ 74, 87, 116, 76, 91, 119, 130, 124, 80, 110 ] ], 
[ [ 1, 2, 4, 8, 15, 27 ], [ 3, 6, 12, 22, 40, 65 ], [ 5, 10, 19, 35, 57, 86 ], [ 7, 14, 26, 45, 28, 47 ], [ 9, 17, 31, 52, 80, 111 ], 
  [ 11, 21, 39, 64, 97, 124 ], [ 13, 24, 42, 69, 73, 105 ], [ 16, 29, 49, 77, 53, 82 ], [ 18, 33, 56, 85, 115, 96 ], 
  [ 20, 37, 61, 93, 113, 78 ], [ 23, 41, 67, 99, 104, 84 ], [ 25, 43, 71, 46, 74, 34 ], [ 30, 50, 79, 110, 98, 88 ], 
  [ 32, 54, 83, 114, 68, 55 ], [ 36, 59, 89, 118, 120, 125 ], [ 38, 63, 62, 95, 100, 123 ], [ 44, 51, 66, 75, 107, 128 ], 
  [ 48, 76, 108, 81, 112, 90 ], [ 58, 87, 117, 132, 70, 94 ], [ 60, 91, 102, 126, 131, 129 ], [ 72, 103, 127, 106, 119, 122 ], 
  [ 92, 121, 116, 109, 130, 101 ] ] ]:
`0,3,13` := [ 56, 
[ [ 1, 2, 4, 8 ], [ 3, 6, 12, 20, 30, 41, 35, 31, 43, 51, 56, 23 ], [ 5, 10, 18, 26, 38, 48, 13, 22, 33, 45, 53, 29 ], [ 7, 14, 17, 11 ], 
  [ 9, 16, 21, 32, 44, 52, 19, 28, 34, 46, 54, 37 ], [ 15, 24, 27, 39, 49, 42, 25, 36, 40, 50, 55, 47 ] ], 
[ [ 1, 3, 7, 4, 9, 17 ], [ 2, 5, 11, 8, 15, 14 ], [ 6, 13, 23, 16, 25, 37 ], [ 10, 19, 29, 24, 35, 47 ], [ 12, 21 ], [ 18, 27 ], 
  [ 20, 31, 33, 32, 28, 40 ], [ 22, 34, 39, 36, 43, 26 ], [ 30, 42, 50, 44, 48, 45 ], [ 38, 41, 51, 49, 52, 46 ], [ 53, 55 ], [ 54, 56 ] ] ]:
`0,3,16` := [ 17, 
[ [ 3, 4, 5, 6, 8, 11, 7, 10, 13, 16, 17, 9, 12, 14, 15 ] ], 
[ [ 1, 2, 3 ], [ 4, 6, 9 ], [ 5, 7, 10 ], [ 8, 12, 15 ], [ 13, 16, 14 ] ] ]:
`0,3,17` := [ 288, 
[ [ 1, 2, 4, 8, 16, 30, 51, 28, 15, 22, 36, 59, 94, 146, 205, 143 ], [ 3, 6, 12, 23, 42, 74, 121, 164, 84, 70, 116, 180, 241, 229, 129, 161 ], 
  [ 5, 10, 20, 37, 65, 109, 43, 76, 119, 105, 165, 228, 273, 267, 177, 216 ], [ 7, 14, 27, 50, 86, 138, 108, 73, 53, 89, 140, 91, 56, 33, 19, 
      11 ], [ 9, 18, 34, 60, 100, 131, 66, 111, 168, 156, 219, 195, 252, 26, 48, 83 ], 
  [ 13, 25, 46, 40, 71, 118, 17, 32, 57, 95, 151, 179, 101, 160, 222, 124 ], [ 21, 39, 69, 63, 106, 167, 31, 55, 92, 147, 82, 134, 152, 187, 
      244, 172 ], [ 24, 44, 29, 49, 79, 127, 189, 245, 260, 257, 103, 162, 145, 110, 171, 234 ], 
  [ 35, 62, 104, 98, 157, 221, 54, 90, 144, 209, 117, 125, 190, 233, 276, 224 ], 
  [ 38, 67, 41, 72, 114, 175, 235, 277, 193, 248, 154, 217, 204, 159, 122, 186 ], 
  [ 45, 78, 58, 97, 155, 149, 214, 250, 87, 139, 203, 259, 166, 173, 236, 253 ], 
  [ 47, 81, 132, 198, 181, 207, 112, 174, 237, 278, 269, 286, 288, 275, 115, 178 ], 
  [ 52, 88, 141, 206, 220, 225, 271, 281, 68, 113, 93, 75, 123, 188, 246, 279 ], 
  [ 61, 102, 64, 107, 163, 226, 270, 284, 238, 254, 213, 263, 142, 208, 170, 137 ], 
  [ 77, 126, 192, 249, 231, 266, 285, 243, 80, 130, 196, 223, 268, 191, 133, 200 ], 
  [ 85, 135, 197, 184, 96, 153, 99, 158, 218, 265, 128, 194, 251, 282, 262, 199 ], 
  [ 120, 182, 240, 232, 148, 212, 150, 215, 264, 136, 176, 239, 280, 287, 255, 242 ], 
  [ 169, 230, 201, 256, 210, 185, 211, 247, 283, 183, 227, 272, 202, 258, 261, 274 ] ], 
[ [ 1, 3, 7, 15, 29, 53 ], [ 2, 5, 11, 22, 41, 73 ], [ 4, 9, 19, 36, 64, 108 ], [ 6, 13, 26, 49, 85, 137 ], [ 8, 17, 33, 59, 99, 138 ], 
  [ 10, 21, 40, 72, 120, 184 ], [ 12, 24, 45, 79, 129, 130 ], [ 14, 28, 52, 89, 143, 174 ], [ 16, 31, 56, 94, 150, 86 ], 
  [ 18, 35, 63, 107, 169, 232 ], [ 20, 38, 68, 114, 177, 178 ], [ 23, 43, 77, 127, 193, 250 ], [ 25, 47, 82, 135, 113, 176 ], 
  [ 27, 51, 87, 140, 205, 126 ], [ 30, 54, 91, 146, 211, 50 ], [ 32, 58, 98, 158, 223, 256 ], [ 34, 61, 103, 163, 48, 84 ], 
  [ 37, 66, 112, 175, 238, 279 ], [ 39, 70, 117, 182, 162, 227 ], [ 42, 75, 124, 189, 132, 199 ], [ 44, 60, 101, 161, 226, 251 ], 
  [ 46, 80, 131, 197, 253, 284 ], [ 55, 93, 149, 215, 81, 133 ], [ 57, 96, 154, 218, 71, 119 ], [ 62, 105, 166, 230, 217, 266 ], 
  [ 65, 110, 172, 235, 180, 242 ], [ 67, 95, 152, 216, 265, 280 ], [ 69, 115, 179, 240, 281, 194 ], [ 74, 122, 187, 245, 273, 287 ], 
  [ 76, 125, 191, 248, 272, 155 ], [ 78, 128, 195, 196, 151, 208 ], [ 83, 136, 202, 102, 147, 190 ], [ 88, 142, 186, 237, 219, 267 ], 
  [ 90, 145, 188, 247, 116, 181 ], [ 92, 148, 213, 264, 106, 168 ], [ 97, 156, 220, 268, 263, 286 ], [ 100, 159, 224, 270, 228, 274 ], 
  [ 104, 164, 134, 201, 257, 239 ], [ 109, 170, 233, 277, 252, 258 ], [ 111, 173, 198, 254, 285, 123 ], [ 118, 183, 243, 153, 209, 236 ], 
  [ 121, 185, 206, 260, 221, 269 ], [ 139, 204, 234, 192, 165, 229 ], [ 141, 207, 261, 278, 246, 276 ], [ 144, 210, 262, 283, 157, 222 ], 
  [ 160, 225, 241, 282, 288, 171 ], [ 167, 231, 275, 212, 259, 271 ], [ 200, 255, 249, 214, 244, 203 ] ] ]:
`0,3,19` := [ 40, 
[ [ 1, 2 ], [ 3, 5, 9, 13, 21, 28, 34, 37, 40, 12, 19, 27, 33, 38, 18, 26, 32, 16 ], 
  [ 4, 7, 11, 17, 25, 24, 31, 35, 39, 10, 15, 23, 30, 36, 14, 22, 29, 20 ], [ 6, 8 ] ], 
[ [ 1, 3, 6, 2, 4, 8 ], [ 5, 10, 16, 7, 12, 20 ], [ 9, 14, 23, 11, 18, 27 ], [ 13, 17 ], [ 15, 24, 30, 19, 28, 33 ], [ 21, 29, 35, 25, 32, 37 ],
  [ 22, 26 ], [ 31, 36, 39, 34, 38, 40 ] ] ]:
`1,4,2` := [ 9, 
[ [ 2, 3 ], [ 4, 6 ], [ 5, 7 ] ], 
[ [ 1, 2, 4 ], [ 3, 5, 7, 6, 8, 9 ] ] ]:
`1,4,3` := [ 24, 
[ [ 1, 2 ], [ 3, 5, 9, 17, 22, 23 ], [ 4, 7, 13, 18, 20, 24 ], [ 6, 11, 19 ], [ 8, 15, 21 ], [ 10, 16 ], [ 12, 14 ] ], 
[ [ 1, 3, 6, 12, 2, 4, 8, 16 ], [ 5, 10, 18, 24, 7, 14, 17, 23 ], [ 9, 11, 20, 19, 13, 15, 22, 21 ] ] ]:
`1,4,4` := [ 25, 
[ [ 3, 4, 6, 9, 13, 17 ], [ 5, 8 ], [ 7, 11, 15, 10, 14, 18 ], [ 12, 16, 21, 24, 25, 20 ], [ 19, 23, 22 ] ], 
[ [ 1, 2, 3, 5, 8, 11 ], [ 4, 7, 12, 17, 15, 20 ], [ 6, 10 ], [ 9, 14, 19 ], [ 13, 18 ], [ 16, 22 ], [ 23, 25 ] ] ]:
`1,4,5` := [ 144, 
[ [ 1, 2, 4, 8 ], [ 3, 6, 9, 5 ], [ 7, 12, 19, 33 ], [ 10, 15, 25, 45 ], [ 11, 17, 29, 53 ], [ 13, 21, 37, 65 ], [ 14, 23, 41, 73 ], 
  [ 16, 27, 49, 84 ], [ 18, 31, 57, 95 ], [ 20, 35, 62, 104 ], [ 22, 39, 69, 110 ], [ 24, 43, 76, 118 ], [ 26, 47, 81, 124 ], 
  [ 28, 51, 56, 93 ], [ 30, 55, 92, 133 ], [ 32, 59, 48, 82 ], [ 34, 61, 102, 66 ], [ 36, 63, 44, 78 ], [ 38, 67, 72, 114 ], 
  [ 40, 71, 113, 138 ], [ 42, 75, 117, 142 ], [ 46, 80, 123, 85 ], [ 50, 86, 90, 129 ], [ 52, 89, 128, 115 ], [ 54, 91, 131, 96 ], 
  [ 58, 97, 101, 103 ], [ 60, 100, 137, 144 ], [ 64, 106 ], [ 68, 109, 125, 108 ], [ 70, 111 ], [ 74, 116, 141, 119 ], [ 77, 120, 122, 132 ], 
  [ 79, 105, 139, 130 ], [ 83, 99 ], [ 87, 112, 140, 126 ], [ 88, 94 ], [ 98, 136, 107, 135 ], [ 121, 127, 134, 143 ] ], 
[ [ 1, 3, 7, 13, 22, 40, 72, 115, 97, 135, 118, 75, 4, 9, 14, 24, 44, 79, 122, 144, 86, 126, 65, 35 ], 
  [ 2, 5, 10, 16, 28, 52, 90, 130, 67, 108, 95, 55, 8, 6, 11, 18, 32, 60, 101, 138, 120, 143, 84, 47 ], 
  [ 12, 20, 36, 64, 107, 91, 132, 137, 123, 39, 70, 112, 23, 42, 69, 111, 140, 80, 114, 128, 131, 78, 106, 136 ], 
  [ 15, 26, 48, 83, 125, 61, 103, 113, 141, 51, 88, 127, 17, 30, 56, 94, 134, 116, 129, 139, 102, 59, 99, 109 ], 
  [ 19, 34, 21, 38, 68, 33, 25, 46, 27, 50, 87, 45, 41, 74, 43, 77, 121, 73, 29, 54, 31, 58, 98, 53 ], 
  [ 37, 66, 104, 92, 63, 105, 57, 96, 133, 117, 93, 89, 76, 119, 142, 81, 110, 71, 49, 85, 124, 62, 82, 100 ] ] ]:
`1,4,7` := [ 336, 
[ [ 2, 3, 5, 9, 17, 32 ], [ 4, 7, 13, 25, 46, 81 ], [ 6, 11, 21, 40, 35, 63 ], [ 8, 15, 29, 54, 94, 16 ], [ 10, 19, 36, 65, 109, 74 ], 
  [ 12, 23, 41, 71, 70, 64 ], [ 14, 27, 50, 87, 141, 212 ], [ 18, 34, 62, 106, 168, 49 ], [ 20, 38, 68, 114, 179, 164 ], 
  [ 24, 44, 77, 127, 196, 269 ], [ 26, 48, 31, 58, 99, 137 ], [ 28, 52, 91, 80, 131, 202 ], [ 30, 56, 97, 155, 208, 277 ], 
  [ 33, 60, 103, 100, 159, 107 ], [ 37, 67, 113, 177, 251, 176 ], [ 39, 61, 105, 167, 244, 290 ], [ 42, 73, 122, 190, 263, 314 ], 
  [ 43, 75, 125, 194, 266, 189 ], [ 45, 79, 117, 130, 201, 88 ], [ 47, 83, 134, 121, 151, 226 ], [ 51, 89, 144, 216, 128, 197 ], 
  [ 53, 59, 101, 161, 86, 139 ], [ 55, 95, 152, 228, 215, 82 ], [ 57, 98, 157, 234, 171, 246 ], [ 66, 111, 129, 199, 272, 319 ], 
  [ 69, 116, 147, 204, 276, 285 ], [ 72, 120, 187, 84, 136, 207 ], [ 78, 102, 163, 240, 303, 323 ], [ 85, 123, 178, 252, 92, 148 ], 
  [ 90, 146, 220, 115, 181, 235 ], [ 93, 150, 224, 142, 143, 214 ], [ 96, 154, 231, 265, 316, 283 ], [ 104, 166, 242, 180, 182, 217 ], 
  [ 108, 170, 211, 219, 286, 297 ], [ 110, 173, 248, 156, 233, 255 ], [ 112, 153, 230, 295, 300, 306 ], [ 118, 184, 258, 312, 135, 206 ], 
  [ 119, 174, 205, 268, 185, 259 ], [ 124, 192, 254, 281, 232, 193 ], [ 126, 195, 267, 317, 334, 302 ], [ 132, 203, 158, 225, 188, 261 ], 
  [ 133, 200, 274, 289, 271, 209 ], [ 138, 149, 222, 191, 264, 307 ], [ 140, 210, 280, 275, 318, 279 ], [ 145, 218, 253, 308, 160, 236 ], 
  [ 162, 238, 183, 256, 213, 282 ], [ 165, 221, 241, 270, 260, 313 ], [ 169, 198, 262, 287, 296, 186 ], [ 172, 247, 278, 243, 304, 326 ], 
  [ 175, 249, 223, 250, 305, 325 ], [ 227, 291, 309, 237, 298, 327 ], [ 229, 294, 310, 273, 315, 321 ], [ 239, 301, 330, 320, 335, 284 ], 
  [ 245, 257, 311, 293, 288, 322 ], [ 292, 324, 299, 329, 336, 332 ] ], 
[ [ 1, 2, 4, 8, 16, 31, 11, 22, 42, 74, 124, 193, 113, 178 ], [ 3, 6, 12, 24, 45, 80, 25, 47, 84, 137, 161, 201, 275, 75 ], 
  [ 5, 10, 20, 39, 60, 104, 67, 63, 71, 119, 186, 154, 218, 266 ], [ 7, 14, 28, 53, 93, 48, 85, 138, 209, 279, 196, 256, 310, 122 ], 
  [ 9, 18, 35, 64, 108, 171, 27, 51, 90, 147, 214, 97, 156, 125 ], [ 13, 26, 49, 86, 140, 211, 281, 114, 180, 254, 173, 127, 91, 34 ], 
  [ 15, 30, 57, 94, 151, 227, 292, 305, 231, 296, 325, 335, 334, 207 ], [ 17, 33, 61, 40, 70, 118, 185, 260, 228, 293, 261, 308, 206, 194 ], 
  [ 19, 37, 62, 107, 169, 245, 54, 87, 142, 29, 55, 96, 105, 168 ], [ 21, 41, 72, 121, 189, 32, 59, 102, 164, 241, 203, 166, 243, 202 ], 
  [ 23, 43, 76, 126, 44, 78, 129, 200, 238, 300, 304, 280, 298, 328 ], [ 36, 66, 112, 176, 159, 220, 287, 321, 73, 123, 191, 265, 181, 167 ], 
  [ 38, 69, 117, 144, 217, 246, 152, 229, 190, 106, 148, 222, 288, 56 ], [ 46, 82, 133, 89, 145, 219, 251, 65, 110, 174, 116, 183, 257, 99 ], 
  [ 50, 88, 143, 215, 284, 267, 286, 68, 115, 182, 255, 309, 332, 311 ], [ 52, 92, 149, 223, 289, 323, 233, 297, 326, 282, 249, 294, 263, 139 ],
  [ 58, 100, 160, 237, 299, 330, 195, 268, 244, 81, 132, 204, 197, 270 ], [ 77, 128, 198, 271, 224, 141, 213, 283, 276, 210, 259, 242, 179, 253 
     ], [ 79, 130, 163, 157, 226, 170, 111, 175, 250, 306, 248, 136, 208, 278 ], 
  [ 83, 135, 184, 187, 95, 153, 98, 158, 235, 146, 221, 277, 319, 322 ], [ 101, 162, 239, 302, 327, 336, 274, 131, 109, 172, 216, 285, 303, 177 
     ], [ 103, 165, 212, 240, 247, 150, 225, 290, 252, 307, 295, 199, 273, 314 ], 
  [ 120, 188, 262, 301, 331, 264, 315, 333, 329, 316, 313, 134, 205, 236 ], [ 155, 232, 272, 320, 317, 258, 269, 318, 312, 291, 324, 230, 192, 
      234 ] ] ]:
`1,4,8` := [ 81, 
[ [ 2, 3, 5, 8, 12, 19, 28, 39, 30, 35, 31, 33, 45, 18 ], [ 4, 7 ], [ 6, 10, 15, 20, 29, 40, 48, 42, 53, 9, 14, 23, 13, 21 ], 
  [ 11, 17, 26, 36, 49, 60, 73, 59, 56, 69, 76, 68, 47, 25 ], [ 22, 32, 43, 55, 67, 75, 78, 81, 37, 51, 63, 41, 54, 44 ], 
  [ 24, 34, 46, 58, 71, 64, 77, 80, 27, 38, 52, 50, 62, 70 ], [ 57, 61, 74, 72, 79, 65, 66 ] ], 
[ [ 1, 2, 4, 7, 10, 16 ], [ 3, 6, 11, 18, 15, 25 ], [ 5, 9, 12, 20, 30, 40 ], [ 8, 13, 22, 33, 29, 41 ], [ 14, 24, 35, 48, 38, 19 ], 
  [ 17, 27, 32, 44, 57, 70 ], [ 21, 31, 42, 45, 23, 28 ], [ 26, 37, 36, 50, 58, 72 ], [ 34, 47, 52, 65, 54, 63 ], [ 39, 53, 66 ], 
  [ 43, 56, 49, 61, 75, 71 ], [ 46, 59, 67 ], [ 51, 64, 78, 79, 69, 60 ], [ 55, 68, 74, 77, 62, 76 ], [ 73, 80, 81 ] ] ]:
`1,4,9` := [ 720, 
[ [ 2, 3, 5, 9, 17, 32, 62, 118 ], [ 4, 7, 13, 24, 46, 87, 159, 278 ], [ 6, 11, 21, 40, 77, 144, 259, 185 ], 
  [ 8, 15, 28, 54, 103, 190, 322, 500 ], [ 10, 19, 36, 69, 49, 93, 170, 291 ], [ 12, 22, 42, 41, 78, 145, 260, 318 ], 
  [ 14, 26, 50, 95, 174, 298, 472, 626 ], [ 16, 30, 58, 111, 202, 341, 352, 353 ], [ 18, 34, 66, 125, 224, 373, 552, 385 ], 
  [ 20, 38, 73, 86, 90, 165, 153, 183 ], [ 23, 44, 83, 152, 249, 409, 579, 683 ], [ 25, 48, 91, 167, 288, 460, 221, 350 ], 
  [ 27, 52, 99, 182, 313, 115, 158, 277 ], [ 29, 56, 107, 197, 332, 511, 387, 383 ], [ 31, 60, 114, 206, 320, 348, 299, 166 ], 
  [ 33, 64, 121, 217, 214, 360, 536, 528 ], [ 35, 51, 97, 178, 305, 189, 112, 203 ], [ 37, 71, 134, 241, 201, 339, 492, 640 ], 
  [ 39, 75, 140, 126, 226, 96, 176, 302 ], [ 43, 81, 150, 268, 435, 463, 616, 696 ], [ 45, 85, 156, 275, 445, 381, 559, 395 ], 
  [ 47, 89, 163, 285, 229, 378, 557, 672 ], [ 53, 101, 186, 94, 172, 294, 469, 388 ], [ 55, 105, 82, 113, 169, 289, 462, 568 ], 
  [ 57, 109, 187, 252, 415, 357, 531, 625 ], [ 59, 61, 116, 209, 351, 196, 271, 440 ], [ 63, 120, 215, 362, 540, 390, 92, 168 ], 
  [ 65, 123, 72, 136, 245, 266, 432, 489 ], [ 67, 127, 228, 74, 139, 250, 411, 207 ], [ 68, 129, 231, 382, 560, 347, 525, 450 ], 
  [ 70, 132, 237, 393, 220, 368, 549, 667 ], [ 76, 142, 255, 328, 319, 496, 636, 689 ], [ 79, 147, 264, 428, 106, 195, 330, 510 ], 
  [ 80, 149, 267, 434, 513, 556, 483, 635 ], [ 84, 154, 272, 157, 171, 208, 349, 527 ], [ 88, 161, 251, 413, 523, 624, 437, 599 ], 
  [ 98, 180, 309, 485, 637, 477, 468, 622 ], [ 100, 184, 316, 164, 110, 131, 235, 389 ], [ 102, 188, 256, 421, 507, 177, 304, 478 ], 
  [ 104, 192, 216, 364, 542, 604, 550, 597 ], [ 108, 199, 335, 515, 508, 141, 253, 416 ], [ 117, 211, 354, 503, 648, 561, 269, 297 ], 
  [ 119, 213, 358, 533, 301, 423, 539, 662 ], [ 122, 219, 240, 398, 570, 676, 703, 340 ], [ 124, 222, 370, 223, 372, 155, 273, 443 ], 
  [ 128, 160, 280, 449, 293, 371, 433, 596 ], [ 130, 233, 386, 323, 502, 376, 394, 210 ], [ 133, 239, 396, 441, 554, 586, 363, 151 ], 
  [ 135, 243, 254, 418, 567, 615, 682, 397 ], [ 137, 246, 404, 575, 276, 377, 345, 279 ], [ 138, 248, 408, 342, 473, 429, 593, 691 ], 
  [ 143, 257, 422, 562, 611, 684, 530, 623 ], [ 146, 262, 205, 346, 247, 406, 494, 587 ], [ 148, 265, 430, 514, 627, 225, 286, 457 ], 
  [ 162, 283, 454, 613, 695, 639, 569, 589 ], [ 173, 296, 227, 375, 553, 591, 481, 491 ], [ 175, 300, 287, 459, 520, 315, 401, 573 ], 
  [ 179, 307, 482, 634, 577, 679, 710, 668 ], [ 181, 311, 488, 638, 699, 310, 487, 486 ], [ 191, 324, 419, 232, 384, 555, 671, 564 ], 
  [ 193, 327, 306, 480, 263, 281, 451, 610 ], [ 194, 329, 425, 590, 688, 621, 698, 594 ], [ 198, 303, 476, 630, 551, 669, 563, 633 ], 
  [ 200, 337, 270, 438, 431, 519, 654, 414 ], [ 204, 344, 522, 603, 609, 663, 712, 715 ], [ 212, 356, 529, 369, 317, 495, 359, 534 ], 
  [ 218, 366, 546, 584, 652, 600, 641, 670 ], [ 230, 380, 407, 479, 632, 702, 649, 708 ], [ 234, 238, 244, 402, 501, 526, 331, 436 ], 
  [ 236, 391, 565, 474, 571, 461, 325, 258 ], [ 242, 400, 572, 537, 660, 657, 605, 336 ], [ 261, 426, 592, 690, 455, 614, 650, 677 ], 
  [ 274, 444, 412, 582, 355, 442, 403, 471 ], [ 282, 453, 576, 595, 361, 538, 661, 399 ], [ 284, 456, 578, 681, 612, 308, 467, 405 ], 
  [ 290, 464, 617, 628, 680, 716, 704, 447 ], [ 292, 466, 410, 581, 314, 493, 446, 598 ], [ 295, 470, 606, 497, 643, 512, 585, 475 ], 
  [ 312, 490, 417, 541, 484, 365, 544, 458 ], [ 321, 498, 644, 692, 718, 506, 642, 701 ], [ 326, 505, 524, 658, 653, 659, 694, 343 ], 
  [ 333, 509, 535, 574, 374, 545, 452, 420 ], [ 334, 427, 518, 543, 521, 656, 620, 608 ], [ 338, 517, 439, 602, 655, 711, 516, 601 ], 
  [ 379, 558, 448, 580, 647, 673, 678, 532 ], [ 392, 566, 675, 504, 629, 424, 588, 687 ], [ 465, 619, 618, 607, 693, 697, 700, 719 ], 
  [ 499, 646, 645, 707, 548, 666, 713, 706 ], [ 547, 665, 686, 685, 705, 714, 664, 709 ] ], 
[ [ 1, 2, 4, 8, 16, 31, 61, 117, 91, 11 ], [ 3, 6, 12, 23, 45, 86, 158, 275, 446, 267 ], [ 5, 10, 20, 39, 76, 143, 258, 424, 589, 434 ], 
  [ 7, 14, 27, 53, 102, 189, 321, 499, 616, 671 ], [ 9, 18, 35, 68, 130, 234, 388, 563, 307, 483 ], 
  [ 13, 25, 49, 94, 173, 297, 15, 29, 57, 110 ], [ 17, 33, 65, 124, 223, 161, 282, 144, 42, 80 ], 
  [ 19, 37, 72, 137, 247, 407, 466, 621, 515, 538 ], [ 21, 41, 79, 148, 266, 433, 505, 649, 469, 623 ], 
  [ 22, 43, 82, 149, 62, 119, 214, 361, 539, 40 ], [ 24, 47, 90, 166, 287, 120, 216, 309, 486, 453 ], 
  [ 26, 51, 98, 181, 312, 491, 384, 77, 145, 261 ], [ 28, 55, 106, 196, 331, 241, 399, 571, 675, 136 ], 
  [ 30, 59, 113, 205, 347, 526, 368, 550, 668, 696 ], [ 32, 63, 56, 108, 200, 338, 518, 228, 377, 556 ], 
  [ 34, 67, 128, 230, 381, 294, 416, 584, 686, 358 ], [ 36, 70, 133, 240, 71, 135, 244, 235, 390, 564 ], 
  [ 38, 74, 48, 92, 169, 290, 465, 620, 140, 252 ], [ 44, 84, 155, 274, 421, 302, 475, 273, 378, 493 ], 
  [ 46, 88, 162, 284, 123, 221, 369, 551, 451, 611 ], [ 50, 96, 177, 127, 229, 379, 480, 633, 702, 154 ], 
  [ 52, 100, 185, 318, 456, 546, 664, 534, 142, 256 ], [ 54, 104, 193, 328, 508, 613, 262, 427, 114, 207 ], 
  [ 58, 112, 204, 345, 268, 436, 598, 617, 697, 525 ], [ 60, 115, 208, 350, 528, 337, 516, 129, 232, 385 ], 
  [ 64, 122, 220, 202, 342, 150, 269, 437, 600, 665 ], [ 66, 126, 227, 376, 555, 536, 283, 455, 443, 167 ], 
  [ 69, 131, 236, 392, 567, 511, 375, 554, 670, 714 ], [ 73, 138, 249, 410, 510, 277, 448, 608, 305, 479 ], 
  [ 75, 141, 254, 419, 533, 215, 363, 541, 188, 320 ], [ 78, 146, 263, 415, 237, 394, 364, 543, 300, 259 ], 
  [ 81, 151, 270, 439, 603, 89, 164, 213, 359, 535 ], [ 83, 153, 271, 441, 605, 226, 374, 464, 618, 634 ], 
  [ 85, 157, 276, 447, 607, 694, 231, 383, 562, 291 ], [ 87, 160, 281, 452, 612, 695, 688, 669, 712, 460 ], 
  [ 93, 171, 293, 468, 487, 243, 105, 194, 257, 423 ], [ 95, 175, 301, 474, 629, 490, 531, 559, 673, 715 ], 
  [ 97, 179, 308, 484, 636, 476, 382, 561, 174, 299 ], [ 99, 183, 315, 360, 537, 209, 352, 430, 595, 224 ], [ 101, 187 ], 
  [ 103, 191, 325, 504, 572, 178, 306, 481, 402, 349 ], [ 107, 198, 334, 514, 652, 709, 540, 648, 672, 667 ], 
  [ 109, 201, 340, 186, 319, 497, 500, 211, 355, 496 ], [ 111, 182, 314, 494, 642, 706, 698, 304, 457, 615 ], 
  [ 116, 210, 353, 176, 303, 477, 631, 602, 327, 507 ], [ 118, 212, 357, 532, 659, 344, 523, 657, 691, 635 ], 
  [ 121, 218, 367, 548, 406, 577, 680, 717, 687, 661 ], [ 125, 225, 219, 272, 442, 606, 285, 134, 242, 401 ], 
  [ 132, 238, 395, 339, 519, 655, 637, 638, 703, 445 ], [ 139, 251, 414, 583, 685, 565, 674, 311, 489, 626 ], 
  [ 147, 203, 343, 521, 593, 690, 190, 323, 503, 404 ], [ 152, 172, 295, 471, 625, 581, 435, 597, 560, 462 ], 
  [ 156, 184, 317, 296, 192, 326, 506, 646, 426, 163 ], [ 159, 279, 329, 509, 650, 288, 461, 588, 366, 547 ], 
  [ 165, 286, 458, 422, 362, 341, 520, 391, 566, 676 ], [ 168, 233, 387, 478, 573, 278, 372, 246, 405, 576 ], 
  [ 170, 292, 467, 570, 678, 708, 640, 454, 579, 316 ], [ 180, 310, 438, 601, 482, 590, 689, 255, 420, 587 ], 
  [ 195, 206, 348, 408, 578, 682, 386, 502, 396, 569 ], [ 197, 333, 513, 651, 693, 718, 720, 260, 425, 591 ], 
  [ 199, 336, 313, 492, 641, 705, 373, 351, 324, 495 ], [ 217, 365, 545, 409, 580, 679, 614, 599, 398, 389 ], 
  [ 222, 371, 498, 645, 681, 654, 711, 380, 549, 354 ], [ 239, 397, 542, 663, 444, 253, 417, 585, 280, 450 ], 
  [ 245, 403, 574, 264, 429, 594, 470, 624, 418, 586 ], [ 248, 330, 459, 529, 643, 575, 592, 582, 684, 552 ], 
  [ 250, 412, 553, 289, 463, 332, 512, 472, 627, 400 ], [ 265, 431, 517, 653, 710, 346, 524, 622, 699, 660 ], 
  [ 298, 473, 628, 700, 632, 558, 644, 666, 428, 411 ], [ 322, 501, 647, 485, 488, 639, 704, 719, 522, 370 ], 
  [ 335, 432, 413, 544, 630, 701, 707, 716, 619, 610 ], [ 356, 530 ], [ 393, 568, 677, 596, 656, 440, 604, 692, 713, 683 ], [ 449, 609 ], 
  [ 527, 557 ] ] ]:
`-1,4,2` := [ 5, 
[ [ 3, 4 ] ], 
[ [ 1, 2, 3, 5, 4 ] ] ]:
`-1,4,3` := [ 20, 
[ [ 1, 2, 4, 7, 11, 3, 6, 5, 9, 14 ], [ 8, 13, 19, 12, 18, 10, 16, 17, 15, 20 ] ], 
[ [ 1, 3 ], [ 2, 5, 10, 7, 12, 13 ], [ 4, 8, 9, 15, 16, 6 ], [ 11, 17, 18, 14, 19, 20 ] ] ]:
`-1,4,4` := [ 68, 
[ [ 2, 3, 5 ], [ 4, 7, 12, 22, 19, 33 ], [ 6, 10, 18, 21, 31, 46 ], [ 8, 14, 25, 38, 52, 63 ], [ 9, 16, 28, 42, 49, 59 ], [ 11, 20, 35 ], 
  [ 13, 24, 37 ], [ 15, 26, 39, 54, 65, 53 ], [ 17, 30, 43, 57, 66, 29 ], [ 23, 32, 48, 58, 27, 36 ], [ 34, 50, 61 ], [ 40, 55, 44 ], 
  [ 41, 56, 47, 45, 51, 62 ], [ 60, 67 ], [ 64, 68 ] ], 
[ [ 1, 2, 4, 8, 15, 27, 41, 55, 14, 26, 40, 56, 58, 25, 39, 7, 13 ], [ 3, 6, 11, 21, 37, 5, 9, 17, 31, 47, 38, 53, 62, 46, 28, 43, 24 ], 
  [ 10, 19, 34, 22, 18, 32, 33, 49, 60, 57, 63, 54, 59, 67, 66, 12, 23 ], [ 16, 29, 44, 42, 30, 45, 20, 36, 50, 52, 64, 68, 65, 61, 48, 35, 51 
     ] ] ]:
`-1,4,5` := [ 104, 
[ [ 1, 2, 4, 8 ], [ 3, 6, 12, 23 ], [ 5, 10, 19, 36 ], [ 7, 14, 27, 45 ], [ 9, 17, 32, 50 ], [ 11, 21, 40, 59 ], [ 13, 25, 44, 64 ], 
  [ 15, 29, 35, 22 ], [ 16, 30, 28, 46 ], [ 18, 34, 54, 76 ], [ 20, 38, 58, 81 ], [ 24, 42, 61, 70 ], [ 26, 37, 56, 78 ], [ 31, 49, 71, 90 ], 
  [ 33, 52, 75, 60 ], [ 39, 51, 73, 91 ], [ 41, 57, 80, 96 ], [ 43, 63, 86, 66 ], [ 47, 67, 83, 53 ], [ 48, 69, 85, 77 ], [ 55, 74, 93, 103 ], 
  [ 62, 84, 94, 104 ], [ 65, 87, 92, 99 ], [ 68, 89, 101, 72 ], [ 79, 95, 98, 102 ], [ 82, 97, 88, 100 ] ], 
[ [ 1, 3, 7, 15 ], [ 2, 5, 11, 22 ], [ 4, 9, 18, 35 ], [ 6, 13, 26, 45 ], [ 8, 16, 31, 29 ], [ 10, 20, 39, 59 ], [ 12, 24, 43, 21 ], 
  [ 14, 28, 47, 68 ], [ 17, 33, 53, 76 ], [ 19, 37, 57, 34 ], [ 23, 41, 60, 71 ], [ 25, 38, 52, 69 ], [ 27, 36, 55, 77 ], [ 30, 48, 70, 90 ], 
  [ 32, 51, 74, 49 ], [ 40, 50, 72, 64 ], [ 42, 62, 85, 98 ], [ 44, 65, 56, 79 ], [ 46, 66, 81, 54 ], [ 58, 82, 73, 92 ], [ 61, 83, 91, 78 ], 
  [ 63, 87, 99, 103 ], [ 67, 88, 75, 94 ], [ 80, 97, 100, 101 ], [ 84, 86, 93, 104 ], [ 89, 102, 95, 96 ] ] ]:
`-1,4,7` := [ 100, 
[ [ 1, 2 ], [ 3, 5, 9, 15, 27, 45 ], [ 4, 7, 13, 23, 39, 63 ], [ 6, 11, 19, 34, 54, 83 ], [ 8, 12, 21, 37, 59, 87 ], [ 10, 17, 30, 50, 43, 44 ],
  [ 14, 25, 42, 67, 31, 33 ], [ 16, 29, 49, 75, 93, 90 ], [ 18, 32, 52, 80, 81, 94 ], [ 20, 35, 56, 40, 65, 95 ], [ 22, 36, 57, 28, 47, 72 ], 
  [ 24, 41, 58, 88, 82, 84 ], [ 26, 38, 61, 69, 92, 71 ], [ 46, 70, 60, 91, 100, 96 ], [ 48, 74, 68, 86, 99, 53 ], [ 51, 78, 97, 62, 66, 79 ], 
  [ 55, 85, 98, 77, 64, 73 ], [ 76, 89 ] ], 
[ [ 1, 3, 6, 12, 22, 35, 49, 76 ], [ 2, 4, 8, 11, 20, 36, 58, 89 ], [ 5, 10, 18, 33, 29, 45, 69, 75 ], [ 7, 14, 26, 44, 41, 63, 80, 88 ], 
  [ 9, 16 ], [ 13, 24 ], [ 15, 28, 48, 42, 19, 32, 53, 82 ], [ 17, 31, 51, 79, 61, 92, 100, 91 ], [ 21, 38, 62, 93, 23, 40, 66, 30 ], 
  [ 25, 43, 68, 74, 52, 81, 98, 85 ], [ 27, 46, 71, 72, 67, 96, 54, 84 ], [ 34, 55, 86, 65, 70, 57, 87, 97 ], [ 37, 60, 78, 47, 73, 56, 83, 99 ]
    , [ 39, 64, 94, 95, 50, 77, 59, 90 ] ] ]:
`-1,4,8` := [ 520, 
[ [ 2, 3, 5, 9, 17, 31, 53 ], [ 4, 7, 13, 25, 45, 80, 136, 222, 333, 158, 259, 373, 252, 315 ], 
  [ 6, 11, 21, 37, 65, 114, 186, 143, 133, 216, 47, 83, 140, 229 ], [ 8, 15, 28, 50, 89, 149, 243, 359, 223, 335, 81, 14, 26, 46 ], 
  [ 10, 19, 35, 61, 107, 175, 137, 224, 284, 401, 22, 39, 69, 60 ], [ 12, 23, 41, 73, 52, 93, 155, 253, 366, 425, 500, 97, 162, 263 ], 
  [ 16, 30, 44, 79, 58, 104, 66 ], [ 18, 33, 57, 102, 167, 268, 340, 154, 51, 91, 70, 121, 198, 307 ], 
  [ 20, 34, 59, 105, 171, 272, 385, 152, 248, 362, 460, 494, 389, 478 ], [ 24, 43, 77, 54, 96, 161, 262, 336, 435, 199, 309, 36, 63, 110 ], 
  [ 27, 48, 85, 128, 209, 321, 423, 228, 339, 383, 443, 292, 407, 429 ], [ 29, 38, 67, 116, 189, 294, 125, 204, 314, 418, 493, 518, 502, 388 ], 
  [ 32, 55, 98, 163, 265, 261, 376, 445, 187, 291, 406, 490, 360, 372 ], [ 40, 71, 123, 119, 195, 303, 414, 345, 172, 274, 377, 396, 484, 514 ],
  [ 42, 75, 129, 210, 323, 426, 344, 353, 328, 283, 399, 441, 290, 347 ], [ 49, 87, 146, 238, 352, 139, 227, 160, 260, 374, 468, 459, 56, 100 ],
  [ 62, 108, 177, 64, 112, 174, 278, 393, 476, 497, 519, 440, 306, 264 ], [ 68, 118, 193, 88, 148, 241, 357, 382, 472, 182, 82, 138, 226, 72 ], 
  [ 74, 127, 207, 212, 258, 371, 180, 282, 398, 322, 424, 498, 515, 513 ], [ 76, 131, 213, 326, 430, 446, 405, 400, 433, 324, 211, 325, 428, 
      130 ], [ 78, 134, 218, 329, 434, 338, 439, 369, 466, 275, 367, 465, 183, 286 ], [ 84, 142, 233, 295, 365, 327, 432 ], 
  [ 86, 124, 202, 249, 358, 176, 281, 397, 485, 438, 437, 503, 380, 470 ], [ 90, 151, 247, 308, 331, 342, 190, 296, 408, 277, 203, 267, 285, 
      402 ], [ 92, 153, 250, 363, 462, 266, 378 ], [ 94, 157, 257, 370, 320, 422, 467, 244, 219, 330, 392, 480, 310, 416 ], 
  [ 95, 159, 150, 245, 141, 231, 99, 164, 168, 101, 111, 181, 280, 242 ], [ 103, 169, 270, 240, 355, 453, 509, 431, 477, 492, 379, 469, 313, 
      166 ], [ 106, 173, 276, 391, 215, 179, 122, 200, 311, 417, 403, 488, 463, 390 ], [ 109, 178, 208, 319, 254, 201, 312 ], 
  [ 113, 184, 287, 126, 205, 115, 120, 196, 305, 415, 461, 117, 191, 297 ], [ 132, 214, 156, 255, 368, 356, 419, 442, 293, 273, 387, 251, 230, 
      341 ], [ 135, 220, 332, 375, 246, 361, 458 ], [ 144, 235, 346, 427, 486, 516, 147 ], 
  [ 145, 236, 348, 447, 279, 394, 483, 505, 496, 499, 489, 491, 517, 170 ], [ 165, 256, 239, 354, 452, 364, 464, 479, 455, 475, 304, 269, 381, 
      471 ], [ 185, 289, 404, 409, 300, 411, 197, 206, 317, 410, 298, 288, 316, 188 ], [ 192, 299 ], [ 194, 302, 413, 481, 457, 473, 511 ], 
  [ 217, 301, 412, 451, 234, 232, 343, 444, 454, 510, 501, 221, 318, 421 ], [ 225, 337, 386, 420, 495, 482, 456 ], [ 237, 350 ], 
  [ 271, 384, 474, 512, 349, 448, 506, 520, 351, 450, 508, 449, 507, 395 ], [ 334, 436 ], [ 487, 504 ] ], 
[ [ 1, 2, 4, 8, 16 ], [ 3, 6, 12, 24, 44 ], [ 5, 10, 20, 33, 58 ], [ 7, 14, 27, 49, 88 ], [ 9, 18, 34, 60, 104 ], [ 11, 22, 40, 72, 125 ], 
  [ 13, 26, 47, 84, 143 ], [ 15, 29, 52, 94, 158 ], [ 17, 32, 56, 101, 30 ], [ 19, 36, 64, 113, 185 ], [ 21, 38, 68, 119, 61 ], 
  [ 23, 42, 76, 132, 215 ], [ 25, 46, 82, 139, 228 ], [ 28, 51, 92, 154, 252 ], [ 31, 54, 97, 37, 66 ], [ 35, 62, 109, 179, 268 ], 
  [ 39, 70, 122, 201, 108 ], [ 41, 74, 128, 193, 301 ], [ 43, 78, 135, 221, 216 ], [ 45, 81, 137, 225, 224 ], [ 48, 86, 145, 237, 351 ], 
  [ 50, 90, 152, 249, 80 ], [ 53, 95, 160, 261, 79 ], [ 55, 99, 165, 266, 379 ], [ 57, 103, 170, 271, 291 ], [ 59, 106, 174, 279, 395 ], 
  [ 63, 111, 182, 285, 403 ], [ 65, 115, 188, 293, 91 ], [ 67, 117, 192, 300, 397 ], [ 69, 120, 197, 306, 262 ], [ 71, 124, 203, 313, 227 ], 
  [ 73, 126, 206, 318, 286 ], [ 75, 130, 212, 96, 98 ], [ 77, 133, 217, 220, 329 ], [ 83, 141, 232, 129, 211 ], [ 85, 144, 127, 208, 320 ], 
  [ 87, 147, 240, 356, 454 ], [ 89, 150, 246, 164, 259 ], [ 93, 156, 256, 369, 178 ], [ 100, 166, 267, 380, 123 ], [ 102, 168, 134, 219, 331 ], 
  [ 105, 172, 275, 390, 462 ], [ 107, 176, 157, 258, 372 ], [ 110, 180, 283, 400, 163 ], [ 112, 183, 118, 194, 202 ], 
  [ 114, 187, 292, 247, 255 ], [ 116, 190, 153, 251, 365 ], [ 121, 199, 310, 357, 455 ], [ 131, 146, 239, 355, 426 ], 
  [ 136, 223, 336, 312, 309 ], [ 138, 209, 322, 425, 501 ], [ 140, 230, 342, 443, 490 ], [ 142, 234, 345, 177, 263 ], 
  [ 148, 242, 161, 173, 277 ], [ 149, 244, 253, 204, 315 ], [ 151, 189, 295, 368, 378 ], [ 155, 254, 367, 452, 341 ], 
  [ 159, 198, 308, 416, 218 ], [ 162, 264, 377, 444, 432 ], [ 167, 269, 382, 330, 435 ], [ 169, 250, 364, 245, 265 ], 
  [ 171, 273, 388, 422, 497 ], [ 175, 280, 396, 483, 450 ], [ 181, 284, 348, 448, 414 ], [ 184, 288, 323, 213, 327 ], 
  [ 186, 290, 405, 343, 231 ], [ 191, 298, 385, 475, 514 ], [ 195, 304, 362, 461, 317 ], [ 196, 289, 229, 340, 442 ], 
  [ 200, 214, 328, 433, 500 ], [ 205, 316, 420, 496, 384 ], [ 207, 260, 375, 381, 311 ], [ 210, 324, 427, 236, 349 ], 
  [ 222, 334, 436, 359, 457 ], [ 226, 338, 440, 503, 302 ], [ 233, 344, 430, 415, 411 ], [ 235, 347, 446, 505, 508 ], 
  [ 238, 353, 326, 431, 354 ], [ 241, 358, 456, 484, 332 ], [ 243, 360, 346, 445, 333 ], [ 248, 296, 373, 335, 437 ], 
  [ 257, 314, 419, 494, 278 ], [ 270, 383, 473, 480, 417 ], [ 272, 386, 476, 515, 453 ], [ 274, 389, 363, 463, 466 ], 
  [ 276, 392, 481, 407, 492 ], [ 281, 287, 299, 410, 294 ], [ 282, 391, 479, 361, 459 ], [ 297, 409, 366, 434, 421 ], 
  [ 303, 337, 438, 472, 458 ], [ 305, 404, 489, 512, 495 ], [ 307, 406, 491, 507, 469 ], [ 319, 398, 486, 321, 370 ], 
  [ 325, 429, 502, 399, 487 ], [ 339, 441, 504, 428, 418 ], [ 350, 449, 470, 423, 447 ], [ 352, 451, 387, 477, 516 ], 
  [ 371, 467, 485, 401, 376 ], [ 374, 394, 474, 513, 439 ], [ 393, 482, 460, 509, 498 ], [ 402, 413, 493, 412, 464 ], 
  [ 408, 471, 510, 518, 511 ], [ 424, 499, 506, 468, 465 ], [ 478, 517, 520, 519, 488 ] ] ]:
`-1,4,9` := [ 738, 
[ [ 2, 3, 5, 9, 17, 33, 64, 124 ], [ 4, 7, 13, 25, 48, 92, 173, 308 ], [ 6, 11, 21, 41, 78, 150, 237, 386 ], 
  [ 8, 15, 29, 56, 108, 202, 337, 305 ], [ 10, 19, 37, 72, 139, 252, 176, 312 ], [ 12, 23, 45, 86, 107, 200, 347, 528 ], 
  [ 14, 27, 52, 100, 189, 332, 303, 348 ], [ 16, 31, 60, 116, 217, 373, 558, 636 ], [ 18, 35, 68, 132, 162, 289, 461, 632 ], 
  [ 20, 39, 75, 144, 260, 297, 384, 194 ], [ 22, 43, 82, 157, 155, 277, 446, 564 ], [ 24, 46, 88, 166, 296, 472, 639, 309 ], 
  [ 26, 50, 96, 181, 319, 493, 658, 147 ], [ 28, 54, 104, 188, 330, 508, 401, 551 ], [ 30, 58, 112, 210, 362, 543, 602, 117 ], 
  [ 32, 62, 120, 223, 180, 317, 361, 542 ], [ 34, 66, 128, 227, 36, 70, 135, 244 ], [ 38, 47, 90, 169, 301, 479, 433, 612 ], 
  [ 40, 77, 148, 266, 431, 609, 716, 736 ], [ 42, 80, 154, 190, 334, 513, 442, 506 ], [ 44, 84, 161, 287, 421, 370, 456, 627 ], 
  [ 49, 94, 177, 172, 306, 483, 429, 605 ], [ 51, 98, 185, 324, 265, 97, 183, 182 ], [ 53, 102, 193, 267, 432, 611, 300, 478 ], 
  [ 55, 106, 199, 345, 526, 99, 187, 328 ], [ 57, 110, 206, 355, 449, 620, 374, 541 ], [ 59, 114, 213, 211, 363, 544, 687, 219 ], 
  [ 61, 118, 220, 377, 562, 203, 350, 531 ], [ 63, 122, 226, 385, 93, 175, 311, 201 ], [ 65, 126, 232, 395, 512, 123, 228, 85 ], 
  [ 67, 130, 238, 402, 581, 704, 695, 683 ], [ 69, 133, 229, 389, 198, 344, 525, 679 ], [ 71, 137, 248, 413, 320, 495, 660, 706 ], 
  [ 73, 111, 208, 358, 537, 505, 557, 538 ], [ 74, 142, 91, 171, 304, 170, 302, 481 ], [ 76, 146, 264, 428, 604, 715, 638, 445 ], 
  [ 79, 152, 149, 268, 434, 101, 191, 81 ], [ 83, 159, 283, 455, 626, 637, 650, 576 ], [ 87, 143, 258, 318, 494, 644, 642, 724 ], 
  [ 89, 103, 195, 340, 519, 672, 140, 254 ], [ 95, 179, 315, 273, 291, 464, 635, 426 ], [ 105, 184, 322, 498, 547, 608, 129, 236 ], 
  [ 109, 204, 351, 465, 343, 523, 489, 655 ], [ 115, 215, 269, 435, 354, 459, 549, 690 ], [ 119, 222, 366, 550, 691, 606, 688, 327 ], 
  [ 121, 224, 381, 567, 648, 720, 529, 680 ], [ 125, 230, 391, 575, 701, 686, 288, 460 ], [ 127, 212, 365, 548, 163, 233, 388, 396 ], 
  [ 131, 240, 405, 585, 705, 582, 403, 239 ], [ 134, 242, 407, 587, 424, 600, 665, 722 ], [ 136, 246, 325, 502, 664, 729, 404, 584 ], 
  [ 138, 250, 243, 408, 278, 448, 293, 392 ], [ 141, 256, 420, 598, 712, 356, 167, 282 ], [ 145, 262, 425, 422, 205, 353, 272, 440 ], 
  [ 151, 271, 438, 615, 457, 628, 276, 444 ], [ 153, 274, 367, 178, 168, 299, 476, 378 ], [ 156, 279, 450, 234, 376, 441, 504, 630 ], 
  [ 158, 281, 452, 623, 534, 661, 728, 257 ], [ 160, 285, 458, 492, 436, 613, 601, 249 ], [ 164, 292, 466, 174, 310, 380, 565, 490 ], 
  [ 165, 294, 468, 524, 678, 451, 622, 684 ], [ 186, 326, 503, 666, 671, 692, 590, 387 ], [ 192, 336, 515, 255, 419, 545, 689, 314 ], 
  [ 196, 263, 427, 603, 397, 221, 307, 286 ], [ 197, 342, 521, 675, 501, 662, 586, 471 ], [ 207, 357, 536, 646, 727, 640, 253, 418 ], 
  [ 209, 360, 379, 313, 488, 654, 624, 338 ], [ 214, 368, 552, 563, 696, 484, 572, 335 ], [ 216, 371, 535, 631, 588, 707, 496, 467 ], 
  [ 218, 375, 560, 674, 482, 649, 316, 409 ], [ 225, 383, 568, 699, 734, 681, 382, 569 ], [ 231, 393, 486, 447, 619, 593, 454, 284 ], 
  [ 235, 399, 578, 677, 583, 430, 607, 667 ], [ 241, 406, 339, 518, 555, 656, 617, 718 ], [ 245, 400, 579, 702, 730, 331, 509, 321 ], 
  [ 247, 259, 423, 469, 261, 390, 574, 700 ], [ 251, 416, 596, 710, 491, 657, 694, 663 ], [ 270, 437, 614, 329, 507, 477, 645, 725 ], 
  [ 275, 443, 394, 333, 511, 346, 527, 610 ], [ 280, 414, 594, 561, 566, 698, 599, 713 ], [ 290, 462, 412, 591, 540, 349, 323, 499 ], 
  [ 295, 470, 621, 411, 589, 571, 439, 616 ], [ 298, 475, 643, 618, 719, 721, 714, 731 ], [ 352, 532, 474, 372, 556, 398, 577, 629 ], 
  [ 359, 539, 685, 485, 652, 417, 597, 711 ], [ 364, 546, 415, 595, 709, 573, 533, 673 ], [ 369, 554, 520, 553, 693, 651, 514, 669 ], 
  [ 410, 510, 580, 497, 647, 703, 735, 668 ], [ 453, 625, 570, 487, 653, 717, 473, 641 ], [ 463, 634, 500, 530, 682, 708, 592, 633 ], 
  [ 516, 559, 670, 726, 723, 517, 522, 676 ] ], 
[ [ 1, 2, 4, 8, 16, 32, 63, 123 ], [ 3, 6, 12, 24, 47, 91, 172, 307 ], [ 5, 10, 20, 40, 43, 83, 160, 286 ], 
  [ 7, 14, 28, 55, 107, 201, 349, 530 ], [ 9, 18, 36, 71, 138, 251, 268, 427 ], [ 11, 22, 44, 85, 163, 291, 465, 574 ], 
  [ 13, 26, 51, 99, 188, 331, 510, 311 ], [ 15, 30, 59, 115, 216, 372, 557, 653 ], [ 17, 34, 67, 131, 236, 126, 233, 397 ], 
  [ 19, 38, 74, 143, 259, 92, 174, 287 ], [ 21, 42, 81, 156, 264, 429, 606, 711 ], [ 23, 29, 57, 111, 209, 361, 100, 190 ], 
  [ 25, 49, 95, 180, 318, 406, 560, 627 ], [ 27, 53, 103, 196, 341, 520, 674, 731 ], [ 31, 61, 119, 169, 302, 310, 486, 614 ], 
  [ 33, 65, 127, 234, 398, 75, 145, 263 ], [ 35, 69, 134, 243, 409, 588, 700, 68 ], [ 37, 73, 141, 257, 208, 359, 540, 682 ], 
  [ 39, 76, 147, 265, 430, 608, 701, 728 ], [ 41, 79, 153, 275, 289, 252, 417, 461 ], [ 45, 87, 165, 295, 471, 120, 94, 178 ], 
  [ 46, 89, 168, 300, 420, 599, 666, 515 ], [ 48, 93, 176, 313, 489, 656, 620, 652 ], [ 50, 97, 184, 323, 500, 135, 245, 410 ], 
  [ 52, 101, 192, 337, 516, 664, 468, 604 ], [ 54, 105, 198, 294, 469, 244, 328, 506 ], [ 56, 109, 205, 354, 534, 301, 480, 647 ], 
  [ 58, 113, 212, 366, 536, 86, 164, 293 ], [ 60, 117, 219, 376, 440, 552, 693, 558 ], [ 62, 121, 225, 384, 571, 660, 455, 448 ], 
  [ 64, 125, 231, 394, 133, 241, 118, 221 ], [ 66, 129, 237, 401, 581, 705, 199, 346 ], [ 70, 136, 247, 412, 592, 679, 589, 322 ], 
  [ 72, 140, 255, 258, 422, 274, 442, 443 ], [ 77, 149, 269, 436, 476, 615, 622, 678 ], [ 78, 151, 272, 441, 431, 610, 499, 634 ], 
  [ 80, 155, 278, 449, 144, 261, 139, 253 ], [ 82, 158, 282, 454, 508, 667, 607, 345 ], [ 84, 162, 290, 463, 632, 460, 631, 242 ], 
  [ 88, 167, 298, 177, 314, 490, 281, 453 ], [ 90, 170, 303, 347, 529, 681, 358, 538 ], [ 96, 182, 320, 496, 470, 526, 611, 717 ], 
  [ 98, 186, 327, 505, 519, 673, 730, 737 ], [ 102, 194, 339, 204, 352, 357, 277, 447 ], [ 104, 197, 343, 524, 407, 452, 624, 596 ], 
  [ 106, 191, 335, 514, 670, 137, 249, 415 ], [ 108, 203, 336, 175, 230, 392, 351, 146 ], [ 110, 207, 193, 338, 517, 671, 595, 521 ], 
  [ 112, 211, 364, 547, 308, 381, 568, 654 ], [ 114, 214, 369, 523, 609, 444, 617, 210 ], [ 116, 218, 250, 373, 559, 695, 405, 586 ], 
  [ 122, 227, 387, 572, 554, 355, 479, 142 ], [ 124, 229, 390, 228, 388, 573, 503, 603 ], [ 128, 235, 400, 580, 494, 577, 256, 421 ], 
  [ 130, 239, 404, 266, 200, 348, 271, 439 ], [ 132, 232, 396, 299, 477, 375, 561, 498 ], [ 148, 267, 433, 481, 648, 383, 418, 438 ], 
  [ 150, 270, 362, 544, 688, 712, 283, 456 ], [ 152, 273, 220, 378, 564, 285, 459, 393 ], [ 154, 276, 445, 565, 475, 644, 716, 334 ], 
  [ 157, 280, 399, 238, 403, 583, 413, 593 ], [ 159, 284, 457, 629, 685, 395, 365, 549 ], [ 161, 288 ], 
  [ 166, 297, 474, 641, 680, 732, 738, 304 ], [ 171, 305, 482, 650, 698, 584, 532, 612 ], [ 173, 309, 485, 312, 487, 226, 386, 511 ], 
  [ 179, 316, 492, 419, 483, 435, 408, 562 ], [ 181, 185, 325, 262, 426, 602, 363, 545 ], [ 183, 321, 497, 332, 507, 416, 528, 658 ], 
  [ 187, 329, 206, 356, 535, 684, 718, 676 ], [ 189, 333, 512, 548, 689, 224, 382, 570 ], [ 195, 279, 451, 425, 222, 379, 217, 374 ], 
  [ 202, 223, 380, 566, 402, 582, 706, 643 ], [ 213, 367, 551, 692, 690, 594, 662, 543 ], [ 215, 370, 462, 633, 575, 613, 691, 254 ], 
  [ 240, 326, 504, 423, 344, 353, 533, 683 ], [ 246, 411, 590, 635, 723, 675, 531, 546 ], [ 248, 414 ], 
  [ 260, 424, 601, 368, 553, 542, 639, 537 ], [ 292, 467, 638, 296, 473, 642, 600, 714 ], [ 306, 484, 651, 350, 450, 621, 702, 735 ], 
  [ 315, 491, 437, 377, 563, 697, 733, 687 ], [ 317, 493, 659, 699, 598, 458, 630, 518 ], [ 319, 324, 501, 663, 628, 722, 626, 721 ], 
  [ 330, 502, 665, 713, 509, 668, 472, 640 ], [ 340, 464, 636, 710, 446, 618, 720, 734 ], [ 342, 522, 677, 729, 715, 724, 616, 578 ], 
  [ 360, 541 ], [ 371, 555, 694, 478, 646, 725, 655, 587 ], [ 385, 525, 428, 567, 569, 539, 686, 719 ], 
  [ 389, 556, 488, 649, 619, 513, 432, 597 ], [ 391, 576, 623, 672, 696, 669, 657, 527 ], [ 434, 550, 625, 605, 709, 495, 661, 727 ], 
  [ 466, 637, 707, 736, 645, 726, 579, 703 ], [ 585, 704 ], [ 591, 708 ] ] ]:
`0,5,2` := [ 16, 
[ [ 3, 4, 6, 8 ], [ 5, 7, 10, 14 ], [ 9, 12, 13, 16 ], [ 11, 15 ] ], 
[ [ 2, 3, 5, 4 ], [ 6, 9, 13, 8 ], [ 7, 11, 14, 16 ], [ 12, 15 ] ] ]:
`0,5,3` := [ 72, 
[ [ 1, 2 ], [ 3, 5 ], [ 4, 7 ], [ 6, 9 ], [ 8, 11 ], [ 10, 14 ], [ 12, 17 ], [ 13, 19 ], [ 15, 22 ], [ 16, 24 ], [ 18, 27 ], [ 20, 29 ], 
  [ 21, 31 ], [ 23, 33 ], [ 25, 34 ], [ 26, 36 ], [ 28, 38 ], [ 30, 40 ], [ 32, 43 ], [ 35, 46 ], [ 37, 49 ], [ 39, 41 ], [ 42, 53 ], 
  [ 44, 52 ], [ 45, 47 ], [ 48, 54 ], [ 50, 57 ], [ 51, 59 ], [ 55, 61 ], [ 56, 60 ], [ 58, 63 ], [ 65, 69 ], [ 67, 71 ] ], 
[ [ 1, 3, 6, 10, 15, 23, 2, 4, 8, 12, 18, 28 ], [ 5, 9, 13, 20, 30, 41, 49, 46, 57, 19, 27, 38 ], 
  [ 7, 11, 16, 25, 35, 47, 43, 40, 52, 24, 22, 33 ], [ 14, 21, 32, 44, 55, 62, 66, 70, 69, 29, 39, 51 ], 
  [ 17, 26, 37, 50, 58, 64, 68, 72, 71, 34, 45, 56 ], [ 31, 42, 54, 60, 61, 65, 36, 48, 53, 59, 63, 67 ] ] ]:
`0,5,4` := [ 85, 
[ [ 2, 3, 5 ], [ 4, 7, 11 ], [ 6, 10, 15 ], [ 9, 14, 21 ], [ 12, 18, 25 ], [ 13, 20, 29 ], [ 16, 24, 35 ], [ 17, 26, 37 ], [ 19, 28, 36 ], 
  [ 22, 32, 45 ], [ 23, 34, 49 ], [ 27, 39, 56 ], [ 31, 43, 44 ], [ 33, 47, 64 ], [ 38, 54, 69 ], [ 40, 58, 70 ], [ 42, 59, 72 ], 
  [ 46, 61, 74 ], [ 48, 65, 78 ], [ 51, 67, 79 ], [ 52, 57, 55 ], [ 53, 68, 60 ], [ 62, 76, 75 ], [ 63, 77, 66 ], [ 71, 80, 81 ] ], 
[ [ 1, 2, 4, 8, 13 ], [ 3, 6, 7, 12, 19 ], [ 5, 9, 11, 17, 27 ], [ 10, 16, 25, 36, 52 ], [ 14, 22, 33, 48, 66 ], [ 15, 23, 18, 28, 40 ], 
  [ 20, 30, 42, 60, 73 ], [ 21, 31, 44, 62, 76 ], [ 24, 26, 38, 55, 65 ], [ 29, 41, 58, 34, 50 ], [ 32, 46, 63, 77, 45 ], 
  [ 35, 51, 39, 57, 47 ], [ 37, 53, 59, 56, 71 ], [ 43, 61, 75, 78, 64 ], [ 49, 67, 54, 70, 74 ], [ 68, 72, 69, 80, 79 ], 
  [ 81, 82, 83, 84, 85 ] ] ]:
`0,5,5` := [ 600, 
[ [ 3, 4, 6, 10 ], [ 5, 8, 14, 25 ], [ 7, 12, 21, 39 ], [ 9, 16, 29, 54 ], [ 11, 19, 35, 66 ], [ 13, 23, 43, 79 ], [ 15, 27, 50, 92 ], 
  [ 17, 31, 58, 107 ], [ 18, 33, 62, 113 ], [ 20, 37, 67, 36 ], [ 22, 41, 75, 135 ], [ 24, 45, 83, 149 ], [ 26, 48, 88, 158 ], 
  [ 28, 52, 96, 171 ], [ 30, 56, 103, 184 ], [ 32, 60, 110, 196 ], [ 34, 64, 117, 206 ], [ 38, 70, 63, 115 ], [ 40, 73, 131, 229 ], 
  [ 42, 77, 139, 244 ], [ 44, 81, 145, 254 ], [ 47, 86, 154, 266 ], [ 49, 90, 162, 278 ], [ 51, 94, 168, 286 ], [ 53, 98, 175, 291 ], 
  [ 55, 101, 181, 301 ], [ 57, 105, 188, 310 ], [ 59, 78, 141, 247 ], [ 61, 112, 200, 328 ], [ 65, 119, 208, 340 ], [ 68, 122, 214, 351 ], 
  [ 69, 124, 218, 353 ], [ 71, 127, 223, 360 ], [ 72, 129, 226, 365 ], [ 74, 133, 233, 374 ], [ 76, 137, 240, 268 ], [ 80, 143, 250, 393 ], 
  [ 82, 147, 222, 237 ], [ 84, 150, 261, 260 ], [ 85, 152, 232, 372 ], [ 87, 156, 269, 412 ], [ 89, 160, 274, 417 ], [ 91, 163, 279, 421 ], 
  [ 93, 166, 282, 424 ], [ 95, 170, 287, 428 ], [ 97, 173, 289, 164 ], [ 99, 177, 294, 317 ], [ 100, 179, 297, 434 ], [ 102, 183, 304, 444 ], 
  [ 104, 186, 308, 385 ], [ 106, 178, 296, 433 ], [ 108, 192, 318, 389 ], [ 109, 194, 321, 456 ], [ 111, 198, 123, 216 ], 
  [ 114, 121, 212, 347 ], [ 116, 204, 335, 466 ], [ 120, 210, 343, 477 ], [ 125, 220, 357, 487 ], [ 126, 221, 176, 293 ], 
  [ 128, 225, 364, 429 ], [ 130, 228, 369, 446 ], [ 132, 231, 371, 500 ], [ 134, 235, 377, 504 ], [ 136, 238, 255, 187 ], 
  [ 138, 242, 388, 507 ], [ 140, 245, 390, 519 ], [ 142, 248, 391, 373 ], [ 144, 252, 394, 449 ], [ 146, 256, 398, 407 ], 
  [ 148, 180, 299, 437 ], [ 151, 263, 406, 155 ], [ 153, 264, 408, 530 ], [ 157, 271, 270, 414 ], [ 159, 273, 416, 431 ], 
  [ 161, 276, 344, 479 ], [ 165, 281, 285, 356 ], [ 167, 284, 283, 426 ], [ 172, 234, 376, 305 ], [ 174, 215, 325, 217 ], 
  [ 182, 239, 383, 515 ], [ 185, 307, 404, 529 ], [ 189, 312, 447, 452 ], [ 190, 314, 448, 550 ], [ 191, 316, 451, 397 ], 
  [ 193, 320, 319, 454 ], [ 195, 323, 457, 554 ], [ 197, 326, 199, 329 ], [ 201, 331, 462, 503 ], [ 202, 213, 349, 348 ], 
  [ 203, 334, 290, 292 ], [ 205, 337, 469, 315 ], [ 209, 342, 476, 568 ], [ 211, 345, 432, 544 ], [ 219, 355, 450, 246 ], 
  [ 224, 362, 494, 230 ], [ 227, 367, 498, 295 ], [ 236, 379, 508, 395 ], [ 241, 386, 306, 436 ], [ 243, 288, 430, 361 ], 
  [ 249, 392, 521, 520 ], [ 251, 336, 468, 560 ], [ 253, 396, 505, 583 ], [ 257, 324, 459, 547 ], [ 258, 401, 300, 439 ], 
  [ 259, 403, 298, 277 ], [ 262, 358, 489, 576 ], [ 265, 366, 490, 311 ], [ 267, 410, 533, 405 ], [ 272, 303, 443, 538 ], 
  [ 275, 419, 525, 322 ], [ 280, 352, 486, 573 ], [ 302, 442, 480, 309 ], [ 313, 341, 474, 566 ], [ 327, 461, 541, 561 ], 
  [ 330, 354, 470, 562 ], [ 332, 464, 559, 463 ], [ 333, 465, 402, 528 ], [ 338, 471, 563, 590 ], [ 339, 472, 564, 589 ], 
  [ 346, 481, 382, 513 ], [ 350, 440, 543, 523 ], [ 359, 491, 420, 455 ], [ 363, 495, 536, 578 ], [ 368, 478, 418, 539 ], 
  [ 375, 502, 422, 540 ], [ 378, 506, 584, 423 ], [ 380, 510, 585, 509 ], [ 381, 511, 435, 438 ], [ 384, 516, 493, 558 ], 
  [ 387, 518, 551, 534 ], [ 399, 524, 483, 571 ], [ 400, 526, 460, 556 ], [ 409, 531, 488, 496 ], [ 411, 535, 445, 467 ], 
  [ 415, 537, 514, 542 ], [ 427, 497, 580, 569 ], [ 441, 548, 492, 577 ], [ 458, 527, 484, 572 ], [ 473, 565, 567, 485 ], 
  [ 475, 517, 588, 549 ], [ 512, 587, 586, 546 ], [ 522, 591, 598, 582 ], [ 532, 575, 579, 596 ], [ 552, 594, 557, 574 ], 
  [ 592, 597, 600, 599 ] ], 
[ [ 1, 2, 3, 5, 9, 17, 32, 61, 12, 22, 42, 78 ], [ 4, 7, 13, 24, 46, 85, 153, 265, 212, 348, 483, 539 ], 
  [ 6, 11, 20, 38, 71, 128, 107, 191, 317, 452, 343, 478 ], [ 8, 15, 28, 53, 99, 178, 75, 136, 239, 384, 517, 589 ], 
  [ 10, 18, 34, 65, 120, 211, 346, 424, 426, 542, 274, 418 ], [ 14, 26, 49, 91, 164, 280, 423, 186, 137, 241, 387, 200 ], 
  [ 16, 30, 57, 106, 190, 315, 450, 537, 273, 117, 119, 209 ], [ 19, 36, 68, 123, 217, 294, 228, 27, 51, 95, 133, 234 ], 
  [ 21, 40, 74, 134, 236, 380, 247, 321, 276, 420, 183, 305 ], [ 23, 44, 82, 148, 259, 404, 530, 369, 279, 422, 541, 443 ], 
  [ 25, 47, 87, 157, 171, 235, 378, 507, 231, 372, 143, 251 ], [ 29, 55, 102, 175, 292, 254, 244, 389, 454, 403, 310, 446 ], 
  [ 31, 59, 109, 195, 324, 460, 557, 481, 94, 169, 271, 281 ], [ 33, 63, 116, 205, 338, 377, 505, 519, 590, 291, 204, 336 ], 
  [ 35, 67, 121, 213, 350, 485, 314, 449, 552, 577, 533, 560 ], [ 37, 69, 125, 156, 270, 415, 538, 448, 551, 198, 328, 66 ], 
  [ 39, 72, 130, 158, 272, 226, 366, 206, 208, 341, 475, 564 ], [ 41, 76, 138, 243, 162, 54, 100, 180, 300, 440, 474, 567 ], 
  [ 43, 80, 144, 253, 397, 334, 408, 447, 549, 595, 340, 473 ], [ 45, 84, 151, 77, 140, 246, 168, 170, 288, 431, 115, 203 ], 
  [ 48, 89, 161, 277, 242, 233, 375, 487, 406, 147, 258, 402 ], [ 50, 93, 167, 285, 427, 543, 588, 472, 62, 114, 202, 333 ], 
  [ 52, 97, 174, 290, 391, 520, 393, 518, 329, 355, 166, 283 ], [ 56, 104, 187, 309, 58, 108, 193, 299, 438, 546, 594, 442 ], 
  [ 60, 111, 199, 330, 103, 185, 149, 260, 405, 252, 395, 510 ], [ 64, 118, 207, 339, 331, 463, 318, 453, 553, 587, 598, 600 ], 
  [ 70, 126, 222, 359, 492, 489, 312, 342, 421, 504, 582, 597 ], [ 73, 132, 232, 373, 501, 521, 83, 150, 262, 296, 365, 433 ], 
  [ 79, 142, 249, 81, 146, 257, 400, 396, 192, 319, 401, 527 ], [ 86, 155, 268, 105, 189, 313, 210, 344, 437, 491, 515, 278 ], 
  [ 88, 159, 122, 215, 293, 240, 385, 139, 110, 197, 327, 90 ], [ 92, 165, 184, 306, 445, 221, 238, 382, 514, 516, 566, 568 ], 
  [ 96, 172, 113, 124, 219, 356, 297, 435, 545, 320, 455, 513 ], [ 98, 176, 256, 399, 525, 386, 469, 561, 417, 457, 528, 163 ], 
  [ 101, 182, 303, 135, 237, 381, 512, 584, 529, 250, 337, 470 ], [ 112, 201, 332, 196, 325, 127, 224, 363, 496, 579, 374, 289 ], 
  [ 129, 227, 368, 499, 456, 345, 480, 569, 459, 555, 349, 484 ], [ 131, 230, 370, 428, 500, 581, 596, 364, 497, 524, 323, 458 ], 
  [ 141, 194, 322, 307, 248, 392, 264, 367, 479, 511, 586, 583 ], [ 145, 255, 304, 173, 216, 352, 379, 509, 451, 360, 371, 152 ], 
  [ 154, 267, 411, 223, 361, 493, 477, 419, 308, 398, 523, 476 ], [ 160, 275, 388, 494, 578, 263, 407, 465, 266, 409, 532, 430 ], 
  [ 177, 295, 432, 444, 502, 563, 376, 503, 464, 316, 335, 467 ], [ 179, 298, 436, 468, 462, 559, 390, 461, 558, 565, 229, 225 ], 
  [ 181, 302, 301, 441, 412, 414, 282, 425, 284, 286, 287, 429 ], [ 188, 311, 351, 486, 574, 383, 416, 347, 482, 570, 526, 506 ], 
  [ 214, 326, 357, 488, 575, 362, 495, 410, 534, 573, 591, 599 ], [ 218, 354, 434, 439, 547, 556, 508, 585, 245, 220, 358, 490 ], 
  [ 261, 269, 413, 536, 576, 498, 554, 571, 544, 548, 531, 593 ], [ 353, 471, 540, 562, 580, 572, 550, 535, 466, 394, 522, 592 ] ] ]:
`1,6,2` := [ 35, 
[ [ 3, 4 ], [ 5, 8 ], [ 6, 9 ], [ 10, 18 ], [ 11, 20 ], [ 12, 17 ], [ 13, 16 ], [ 14, 22 ], [ 19, 28 ], [ 21, 30 ], [ 23, 27 ], [ 24, 26 ], 
  [ 29, 33 ], [ 34, 35 ] ], 
[ [ 3, 4, 6, 10 ], [ 5, 8, 12, 19 ], [ 7, 13 ], [ 9, 15, 18, 20 ], [ 14, 23, 29, 22 ], [ 16, 26, 32, 24 ], [ 17, 25, 28, 30 ], 
  [ 27, 31, 33, 34 ] ], 
[ [ 2, 3 ], [ 4, 7 ], [ 6, 11 ], [ 8, 14 ], [ 9, 16 ], [ 10, 13 ], [ 15, 24 ], [ 17, 27 ], [ 18, 20 ], [ 19, 29 ], [ 25, 31 ], [ 26, 32 ] ], 
[ [ 1, 2 ], [ 3, 5 ], [ 4, 8 ], [ 6, 12 ], [ 9, 17 ], [ 10, 19 ], [ 11, 21 ], [ 15, 25 ], [ 18, 28 ], [ 20, 30 ] ] ]:
`1,6,3` := [ 260, 
[ [ 1, 2 ], [ 3, 4 ], [ 5, 7, 11, 19, 35, 63 ], [ 6, 9, 15, 27, 49, 87 ], [ 8, 13, 23, 41, 73, 126 ], [ 10, 17, 31, 55, 95, 159 ], 
  [ 12, 21, 36, 64, 110, 179 ], [ 14, 25, 45, 80, 138, 142 ], [ 16, 29, 50, 67, 115, 185 ], [ 18, 33, 59, 102, 171, 175 ], 
  [ 20, 37, 66, 113, 184, 170 ], [ 22, 39 ], [ 24, 43, 77, 133, 160, 111 ], [ 26, 47, 83 ], [ 28, 51, 89, 149, 211, 137 ], [ 30, 53 ], 
  [ 32, 57, 99, 166, 127, 116 ], [ 34, 61, 105 ], [ 38, 68, 86, 72, 124, 74 ], [ 40, 71, 122, 70, 120, 190 ], [ 42, 75, 129, 196, 240, 233 ], 
  [ 44, 79, 136, 200, 62, 107 ], [ 46, 76, 131, 197, 84, 144 ], [ 48, 85, 58, 101, 169, 221 ], [ 52, 90, 108, 94, 158, 96 ], 
  [ 54, 93, 156, 92, 154, 213 ], [ 56, 97, 162, 217, 237, 229 ], [ 60, 98, 164, 218, 106, 125 ], [ 65, 112, 182, 195, 180, 230 ], 
  [ 69, 118, 189 ], [ 78, 135, 202, 215, 128, 176 ], [ 81, 140, 204 ], [ 82, 141, 145, 208, 244, 259 ], [ 88, 148, 209, 216, 187, 234 ], 
  [ 91, 152, 212 ], [ 100, 168, 223, 194, 161, 143 ], [ 103, 173, 225 ], [ 104, 174, 177, 228, 249, 256 ], [ 109, 121, 191, 203, 242, 123 ], 
  [ 114, 186 ], [ 117, 134, 201, 226, 181, 172 ], [ 119, 146, 163 ], [ 130, 153, 178 ], [ 132, 193, 236, 255, 250, 206 ], 
  [ 139, 151, 167, 222, 205, 188 ], [ 147, 155, 214, 224, 238, 157 ], [ 150, 192 ], [ 165, 207, 243, 258, 245, 227 ], [ 198, 220 ], 
  [ 199, 219 ], [ 231, 252 ], [ 232, 239, 251 ], [ 235, 254 ], [ 241, 257 ], [ 246, 247, 253 ], [ 248, 260 ] ], 
[ [ 1, 3, 5, 8, 14, 26, 48, 86, 146, 201, 66, 114 ], [ 2, 4, 6, 10, 18, 34, 62, 108, 178, 222, 89, 150 ], 
  [ 7, 12, 22, 40, 72, 125, 193, 237, 202, 39, 70, 121 ], [ 9, 16, 30, 54, 94, 144, 207, 240, 223, 53, 92, 155 ], [ 11, 20, 15, 28 ], 
  [ 13, 24, 44, 25, 46, 82, 142, 169, 133, 200, 184, 49 ], [ 17, 32, 58, 33, 60, 104, 175, 136, 166, 221, 211, 35 ], 
  [ 19, 36, 65, 71, 123, 192, 27, 50, 88, 93, 157, 186 ], [ 21, 38, 69, 119, 107, 23, 42, 76, 132, 199, 182, 190 ], 
  [ 29, 52, 91, 153, 85, 31, 56, 98, 165, 220, 209, 213 ], [ 37, 67, 116, 188 ], [ 41, 74, 128, 195, 239, 120, 162, 79, 137, 203, 63, 109 ], 
  [ 43, 78, 112, 183, 232, 122, 77, 134, 196, 212, 140, 205 ], [ 45, 81, 131, 198, 241, 244, 75, 130, 197, 236, 256, 258 ], 
  [ 47, 84, 145, 158 ], [ 51, 64, 111, 181 ], [ 55, 96, 161, 216, 247, 154, 129, 101, 170, 224, 87, 147 ], 
  [ 57, 100, 148, 210, 246, 156, 99, 167, 217, 189, 173, 226 ], [ 59, 103, 164, 219, 248, 249, 97, 163, 218, 243, 259, 255 ], 
  [ 61, 106, 177, 124 ], [ 68, 117, 159, 138, 152, 83, 143, 115, 187, 235, 141, 206 ], [ 73, 127, 194, 238 ], [ 80, 139, 102, 172 ], 
  [ 90, 151, 126, 171, 118, 105, 176, 110, 180, 231, 174, 227 ], [ 95, 160, 215, 242 ], 
  [ 113, 185, 233, 204, 168, 214, 149, 179, 229, 225, 135, 191 ], [ 208, 245 ], [ 228, 250 ], [ 230, 251, 252, 260 ], [ 234, 253, 254, 257 ] ] ]:
`-1,6,2` := [ 27, 
[ [ 3, 4 ], [ 5, 8 ], [ 6, 9 ], [ 10, 17 ], [ 11, 16 ], [ 12, 15 ], [ 13, 20 ], [ 18, 24 ], [ 19, 25 ], [ 21, 23 ] ], 
[ [ 3, 4, 6 ], [ 5, 8, 11 ], [ 7, 12, 10 ], [ 9, 14 ], [ 13, 18, 20 ], [ 15, 23, 27, 21, 17, 25 ], [ 16, 22 ], [ 24, 26 ] ], 
[ [ 2, 3 ], [ 4, 7 ], [ 6, 10 ], [ 8, 13 ], [ 9, 15 ], [ 11, 18 ], [ 12, 19 ], [ 14, 21 ], [ 16, 24 ], [ 17, 25 ], [ 22, 26 ], [ 23, 27 ] ], 
[ [ 1, 2 ], [ 3, 5 ], [ 4, 8 ], [ 6, 11 ], [ 9, 16 ], [ 14, 22 ] ] ]:
`-1,6,3` := [ 224, 
[ [ 1, 2 ], [ 3, 4 ], [ 5, 7, 11, 19, 35, 63 ], [ 6, 9, 15, 27, 49, 88 ], [ 8, 13, 23, 41, 74, 125 ], [ 10, 17, 31, 55, 99, 156 ], 
  [ 12, 21, 38, 69, 93, 148 ], [ 14, 25, 45, 81, 135, 179 ], [ 16, 29, 52, 94, 68, 117 ], [ 18, 33, 59, 105, 166, 201 ], 
  [ 20, 36, 65, 114, 176, 22 ], [ 24, 43 ], [ 26, 47, 84 ], [ 28, 50, 90, 145, 199, 30 ], [ 32, 57 ], [ 34, 61, 108 ], 
  [ 37, 67, 116, 111, 173, 129 ], [ 39, 71, 54, 97, 153, 204 ], [ 40, 72, 122, 182, 53, 96 ], [ 42, 76, 73, 124, 100, 158 ], 
  [ 44, 79, 132, 78, 130, 188 ], [ 46, 83, 101, 62, 110, 172 ], [ 48, 86, 141, 60, 107, 77 ], [ 51, 92, 147, 142, 197, 160 ], 
  [ 56, 87, 98, 155, 75, 127 ], [ 58, 103, 163, 102, 161, 207 ], [ 64, 112, 175, 202, 95, 150 ], [ 66, 115, 171, 151, 152, 203 ], 
  [ 70, 119, 89, 143, 196, 180 ], [ 80, 133 ], [ 85, 139 ], [ 91, 146, 140, 120, 121, 181 ], [ 104, 164 ], [ 109, 170 ], 
  [ 113, 174, 154, 177, 118, 162 ], [ 123, 184, 149, 131, 144, 198 ], [ 126, 187, 216, 222, 183, 165 ], [ 128, 169, 212, 220, 136, 194 ], 
  [ 134, 157, 185, 215, 224, 205 ], [ 137, 189, 217 ], [ 138, 195, 221, 167, 192, 159 ], [ 168, 208, 218 ], [ 178, 209 ], [ 186, 211, 223 ], 
  [ 190, 200 ], [ 191, 213 ], [ 193, 219, 206 ], [ 210, 214 ] ], 
[ [ 1, 3, 5, 8, 14, 26, 48, 87, 84, 138, 148, 200 ], [ 2, 4, 6, 10, 18, 34, 62, 76, 108, 169, 117, 178 ], 
  [ 7, 12, 22, 40, 73, 103, 146, 65, 69, 118, 179, 170 ], [ 9, 16, 30, 54, 98, 79, 115, 90, 94, 149, 201, 139 ], 
  [ 11, 20, 37, 68, 92, 72, 123, 185, 107, 43, 78, 131 ], [ 13, 24, 44, 80, 134, 192, 74, 126, 188, 153, 205, 86 ], 
  [ 15, 28, 51, 93, 67, 97, 154, 187, 83, 57, 102, 162 ], [ 17, 32, 58, 104, 165, 194, 99, 157, 207, 122, 183, 110 ], 
  [ 19, 31, 56, 101, 160, 209, 27, 23, 42, 77, 129, 190 ], [ 21, 39, 59, 106, 168, 47, 85, 140, 196, 204, 96, 152 ], 
  [ 25, 46, 52, 95, 151, 112, 41, 75, 128, 155, 206, 172 ], [ 29, 53, 45, 82, 137, 61, 109, 171, 175, 182, 71, 121 ], 
  [ 33, 60, 38, 70, 120, 143, 55, 100, 159, 124, 186, 141 ], [ 35, 64, 113, 158, 208, 217, 223, 161, 63, 111, 174, 133 ], [ 36, 66, 50, 91 ], 
  [ 49, 89, 144, 127, 189, 218, 219, 130, 88, 142, 198, 164 ], [ 81, 136, 105, 167 ], 
  [ 114, 177, 213, 215, 195, 222, 132, 191, 203, 197, 150, 202 ], [ 116, 176, 156, 135, 193, 220, 147, 199, 125, 166, 211, 221 ], 
  [ 119, 180, 145, 184, 214, 216, 212, 224, 163, 210, 181, 173 ] ] ]:
`0,7,2` := [ 64, 
[ [ 5, 6 ], [ 7, 9 ], [ 8, 11 ], [ 10, 14 ], [ 12, 16 ], [ 13, 18 ], [ 15, 21 ], [ 17, 23 ], [ 19, 26 ], [ 22, 29 ], [ 24, 31 ], [ 25, 33 ], 
  [ 27, 36 ], [ 30, 39 ], [ 34, 43 ], [ 35, 45 ], [ 38, 47 ], [ 40, 49 ], [ 42, 52 ], [ 44, 48 ], [ 50, 54 ], [ 51, 58 ], [ 55, 61 ], 
  [ 56, 57 ] ], 
[ [ 2, 3, 4, 5, 7, 10 ], [ 6, 8, 12, 17, 24, 32 ], [ 9, 13, 19, 27, 37, 47 ], [ 11, 15, 14, 20, 28, 38 ], [ 16, 22, 23, 30, 40, 50 ], 
  [ 18, 25, 34, 44, 54, 21 ], [ 26, 35 ], [ 31, 41, 51, 43, 49, 57 ], [ 33, 42, 53, 60, 61, 45 ], [ 36, 46, 55 ], [ 39, 48, 56 ], 
  [ 52, 59, 62, 63, 64, 58 ] ] ]:
`0,7,3` := [ 702, 
[ [ 1, 2 ], [ 3, 5 ], [ 4, 7 ], [ 6, 10 ], [ 8, 13 ], [ 9, 15 ], [ 11, 17 ], [ 12, 19 ], [ 14, 21 ], [ 16, 23 ], [ 18, 26 ], [ 20, 28 ], 
  [ 22, 31 ], [ 24, 34 ], [ 25, 36 ], [ 27, 39 ], [ 29, 42 ], [ 30, 44 ], [ 32, 47 ], [ 33, 49 ], [ 35, 52 ], [ 37, 55 ], [ 38, 57 ], 
  [ 40, 60 ], [ 41, 61 ], [ 43, 64 ], [ 45, 67 ], [ 46, 69 ], [ 48, 72 ], [ 50, 74 ], [ 51, 76 ], [ 53, 78 ], [ 54, 80 ], [ 56, 83 ], 
  [ 58, 86 ], [ 59, 88 ], [ 62, 92 ], [ 63, 94 ], [ 65, 96 ], [ 66, 98 ], [ 68, 101 ], [ 70, 104 ], [ 71, 106 ], [ 73, 109 ], [ 75, 100 ], 
  [ 77, 103 ], [ 79, 116 ], [ 81, 119 ], [ 82, 93 ], [ 84, 120 ], [ 85, 95 ], [ 87, 123 ], [ 89, 126 ], [ 90, 112 ], [ 91, 129 ], [ 97, 136 ], 
  [ 99, 139 ], [ 102, 140 ], [ 105, 143 ], [ 107, 146 ], [ 108, 132 ], [ 110, 149 ], [ 111, 151 ], [ 113, 154 ], [ 114, 156 ], [ 115, 158 ], 
  [ 117, 161 ], [ 118, 162 ], [ 121, 165 ], [ 122, 150 ], [ 124, 169 ], [ 125, 152 ], [ 127, 173 ], [ 128, 153 ], [ 130, 176 ], [ 131, 178 ], 
  [ 133, 181 ], [ 134, 183 ], [ 135, 185 ], [ 137, 188 ], [ 138, 189 ], [ 141, 192 ], [ 142, 177 ], [ 144, 196 ], [ 145, 179 ], [ 147, 200 ], 
  [ 148, 180 ], [ 155, 209 ], [ 157, 211 ], [ 159, 214 ], [ 160, 216 ], [ 163, 219 ], [ 164, 221 ], [ 167, 225 ], [ 168, 226 ], [ 170, 229 ], 
  [ 171, 231 ], [ 172, 232 ], [ 174, 235 ], [ 175, 212 ], [ 182, 243 ], [ 184, 245 ], [ 186, 248 ], [ 187, 250 ], [ 190, 253 ], [ 191, 255 ], 
  [ 194, 259 ], [ 195, 236 ], [ 197, 262 ], [ 198, 264 ], [ 199, 265 ], [ 201, 268 ], [ 202, 246 ], [ 203, 269 ], [ 204, 271 ], [ 205, 273 ], 
  [ 206, 275 ], [ 207, 277 ], [ 208, 279 ], [ 210, 282 ], [ 213, 284 ], [ 215, 287 ], [ 217, 288 ], [ 218, 272 ], [ 220, 292 ], [ 222, 295 ], 
  [ 223, 297 ], [ 224, 299 ], [ 230, 303 ], [ 237, 310 ], [ 238, 312 ], [ 239, 314 ], [ 240, 304 ], [ 241, 317 ], [ 242, 319 ], [ 244, 322 ], 
  [ 247, 324 ], [ 249, 327 ], [ 251, 328 ], [ 252, 313 ], [ 254, 332 ], [ 256, 335 ], [ 257, 337 ], [ 258, 339 ], [ 263, 342 ], [ 270, 348 ], 
  [ 274, 352 ], [ 276, 354 ], [ 280, 359 ], [ 281, 361 ], [ 283, 363 ], [ 289, 369 ], [ 290, 355 ], [ 291, 296 ], [ 298, 379 ], [ 300, 381 ], 
  [ 301, 383 ], [ 302, 385 ], [ 305, 362 ], [ 306, 375 ], [ 307, 373 ], [ 308, 390 ], [ 309, 392 ], [ 311, 389 ], [ 315, 391 ], [ 316, 398 ], 
  [ 320, 403 ], [ 321, 405 ], [ 323, 407 ], [ 329, 413 ], [ 330, 399 ], [ 331, 336 ], [ 338, 347 ], [ 340, 424 ], [ 341, 426 ], [ 343, 406 ], 
  [ 344, 419 ], [ 345, 417 ], [ 346, 430 ], [ 350, 433 ], [ 351, 435 ], [ 356, 439 ], [ 358, 388 ], [ 360, 374 ], [ 364, 447 ], [ 365, 410 ], 
  [ 366, 409 ], [ 367, 444 ], [ 368, 451 ], [ 370, 454 ], [ 371, 456 ], [ 372, 458 ], [ 376, 459 ], [ 378, 460 ], [ 382, 463 ], [ 384, 461 ], 
  [ 386, 465 ], [ 387, 467 ], [ 393, 471 ], [ 395, 472 ], [ 396, 449 ], [ 400, 477 ], [ 402, 429 ], [ 404, 418 ], [ 408, 485 ], [ 411, 482 ], 
  [ 412, 488 ], [ 414, 491 ], [ 415, 493 ], [ 416, 495 ], [ 420, 496 ], [ 422, 497 ], [ 425, 498 ], [ 427, 500 ], [ 428, 502 ], [ 431, 505 ], 
  [ 432, 474 ], [ 434, 507 ], [ 436, 469 ], [ 437, 509 ], [ 440, 513 ], [ 445, 516 ], [ 448, 520 ], [ 450, 504 ], [ 452, 523 ], [ 455, 526 ], 
  [ 457, 529 ], [ 462, 515 ], [ 464, 534 ], [ 466, 536 ], [ 468, 539 ], [ 470, 487 ], [ 473, 544 ], [ 475, 545 ], [ 478, 549 ], [ 483, 551 ], 
  [ 486, 555 ], [ 489, 557 ], [ 492, 560 ], [ 494, 540 ], [ 499, 565 ], [ 501, 531 ], [ 503, 569 ], [ 506, 552 ], [ 510, 556 ], [ 512, 575 ], 
  [ 517, 543 ], [ 519, 563 ], [ 522, 546 ], [ 525, 582 ], [ 527, 583 ], [ 528, 585 ], [ 530, 554 ], [ 532, 570 ], [ 533, 589 ], [ 535, 591 ], 
  [ 537, 538 ], [ 541, 542 ], [ 548, 602 ], [ 559, 609 ], [ 561, 596 ], [ 562, 611 ], [ 564, 613 ], [ 566, 615 ], [ 567, 568 ], [ 571, 605 ], 
  [ 572, 620 ], [ 573, 607 ], [ 574, 622 ], [ 576, 617 ], [ 577, 624 ], [ 578, 598 ], [ 580, 600 ], [ 581, 628 ], [ 584, 630 ], [ 586, 629 ], 
  [ 587, 632 ], [ 588, 634 ], [ 592, 638 ], [ 594, 603 ], [ 595, 635 ], [ 597, 643 ], [ 599, 646 ], [ 601, 648 ], [ 604, 623 ], [ 608, 652 ], 
  [ 610, 642 ], [ 612, 653 ], [ 618, 644 ], [ 619, 647 ], [ 621, 645 ], [ 625, 659 ], [ 627, 661 ], [ 631, 663 ], [ 633, 655 ], [ 636, 639 ], 
  [ 637, 657 ], [ 640, 656 ], [ 649, 669 ], [ 651, 671 ], [ 654, 673 ], [ 660, 677 ], [ 662, 679 ], [ 665, 678 ], [ 667, 684 ], [ 670, 687 ], 
  [ 672, 689 ], [ 674, 688 ], [ 675, 692 ], [ 680, 695 ], [ 682, 696 ], [ 685, 699 ], [ 690, 700 ], [ 691, 701 ], [ 693, 702 ] ], 
[ [ 1, 3, 6, 11, 18, 27, 40, 34, 51, 77, 114, 157, 212, 2, 4, 8, 14, 22, 32, 48, 42, 63, 95, 134, 184, 246 ], 
  [ 5, 9, 16, 24, 35, 53, 79, 117, 52, 72, 108, 148, 202, 7, 12, 20, 29, 43, 65, 97, 137, 64, 60, 90, 128, 175 ], 
  [ 10, 17, 25, 37, 56, 84, 121, 166, 224, 300, 382, 464, 535, 13, 21, 30, 45, 68, 102, 141, 193, 258, 340, 425, 499, 566 ], 
  [ 15, 23, 33, 50, 75, 112, 153, 207, 278, 357, 441, 514, 576, 19, 28, 41, 62, 93, 132, 180, 241, 318, 401, 479, 550, 603 ], 
  [ 26, 38, 58, 87, 124, 170, 230, 304, 57, 85, 36, 54, 81, 31, 46, 70, 105, 144, 197, 263, 275, 69, 103, 44, 66, 99 ], 
  [ 39, 59, 89, 127, 174, 236, 309, 393, 271, 76, 113, 155, 210, 47, 71, 107, 147, 201, 226, 301, 384, 312, 94, 133, 182, 244 ], 
  [ 49, 73, 110, 150, 204, 272, 350, 434, 106, 145, 198, 55, 82, 61, 91, 130, 177, 238, 313, 395, 473, 88, 125, 171, 67, 100 ], 
  [ 74, 111, 152, 206, 276, 355, 438, 511, 574, 623, 104, 142, 194, 92, 131, 179, 240, 316, 399, 476, 547, 601, 624, 86, 122, 167 ], 
  [ 78, 115, 159, 215, 221, 294, 375, 461, 532, 588, 635, 648, 544, 96, 135, 186, 249, 255, 334, 419, 471, 542, 597, 644, 622, 507 ], 
  [ 80, 118, 163, 220, 293, 374, 165, 223, 298, 380, 295, 376, 361, 98, 138, 190, 254, 333, 418, 192, 257, 338, 423, 335, 420, 405 ], 
  [ 83, 116, 160, 217, 289, 370, 455, 527, 584, 589, 636, 628, 557, 101, 136, 187, 251, 329, 414, 492, 561, 610, 613, 655, 652, 523 ], 
  [ 109, 139, 183, 245, 323, 408, 486, 158, 213, 285, 337, 422, 250, 129, 119, 156, 211, 283, 364, 448, 185, 247, 325, 297, 378, 216 ], 
  [ 120, 164, 222, 296, 377, 458, 292, 373, 460, 498, 564, 560, 520, 140, 191, 256, 336, 421, 495, 332, 417, 497, 463, 533, 526, 555 ], 
  [ 123, 168, 227, 235, 303, 387, 468, 540, 596, 642, 643, 585, 513, 143, 195, 260, 268, 342, 428, 503, 529, 583, 630, 634, 611, 549 ], 
  [ 126, 172, 233, 307, 389, 469, 424, 161, 218, 290, 371, 457, 530, 146, 199, 266, 345, 348, 432, 381, 188, 252, 330, 415, 494, 563 ], 
  [ 149, 203, 270, 349, 327, 411, 264, 343, 413, 490, 558, 608, 646, 176, 237, 311, 394, 287, 367, 231, 305, 369, 453, 524, 581, 620 ], 
  [ 151, 205, 274, 353, 436, 248, 326, 410, 487, 225, 288, 368, 452, 178, 239, 315, 397, 474, 214, 286, 366, 450, 259, 328, 412, 489 ], 
  [ 154, 208, 280, 360, 444, 502, 568, 617, 657, 675, 693, 516, 577, 181, 242, 320, 404, 482, 467, 538, 594, 640, 667, 685, 551, 604 ], 
  [ 162, 209, 281, 362, 445, 517, 578, 625, 660, 678, 696, 509, 572, 189, 243, 321, 406, 483, 552, 605, 649, 670, 688, 701, 545, 599 ], 
  [ 169, 228, 302, 386, 466, 537, 593, 477, 548, 319, 402, 480, 229, 196, 261, 341, 427, 501, 567, 616, 439, 512, 279, 358, 442, 262 ], 
  [ 173, 234, 308, 391, 339, 324, 409, 435, 508, 392, 403, 481, 505, 200, 267, 346, 352, 299, 284, 365, 449, 521, 383, 359, 443, 515 ], 
  [ 219, 291, 372, 459, 531, 587, 633, 664, 681, 697, 491, 559, 602, 253, 331, 416, 496, 536, 592, 639, 666, 683, 698, 454, 525, 575 ], 
  [ 232, 306, 388, 390, 470, 541, 565, 614, 447, 519, 273, 351, 385, 265, 344, 429, 430, 504, 570, 534, 590, 485, 554, 314, 396, 426 ], 
  [ 269, 347, 431, 465, 322, 398, 475, 546, 600, 647, 277, 356, 440, 310, 379, 462, 500, 282, 354, 437, 510, 573, 621, 317, 400, 478 ], 
  [ 363, 446, 518, 579, 626, 615, 656, 674, 691, 472, 543, 598, 645, 407, 484, 553, 606, 650, 591, 637, 665, 682, 433, 506, 571, 619 ], 
  [ 451, 522, 580, 627, 662, 680, 669, 687, 700, 671, 689, 684, 699, 488, 556, 607, 651, 672, 690, 659, 677, 695, 661, 679, 692, 702 ], 
  [ 456, 528, 586, 631, 632, 609, 653, 673, 539, 595, 641, 668, 686, 493, 562, 612, 654, 638, 582, 629, 663, 569, 618, 658, 676, 694 ] ] ]:
`1,8,2` := [ 135, 
[ [ 2, 3 ], [ 5, 9 ], [ 6, 11 ], [ 7, 13 ], [ 8, 12 ], [ 10, 19 ], [ 14, 27 ], [ 15, 29 ], [ 16, 32 ], [ 18, 37 ], [ 20, 41 ], [ 21, 44 ], 
  [ 22, 47 ], [ 23, 49 ], [ 24, 52 ], [ 25, 55 ], [ 26, 58 ], [ 28, 59 ], [ 30, 62 ], [ 31, 64 ], [ 33, 66 ], [ 34, 68 ], [ 35, 69 ], 
  [ 36, 70 ], [ 38, 72 ], [ 39, 74 ], [ 42, 77 ], [ 43, 78 ], [ 45, 81 ], [ 46, 83 ], [ 48, 80 ], [ 50, 71 ], [ 51, 87 ], [ 53, 89 ], 
  [ 54, 90 ], [ 56, 93 ], [ 57, 95 ], [ 60, 94 ], [ 61, 67 ], [ 63, 96 ], [ 65, 97 ], [ 73, 106 ], [ 75, 76 ], [ 79, 82 ], [ 85, 113 ], 
  [ 86, 116 ], [ 88, 117 ], [ 91, 119 ], [ 92, 121 ], [ 100, 123 ], [ 101, 105 ], [ 103, 125 ], [ 107, 126 ], [ 109, 111 ], [ 118, 128 ], 
  [ 120, 130 ], [ 122, 131 ], [ 124, 132 ], [ 129, 134 ], [ 133, 135 ] ], 
[ [ 2, 3, 5, 10, 20, 42, 54, 17, 35, 27, 34, 13, 26, 23, 50 ], [ 4, 7, 14, 28, 60, 9, 18, 38, 73, 21, 45, 82, 19, 40, 51 ], 
  [ 6, 11, 22, 48, 8, 16, 33, 67, 100, 124, 133, 43, 36, 32, 65 ], [ 12, 24, 53, 29, 57 ], [ 15, 30, 63 ], [ 25, 56, 94, 39, 75 ], 
  [ 31, 61, 96, 122, 46 ], [ 37, 71, 93, 99, 68, 101, 69, 103, 44, 79, 77, 107, 126, 130, 113 ], 
  [ 41, 76, 74, 58, 87, 49, 85, 114, 81, 110, 125, 105, 55, 91, 120 ], [ 47, 84, 86, 102, 66, 98, 70, 104, 83, 111, 129, 134, 132, 131, 80 ], 
  [ 52, 88, 112, 128, 115 ], [ 59, 90, 119, 106, 72 ], [ 62, 78, 108, 127, 109, 117, 92, 116, 64, 89, 118, 123, 97, 95, 121 ] ], 
[ [ 1, 2, 4, 8, 17, 36, 40, 50 ], [ 3, 6, 12, 25, 57, 11, 23, 51 ], [ 5, 10, 21, 46, 30, 19, 32, 65 ], [ 7, 15, 31, 60, 13, 26, 22, 48 ], 
  [ 9, 18, 39, 75, 24, 54, 16, 34 ], [ 14, 28, 61, 96, 122, 45, 82, 63 ], [ 20, 43, 35, 29, 56, 94, 38, 73 ], 
  [ 27, 33, 67, 100, 124, 133, 42, 53 ], [ 37, 64, 90, 113 ], [ 41, 76 ], [ 44, 80, 52, 88, 111, 130, 119, 106 ], [ 47, 84, 85, 115 ], 
  [ 49, 86, 101, 95, 116, 71, 70, 105 ], [ 55, 92, 121, 87 ], [ 58, 62, 78, 109, 117, 91, 120, 74 ], [ 59, 89, 118, 123 ], [ 66, 99 ], 
  [ 68, 102 ], [ 69, 103, 72, 97 ], [ 77, 107, 126, 129, 134, 132, 131, 79 ], [ 81, 110, 128, 114 ], [ 83, 112, 125, 104 ], [ 93, 98 ], 
  [ 108, 127 ] ] ]:
`1,8,3` := [ 2160, 
[ [ 2, 3, 5 ], [ 4, 7 ], [ 6, 10, 17, 30, 55, 104 ], [ 8, 13, 23, 42, 79, 147 ], [ 9, 15 ], [ 11, 19, 34, 63, 119, 221 ], 
  [ 12, 21, 38, 71, 134, 76 ], [ 14, 25 ], [ 16, 28, 51, 97, 180, 319 ], [ 18, 32, 59, 112, 208, 366 ], [ 20, 36, 67, 126, 233, 407 ], 
  [ 22, 40, 75, 135, 247, 432 ], [ 24, 44, 83, 154, 279, 483 ], [ 26, 47, 89, 166, 295, 509 ], [ 27, 49, 93, 172, 307, 530 ], [ 29, 53 ], 
  [ 31, 57, 108, 200, 351, 597 ], [ 33, 61, 116, 209, 368, 267 ], [ 35, 65 ], [ 37, 69, 130, 234, 390, 661 ], [ 39, 73 ], 
  [ 41, 77, 143, 261, 455, 764 ], [ 43, 81 ], [ 45, 85, 158 ], [ 46, 87, 162 ], [ 48, 91, 168, 299, 516, 90 ], [ 50, 95, 176, 308, 531, 865 ], 
  [ 52, 99, 184, 326, 558, 897 ], [ 54, 102, 190 ], [ 56, 106, 196, 343, 586, 947 ], [ 58, 110, 204, 358, 610, 727 ], 
  [ 60, 114, 212, 367, 624, 998 ], [ 62, 117, 217, 381, 646, 1031 ], [ 64, 121, 224, 391, 663, 1054 ], [ 66, 124, 230, 123, 228, 389 ], 
  [ 68, 128, 237, 408, 689, 1090 ], [ 70, 132 ], [ 72, 136, 249, 142, 260, 444 ], [ 74, 139, 254, 443, 745, 866 ], 
  [ 78, 145, 265, 236, 412, 696 ], [ 80, 149, 270, 469, 786, 1219 ], [ 82, 152, 276, 478, 796, 609 ], [ 84, 156, 281, 487, 113, 210 ], 
  [ 86, 160, 287 ], [ 88, 164, 103 ], [ 92, 170, 303, 522, 282, 157 ], [ 94, 174 ], [ 96, 178 ], [ 98, 182 ], [ 100, 186, 330, 564, 907, 1120 ],
  [ 101, 188, 292, 504, 322, 551 ], [ 105, 194, 341, 582, 940, 1415 ], [ 107, 198, 347, 587, 949, 936 ], [ 109, 202 ], 
  [ 111, 206, 362, 611, 965, 1443 ], [ 115, 214, 375, 636, 1016, 1497 ], [ 118, 219, 385, 653, 1043, 1525 ], [ 120, 223 ], 
  [ 122, 226, 395, 664, 1055, 659 ], [ 125, 232, 405, 605, 975, 1455 ], [ 127, 235, 410, 688, 1088, 1567 ], [ 129, 239, 416, 703, 914, 527 ], 
  [ 131, 242, 422, 714, 1044, 1526 ], [ 133, 245, 428, 724, 542, 876 ], [ 137, 251, 437, 737, 1152, 1014 ], [ 138, 175 ], 
  [ 140, 256, 447, 746, 1163, 1649 ], [ 141, 258, 451, 757, 1176, 995 ], [ 144, 263, 459, 771, 1196, 1270 ], [ 146, 266, 463 ], 
  [ 148, 253, 441, 741, 1158, 1643 ], [ 150, 272, 284 ], [ 151, 274, 475 ], [ 153, 278, 481, 800, 1240, 277 ], [ 155, 185, 328 ], 
  [ 159, 285, 493 ], [ 161, 289, 498 ], [ 165, 293 ], [ 167, 297, 512, 790, 808, 189 ], [ 169, 301, 310, 533, 335, 222 ], 
  [ 171, 305, 526, 857, 1314, 491 ], [ 173, 309, 532, 864, 1325, 1658 ], [ 177, 314, 539, 433, 731, 635 ], [ 179, 317, 544, 316, 543, 435 ], 
  [ 181, 321, 549, 885, 1279, 1741 ], [ 183, 324, 555 ], [ 187, 332, 567, 913, 1380, 331 ], [ 191, 273, 462 ], [ 192, 338 ], 
  [ 193, 257, 449, 753, 941, 583 ], [ 195, 342, 584, 943, 1419, 1840 ], [ 197, 345, 590, 948, 828, 1275 ], [ 199, 349 ], 
  [ 201, 353, 600, 966, 1444, 1436 ], [ 203, 356, 606, 355, 604, 964 ], [ 205, 360, 614, 983, 1464, 1879 ], [ 207, 364, 621, 409, 691, 1005 ], 
  [ 211, 370, 628, 840, 1290, 804 ], [ 213, 373, 634, 1013, 1474, 1350 ], [ 215, 377, 638, 1019, 1311, 1766 ], 
  [ 216, 379, 642, 1025, 1187, 369 ], [ 218, 383, 650, 1037, 1519, 1910 ], [ 220, 246, 430, 726, 1138, 1626 ], [ 225, 393, 255, 445, 747, 1162 ]
    , [ 227, 397, 673, 752, 1171, 1627 ], [ 229, 400 ], [ 231, 403, 682, 1080, 1561, 1937 ], [ 238, 414, 699, 1104, 1585, 1905 ], 
  [ 240, 418, 707, 1115, 1601, 1832 ], [ 241, 420, 710, 1015, 312, 536 ], [ 243, 424, 718, 976, 1175, 1645 ], [ 244, 426, 721 ], 
  [ 248, 434, 732, 1146, 1632, 1289 ], [ 250, 311, 534, 388, 658, 1049 ], [ 252, 439 ], [ 259, 453, 761, 690, 594, 958 ], 
  [ 262, 457, 768, 693, 1094, 1574 ], [ 264, 460, 773, 770, 1194, 1239 ], [ 268, 466, 596, 734, 1148, 1634 ], [ 269, 327, 280, 485, 803, 926 ], 
  [ 271, 471, 788, 1133, 1621, 1020 ], [ 275, 477, 325 ], [ 283, 490, 809, 1213, 1694, 1945 ], [ 286, 495, 816 ], [ 288, 496, 818 ], 
  [ 290, 500, 825, 1272, 398, 675 ], [ 291, 502, 722 ], [ 294, 507, 834, 1286, 1693, 472 ], [ 296, 511, 839, 1230, 654, 877 ], 
  [ 298, 514, 844, 908, 1317, 482 ], [ 300, 517, 838, 1242, 1617, 1244 ], [ 302, 520, 851, 867, 1326, 1780 ], [ 304, 524, 856, 1205, 371, 630 ],
  [ 306, 528, 860, 1318, 1772, 951 ], [ 313, 537 ], [ 315, 541, 875, 984, 1465, 508 ], [ 318, 545, 880, 1273, 518, 525 ], 
  [ 320, 547, 883, 1344, 1750, 2056 ], [ 323, 553, 812, 1254, 882, 1342 ], [ 329, 562, 903 ], [ 333, 569, 917, 1249, 1724, 2044 ], 
  [ 334, 346, 591, 955, 1432, 1849 ], [ 336, 573, 925 ], [ 337, 575 ], [ 339, 578, 933, 1408, 1505, 1901 ], [ 340, 580, 937, 1172, 1659, 1460 ],
  [ 344, 588, 557, 895, 641, 1023 ], [ 348, 593, 645, 1029, 1509, 1695 ], [ 350, 595, 959, 1435, 1853, 2102 ], [ 352, 599 ], 
  [ 354, 602, 970, 1445, 1704, 1439 ], [ 357, 608, 980, 1067, 1407, 1324 ], [ 359, 612, 985, 1139, 1566, 1944 ], [ 361, 616 ], 
  [ 363, 619, 992, 1145, 1285, 1747 ], [ 365, 623 ], [ 372, 632, 1011, 1493, 1346, 1274 ], [ 374, 436, 735, 1130, 1618, 1985 ], [ 376, 637 ], 
  [ 378, 640, 1021, 1328, 1624, 1757 ], [ 380, 644, 1027, 1506, 1902, 1827 ], [ 382, 648, 1034, 1514, 1738, 1691 ], 
  [ 384, 568, 915, 805, 1246, 1720 ], [ 386, 618, 991, 1093, 1052, 1536 ], [ 387, 656 ], [ 392, 665 ], [ 394, 668, 1060, 1542, 686, 1086 ], 
  [ 396, 671, 1066, 1549, 1929, 1071 ], [ 399, 677, 1072, 607, 978, 425 ], [ 401, 679, 467 ], [ 402, 681, 1078, 1442, 1861, 2106 ], 
  [ 404, 684, 1083 ], [ 406, 687, 465, 780, 1210, 1692 ], [ 411, 694, 1096, 1575, 1899, 2033 ], [ 413, 697, 1100, 1581, 1900, 1701 ], 
  [ 415, 701, 760, 1181, 1667, 1261 ], [ 417, 705, 1111, 1594, 912, 1379 ], [ 419, 708, 1116, 1603, 1973, 2059 ], 
  [ 421, 712, 1117, 1604, 1185, 1671 ], [ 423, 716, 1010, 633, 603, 972 ], [ 427, 473, 791 ], [ 429, 510, 837, 1288, 835, 1287 ], 
  [ 431, 728, 1140, 626, 1002, 1483 ], [ 438, 738, 1042, 1524, 1477, 1885 ], [ 440, 740, 1157 ], [ 442, 743, 711 ], 
  [ 446, 748, 1112, 1596, 1456, 1871 ], [ 448, 751, 1169, 1656, 1735, 2051 ], [ 450, 755, 678, 1073, 1225, 1707 ], 
  [ 452, 759, 1179, 1664, 1955, 1736 ], [ 454, 762, 1184 ], [ 456, 766 ], [ 458, 494, 814 ], [ 461, 775, 1202, 1685, 1209, 1690 ], 
  [ 464, 742, 1159, 1644, 1639, 1670 ], [ 468, 784, 622, 996, 1235, 1079 ], [ 470, 561, 901 ], [ 474, 793 ], [ 479, 798, 1236, 1717, 704, 554 ],
  [ 480, 560, 692, 928, 1401, 1828 ], [ 484, 802, 548 ], [ 486, 565, 909, 1374, 892, 1355 ], [ 488, 806, 1241, 1334, 1339, 1363 ], 
  [ 489, 613, 986, 1312, 1089, 1569 ], [ 497, 820, 1264, 1734, 1065, 1548 ], [ 499, 823, 1269, 739, 1155, 674 ], 
  [ 501, 826, 987, 878, 1335, 1786 ], [ 503, 829, 1276, 1702, 2035, 1500 ], [ 505, 831, 1280, 1743, 1333, 1009 ], 
  [ 506, 833, 1284, 1746, 592, 956 ], [ 513, 842 ], [ 515, 615, 988, 1468, 1091, 1571 ], [ 519, 849, 1301, 572, 923, 1397 ], 
  [ 521, 853, 1308, 1764, 2067, 1296 ], [ 523, 855, 1216, 1698, 1683, 2026 ], [ 529, 862, 1321, 1710, 1971, 846 ], 
  [ 535, 868, 767, 1050, 1533, 1678 ], [ 538, 815, 1259, 871, 1330, 1144 ], [ 540, 662 ], [ 546, 881, 1340, 1630, 1792, 1936 ], 
  [ 552, 889, 1351, 1793, 1854, 1466 ], [ 556, 783, 1183 ], [ 559, 899, 870 ], [ 563, 905, 1128 ], [ 566, 911, 1377, 1810, 1551, 1931 ], 
  [ 570, 919, 1389, 1820, 1841, 2097 ], [ 571, 921, 1393, 1822, 2019, 713 ], [ 574, 927, 1400, 801, 898, 1362 ], 
  [ 576, 930, 1319, 1773, 1824, 2095 ], [ 577, 932, 1406, 1705, 896, 1360 ], [ 579, 935, 1410, 1834, 977, 1403 ], [ 581, 939 ], 
  [ 585, 945, 782, 1214, 1696, 723 ], [ 589, 952 ], [ 598, 963, 1440, 969, 1354, 890 ], [ 601, 968, 1448, 1863, 1878, 2114 ], 
  [ 617, 893, 1357 ], [ 620, 993, 874 ], [ 625, 1000 ], [ 627, 1004, 647, 1033, 924, 1399 ], [ 629, 1007, 1193, 1218, 1700, 1642 ], 
  [ 631, 879, 1337, 900, 676, 1070 ], [ 639, 832, 1282, 1473, 1883, 1888 ], [ 643, 1026, 1504, 1253, 1728, 1101 ], 
  [ 649, 1035, 1516, 1699, 1385, 1221 ], [ 651, 1039, 1521, 1912, 1359, 858 ], [ 652, 1041, 946, 1423, 1582, 1316 ], 
  [ 655, 1046, 1529, 720, 1131, 1620 ], [ 657, 1048 ], [ 660, 672 ], [ 666, 1057, 1170, 1650, 2004, 971 ], [ 667, 1059, 1540, 962, 1438, 1018 ],
  [ 669, 1062 ], [ 670, 1064, 1546, 1657, 2008, 2103 ], [ 680, 1076, 1332 ], [ 683, 1081, 884, 1345, 709, 1118 ], [ 685, 1084, 961 ], 
  [ 695, 1098 ], [ 698, 1102 ], [ 700, 1106, 1587 ], [ 702, 1108, 1591, 1564, 1941, 1297 ], [ 706, 1113, 1352, 1554, 1674, 1672 ], 
  [ 715, 1124, 1610, 1870, 2002, 1974 ], [ 717, 1127, 1165, 1651, 1821, 2015 ], [ 719, 1129, 1616, 1811, 872, 859 ], 
  [ 725, 1136, 1570, 1946, 888, 1349 ], [ 729, 1141, 1628, 1991, 1302, 1675 ], [ 730, 1143, 799, 1238, 1718, 1224 ], 
  [ 733, 817, 769, 1192, 1637, 1996 ], [ 736, 1150 ], [ 744, 1160, 1646 ], [ 749, 1166 ], [ 750, 1167, 1653, 1837, 1972, 2140 ], 
  [ 754, 1168, 894, 942, 1417, 1833 ], [ 756, 1174, 1361, 1799, 2072, 891 ], [ 758, 1177, 1030, 1510, 1640, 1998 ], 
  [ 763, 1186, 1673, 1454, 1869, 778 ], [ 765, 1189, 1676, 1568, 1619, 1809 ], [ 772, 1197, 1629, 1258, 1677, 2022 ], 
  [ 774, 1200, 852, 1306, 1761, 1989 ], [ 776, 1204, 1503, 1211, 781, 1212 ], [ 777, 1206, 1688, 1631, 1992, 1053 ], 
  [ 779, 1208, 1121, 1558, 1880, 2115 ], [ 785, 1217, 1271, 1739, 1006, 1487 ], [ 787, 1220, 1703 ], [ 789, 1222 ], 
  [ 792, 1226, 1709, 1993, 944, 1420 ], [ 794, 1229, 1522, 1914, 1612, 1215 ], [ 795, 1231, 994 ], [ 797, 1234, 1715, 931, 1405, 1831 ], 
  [ 807, 1248, 1250, 1028, 1508, 1247 ], [ 810, 1251, 1726, 2046, 1987, 1515 ], [ 811, 1038, 1489, 1292, 1375, 910 ], [ 813, 1256, 1518 ], 
  [ 819, 1262, 1732, 1665, 2014, 1547 ], [ 821, 1265, 1110, 1593, 1964, 1967 ], [ 822, 1267, 1068, 1550, 1930, 1990 ], 
  [ 824, 1245, 1716, 1997, 1488, 1816 ], [ 827, 1132 ], [ 830, 1278, 1347, 1413, 1836, 1893 ], [ 841, 1291, 1372, 1606, 847, 1237 ], 
  [ 843, 1293 ], [ 845, 1295, 1315, 1758, 1097, 1298 ], [ 848, 1299 ], [ 850, 1303, 1662, 1126, 1613, 1429 ], [ 854, 1310 ], 
  [ 861, 1320, 1087, 1565, 1942, 1195 ], [ 863, 1323, 1777, 2073, 1560, 1471 ], [ 869, 1329 ], [ 873, 997, 1478, 1862, 1984, 2142 ], 
  [ 886, 1232 ], [ 887, 1348, 1368 ], [ 902, 1366, 1803 ], [ 904, 1369, 1652 ], [ 906, 1371 ], [ 916, 1384, 1263, 1512, 1907, 1198 ], 
  [ 918, 1387, 1125, 1611, 1577, 1953 ], [ 920, 1391, 1492, 1894, 2111, 2138 ], [ 922, 1395, 1823, 1769, 2070, 1947 ], 
  [ 929, 1402, 1829, 2096, 1358, 1798 ], [ 934, 1409, 1207, 1233, 982, 1463 ], [ 938, 1412, 1609, 1979, 1954, 2123 ], 
  [ 950, 1427, 1845, 2100, 1687, 2029 ], [ 953, 1383, 1814, 2079, 2156, 1390 ], [ 954, 1431, 960, 1430, 1135, 1425 ], 
  [ 957, 1433, 1851, 1277, 1486, 1576 ], [ 967, 1446 ], [ 973, 1451 ], [ 974, 1453, 1867, 1555, 1895, 2039 ], 
  [ 979, 1459, 1281, 1537, 1137, 1480 ], [ 981, 1461, 1876 ], [ 989, 1470, 1881, 1114, 1599, 1882 ], [ 990, 1472, 1666, 2016, 1541, 1923 ], 
  [ 999, 1481, 1266, 1729, 1082, 1336 ], [ 1001, 1482, 1887, 1874, 1017, 1498 ], [ 1003, 1485, 1889, 1978, 1032, 1484 ], 
  [ 1008, 1490, 1723, 1520, 1898, 1513 ], [ 1012, 1495, 1040, 1523, 1872, 2112 ], [ 1022, 1501 ], [ 1024, 1252 ], 
  [ 1036, 1149, 1636, 1995, 1156, 1188 ], [ 1045, 1527 ], [ 1047, 1531, 1919, 1965, 2135, 1190 ], [ 1051, 1534, 1791, 1449, 1625, 1916 ], 
  [ 1056, 1447 ], [ 1058, 1092, 1063, 1545, 1927, 2060 ], [ 1061, 1543, 1322, 1182, 1669, 1890 ], [ 1069, 1552, 1897, 1986, 1908, 2099 ], 
  [ 1074, 1557, 1933, 1778, 2030, 1556 ], [ 1077, 1559 ], [ 1085, 1307, 1592 ], [ 1095, 1147, 1633, 1804, 1749, 1260 ], 
  [ 1099, 1579, 1227, 1711, 1935, 2006 ], [ 1103, 1583 ], [ 1105, 1367 ], [ 1107, 1589, 1689, 1199, 1394, 1600 ], 
  [ 1109, 1353, 1762, 2065, 1858, 1963 ], [ 1119, 1602 ], [ 1122, 1608, 1977, 2094, 1725, 1305 ], [ 1123, 1494 ], 
  [ 1134, 1623, 1988, 1839, 2025, 2010 ], [ 1142, 1381, 1771, 1373, 1806, 1951 ], [ 1151, 1553, 1932 ], [ 1153, 1641, 2000, 2144, 1424, 1223 ], 
  [ 1154, 1178, 1663 ], [ 1164, 1539 ], [ 1173, 1661 ], [ 1180, 1462, 1877 ], [ 1201, 1684, 1563 ], [ 1203, 1686, 2028, 2052, 2126, 1721 ], 
  [ 1228, 1712, 2040, 2141, 1411, 1835 ], [ 1255, 1580, 1590, 1961, 2137, 1378 ], [ 1257, 1731 ], [ 1268, 1737, 1356, 1797, 1904, 1911 ], 
  [ 1283, 1744 ], [ 1294, 1751 ], [ 1300, 1756, 2062, 1605, 1467, 1752 ], [ 1304, 1760, 1452 ], [ 1309, 1765, 2042, 1382, 1343, 1790 ], 
  [ 1313, 1768 ], [ 1327, 1428, 1846, 1535, 1920, 1727 ], [ 1331, 1783 ], [ 1338, 1788, 2020, 1595, 1966, 1850 ], [ 1365, 1801, 2087 ], 
  [ 1370, 1805 ], [ 1376, 1808, 2089, 1388, 1819, 1660 ], [ 1386, 1817 ], [ 1396, 1825, 1781, 2077, 1795, 2084 ], 
  [ 1398, 1597, 1969, 1450, 1682, 1913 ], [ 1404, 1830 ], [ 1414, 1622, 1745, 2055, 2009, 2148 ], [ 1416, 1785, 2080, 1573, 1950, 2113 ], 
  [ 1418, 1753, 1970, 2139, 2131, 2045 ], [ 1421, 1842 ], [ 1422, 1843 ], [ 1426, 1517 ], [ 1434, 1852, 2017, 2038, 2151, 1925 ], 
  [ 1437, 1855, 2064 ], [ 1441, 1859, 1959, 1796, 1763, 2066 ], [ 1457, 1873 ], [ 1458, 1875 ], [ 1469, 1655, 1755, 2061, 1775, 2071 ], 
  [ 1476, 1742 ], [ 1479, 1886, 2118 ], [ 1491, 1892 ], [ 1496, 1868, 2109 ], [ 1499, 1896 ], [ 1502, 1714, 2041, 1770, 1844, 1722 ], 
  [ 1507, 1903 ], [ 1528, 1917 ], [ 1530, 1787 ], [ 1532, 1918 ], [ 1538, 1708, 2036, 2120, 2155, 2031 ], [ 1544, 1926, 1681 ], 
  [ 1562, 1939, 1635 ], [ 1572, 1948 ], [ 1578, 1949 ], [ 1584, 1957, 2134, 2086, 2157, 1921 ], [ 1586, 1958, 2013 ], [ 1588, 1960 ], 
  [ 1598, 1680, 1807, 1826, 1668, 1607 ], [ 1614, 1982, 1866, 2108, 2043, 1906 ], [ 1615, 1983 ], [ 1638, 1909, 2003, 2147, 2143, 2158 ], 
  [ 1647, 1779, 2075 ], [ 1654, 2005 ], [ 1679, 2024 ], [ 1697, 2034 ], [ 1713, 2032 ], [ 1730, 2048 ], [ 1733, 2049 ], [ 1740, 1980 ], 
  [ 1759, 2063 ], [ 1767, 2069, 1924, 2023, 1975, 2068 ], [ 1774, 2018, 1940 ], [ 1782, 1956, 2107 ], [ 1784, 2078 ], [ 1789, 1943, 1994 ], 
  [ 1794, 1813 ], [ 1802, 2088 ], [ 1812, 1922 ], [ 1815, 2091 ], [ 1818, 2092 ], [ 1838, 1952 ], [ 1847, 1856 ], [ 1848, 2082 ], 
  [ 1857, 2105 ], [ 1860, 1865 ], [ 1864, 2007 ], [ 1884, 2117, 2076 ], [ 1891, 2119, 1928, 2098, 2053, 1968 ], [ 1915, 1999, 2145 ], 
  [ 1934, 2110, 2146, 2116, 2153, 1976 ], [ 1938, 2130, 2057 ], [ 1962, 2136 ], [ 2012, 2121 ], [ 2027, 2085 ], [ 2037, 2150 ], [ 2047, 2104 ], 
  [ 2050, 2154 ], [ 2058, 2127 ], [ 2074, 2152 ], [ 2081, 2132 ], [ 2083, 2090 ], [ 2133, 2149 ] ], 
[ [ 1, 2, 4, 8, 14, 26, 48, 92, 171, 306, 529, 863, 1324, 1779, 2076, 747, 319, 546, 882, 1343, 1610, 1690, 1808, 1896, 1746, 541 ], 
  [ 3, 6, 11, 20, 37, 70, 133, 246, 431, 729, 1142, 862, 1322, 1776, 1649, 57, 109, 203, 357, 609, 982, 332, 568, 916, 1385, 263 ], 
  [ 5, 9, 16, 29, 54, 103, 192, 339, 579, 936, 959, 992, 1475, 1884, 260, 147, 268, 467, 783, 937, 1411, 619, 575, 929, 1403, 287 ], 
  [ 7, 12, 22, 41, 78, 146, 267, 465, 781, 1213, 1695, 1490, 1891, 393, 667, 970, 1449, 1865, 2107, 1362, 1291, 1571, 1947, 2131, 2034, 2000 ], 
  [ 10, 18, 33, 62, 118, 220, 387, 657, 420, 711, 802, 1243, 1719, 2043, 1116, 907, 1372, 416, 704, 842, 1293, 1750, 2057, 2109, 2159, 2160 ], 
  [ 13, 24, 45, 86, 161, 290, 501, 827, 745, 1162, 599, 965, 714, 1123, 883, 1160, 1647, 1663, 2012, 1265, 1735, 93, 173, 310, 230, 402 ], 
  [ 15, 27, 50, 96, 179, 318, 517, 848, 1300, 1757, 1276, 1740, 2053, 136, 250, 395, 670, 1065, 1111, 1595, 1967, 194, 342, 585, 946, 1424 ], 
  [ 17, 31, 58, 111, 207, 365, 441, 742, 687, 1034, 1515, 1885, 2117, 1533, 19, 35, 66, 125, 28, 52, 100, 187, 333, 570, 920, 1392 ], 
  [ 21, 39, 74, 140, 257, 450, 756, 1175, 681, 1079, 1487, 595, 960, 1436, 1446, 1059, 1541, 1924, 295, 510, 838, 1070, 1554, 1395, 1824, 481 ],
  [ 23, 43, 82, 153, 233, 408, 690, 1092, 1573, 1696, 1686, 1552, 1731, 97, 181, 322, 552, 890, 1353, 1451, 1866, 2069, 2035, 2149, 2151, 309 ],
  [ 25, 46, 88, 165, 294, 508, 836, 1256, 1730, 534, 432, 730, 1144, 1630, 324, 556, 894, 1358, 608, 981, 1462, 1878, 966, 1445, 1864, 675 ], 
  [ 30, 56, 107, 199, 350, 596, 961, 1437, 1856, 139, 255, 446, 749, 447, 750, 1168, 1655, 2006, 321, 550, 887, 1055, 530, 864, 737, 1153 ], 
  [ 32, 60, 115, 215, 378, 641, 1024, 1323, 1778, 2008, 1732, 1043, 1280, 208, 367, 625, 1001, 753, 1172, 1660, 2009, 839, 1289, 1749, 911, 
      1378 ], [ 34, 64, 122, 227, 398, 676, 1071, 1555, 1083, 1562, 1940, 228, 399, 637, 1018, 176, 313, 538, 872, 1331, 536, 870, 901, 1365, 
      1802, 1536 ], [ 36, 68, 129, 240, 419, 709, 1119, 1605, 1975, 829, 1277, 1402, 1765, 1440, 1858, 1004, 1349, 1603, 1081, 1529, 940, 1416, 
      945, 1422, 1286, 299 ], [ 38, 72, 137, 252, 440, 368, 626, 1003, 1486, 1890, 1960, 1335, 1787, 2004, 2114, 1596, 1968, 573, 926, 1380, 
      1737, 2052, 1196, 1330, 1593, 1965 ], [ 40, 76, 142, 65, 123, 229, 401, 680, 1077, 1560, 1936, 2129, 1855, 2104, 1057, 1448, 358, 611, 
      984, 426, 722, 1133, 1622, 786, 903, 1368 ], [ 42, 80, 150, 273, 474, 794, 1230, 303, 523, 593, 957, 1434, 968, 51, 98, 183, 325, 557, 
      896, 1361, 1113, 1598, 1970, 1843, 2099, 2048 ], [ 44, 84, 157, 283, 491, 811, 1253, 1318, 1200, 356, 607, 979, 1066, 1080, 1186, 1674, 
      1823, 2094, 1519, 1911, 1819, 1574, 1805, 991, 1474, 1783 ], [ 47, 90, 134, 73, 138, 253, 442, 744, 1161, 1648, 2003, 582, 941, 1073, 
      1556, 600, 967, 1447, 1561, 1938, 899, 1364, 1800, 2086, 1766, 2068 ], [ 49, 94, 175, 312, 114, 213, 374, 459, 772, 1198, 1683, 507, 835, 
      1054, 665, 1056, 547, 884, 1346, 1791, 1942, 360, 615, 989, 1471, 1799 ], 
  [ 53, 101, 189, 335, 572, 924, 1299, 1497, 1875, 71, 135, 248, 435, 734, 755, 1174, 610, 983, 703, 1110, 1016, 597, 962, 1439, 1857, 1548 ], 
  [ 55, 105, 195, 152, 277, 480, 691, 764, 1188, 1633, 1797, 2085, 2154, 1982, 638, 586, 948, 1425, 1788, 1594, 1060, 1306, 1762, 1141, 1098, 
      1578 ], [ 59, 113, 211, 371, 631, 1010, 1492, 1803, 2014, 1910, 2024, 2092, 2158, 1973, 1671, 2019, 1308, 1078, 1152, 1640, 1999, 237, 
      413, 698, 1103, 1584 ], [ 61, 117, 218, 384, 652, 1042, 1272, 741, 85, 159, 286, 317, 154, 280, 486, 805, 1037, 1520, 1894, 2121, 1453, 
      1868, 1876, 1958, 2136, 2056 ], [ 63, 120, 69, 131, 243, 425, 720, 1132, 121, 225, 394, 669, 1063, 351, 598, 964, 1442, 1828, 1768, 1131, 
      751, 1170, 1658, 1618, 1986, 2143 ], [ 67, 127, 236, 256, 448, 752, 500, 81, 151, 275, 347, 592, 955, 963, 1441, 1860, 1957, 2135, 537, 
      871, 885, 102, 191, 337, 576, 931 ], [ 75, 141, 259, 454, 763, 1187, 1675, 528, 861, 362, 618, 108, 201, 354, 603, 973, 1452, 330, 565, 
      910, 1376, 1809, 1371, 978, 1458, 1049 ], [ 77, 144, 264, 461, 776, 1205, 511, 840, 986, 1466, 1880, 2067, 405, 686, 1087, 1566, 1575, 
      1951, 853, 1309, 921, 1394, 1405, 170, 304, 525 ], [ 79, 148, 269, 468, 785, 1218, 1701, 1991, 1851, 1591, 1962, 1964, 1011, 1494, 1895, 
      712, 1121, 1607, 1976, 1485, 1246, 1721, 1995, 543, 878, 1336 ], [ 83, 155, 87, 163, 292, 505, 832, 1283, 1745, 1946, 1167, 1654, 1711, 
      2039, 2118, 679, 1075, 1206, 1601, 1972, 2005, 1798, 1961, 1883, 1744, 956 ], 
  [ 89, 167, 298, 515, 846, 1297, 1754, 2060, 449, 754, 1173, 1662, 2011, 1688, 2030, 217, 382, 649, 1036, 1518, 1909, 1282, 198, 348, 594, 477 
     ], [ 91, 169, 302, 521, 854, 1311, 1767, 1621, 1987, 932, 1407, 1833, 2073, 2155, 204, 359, 613, 987, 1467, 1653, 1709, 2037, 1914, 875, 
      293, 506 ], [ 95, 177, 315, 542, 877, 1334, 1096, 1576, 1952, 1579, 881, 1341, 1789, 2082, 1929, 400, 678, 1074, 1558, 1934, 2028, 2100, 
      834, 270, 470, 787 ], [ 99, 185, 329, 563, 906, 682, 328, 561, 902, 1367, 677, 373, 635, 1015, 1496, 1084, 1563, 1443, 1862, 1646, 1939, 
      1926, 661, 1052, 1537, 1922 ], [ 104, 193, 340, 581, 696, 226, 396, 672, 590, 954, 1064, 1547, 1928, 868, 1328, 588, 951, 1428, 1847, 
      731, 1145, 1631, 1831, 732, 1147, 439 ], [ 106, 197, 346, 307, 174, 311, 535, 869, 443, 746, 1164, 1650, 1545, 943, 796, 1233, 224, 392, 
      666, 1058, 1539, 1438, 1472, 1329, 658, 1050 ], [ 110, 205, 361, 617, 927, 522, 694, 1097, 1577, 1954, 2133, 2096, 1236, 301, 519, 850, 
      1304, 1604, 1974, 1611, 1506, 1700, 1912, 2126, 2102, 1849 ], [ 112, 209, 369, 627, 1005, 909, 1375, 1033, 297, 513, 843, 1294, 1752, 
      2059, 186, 331, 566, 912, 1002, 1484, 1810, 2036, 656, 1048, 1532, 1887 ], 
  [ 116, 216, 380, 645, 1030, 1511, 1906, 1531, 1238, 1259, 1379, 1812, 1937, 1400, 844, 1295, 1753, 1969, 1703, 1927, 1656, 2007, 825, 1273, 
      539, 873 ], [ 119, 222, 389, 660, 272, 473, 792, 1227, 1463, 1632, 1192, 1150, 1638, 200, 352, 206, 363, 620, 994, 1476, 1435, 1854, 
      2103, 1667, 2017, 1923 ], [ 124, 231, 404, 685, 1085, 604, 974, 1454, 1140, 1504, 1900, 2123, 1998, 2088, 279, 484, 562, 904, 1370, 710, 
      1120, 1606, 697, 1101, 1521, 1913 ], [ 126, 234, 409, 692, 1093, 1019, 947, 895, 1359, 1303, 1759, 663, 445, 202, 355, 605, 976, 1457, 
      1874, 2113, 1659, 1892, 958, 602, 971, 532 ], [ 128, 238, 415, 702, 1109, 1027, 1507, 1583, 1956, 1345, 634, 1014, 1179, 1665, 2015, 410, 
      693, 1095, 917, 1386, 1818, 1932, 212, 372, 633, 1012 ], [ 130, 241, 421, 713, 1122, 1609, 1980, 2141, 512, 841, 1292, 1412, 699, 1105, 
      558, 898, 1363, 526, 858, 1316, 1770, 2072, 1483, 383, 651, 1040 ], [ 132, 244, 427, 723, 1134, 1288, 996, 490, 810, 1252, 1727, 2047, 
      671, 1067, 475, 795, 1232, 1714, 2042, 2115, 1881, 2097, 2089, 145, 247, 433 ], 
  [ 143, 262, 458, 770, 1195, 1681, 689, 1091, 1572, 1949, 1157, 1118, 1459, 1086, 1564, 1684, 612, 771, 496, 819, 1263, 1733, 2050, 1760, 624, 
      999 ], [ 149, 271, 472, 790, 1224, 773, 1199, 1072, 1482, 1888, 949, 1426, 1844, 1340, 1559, 1935, 1557, 1171, 1269, 856, 1313, 341, 583, 
      942, 1418, 1839 ], [ 156, 282, 489, 808, 567, 914, 1382, 1813, 2090, 1751, 2058, 1498, 708, 1117, 1208, 1689, 2031, 642, 385, 654, 1045, 
      1528, 1918, 2127, 2062, 366 ], [ 158, 284, 492, 812, 1255, 1729, 735, 1149, 1637, 1997, 2049, 2148, 2142, 684, 274, 476, 428, 725, 1137, 
      1625, 1989, 1859, 2084, 1948, 1829, 897 ], [ 160, 288, 497, 821, 1266, 623, 997, 1479, 1461, 1106, 1588, 1643, 1886, 2075, 2145, 1983, 
      826, 1274, 180, 320, 548, 285, 494, 815, 326, 559 ], [ 162, 291, 503, 830, 1279, 1742, 2055, 1148, 1635, 1994, 2063, 314, 540, 874, 1332, 
      1784, 2079, 1634, 1993, 2095, 1741, 2054, 1220, 1704, 1549, 935 ], [ 164, 245, 429, 434, 733, 630, 1009, 1000, 1415, 1837, 1417, 1838, 
      1846, 2101, 1707, 1790, 1546, 701, 1107, 1590, 636, 1017, 343, 587, 950, 412 ], 
  [ 166, 296, 407, 688, 1089, 1570, 1620, 1756, 1840, 1226, 1710, 2038, 1076, 553, 891, 1354, 1796, 1764, 1115, 1602, 377, 639, 1020, 1499, 
      1897, 2122 ], [ 168, 300, 518, 514, 845, 1296, 798, 1237, 1377, 1811, 806, 1247, 1722, 1933, 718, 232, 406, 648, 524, 726, 381, 647, 422, 
      715, 1125, 1612 ], [ 172, 308, 261, 456, 767, 1190, 1146, 544, 879, 1338, 1310, 375, 221, 388, 659, 1051, 1535, 1921, 2051, 2105, 1264, 
      1129, 1617, 1786, 214, 376 ], [ 178, 316, 469, 345, 591, 379, 643, 988, 1469, 1565, 1943, 2108, 1169, 1657, 820, 182, 323, 554, 892, 
      1356, 1204, 1687, 1676, 2021, 2016, 1919 ], [ 184, 327, 560, 900, 728, 1026, 1505, 1830, 876, 1333, 1785, 2081, 1623, 1478, 1673, 2020, 
      2106, 1355, 915, 1383, 1815, 1342, 707, 640, 1022, 1360 ], [ 188, 334, 571, 922, 1396, 1826, 1202, 1384, 1816, 2029, 1516, 1908, 2125, 
      478, 797, 1235, 1716, 2026, 1698, 857, 1315, 1769, 2071, 1842, 1852, 1231 ], 
  [ 190, 336, 574, 928, 880, 1339, 305, 527, 859, 1317, 1771, 1777, 2074, 993, 1184, 1670, 1966, 1455, 1870, 2110, 653, 1044, 780, 1211, 1693, 
      2032 ], [ 196, 344, 589, 953, 1430, 1124, 1608, 1978, 1806, 1389, 1821, 2093, 2147, 2080, 580, 938, 1413, 1715, 1290, 1508, 1904, 1902, 
      2046, 759, 1180, 1666 ], [ 210, 370, 629, 1008, 1491, 1893, 2120, 646, 1032, 1513, 1127, 1615, 1984, 1644, 2002, 2146, 1423, 1039, 1522, 
      1287, 1374, 1100, 1582, 1955, 1734, 1344 ], [ 219, 386, 655, 1047, 254, 444, 223, 390, 662, 1053, 1538, 673, 1068, 1551, 1873, 1046, 
      1530, 353, 601, 969, 606, 977, 509, 837, 1143, 1629 ], [ 235, 411, 695, 1099, 1580, 1950, 2132, 1835, 1743, 1013, 455, 765, 818, 1261, 
      1685, 2027, 1284, 1136, 1624, 1501, 1278, 418, 632, 668, 1061, 1544 ], [ 239, 417, 706, 1114, 1600, 975, 1456, 1872, 1088, 1568, 1194, 
      1680, 1953, 1525, 364, 622, 855, 1312, 545, 258, 452, 760, 1182, 985, 809, 1250 ], 
  [ 242, 423, 717, 1128, 1197, 1682, 1801, 1930, 2044, 2153, 2156, 1432, 1850, 1616, 437, 414, 700, 614, 738, 1154, 1397, 1827, 1314, 578, 934, 
      1401 ], [ 249, 436, 736, 1151, 1639, 1031, 1512, 1739, 1726, 952, 1429, 1848, 1444, 1863, 1542, 1925, 1357, 564, 908, 1373, 1807, 1820, 
      1979, 453, 531, 866 ], [ 251, 438, 739, 1156, 495, 817, 457, 769, 1193, 1679, 2025, 831, 1281, 972, 1450, 520, 852, 1307, 1763, 1941, 
      2066, 1977, 1102, 1406, 1832, 1481 ], [ 265, 462, 777, 1207, 628, 1006, 1488, 1694, 2033, 1468, 1825, 1321, 1775, 1920, 2128, 1275, 889, 
      1352, 1795, 1470, 1882, 2116, 1514, 1217, 1699, 349 ], [ 266, 464, 779, 1209, 1691, 1248, 1723, 939, 1414, 1138, 1627, 1990, 2144, 740, 
      281, 488, 807, 1249, 1725, 1041, 860, 1319, 1409, 1718, 2022, 1166 ], [ 276, 479, 799, 1239, 1062, 762, 1185, 1672, 1599, 1971, 2139, 
      1613, 1981, 724, 1135, 397, 674, 1069, 1553, 485, 804, 1245, 1035, 1517, 761, 1183 ], 
  [ 278, 482, 569, 918, 1388, 1222, 1705, 1410, 1023, 1502, 980, 1460, 1814, 1626, 1025, 1503, 1899, 1772, 919, 1390, 1747, 793, 1228, 1465, 
      338, 577 ], [ 289, 499, 824, 1271, 1569, 1337, 1534, 1108, 1592, 1963, 2138, 1780, 1320, 1774, 1326, 1781, 2070, 1589, 1861, 1985, 1094, 
      816, 1260, 1177, 823, 1270 ], [ 391, 664, 716, 1126, 1614, 584, 944, 1421, 1773, 1834, 493, 813, 1257, 1540, 865, 757, 616, 990, 1473, 
      788, 1221, 833, 1285, 1748, 1877, 1325 ], [ 403, 683, 1082, 451, 758, 1178, 851, 1305, 1728, 1931, 1234, 1527, 1917, 1158, 998, 1480, 
      1871, 2111, 2087, 1155, 1642, 1720, 1399, 1351, 1794, 2083 ], [ 424, 719, 1130, 1619, 498, 822, 1268, 1738, 1853, 2091, 555, 893, 803, 
      1244, 1526, 1916, 1669, 2018, 849, 1302, 1758, 930, 1404, 721, 463, 778 ], 
  [ 430, 727, 1139, 766, 925, 487, 784, 1216, 1427, 1251, 1641, 2001, 1254, 1240, 533, 867, 1327, 1782, 1869, 1822, 2077, 2061, 2150, 2119, 
      502, 828 ], [ 460, 774, 1201, 1464, 1664, 2013, 2065, 1651, 1090, 1510, 1267, 1736, 1587, 1944, 1636, 814, 1258, 1495, 1369, 1804, 1585, 
      1262, 1391, 1301, 1523, 905 ], [ 466, 782, 1215, 1219, 1702, 1901, 1717, 913, 1381, 775, 1203, 1029, 933, 549, 886, 1347, 1792, 2078, 
      1988, 1431, 1210, 644, 1028, 1433, 1661, 2010 ], [ 471, 789, 1223, 1706, 504, 516, 847, 1298, 1755, 1761, 2064, 2134, 2140, 1420, 1841, 
      2098, 791, 1225, 1708, 1692, 1907, 1845, 768, 1191, 1678, 2023 ], [ 483, 801, 1242, 621, 995, 1477, 1550, 1524, 1915, 1567, 1945, 1903, 
      1836, 1867, 1159, 1645, 705, 1112, 1597, 923, 1398, 1366, 1181, 1668, 1817, 2040 ], 
  [ 551, 888, 1350, 1176, 1104, 1586, 1959, 1543, 1879, 1581, 1889, 2041, 2152, 1992, 2137, 1493, 748, 1165, 1652, 1996, 1189, 1677, 650, 1038, 
      1229, 1713 ], [ 800, 1241, 1007, 1489, 1212, 1509, 1905, 2124, 2157, 1021, 1500, 1898, 1712, 1793, 1393, 1387, 1628, 1724, 2045, 2112, 
      1348, 1163, 1419, 1214, 1697, 1408 ] ] ]:
`-1,8,2` := [ 119, 
[ [ 2, 3 ], [ 5, 9 ], [ 6, 11 ], [ 7, 13 ], [ 8, 12 ], [ 10, 20 ], [ 14, 29 ], [ 15, 32 ], [ 16, 35 ], [ 18, 39 ], [ 19, 41 ], [ 21, 45 ], 
  [ 22, 46 ], [ 23, 49 ], [ 24, 50 ], [ 25, 51 ], [ 26, 52 ], [ 27, 55 ], [ 28, 56 ], [ 30, 60 ], [ 31, 61 ], [ 33, 63 ], [ 34, 64 ], 
  [ 36, 66 ], [ 37, 67 ], [ 38, 68 ], [ 40, 70 ], [ 42, 74 ], [ 43, 77 ], [ 47, 81 ], [ 48, 82 ], [ 53, 83 ], [ 54, 85 ], [ 57, 89 ], 
  [ 58, 90 ], [ 59, 91 ], [ 62, 75 ], [ 65, 76 ], [ 71, 100 ], [ 72, 88 ], [ 78, 92 ], [ 79, 104 ], [ 80, 106 ], [ 84, 112 ], [ 86, 115 ], 
  [ 93, 113 ], [ 94, 99 ], [ 96, 109 ], [ 97, 98 ], [ 101, 119 ], [ 102, 103 ], [ 105, 114 ] ], 
[ [ 2, 3, 5, 10, 21, 34, 65, 54, 38 ], [ 4, 7, 14, 30, 13, 27, 48, 17, 37 ], [ 6, 11, 23, 26, 53, 84, 8, 16, 36 ], 
  [ 9, 18, 40, 20, 44, 58, 29, 59, 76 ], [ 12, 25, 22, 47, 32, 43, 71, 15, 33 ], [ 19, 42, 75, 100, 28, 57, 35, 31, 62 ], 
  [ 39, 69, 98, 96, 64, 97, 68, 90, 108 ], [ 41, 72, 101, 119, 112, 83, 111, 114, 110 ], [ 45, 78, 103, 67, 85, 113, 118, 82, 109 ], 
  [ 46, 80, 73, 99, 117, 63, 95, 81, 107 ], [ 49, 50, 74, 61, 94, 66, 89, 104, 51 ], [ 52, 77, 56, 87, 116, 88, 106, 79, 105 ], 
  [ 55, 86, 115, 102, 93, 91, 60, 92, 70 ] ], 
[ [ 1, 2, 4, 8, 17, 38 ], [ 3, 6, 12, 26, 54, 37 ], [ 5, 10, 22, 48, 16, 36 ], [ 7, 15, 34, 65, 53, 84 ], [ 9, 19, 43, 20, 35, 30 ], 
  [ 11, 24, 23, 25, 21, 33 ], [ 13, 28, 58, 32, 42, 76 ], [ 14, 31, 62, 18, 40, 71 ], [ 27, 47, 29, 59, 75, 100 ], [ 39, 69, 99, 118, 81, 108 ],
  [ 41, 73, 98, 95, 82, 110 ], [ 44, 57 ], [ 45, 79, 104, 49, 52, 67 ], [ 46, 80, 72, 102, 92, 112 ], [ 50, 68, 63, 96, 89, 105 ], 
  [ 55, 86, 115, 101, 119, 70 ], [ 56, 88, 106, 78, 103, 77 ], [ 60, 93, 66, 64, 97, 74 ], [ 61, 94, 91 ], [ 83, 111, 113, 117, 90, 107 ], 
  [ 85, 114, 109 ], [ 87, 116 ] ] ]:
`-1,8,3` := [ 2214, 
[ [ 2, 3, 5, 9, 17, 33 ], [ 4, 7, 13, 25, 34, 64 ], [ 6, 11, 21, 41, 76, 139 ], [ 8, 15, 29, 55, 101, 187 ], [ 10, 19, 37, 68, 124, 229 ], 
  [ 12, 23, 45, 84, 153, 284 ], [ 14, 27 ], [ 16, 31, 59, 108, 201, 362 ], [ 18, 35, 65, 118, 219, 392 ], [ 20, 39, 72, 131, 241, 427 ], 
  [ 22, 43, 80, 146, 270, 477 ], [ 24, 47 ], [ 26, 50, 93, 171, 316, 36 ], [ 28, 53 ], [ 30, 57, 105, 195, 317, 168 ], 
  [ 32, 61, 109, 202, 364, 627 ], [ 38, 70, 125, 230, 409, 702 ], [ 40, 74, 135, 249, 441, 758 ], [ 42, 78, 142, 262, 119, 220 ], [ 44, 82 ], 
  [ 46, 86, 157, 291, 503, 259 ], [ 48, 89, 163, 88, 161, 299 ], [ 49, 91, 167, 309, 117, 217 ], [ 51, 95, 175, 322, 188, 271 ], 
  [ 52, 85, 155, 287, 507, 285 ], [ 54, 99, 183, 98, 181, 333 ], [ 56, 103, 191, 347, 601, 816 ], [ 58, 107, 199, 354, 614, 1015 ], 
  [ 60, 110, 204, 363, 628, 1035 ], [ 62, 113 ], [ 63, 115, 213, 384, 665, 1090 ], [ 66, 120, 77, 140, 258, 458 ], 
  [ 67, 122, 225, 401, 341, 590 ], [ 69, 126, 232, 412, 615, 806 ], [ 71, 129 ], [ 73, 133, 245, 434, 745, 410 ], [ 75, 137, 253 ], 
  [ 79, 144, 266, 471, 263, 466 ], [ 81, 148, 274, 484, 827, 172 ], [ 83, 151, 280, 150, 278, 492 ], [ 87, 159, 295, 515, 873, 1351 ], 
  [ 90, 165, 300, 529, 898, 1163 ], [ 92, 169, 312, 548, 310, 544 ], [ 94, 173, 319, 557, 937, 543 ], [ 96, 177, 325, 562, 946, 1430 ], 
  [ 97, 179, 329, 508, 862, 1337 ], [ 100, 185, 334, 580, 975, 530 ], [ 102, 189, 343, 594, 676, 1106 ], [ 104, 193, 350, 602, 1000, 1479 ], 
  [ 106, 197, 356, 554, 931, 1415 ], [ 111, 206, 371, 640, 1056, 1092 ], [ 112, 208, 375, 648, 1034, 1362 ], [ 114, 211 ], 
  [ 116, 215, 387, 669, 1096, 1401 ], [ 121, 223 ], [ 123, 227, 402, 692, 1127, 986 ], [ 127, 234, 416, 713, 1016, 1501 ], 
  [ 128, 236, 420, 720, 1164, 242 ], [ 130, 239 ], [ 132, 243, 430, 737, 1184, 1670 ], [ 134, 247, 437, 751, 435, 747 ], 
  [ 136, 251, 445, 764, 1213, 1625 ], [ 138, 255, 452 ], [ 141, 260, 461, 790, 459, 787 ], [ 143, 264, 468, 803, 1072, 1560 ], 
  [ 145, 268, 472, 807, 1269, 800 ], [ 147, 272, 480, 820, 478, 817 ], [ 149, 276, 488, 828, 1292, 1763 ], [ 152, 282, 499, 849, 493, 840 ], 
  [ 154, 222, 396, 683, 1115, 786 ], [ 156, 289, 511, 861, 1336, 1594 ], [ 158, 293, 518, 856, 1327, 1678 ], [ 160, 297, 524, 883, 1365, 689 ], 
  [ 162, 301, 531, 900, 1383, 858 ], [ 164, 304, 536, 907, 1389, 1842 ], [ 166, 307 ], [ 170, 314, 549, 924, 1406, 919 ], 
  [ 174, 321, 560, 938, 1422, 1201 ], [ 176, 324, 565, 342, 592, 989 ], [ 178, 327, 570, 957, 1282, 1757 ], [ 180, 331, 576, 871, 1348, 1798 ], 
  [ 182, 335, 581, 338, 585, 330 ], [ 184, 290, 513, 870, 532, 902 ], [ 186, 339, 586, 899, 474, 811 ], [ 190, 345, 598, 991, 1469, 320 ], 
  [ 192, 318, 555, 933, 485, 829 ], [ 194, 352, 610, 1009, 489, 836 ], [ 196, 355, 616, 311, 546, 921 ], [ 198, 358, 620, 1023, 1416, 1856 ], 
  [ 200, 360, 547, 922, 1402, 1745 ], [ 203, 366, 633, 1044, 630, 1038 ], [ 205, 369, 629, 1036, 1519, 1723 ], 
  [ 207, 373, 644, 1063, 1552, 1787 ], [ 209, 377, 652, 1075, 1565, 1966 ], [ 210, 379, 656, 1054, 1542, 1953 ], [ 212, 382 ], 
  [ 214, 385, 666, 1091, 1466, 1895 ], [ 216, 389, 673, 999, 732, 1178 ], [ 218, 390 ], [ 221, 394 ], [ 224, 399, 688, 398, 686, 837 ], 
  [ 226, 403, 694, 591, 987, 1463 ], [ 228, 406, 699, 1139, 1634, 2003 ], [ 231, 411, 705, 1148, 703, 541 ], [ 233, 414, 710, 1151, 302, 533 ], 
  [ 235, 418, 716 ], [ 237, 421, 722 ], [ 240, 425, 729, 906, 1388, 1196 ], [ 244, 432, 741 ], [ 248, 439, 752, 917, 1396, 1846 ], 
  [ 250, 443, 762 ], [ 252, 447, 768, 1218, 1359, 1825 ], [ 254, 450, 774 ], [ 256, 454, 779, 1233, 1380, 655 ], 
  [ 257, 456, 783, 1240, 1718, 964 ], [ 261, 463, 794, 1250, 1559, 1303 ], [ 265, 470, 805, 1267, 1744, 763 ], [ 267, 473, 809, 467, 801, 1265 ]
    , [ 269, 475 ], [ 273, 482, 821, 1283, 1758, 1279 ], [ 275, 486, 831, 1291, 348, 603 ], [ 277, 490, 351, 608, 893, 1378 ], 
  [ 279, 494, 281, 497, 846, 1315 ], [ 283, 501, 850, 1319, 1788, 824 ], [ 286, 505, 431, 739, 1187, 1157 ], [ 288, 509, 864, 504, 429, 735 ], 
  [ 292, 516, 875, 460, 442, 760 ], [ 294, 520, 882, 1364, 1829, 512 ], [ 296, 510, 866, 1344, 1807, 1663 ], [ 298, 526, 892, 1376, 1838, 2122 ]
    , [ 303, 534 ], [ 305, 538, 910, 1347, 315, 553 ], [ 306, 539, 912, 1392, 1654, 1270 ], [ 308, 542, 916, 1395, 1818, 2113 ], 
  [ 313, 550, 540, 545, 920, 1171 ], [ 323, 563, 948, 479, 819, 1281 ], [ 326, 568, 647, 457, 784, 1242 ], [ 328, 572, 961, 1448, 1121, 1306 ], 
  [ 332, 522, 886, 1355, 1822, 2047 ], [ 336, 574, 879, 1360, 903, 1386 ], [ 337, 583, 979, 1338, 981, 1175 ], [ 340, 588, 812 ], 
  [ 344, 596, 992, 1107, 1596, 1985 ], [ 346, 577, 969, 361, 625, 1031 ], [ 349, 605, 934, 951, 1437, 1872 ], 
  [ 353, 612, 1010, 1492, 617, 1017 ], [ 357, 618, 1019, 465, 798, 1261 ], [ 359, 622, 1027, 693, 1129, 1620 ], 
  [ 365, 631, 1040, 953, 1439, 1875 ], [ 367, 380, 658, 1082, 1045, 1527 ], [ 368, 386 ], [ 370, 638 ], [ 372, 642, 1059 ], 
  [ 374, 646, 1067, 1556, 1126, 1616 ], [ 376, 650, 1073 ], [ 378, 654, 767, 1217, 1706, 895 ], [ 381, 660, 1085, 1576, 942, 1055 ], 
  [ 383, 663, 664 ], [ 388, 671, 1100, 943, 428, 733 ], [ 391, 587, 983, 675, 1105, 1382 ], [ 393, 678, 1110, 932, 1417, 1719 ], 
  [ 395, 681, 1114, 680, 1113, 1603 ], [ 397, 685, 1117, 1604, 1990, 744 ], [ 400, 690, 1119, 1608, 1992, 881 ], 
  [ 404, 696, 1134, 1569, 1464, 1894 ], [ 405, 697, 1136, 455, 781, 1237 ], [ 407, 700, 1141 ], [ 408, 701, 1143, 1636, 682, 984 ], 
  [ 413, 708, 584, 940, 1425, 1862 ], [ 415, 712, 1153, 1414, 1407, 1236 ], [ 417, 623, 1029, 1142, 1516, 1931 ], 
  [ 419, 718, 1160, 1650, 1645, 684 ], [ 422, 724, 711 ], [ 423, 725, 915 ], [ 424, 727 ], [ 426, 728, 1173, 1660, 1659, 2017 ], 
  [ 433, 743, 1192 ], [ 436, 749, 1199 ], [ 438, 753 ], [ 440, 756, 1207, 1698, 2018, 730 ], [ 444, 709, 1149 ], 
  [ 446, 766, 1214, 1345, 1813, 1676 ], [ 448, 770 ], [ 449, 772, 1225 ], [ 451, 776, 1150, 1335, 1804, 1367 ], 
  [ 453, 778, 1078, 1568, 777, 1230 ], [ 462, 792, 1253, 788, 1247, 1727 ], [ 464, 796, 1258, 1610, 1711, 2058 ], 
  [ 469, 804, 1268, 1561, 775, 1229 ], [ 476, 814, 1275, 1629, 1601, 1424 ], [ 481, 822, 1284, 818, 1280, 1754 ], [ 483, 825 ], 
  [ 487, 833, 826, 1289, 1297, 639 ], [ 495, 843, 1310, 847, 1308, 1778 ], [ 496, 637, 1052, 1539, 1949, 2066 ], 
  [ 498, 848, 1316, 1785, 1828, 842 ], [ 500, 851, 1321, 1791, 2105, 1123 ], [ 502, 854 ], [ 506, 859, 1332, 1731, 2072, 1728 ], 
  [ 514, 707, 1144, 1637, 1507, 925 ], [ 517, 877, 1352, 1816, 1206, 869 ], [ 519, 880, 1361, 1806, 1328, 1799 ], 
  [ 521, 884, 923, 1404, 1444, 995 ], [ 523, 888, 1370, 1833, 2120, 2197 ], [ 525, 890, 1373, 1835, 1455, 832 ], 
  [ 527, 894, 1377, 645, 1065, 1553 ], [ 528, 896, 1381, 1812, 2070, 1607 ], [ 535, 905 ], [ 537, 868, 579, 973, 1384, 976 ], 
  [ 551, 810, 698, 802, 1266, 1633 ], [ 552, 928, 1400, 1746, 1619, 808 ], [ 556, 935 ], [ 558, 939, 595, 918, 1398, 1595 ], 
  [ 559, 941, 936, 1421, 599, 996 ], [ 561, 944, 597, 993, 1472, 1858 ], [ 564, 950, 1436, 1871, 1431, 1473 ], 
  [ 566, 952, 593, 990, 1467, 1896 ], [ 567, 954, 1440, 1877, 1943, 2134 ], [ 569, 956, 1069, 785, 1244, 1721 ], 
  [ 571, 959, 1447, 1882, 2145, 1357 ], [ 573, 963, 1452, 1885, 1779, 1517 ], [ 575, 966, 1385, 901, 1264, 908 ], 
  [ 578, 971, 1317, 1786, 2103, 1950 ], [ 582, 977, 1443, 1680, 1097, 667 ], [ 589, 985 ], [ 600, 998, 1020, 1506, 1925, 1262 ], [ 604, 1003 ], 
  [ 607, 1005, 1485, 1911, 1543, 1860 ], [ 609, 1007, 1487 ], [ 611, 945 ], [ 613, 1013, 1497, 1893, 2142, 2208 ], 
  [ 619, 1021, 1111, 799, 1263, 1741 ], [ 621, 1025, 1510, 1079, 1570, 1343 ], [ 624, 1030, 1512, 1887, 2080, 1340 ], [ 626, 1033, 1515 ], 
  [ 632, 1042, 1525, 1914, 1548, 1797 ], [ 634, 1046, 1529, 1532, 844, 1285 ], [ 635, 1048, 1533, 1944, 1083, 1573 ], 
  [ 636, 1050, 651, 1004, 1074, 1563 ], [ 641, 972, 791, 1251, 1733, 1246 ], [ 643, 1061, 1549 ], [ 649, 1071, 1550, 1913, 1599, 1449 ], 
  [ 653, 1076, 1566, 1433, 1429, 1530 ], [ 657, 1081, 1572, 1520, 1933, 1476 ], [ 659, 1084, 1575, 1970, 2040, 1486 ], 
  [ 661, 1086, 1427, 1864, 2136, 2061 ], [ 662, 1088, 1580, 1973, 1049, 1535 ], [ 668, 1094, 1585 ], [ 670, 1098, 926, 1408, 897, 1145 ], 
  [ 672, 1102, 1589 ], [ 677, 1108, 1597, 1905, 715, 1156 ], [ 679, 1112, 1032, 1418, 1857, 773 ], [ 687, 1120, 968, 1454, 1886, 761 ], 
  [ 691, 1125 ], [ 695, 1132, 1624, 1493, 1916, 2153 ], [ 704, 1146, 746 ], [ 714, 1154, 1644 ], [ 717, 1158, 1155, 1185, 1672, 1093 ], 
  [ 719, 1162, 1653, 2016, 1651, 2014 ], [ 721, 1166, 1147 ], [ 723, 1169, 872 ], [ 726, 1170, 913 ], [ 731, 1176, 1202, 1684, 1847, 2126 ], 
  [ 734, 1181, 1498 ], [ 736, 789, 1249, 1730, 1333, 1802 ], [ 738, 978, 1103 ], [ 740, 1189, 1193, 1679, 2032, 867 ], [ 742, 1191, 885 ], 
  [ 748, 1197, 1685, 2036, 2172, 1500 ], [ 750, 1200, 1688 ], [ 754, 1204, 1693, 1662, 2019, 1198 ], [ 755, 1205, 1695, 757, 1208, 1700 ], 
  [ 759, 1210, 1702 ], [ 765, 965 ], [ 769, 1220, 1241, 1617, 1998, 947 ], [ 771, 1223 ], [ 780, 1235, 1715, 1508, 1330, 1800 ], [ 782, 929 ], 
  [ 793, 1255, 1736, 2077, 2189, 1118 ], [ 795, 1116, 1605, 1372, 1820, 2114 ], [ 797, 958, 1318, 1366, 1002, 1309 ], [ 813, 1273 ], 
  [ 815, 1277, 1375, 1837, 1989, 1518 ], [ 823, 1286, 1755, 845, 1313, 1783 ], [ 830, 1295, 1766, 1868, 2139, 1346 ], 
  [ 834, 1231, 1290, 1474, 1131, 1623 ], [ 835, 1300, 1770, 1878, 1906, 2097 ], [ 838, 1302, 1773 ], [ 839, 1304 ], 
  [ 841, 1307, 1363, 1759, 1124, 1615 ], [ 852, 1041, 1524 ], [ 853, 1323, 1288 ], [ 855, 1325, 1795, 2107, 1278, 1753 ], 
  [ 857, 1329, 865, 1342, 1811, 2112 ], [ 860, 1334, 1803, 1349, 1817, 2065 ], [ 863, 1339, 1805, 2110, 2185, 1331 ], 
  [ 874, 1353, 876, 1356, 1823, 2071 ], [ 878, 1358 ], [ 887, 1064 ], [ 889, 1371, 1834, 1058, 1545, 1954 ], 
  [ 891, 955, 1442, 1881, 1243, 1722 ], [ 904, 1387, 1168 ], [ 909, 1390, 974, 1460, 1890, 2148 ], [ 911, 1391, 1844 ], 
  [ 914, 1393, 1630, 1743, 1238, 1410 ], [ 927, 1409, 1769, 1968, 1138, 1579 ], [ 930, 1413, 1026 ], [ 949, 1434, 1557, 1961, 1326, 1796 ], 
  [ 960, 970, 1457 ], [ 962, 1450, 1482 ], [ 967, 1453, 1167 ], [ 980, 1462 ], [ 988, 1465, 1867, 1018, 1504, 1924 ], 
  [ 994, 1301, 1571, 1491, 1901, 1969 ], [ 997, 1299 ], [ 1001, 1368, 1053, 1541, 1952, 1311 ], [ 1006, 1451 ], [ 1008, 1489, 1912 ], 
  [ 1011, 1494, 1294, 1765, 1419, 1859 ], [ 1012, 1496, 1503, 1713, 2060, 1967 ], [ 1014, 1499, 1919, 2130, 2207, 1101 ], [ 1022, 1399 ], 
  [ 1024, 1509, 1927, 1618, 1709, 1606 ], [ 1028, 1511, 1929 ], [ 1037, 1047, 1531, 1312, 1781, 2100 ], [ 1039, 1080 ], 
  [ 1043, 1077, 1567, 1441, 1879, 2143 ], [ 1051, 1537, 1564, 1826, 1996, 1219 ], [ 1057, 1481, 1907 ], [ 1060, 1547, 1956 ], 
  [ 1062, 1551, 1322, 1611, 1995, 1446 ], [ 1066, 1554 ], [ 1068, 1536, 1866, 1484, 1909, 1814 ], [ 1070, 1260, 1544 ], [ 1087, 1578 ], 
  [ 1095, 1583, 1975 ], [ 1099, 1588, 1980, 1350, 1165, 1656 ], [ 1104, 1593, 1808 ], [ 1109, 1598, 1987, 1756, 2063, 2108 ], [ 1122, 1612 ], 
  [ 1128, 1234 ], [ 1130, 1621, 1502 ], [ 1133, 1626, 1918 ], [ 1135, 1628 ], [ 1137, 1631, 1716, 2000, 2170, 1849 ], [ 1140, 1635, 1627 ], 
  [ 1152, 1179 ], [ 1159, 1648 ], [ 1161, 1652, 1994, 1824, 1955, 1459 ], [ 1172, 1658 ], [ 1174, 1661 ], [ 1177, 1664, 1984, 2174, 2127, 2183 ]
    , [ 1180, 1622, 1852, 1922, 1428, 1865 ], [ 1182, 1668 ], [ 1183, 1669, 2026, 1674, 2021, 2022 ], [ 1186, 1673, 1592 ], 
  [ 1188, 1675, 2028, 2079, 2200, 1257 ], [ 1190, 1677, 2031 ], [ 1194, 1681 ], [ 1195, 1639, 2004 ], [ 1203, 1691 ], [ 1209, 1701 ], 
  [ 1211, 1341, 1809, 2073, 2198, 1256 ], [ 1212, 1252, 1735, 1963, 1830, 2117 ], [ 1215, 1703 ], [ 1216, 1667, 1964, 2131, 2030, 1960 ], 
  [ 1221, 1435, 1870, 1999, 2167, 1614 ], [ 1222, 1705, 2052, 2191, 1665, 2023 ], [ 1224, 1710, 2056, 2049, 2118, 1696 ], 
  [ 1226, 1712, 2059, 1456, 1505, 1600 ], [ 1227, 1495, 1271, 1471, 1900, 2150 ], [ 1228, 1475, 1902, 2109, 1641, 2007 ], [ 1232, 1714 ], 
  [ 1239, 1477 ], [ 1245, 1724, 2067, 1468, 1897, 1801 ], [ 1248, 1729, 1254, 1697, 2046, 1819 ], [ 1259, 1739, 2013, 1726, 2069, 2196 ], 
  [ 1272, 1748 ], [ 1274, 1276, 1750, 2084, 1917, 2001 ], [ 1293, 1764, 1772, 2094, 1480, 1426 ], [ 1296, 1767, 1488 ], [ 1298, 1768, 2093 ], 
  [ 1305, 1775, 2095, 1774, 1320, 1790 ], [ 1314, 1324 ], [ 1354, 1821, 2115, 2199, 1938, 1445 ], [ 1369, 1831, 1590, 1983, 2173, 1843 ], 
  [ 1374, 1836, 1889 ], [ 1379, 1839, 1957, 2137, 1682, 2033 ], [ 1394, 1747, 1845 ], [ 1397, 1699 ], [ 1403, 1850, 1738, 1988, 2029, 2111 ], 
  [ 1405, 1851, 2129 ], [ 1411, 1854, 1478, 1904, 2133, 1689 ], [ 1412, 1855, 1863, 1972, 2171, 2132 ], [ 1420, 1848 ], 
  [ 1423, 1602, 1853, 1740, 1986, 2081 ], [ 1432, 1869, 2140, 1720, 2064, 1876 ], [ 1438, 1873 ], [ 1458, 1888, 1977 ], [ 1461, 1725, 2068 ], 
  [ 1470, 1898 ], [ 1483, 1899 ], [ 1490, 1915, 1708, 1523, 1937, 2156 ], [ 1514, 1930, 1979 ], [ 1521, 1782, 1780, 2098, 1526, 1939 ], 
  [ 1522, 1935 ], [ 1528, 1941 ], [ 1534, 1574 ], [ 1538, 1948, 2119, 2161, 2042, 1910 ], [ 1540, 1760 ], [ 1546, 1792, 1586 ], [ 1555, 1959 ], 
  [ 1558, 1962, 2168, 2211, 2138, 1958 ], [ 1562, 1771 ], [ 1577, 1632 ], [ 1581, 1940, 2157, 1751, 1752, 2086 ], 
  [ 1584, 1976, 1647, 1737, 2078, 1810 ], [ 1587, 1978, 1982 ], [ 1591, 1880, 1671 ], [ 1609, 1993, 2178, 2091, 2177, 2051 ], [ 1613, 1794 ], 
  [ 1638, 1926, 1642 ], [ 1640, 1923, 1655 ], [ 1643, 2008 ], [ 1646, 2010, 2025, 2015, 2027, 1666 ], [ 1649, 2011 ], [ 1657, 1742, 1841 ], 
  [ 1683, 2035, 1928 ], [ 1686, 2038, 2187, 2209, 2166, 2162 ], [ 1687, 2039, 2128 ], [ 1690, 2041, 2188, 1921, 1832, 2053 ], 
  [ 1692, 2043, 2034, 2181, 2163, 2164 ], [ 1694, 2044, 2020, 2182, 2024, 2123 ], [ 1704, 2050 ], [ 1707, 2054, 2192, 2057, 1947, 2160 ], 
  [ 1717, 1903 ], [ 1732, 2074, 1734, 2076, 2169, 2195 ], [ 1749, 2082 ], [ 1761, 2090, 2101, 1793, 2106, 1762 ], [ 1776, 1827, 1908 ], 
  [ 1777, 2096, 2088 ], [ 1784, 2102, 2087 ], [ 1815, 2006, 2005 ], [ 1840, 2124 ], [ 1861, 2135 ], [ 1874, 2141 ], [ 1883, 2146, 2144 ], 
  [ 1884, 1892 ], [ 1891, 1920 ], [ 1932, 1934, 1945, 2099, 2121, 2180 ], [ 1936, 2154 ], [ 1942, 2158 ], [ 1946, 2159, 2055, 2193, 2212, 1965 ]
    , [ 1951, 2104 ], [ 1971, 2002 ], [ 1981, 1991 ], [ 1997, 2179, 2204 ], [ 2009, 2075 ], [ 2012, 2165 ], [ 2037, 2186 ], [ 2045, 2116 ], 
  [ 2048, 2149 ], [ 2062, 2155 ], [ 2083, 2202, 2203 ], [ 2085, 2176 ], [ 2092, 2175 ], [ 2125, 2201 ], [ 2147, 2205 ], [ 2152, 2194 ], 
  [ 2184, 2206 ], [ 2190, 2210 ] ], 
[ [ 1, 2, 4, 8, 16, 32, 62, 114, 212, 383, 664, 1089, 1582, 1974, 1973, 2157, 1156, 1217, 779, 1234, 1273, 1749, 2083, 2203, 2213, 2214 ], 
  [ 3, 6, 12, 24, 48, 90, 166, 308, 173, 320, 559, 942, 1427, 17, 34, 23, 46, 87, 160, 298, 527, 895, 1380, 1237, 1716, 2061 ], 
  [ 5, 10, 20, 40, 75, 138, 256, 455, 782, 1239, 1717, 2062, 1573, 1535, 1945, 954, 1441, 1880, 2144, 364, 630, 1039, 1522, 1936, 2155, 2136 ], 
  [ 7, 14, 28, 54, 100, 186, 340, 589, 905, 544, 919, 1400, 1849, 41, 77, 141, 261, 464, 797, 1260, 1552, 1067, 1557, 1937, 1289, 660 ], 
  [ 9, 18, 36, 67, 123, 228, 407, 563, 949, 1435, 935, 1420, 382, 662, 139, 257, 457, 785, 1245, 1725, 1744, 594, 991, 1470, 1899, 2082 ], 
  [ 11, 22, 44, 83, 152, 283, 502, 855, 1326, 1797, 2094, 2171, 1277, 1752, 456, 264, 469, 126, 233, 415, 316, 201, 363, 629, 1037, 1520 ], 
  [ 13, 26, 51, 96, 178, 328, 573, 964, 654, 1078, 1569, 1968, 2150, 65, 119, 221, 395, 682, 811, 1272, 217, 189, 344, 597, 994, 1474 ], 
  [ 15, 30, 58, 31, 60, 111, 207, 374, 647, 1069, 1044, 1526, 1940, 1753, 1304, 1774, 1434, 1525, 1132, 1625, 1890, 601, 933, 1419, 1854, 76 ], 
  [ 19, 38, 71, 130, 240, 426, 731, 1177, 1665, 1886, 851, 1042, 1081, 1084, 1440, 1878, 1050, 1536, 1946, 1962, 2124, 1691, 165, 306, 540, 914 
     ], [ 21, 42, 79, 145, 269, 476, 815, 1278, 1220, 1708, 1003, 1483, 1631, 118, 80, 147, 273, 483, 826, 1290, 309, 543, 918, 1399, 1848, 
      1527 ], [ 25, 49, 92, 170, 315, 321, 561, 945, 697, 1137, 1632, 2002, 2084, 2086, 1325, 1315, 1785, 1791, 2064, 1764, 2092, 633, 1045, 
      1528, 1942, 1576 ], [ 27, 52, 97, 180, 332, 578, 972, 1459, 1648, 266, 472, 808, 1271, 458, 786, 1160, 1651, 534, 705, 333, 579, 974, 
      148, 275, 487, 834 ], [ 29, 56, 104, 194, 353, 613, 1014, 1500, 1921, 2069, 2197, 1149, 1641, 142, 263, 467, 802, 1096, 745, 1194, 1682, 
      2034, 2185, 1850, 2128, 1153 ], [ 33, 63, 116, 216, 89, 164, 305, 345, 599, 997, 1477, 1903, 1533, 1580, 1970, 1076, 1378, 399, 689, 
      1123, 1614, 1859, 2135, 1935, 2154, 1086 ], [ 35, 66, 121, 224, 400, 691, 1126, 1617, 1999, 1494, 1917, 1944, 1088, 1581, 120, 222, 397, 
      304, 537, 909, 59, 109, 203, 367, 635, 1049 ], [ 37, 69, 127, 235, 419, 719, 1163, 1654, 314, 552, 929, 1412, 1837, 2121, 1757, 1821, 
      1191, 293, 519, 881, 1363, 1828, 656, 1080, 1571, 1623 ], [ 39, 73, 134, 248, 440, 757, 1209, 1223, 690, 1124, 1310, 1780, 2099, 1052, 
      1540, 1951, 1537, 1947, 2161, 2038, 2019, 1383, 910, 992, 1471, 665 ], 
  [ 43, 81, 149, 277, 491, 838, 1303, 1652, 2015, 343, 595, 234, 417, 715, 568, 955, 1443, 741, 1190, 1678, 1462, 1892, 494, 842, 1309, 1779 ], 
  [ 45, 85, 156, 290, 514, 872, 1350, 1818, 1106, 1595, 814, 1276, 1751, 2085, 2141, 2090, 1993, 501, 853, 1324, 1794, 846, 1316, 1542, 1082, 
      219 ], [ 47, 88, 162, 302, 356, 617, 1018, 251, 446, 767, 454, 780, 1236, 291, 515, 874, 1354, 1268, 427, 732, 1179, 1666, 937, 598, 995, 
      1475 ], [ 50, 94, 174, 74, 136, 252, 448, 771, 1224, 1711, 1835, 1768, 1873, 2107, 497, 847, 1317, 1787, 1976, 2172, 1204, 1694, 979, 
      1425, 774, 1228 ], [ 53, 98, 182, 336, 582, 978, 1461, 1229, 57, 106, 198, 359, 623, 790, 1250, 1732, 2075, 2060, 2004, 1413, 1415, 803, 
      1267, 1745, 2080, 2201 ], [ 55, 102, 190, 346, 600, 999, 749, 1200, 939, 1424, 1861, 2100, 2098, 1597, 1961, 2167, 2120, 193, 351, 609, 
      1008, 1490, 833, 1299, 1769, 1393 ], [ 61, 112, 209, 378, 655, 1079, 596, 249, 442, 761, 1212, 1332, 1801, 1233, 1715, 546, 108, 202, 
      365, 632, 1043, 505, 858, 1331, 1730, 2003 ], [ 64, 117, 218, 391, 676, 1107, 737, 1185, 1065, 1019, 1505, 1421, 1860, 392, 677, 1109, 
      1599, 1706, 1230, 1713, 1656, 916, 590, 986, 1136, 1630 ], [ 68, 125, 231, 99, 184, 337, 584, 255, 453, 696, 1135, 1629, 2001, 2180, 
      1949, 1783, 2101, 2058, 2195, 1447, 1883, 110, 205, 370, 639, 1055 ], [ 70, 128, 237, 422, 163, 303, 535, 906, 756, 520, 883, 1366, 377, 
      653, 1077, 432, 742, 875, 1355, 1616, 1909, 2152, 1653, 529, 899, 1382 ], 
  [ 72, 132, 244, 433, 744, 1193, 1680, 718, 1161, 1624, 137, 254, 451, 612, 1012, 421, 723, 735, 1182, 1496, 511, 868, 1178, 1199, 1687, 1015 ]
    , [ 78, 143, 265, 122, 226, 404, 230, 410, 704, 1147, 1453, 1265, 1743, 171, 317, 554, 932, 1418, 1858, 2134, 2208, 1102, 1591, 1930, 1763, 
      1933 ], [ 82, 150, 279, 495, 844, 1312, 1782, 258, 459, 788, 1248, 375, 649, 1072, 1561, 557, 938, 1423, 1855, 2133, 140, 259, 460, 789, 
      1129, 565 ], [ 84, 154, 286, 506, 860, 1335, 394, 680, 169, 313, 551, 927, 1410, 153, 285, 504, 857, 1330, 199, 322, 562, 947, 1432, 
      1009, 1491, 1485 ], [ 86, 158, 294, 521, 885, 445, 765, 1215, 1704, 2051, 1307, 1777, 854, 461, 791, 1252, 1437, 1773, 1063, 1553, 1957, 
      2163, 335, 553, 930, 1414 ], [ 91, 168, 311, 547, 923, 1405, 1852, 2131, 2187, 1823, 959, 998, 1478, 1905, 1560, 1804, 1023, 1508, 1926, 
      247, 438, 754, 536, 908, 694, 1131 ], [ 93, 172, 318, 556, 936, 1085, 1577, 1971, 2170, 1864, 1578, 1972, 1900, 1240, 1719, 2059, 1898, 
      1765, 1750, 1941, 2158, 658, 1083, 1574, 1969, 1572 ], [ 95, 176, 272, 481, 823, 1287, 1323, 1793, 1125, 1313, 1784, 2096, 1790, 1987, 
      652, 618, 1020, 1408, 722, 1168, 1337, 973, 1164, 1655, 1844, 616 ], [ 101, 188, 342, 593, 208, 376, 651, 770, 1222, 297, 525, 891, 1375, 
      1795, 2108, 1966, 1871, 1509, 1621, 1919, 1197, 1664, 2022, 708, 350, 607 ], 
  [ 103, 192, 349, 606, 1004, 1484, 1910, 2044, 1176, 1663, 2021, 1386, 1218, 1242, 1721, 2065, 2129, 1499, 1920, 1205, 1696, 2045, 1729, 1454, 
      1838, 2078 ], [ 105, 196, 347, 602, 1001, 1481, 1908, 1733, 1376, 1786, 1975, 1524, 1565, 468, 776, 144, 267, 411, 706, 588, 183, 307, 
      541, 915, 1394, 983 ], [ 107, 200, 361, 626, 946, 1431, 1868, 1280, 1755, 2087, 2204, 848, 961, 1449, 950, 888, 450, 775, 922, 1403, 801, 
      1148, 725, 1170, 1406, 710 ], [ 113, 210, 380, 659, 1017, 1503, 1923, 2035, 1469, 1817, 804, 401, 692, 1128, 1619, 2000, 384, 666, 1092, 
      1583, 1547, 1870, 1027, 177, 326, 569 ], [ 115, 214, 386, 668, 1095, 1586, 1881, 1100, 1589, 1982, 2146, 1035, 1518, 1932, 1566, 1013, 
      1498, 1918, 1635, 1479, 1906, 2151, 1487, 1912, 2140, 1911 ], [ 124, 215, 388, 672, 1103, 1592, 1925, 133, 246, 436, 750, 1201, 1689, 
      2040, 1492, 1714, 1146, 1640, 2006, 1463, 1893, 1181, 443, 452, 777, 1231 ], 
  [ 129, 238, 423, 726, 1171, 245, 435, 748, 1198, 1686, 1802, 1370, 488, 835, 1094, 642, 1060, 1548, 1497, 1865, 2137, 2209, 1693, 1675, 2029, 
      809 ], [ 131, 242, 429, 736, 1183, 576, 968, 1455, 1244, 366, 634, 1047, 1532, 1943, 2103, 1247, 1728, 2071, 2196, 531, 901, 227, 405, 
      698, 1138, 1633 ], [ 135, 250, 444, 763, 387, 670, 1099, 1460, 1891, 2149, 1992, 2177, 2122, 1952, 1888, 2093, 280, 496, 845, 1314, 646, 
      1068, 1558, 301, 532, 903 ], [ 146, 271, 479, 784, 1243, 1723, 2066, 1770, 1585, 1977, 1836, 1754, 1939, 1718, 2063, 1995, 484, 828, 
      1293, 241, 428, 734, 253, 449, 773, 1227 ], [ 151, 281, 498, 825, 211, 381, 661, 1087, 1579, 1904, 213, 360, 624, 681, 548, 924, 475, 
      813, 1274, 1048, 1534, 1531, 1005, 1486, 1436, 1872 ], [ 155, 288, 510, 867, 1345, 1814, 1948, 2162, 2186, 2014, 1570, 1391, 712, 683, 
      739, 1188, 1668, 2025, 729, 1174, 1662, 2020, 1829, 1897, 2068, 2007 ], [ 157, 292, 517, 878, 1359, 1826, 2116, 2191, 2041, 2114, 1634, 
      700, 1142, 260, 462, 793, 1256, 1737, 1396, 1847, 2127, 2206, 1799, 631, 1041, 963 ], 
  [ 159, 296, 523, 555, 934, 1302, 1251, 1734, 2016, 1510, 1928, 1422, 977, 685, 1118, 969, 1456, 1887, 1593, 862, 1338, 1806, 1875, 1956, 
      1869, 1924 ], [ 161, 300, 530, 870, 1347, 1815, 403, 695, 1133, 1627, 603, 1002, 1482, 686, 1119, 1609, 1258, 1321, 1792, 1722, 430, 738, 
      1186, 1021, 1507, 724 ], [ 167, 310, 545, 720, 1165, 766, 1216, 1705, 2053, 2074, 2145, 1033, 1516, 783, 1241, 1720, 1879, 1672, 2027, 
      753, 1203, 1692, 902, 1385, 1841, 2125 ], [ 175, 323, 564, 951, 1438, 1874, 2106, 1545, 1955, 1504, 1626, 1141, 1430, 1598, 1551, 1896, 
      1803, 2109, 507, 861, 583, 980, 206, 372, 643, 1062 ], [ 179, 330, 575, 967, 473, 810, 412, 707, 931, 1416, 1139, 628, 371, 641, 1058, 
      890, 1374, 822, 1285, 570, 958, 1446, 990, 1468, 1568, 1967 ], [ 181, 334, 539, 913, 550, 926, 289, 512, 869, 1346, 482, 824, 1288, 1762, 
      2091, 1615, 1997, 843, 1311, 463, 795, 1257, 1738, 268, 474, 812 ], [ 185, 338, 414, 711, 1152, 1643, 727, 1172, 1659, 2018, 1700, 1710, 
      2057, 1834, 2076, 2199, 2031, 1213, 768, 1219, 1707, 2055, 2194, 1959, 2165, 1658 ], 
  [ 187, 341, 591, 988, 1210, 1154, 1645, 2009, 2008, 312, 549, 925, 1407, 220, 393, 679, 389, 674, 1104, 1594, 1360, 1825, 1796, 1915, 2115, 
      1902 ], [ 191, 348, 604, 781, 1238, 229, 408, 339, 587, 984, 538, 911, 197, 357, 619, 1022, 1038, 1521, 1934, 499, 850, 1320, 282, 500, 
      852, 1322 ], [ 195, 354, 615, 1016, 1502, 1922, 2033, 2182, 1698, 1348, 1816, 605, 492, 839, 1305, 849, 1318, 1073, 1562, 1703, 2049, 
      2054, 1735, 2077, 1404, 805 ], [ 204, 368, 636, 1051, 1538, 859, 1333, 1679, 1390, 1843, 1701, 2046, 1439, 1876, 2142, 2207, 439, 755, 
      1206, 1697, 2047, 1556, 1960, 2166, 866, 406 ], [ 223, 398, 687, 1121, 1611, 385, 667, 1093, 1584, 362, 627, 1034, 1517, 1115, 1604, 
      1669, 1501, 325, 567, 608, 1006, 447, 769, 1221, 1709, 1931 ], [ 225, 402, 693, 1130, 1622, 1554, 1958, 2164, 1661, 1329, 900, 1384, 
      1813, 1261, 1712, 1030, 1513, 437, 752, 1202, 1690, 2042, 2189, 1356, 1824, 2010 ], 
  [ 232, 413, 709, 1150, 358, 621, 1026, 614, 274, 485, 830, 1296, 1075, 327, 571, 960, 324, 566, 953, 1061, 1550, 1110, 1600, 1988, 2039, 355 ]
    , [ 236, 329, 574, 965, 480, 821, 379, 657, 284, 503, 856, 1328, 1612, 1286, 1761, 892, 1377, 678, 1111, 1601, 1989, 2176, 787, 1246, 1726, 
      2070 ], [ 239, 424, 728, 513, 871, 1349, 1192, 1158, 1647, 827, 1291, 1448, 650, 1074, 1564, 1965, 2169, 1162, 1235, 1387, 1588, 1981, 
      466, 800, 586, 982 ], [ 243, 431, 740, 758, 295, 522, 887, 1369, 1832, 2119, 2026, 1364, 1822, 490, 837, 886, 1368, 1253, 1189, 1676, 
      2030, 2184, 1208, 1365, 1830, 2032 ], [ 262, 465, 799, 1264, 1742, 1113, 1143, 912, 920, 1266, 1628, 928, 1411, 477, 816, 486, 832, 1298, 
      278, 493, 841, 1308, 1529, 638, 1054, 1543 ], [ 270, 478, 818, 1046, 1530, 1300, 1771, 1983, 2056, 2117, 2139, 1767, 1452, 1108, 798, 
      1262, 1740, 1091, 733, 1180, 1667, 2024, 331, 577, 970, 1029 ], [ 276, 489, 620, 1024, 592, 820, 1283, 1759, 2088, 1775, 1998, 2156, 
      1882, 1112, 1602, 952, 884, 1367, 471, 807, 1270, 1747, 1105, 319, 558, 940 ], 
  [ 287, 508, 863, 1340, 1808, 1980, 2148, 1831, 2118, 1954, 2105, 1549, 1885, 396, 684, 1116, 1606, 418, 717, 1159, 1649, 2012, 975, 1392, 
      1845, 1748 ], [ 299, 528, 897, 864, 1341, 1810, 1685, 2037, 2168, 1842, 2110, 2198, 2153, 760, 1211, 1567, 1117, 1607, 1991, 1839, 2123, 
      2126, 1353, 1820, 1381, 673 ], [ 352, 611, 1011, 1495, 1575, 1856, 1800, 1169, 1336, 1805, 2111, 1688, 1596, 1986, 2175, 996, 1476, 1090, 
      1467, 648, 1070, 1559, 1963, 1766, 1489, 1914 ], [ 369, 637, 1053, 1059, 1546, 956, 1444, 743, 1187, 1674, 1862, 831, 1297, 1134, 702, 
      1145, 1639, 2005, 1127, 1618, 1929, 516, 876, 1357, 1263, 1275 ], [ 373, 645, 1066, 1555, 898, 580, 976, 1098, 1166, 1657, 1114, 409, 
      703, 985, 1395, 1846, 1695, 1120, 1610, 1994, 2143, 1978, 1457, 948, 1433, 1541 ], 
  [ 390, 675, 701, 1144, 1638, 1681, 2011, 2181, 1660, 1339, 1807, 1927, 1281, 1756, 1071, 957, 1445, 1851, 2130, 2173, 2188, 2193, 1739, 2079, 
      1512, 1603 ], [ 416, 714, 1155, 1646, 1388, 1173, 1207, 1699, 2048, 2050, 2190, 2178, 1371, 572, 962, 1451, 1884, 2147, 2210, 2192, 2212, 
      2211, 2043, 2017, 585, 981 ], [ 420, 721, 1167, 1269, 1746, 2081, 1895, 1670, 1650, 2013, 699, 1140, 1292, 971, 1458, 1889, 1758, 1953, 
      610, 1010, 1493, 1327, 1798, 2067, 1673, 1857 ], [ 425, 730, 1175, 880, 1362, 1827, 644, 1064, 817, 1279, 1319, 1789, 2104, 2205, 2160, 
      796, 1259, 622, 1028, 764, 1214, 1417, 1741, 1151, 1642, 751 ], [ 434, 746, 1195, 1683, 1985, 671, 1101, 1590, 1984, 2052, 877, 1295, 
      1284, 1760, 2089, 2102, 2179, 1778, 2097, 1563, 1964, 2023, 2183, 2072, 625, 1032 ], 
  [ 441, 759, 716, 1157, 896, 542, 917, 1397, 1361, 1608, 1788, 2095, 1539, 1950, 1907, 1450, 688, 1122, 1613, 1996, 2159, 1605, 1389, 1637, 
      921, 1401 ], [ 470, 806, 966, 987, 1464, 1636, 533, 904, 509, 865, 1343, 1398, 713, 819, 1282, 1373, 1442, 1036, 840, 1306, 1776, 792, 
      1254, 1040, 1523, 1938 ], [ 518, 879, 1184, 1671, 1515, 989, 1466, 640, 1057, 1544, 1727, 1358, 1056, 794, 526, 893, 1007, 1488, 1913, 
      1877, 1916, 1702, 1511, 1351, 1809, 1465 ], [ 524, 889, 1372, 1833, 1225, 1506, 993, 1473, 1620, 1644, 1990, 2028, 2112, 907, 581, 882, 
      1031, 1514, 1000, 1480, 1402, 1334, 1677, 873, 1352, 1819 ], [ 560, 943, 1428, 1866, 2138, 2200, 1342, 1812, 2113, 2036, 2174, 1255, 
      1724, 778, 1232, 747, 1196, 1684, 1249, 1731, 2073, 894, 1379, 1840, 1811, 1025 ], 
  [ 669, 1097, 1587, 1979, 829, 1294, 1472, 1901, 1894, 1409, 1853, 2132, 944, 1429, 1867, 762, 772, 1226, 941, 1426, 1863, 1519, 1781, 836, 
      1301, 1772 ], [ 1344, 1736 ] ] ]:
`0,9,2` := [ 256, 
[ [ 3, 4 ], [ 5, 7 ], [ 6, 9 ], [ 13, 16 ], [ 15, 19 ], [ 17, 22 ], [ 18, 24 ], [ 20, 27 ], [ 21, 29 ], [ 25, 34 ], [ 26, 36 ], [ 28, 39 ], 
  [ 33, 45 ], [ 35, 48 ], [ 37, 51 ], [ 38, 53 ], [ 40, 56 ], [ 42, 59 ], [ 46, 63 ], [ 47, 65 ], [ 50, 69 ], [ 52, 72 ], [ 54, 75 ], 
  [ 55, 77 ], [ 58, 81 ], [ 60, 84 ], [ 62, 87 ], [ 64, 90 ], [ 68, 80 ], [ 70, 71 ], [ 73, 97 ], [ 74, 99 ], [ 82, 107 ], [ 83, 109 ], 
  [ 85, 112 ], [ 88, 116 ], [ 89, 118 ], [ 93, 105 ], [ 94, 122 ], [ 95, 124 ], [ 96, 126 ], [ 98, 129 ], [ 106, 138 ], [ 108, 141 ], 
  [ 110, 144 ], [ 111, 146 ], [ 113, 130 ], [ 115, 151 ], [ 117, 154 ], [ 121, 157 ], [ 123, 160 ], [ 125, 163 ], [ 127, 166 ], [ 128, 168 ], 
  [ 132, 173 ], [ 136, 177 ], [ 137, 178 ], [ 139, 181 ], [ 140, 183 ], [ 143, 187 ], [ 145, 165 ], [ 147, 169 ], [ 148, 170 ], [ 152, 153 ], 
  [ 158, 195 ], [ 159, 197 ], [ 162, 201 ], [ 164, 204 ], [ 167, 208 ], [ 172, 211 ], [ 176, 213 ], [ 179, 216 ], [ 180, 192 ], [ 182, 220 ], 
  [ 188, 225 ], [ 189, 209 ], [ 191, 224 ], [ 194, 229 ], [ 196, 232 ], [ 202, 219 ], [ 203, 218 ], [ 205, 231 ], [ 206, 238 ], [ 207, 226 ], 
  [ 212, 235 ], [ 214, 241 ], [ 215, 242 ], [ 217, 245 ], [ 221, 236 ], [ 228, 249 ], [ 230, 246 ], [ 237, 251 ], [ 240, 254 ], [ 243, 244 ], 
  [ 247, 248 ], [ 252, 256 ] ], 
[ [ 2, 3, 5, 8 ], [ 4, 6, 10, 13, 17, 23, 32, 44 ], [ 7, 11, 14, 18, 25, 35, 49, 68 ], [ 9, 12, 15, 20, 28, 40, 57, 80 ], 
  [ 16, 21, 30, 42, 60, 85, 113, 149 ], [ 19, 26, 37, 52, 73, 98, 130, 171 ], [ 22, 31, 43, 61, 86, 114, 150, 191 ], 
  [ 24, 33, 46, 64, 75, 101, 133, 174 ], [ 27, 38, 54, 76, 102, 134, 175, 212 ], [ 29, 41, 58, 82, 108, 142, 186, 224 ], 
  [ 34, 47, 66, 92, 120, 156, 193, 228 ], [ 36, 50, 70, 94, 123, 161, 200, 235 ], [ 39, 55, 78, 104, 136, 157, 194, 230 ], 
  [ 45, 62, 88, 117, 141, 185, 223, 249 ], [ 48, 67, 93, 121, 158, 196, 216, 244 ], [ 51, 71, 95, 125, 164, 205, 229, 251 ], 
  [ 53, 74, 100, 132, 138, 180, 218, 246 ], [ 56, 79, 105, 137, 179, 217, 63, 89 ], [ 59, 83, 110, 145, 188, 226, 197, 233 ], 
  [ 65, 91, 119, 155, 177, 178, 215, 243 ], [ 69, 72, 96, 127, 167, 163, 203, 237 ], [ 77, 103, 135, 176, 214, 146, 189, 118 ], 
  [ 81, 106, 139, 182, 221, 122, 159, 198 ], [ 84, 111, 147, 151, 154, 183, 222, 211 ], [ 87, 115, 152, 192, 204, 232, 242, 245 ], 
  [ 90, 99, 131, 172, 109, 143, 168, 209 ], [ 97, 128, 169, 116, 153, 181, 219, 247 ], [ 107, 140, 184, 173 ], 
  [ 112, 148, 190, 227, 250, 255, 256, 241 ], [ 124, 162, 202, 236 ], [ 126, 165, 206, 225, 208, 201, 220, 248 ], 
  [ 129, 170, 210, 239, 253, 213, 240, 187 ], [ 144, 166, 207, 160, 199, 234, 252, 254 ], [ 195, 231 ] ] ]:
`1,10,2` := [ 527, 
[ [ 3, 4 ], [ 5, 7 ], [ 6, 9 ], [ 10, 13 ], [ 11, 20 ], [ 12, 15 ], [ 14, 26 ], [ 17, 31 ], [ 18, 33 ], [ 19, 25 ], [ 21, 35 ], [ 22, 37 ], 
  [ 23, 41 ], [ 24, 38 ], [ 27, 47 ], [ 28, 49 ], [ 30, 55 ], [ 32, 57 ], [ 34, 61 ], [ 36, 48 ], [ 39, 69 ], [ 40, 64 ], [ 42, 75 ], 
  [ 43, 78 ], [ 44, 74 ], [ 45, 72 ], [ 46, 68 ], [ 50, 86 ], [ 51, 89 ], [ 52, 83 ], [ 53, 73 ], [ 54, 94 ], [ 56, 96 ], [ 58, 100 ], 
  [ 59, 102 ], [ 60, 67 ], [ 62, 108 ], [ 63, 70 ], [ 65, 84 ], [ 66, 115 ], [ 71, 120 ], [ 76, 130 ], [ 77, 129 ], [ 79, 133 ], [ 80, 134 ], 
  [ 81, 125 ], [ 82, 137 ], [ 85, 140 ], [ 87, 128 ], [ 88, 144 ], [ 90, 123 ], [ 91, 148 ], [ 92, 151 ], [ 93, 132 ], [ 95, 124 ], 
  [ 98, 143 ], [ 99, 162 ], [ 101, 127 ], [ 103, 168 ], [ 104, 170 ], [ 105, 167 ], [ 106, 126 ], [ 107, 173 ], [ 109, 177 ], [ 110, 176 ], 
  [ 111, 165 ], [ 112, 122 ], [ 113, 180 ], [ 114, 181 ], [ 116, 183 ], [ 117, 185 ], [ 118, 186 ], [ 119, 121 ], [ 131, 203 ], [ 135, 202 ], 
  [ 136, 207 ], [ 138, 212 ], [ 139, 213 ], [ 141, 215 ], [ 142, 216 ], [ 145, 222 ], [ 146, 200 ], [ 147, 211 ], [ 149, 206 ], [ 150, 194 ], 
  [ 152, 230 ], [ 153, 204 ], [ 154, 166 ], [ 156, 235 ], [ 157, 175 ], [ 158, 214 ], [ 161, 229 ], [ 163, 193 ], [ 164, 247 ], [ 169, 254 ], 
  [ 171, 256 ], [ 172, 257 ], [ 174, 252 ], [ 178, 261 ], [ 179, 250 ], [ 182, 197 ], [ 184, 259 ], [ 187, 268 ], [ 188, 267 ], [ 189, 251 ], 
  [ 190, 270 ], [ 191, 272 ], [ 192, 273 ], [ 195, 237 ], [ 196, 265 ], [ 198, 233 ], [ 199, 210 ], [ 205, 291 ], [ 208, 255 ], [ 209, 290 ], 
  [ 217, 309 ], [ 218, 311 ], [ 219, 308 ], [ 221, 305 ], [ 223, 260 ], [ 224, 315 ], [ 225, 317 ], [ 226, 319 ], [ 227, 314 ], [ 228, 295 ], 
  [ 231, 326 ], [ 232, 328 ], [ 236, 325 ], [ 238, 249 ], [ 239, 263 ], [ 240, 336 ], [ 243, 340 ], [ 244, 266 ], [ 245, 304 ], [ 246, 333 ], 
  [ 248, 345 ], [ 253, 298 ], [ 258, 352 ], [ 262, 307 ], [ 264, 302 ], [ 269, 362 ], [ 271, 360 ], [ 274, 344 ], [ 275, 369 ], [ 276, 366 ], 
  [ 277, 371 ], [ 278, 373 ], [ 279, 374 ], [ 280, 365 ], [ 281, 337 ], [ 282, 379 ], [ 283, 330 ], [ 284, 294 ], [ 285, 303 ], [ 286, 299 ], 
  [ 287, 356 ], [ 288, 324 ], [ 292, 392 ], [ 293, 391 ], [ 296, 349 ], [ 297, 396 ], [ 300, 398 ], [ 301, 323 ], [ 306, 377 ], [ 310, 407 ], 
  [ 312, 405 ], [ 313, 410 ], [ 316, 353 ], [ 318, 413 ], [ 320, 361 ], [ 321, 411 ], [ 322, 416 ], [ 327, 420 ], [ 329, 423 ], [ 334, 351 ], 
  [ 335, 357 ], [ 338, 430 ], [ 341, 347 ], [ 342, 402 ], [ 343, 432 ], [ 346, 363 ], [ 348, 397 ], [ 350, 390 ], [ 354, 417 ], [ 355, 409 ], 
  [ 358, 400 ], [ 359, 437 ], [ 364, 383 ], [ 368, 436 ], [ 370, 449 ], [ 372, 455 ], [ 375, 456 ], [ 376, 453 ], [ 378, 431 ], [ 380, 441 ], 
  [ 381, 460 ], [ 382, 425 ], [ 384, 440 ], [ 385, 394 ], [ 386, 399 ], [ 387, 442 ], [ 393, 467 ], [ 395, 470 ], [ 401, 422 ], [ 403, 406 ], 
  [ 404, 458 ], [ 408, 478 ], [ 412, 479 ], [ 414, 445 ], [ 415, 481 ], [ 418, 428 ], [ 421, 484 ], [ 424, 486 ], [ 426, 485 ], [ 427, 443 ], 
  [ 433, 438 ], [ 434, 474 ], [ 435, 450 ], [ 439, 468 ], [ 444, 473 ], [ 447, 463 ], [ 448, 482 ], [ 452, 494 ], [ 457, 502 ], [ 459, 491 ], 
  [ 461, 496 ], [ 462, 505 ], [ 464, 469 ], [ 465, 497 ], [ 471, 509 ], [ 472, 510 ], [ 475, 477 ], [ 476, 504 ], [ 480, 513 ], [ 483, 489 ], 
  [ 487, 517 ], [ 488, 516 ], [ 490, 520 ], [ 492, 495 ], [ 493, 500 ], [ 499, 507 ], [ 503, 525 ], [ 506, 522 ], [ 511, 512 ], [ 514, 519 ], 
  [ 515, 526 ], [ 518, 527 ], [ 521, 524 ] ], 
[ [ 3, 5, 10, 4, 7, 13, 23, 42, 76, 93, 104, 109 ], [ 6, 12, 19, 9, 15, 25, 44, 77, 131, 153, 171, 178 ], [ 8, 16, 29, 53, 92, 152 ], 
  [ 11, 21, 38, 20, 35, 62 ], [ 14, 27, 50, 87, 145, 223 ], [ 17, 32, 58, 101, 164, 248, 231, 327, 421, 31, 57, 100 ], 
  [ 18, 26, 47, 33, 59, 103 ], [ 22, 40, 68, 37, 64, 110 ], [ 24, 45, 80, 135, 208, 187 ], [ 28, 52, 88, 146, 224, 316 ], 
  [ 30, 56, 98, 161, 243, 60, 106, 172, 67, 55, 96, 157 ], [ 34, 49, 83, 61, 105, 169 ], [ 36, 65, 113, 48, 84, 94, 154, 232, 54, 95, 156, 236 ]
    , [ 39, 70, 89, 69, 118, 51, 90, 149, 227, 320, 63, 111 ], [ 41, 72, 123, 192, 274, 367, 450, 456, 361, 268, 177, 78 ], 
  [ 46, 81, 136, 209, 296, 269 ], [ 66, 116, 184, 115, 183, 117 ], [ 71, 122, 148, 120, 188, 91, 150, 228, 321, 414, 112, 179 ], 
  [ 73, 126, 197, 280, 285, 371, 454, 325, 311, 365, 448, 439 ], [ 74, 125, 194, 276, 368, 451, 500, 502, 445, 362, 261, 133 ], 
  [ 75, 86, 142, 217, 281, 377, 418, 309, 406, 260, 170, 108 ], [ 82, 137, 210, 298 ], [ 85, 141, 107, 174, 258, 173 ], [ 97, 159, 239 ], 
  [ 99, 163, 246, 343, 119, 189 ], [ 102, 165, 134, 205, 198, 282, 380, 314, 273, 364, 446, 132 ], [ 114, 182, 121, 181, 162, 244 ], 
  [ 124, 195, 279, 333, 374, 422, 340, 392, 409, 390, 355, 292 ], [ 127, 196, 278, 370, 452, 501, 524, 525, 513, 509, 484, 515 ], 
  [ 128, 199, 284, 383, 263, 356, 441, 253, 222, 291, 389, 426 ], [ 129, 144, 219, 310, 378, 458, 483, 407, 477, 353, 256, 176 ], 
  [ 130, 201, 287, 375, 206, 294, 347, 423, 485, 255, 186, 168 ], [ 138, 212, 299, 397 ], [ 139, 214, 303, 401, 158, 238 ], 
  [ 140, 215, 305, 225, 318, 412 ], [ 143, 220, 313, 351, 440, 266, 328, 230, 324, 307, 384, 376 ], [ 147, 213, 301, 211, 237, 334 ], 
  [ 151, 180, 262, 354, 249, 235, 332, 229, 323, 417, 482, 175 ], [ 155, 233, 329 ], [ 160, 241, 335 ], [ 166, 251, 257, 350 ], 
  [ 167, 250, 207, 293, 283, 381, 461, 411, 366, 447, 498, 204 ], [ 185, 265, 359, 297, 395, 471 ], 
  [ 190, 271, 319, 373, 322, 415, 480, 272, 363, 270, 191, 226 ], [ 193, 277, 372, 410, 432, 369, 453, 468, 419, 288, 218, 275 ], 
  [ 200, 286, 385, 463, 357, 442, 496, 348, 315, 391, 466, 488 ], [ 202, 216, 306, 403 ], 
  [ 203, 289, 387, 457, 295, 394, 438, 486, 516, 349, 267, 254 ], [ 221, 312, 408, 459, 504, 514, 478, 512, 479, 420, 259, 247 ], 
  [ 234, 330, 424 ], [ 240, 337, 264, 336, 428, 302, 379, 304, 344, 435, 245, 341 ], [ 242, 339, 427 ], 
  [ 252, 346, 437, 393, 382, 462, 506, 481, 449, 499, 523, 326 ], [ 290, 308, 404, 475 ], [ 300, 399, 472, 398 ], 
  [ 317, 386, 464, 507, 443, 497, 522, 510, 413, 467, 508, 518 ], [ 331, 425, 487 ], 
  [ 338, 431, 358, 430, 489, 400, 460, 402, 436, 493, 342, 433 ], [ 345, 388, 465, 503, 416, 469, 495, 517, 527, 470, 360, 352 ], 
  [ 396, 405, 476, 511 ], [ 429, 455 ], [ 434, 492, 520, 491, 444, 490, 519, 473, 505, 474, 494, 521 ] ], 
[ [ 2, 3 ], [ 4, 8 ], [ 5, 11 ], [ 7, 14 ], [ 9, 17 ], [ 10, 18 ], [ 13, 24 ], [ 16, 30 ], [ 20, 36 ], [ 21, 39 ], [ 23, 43 ], [ 26, 48 ], 
  [ 27, 51 ], [ 29, 54 ], [ 33, 60 ], [ 35, 63 ], [ 37, 66 ], [ 38, 67 ], [ 41, 73 ], [ 42, 45 ], [ 47, 82 ], [ 49, 85 ], [ 50, 76 ], 
  [ 53, 93 ], [ 55, 97 ], [ 56, 99 ], [ 59, 104 ], [ 61, 107 ], [ 62, 109 ], [ 65, 114 ], [ 68, 117 ], [ 69, 119 ], [ 70, 121 ], [ 72, 124 ], 
  [ 74, 127 ], [ 75, 128 ], [ 78, 132 ], [ 80, 90 ], [ 84, 139 ], [ 86, 143 ], [ 87, 95 ], [ 89, 147 ], [ 92, 106 ], [ 94, 155 ], [ 96, 158 ], 
  [ 98, 135 ], [ 102, 166 ], [ 103, 111 ], [ 108, 175 ], [ 113, 152 ], [ 118, 187 ], [ 120, 190 ], [ 122, 191 ], [ 123, 193 ], [ 125, 196 ], 
  [ 126, 198 ], [ 130, 202 ], [ 134, 206 ], [ 137, 211 ], [ 142, 218 ], [ 144, 221 ], [ 145, 210 ], [ 146, 225 ], [ 148, 226 ], [ 149, 163 ], 
  [ 151, 229 ], [ 153, 231 ], [ 154, 208 ], [ 156, 237 ], [ 157, 223 ], [ 159, 240 ], [ 160, 242 ], [ 161, 233 ], [ 162, 245 ], [ 165, 249 ], 
  [ 167, 252 ], [ 168, 253 ], [ 170, 255 ], [ 172, 182 ], [ 176, 259 ], [ 177, 260 ], [ 180, 263 ], [ 181, 264 ], [ 186, 266 ], [ 189, 232 ], 
  [ 192, 275 ], [ 194, 278 ], [ 195, 274 ], [ 197, 281 ], [ 199, 285 ], [ 201, 288 ], [ 205, 292 ], [ 209, 297 ], [ 212, 300 ], [ 213, 302 ], 
  [ 214, 304 ], [ 216, 307 ], [ 217, 277 ], [ 219, 312 ], [ 220, 287 ], [ 222, 314 ], [ 227, 303 ], [ 228, 322 ], [ 230, 325 ], [ 234, 331 ], 
  [ 235, 333 ], [ 236, 239 ], [ 238, 298 ], [ 243, 301 ], [ 244, 320 ], [ 246, 344 ], [ 250, 346 ], [ 251, 347 ], [ 257, 351 ], [ 262, 355 ], 
  [ 267, 360 ], [ 268, 361 ], [ 273, 365 ], [ 276, 370 ], [ 279, 375 ], [ 280, 376 ], [ 282, 372 ], [ 283, 382 ], [ 284, 384 ], [ 286, 386 ], 
  [ 289, 388 ], [ 291, 390 ], [ 293, 393 ], [ 294, 354 ], [ 296, 395 ], [ 306, 371 ], [ 308, 405 ], [ 309, 364 ], [ 310, 408 ], [ 311, 409 ], 
  [ 313, 367 ], [ 316, 412 ], [ 321, 415 ], [ 323, 418 ], [ 324, 419 ], [ 328, 422 ], [ 329, 379 ], [ 330, 425 ], [ 332, 426 ], [ 334, 337 ], 
  [ 335, 427 ], [ 336, 429 ], [ 340, 432 ], [ 341, 401 ], [ 342, 434 ], [ 343, 428 ], [ 350, 439 ], [ 356, 389 ], [ 357, 443 ], [ 358, 444 ], 
  [ 366, 449 ], [ 368, 452 ], [ 369, 453 ], [ 374, 441 ], [ 377, 383 ], [ 378, 459 ], [ 380, 403 ], [ 381, 462 ], [ 385, 464 ], [ 387, 465 ], 
  [ 391, 467 ], [ 392, 468 ], [ 394, 469 ], [ 397, 472 ], [ 400, 473 ], [ 402, 474 ], [ 404, 476 ], [ 406, 456 ], [ 410, 454 ], [ 414, 480 ], 
  [ 417, 448 ], [ 423, 450 ], [ 430, 490 ], [ 431, 491 ], [ 433, 492 ], [ 435, 455 ], [ 436, 494 ], [ 438, 495 ], [ 440, 482 ], [ 446, 485 ], 
  [ 451, 501 ], [ 457, 503 ], [ 483, 514 ], [ 488, 518 ], [ 489, 519 ], [ 493, 521 ], [ 496, 522 ] ], 
[ [ 1, 2 ], [ 3, 6 ], [ 4, 9 ], [ 5, 12 ], [ 7, 15 ], [ 10, 19 ], [ 11, 22 ], [ 13, 25 ], [ 14, 28 ], [ 18, 34 ], [ 20, 37 ], [ 21, 40 ], 
  [ 23, 44 ], [ 24, 46 ], [ 26, 49 ], [ 27, 52 ], [ 33, 61 ], [ 35, 64 ], [ 38, 68 ], [ 39, 71 ], [ 41, 74 ], [ 42, 77 ], [ 43, 79 ], 
  [ 45, 81 ], [ 47, 83 ], [ 50, 88 ], [ 51, 91 ], [ 59, 105 ], [ 62, 110 ], [ 63, 112 ], [ 69, 120 ], [ 70, 122 ], [ 72, 125 ], [ 75, 129 ], 
  [ 76, 131 ], [ 78, 133 ], [ 80, 136 ], [ 82, 138 ], [ 86, 144 ], [ 87, 146 ], [ 89, 148 ], [ 90, 150 ], [ 93, 153 ], [ 97, 160 ], 
  [ 102, 167 ], [ 103, 169 ], [ 104, 171 ], [ 108, 176 ], [ 109, 178 ], [ 111, 179 ], [ 118, 188 ], [ 123, 194 ], [ 128, 200 ], [ 130, 203 ], 
  [ 132, 204 ], [ 134, 207 ], [ 135, 209 ], [ 137, 212 ], [ 142, 219 ], [ 145, 224 ], [ 149, 228 ], [ 155, 234 ], [ 159, 241 ], [ 165, 250 ], 
  [ 168, 254 ], [ 170, 256 ], [ 177, 261 ], [ 186, 267 ], [ 187, 269 ], [ 192, 276 ], [ 198, 283 ], [ 199, 286 ], [ 201, 289 ], [ 202, 290 ], 
  [ 205, 293 ], [ 206, 295 ], [ 208, 296 ], [ 210, 299 ], [ 216, 308 ], [ 217, 310 ], [ 222, 315 ], [ 223, 316 ], [ 227, 321 ], [ 233, 330 ], 
  [ 239, 335 ], [ 240, 338 ], [ 245, 342 ], [ 253, 348 ], [ 255, 349 ], [ 260, 353 ], [ 263, 357 ], [ 264, 358 ], [ 268, 362 ], [ 273, 366 ], 
  [ 274, 368 ], [ 281, 378 ], [ 282, 381 ], [ 284, 385 ], [ 287, 387 ], [ 291, 391 ], [ 294, 394 ], [ 298, 397 ], [ 302, 400 ], [ 304, 402 ], 
  [ 306, 404 ], [ 309, 407 ], [ 314, 411 ], [ 320, 414 ], [ 329, 424 ], [ 336, 430 ], [ 337, 431 ], [ 341, 433 ], [ 344, 436 ], [ 347, 438 ], 
  [ 356, 442 ], [ 361, 445 ], [ 364, 447 ], [ 367, 451 ], [ 375, 457 ], [ 377, 458 ], [ 379, 460 ], [ 380, 461 ], [ 383, 463 ], [ 389, 466 ], 
  [ 403, 475 ], [ 406, 477 ], [ 418, 483 ], [ 423, 486 ], [ 426, 488 ], [ 428, 489 ], [ 435, 493 ], [ 441, 496 ], [ 446, 498 ], [ 450, 500 ], 
  [ 456, 502 ], [ 485, 516 ] ] ]:
`-1,10,2` := [ 495, 
[ [ 3, 4 ], [ 5, 7 ], [ 6, 9 ], [ 10, 13 ], [ 11, 20 ], [ 12, 15 ], [ 14, 26 ], [ 17, 31 ], [ 18, 33 ], [ 19, 25 ], [ 21, 35 ], [ 22, 37 ], 
  [ 23, 41 ], [ 24, 38 ], [ 27, 47 ], [ 28, 49 ], [ 30, 55 ], [ 32, 57 ], [ 34, 61 ], [ 36, 48 ], [ 39, 69 ], [ 40, 64 ], [ 42, 75 ], 
  [ 43, 79 ], [ 44, 74 ], [ 45, 82 ], [ 46, 68 ], [ 50, 90 ], [ 51, 94 ], [ 52, 87 ], [ 53, 73 ], [ 54, 99 ], [ 56, 101 ], [ 58, 105 ], 
  [ 59, 106 ], [ 60, 67 ], [ 62, 112 ], [ 63, 70 ], [ 65, 88 ], [ 66, 119 ], [ 71, 124 ], [ 72, 77 ], [ 76, 135 ], [ 78, 134 ], [ 80, 142 ], 
  [ 81, 131 ], [ 83, 148 ], [ 84, 152 ], [ 85, 147 ], [ 86, 155 ], [ 89, 158 ], [ 91, 133 ], [ 92, 165 ], [ 93, 162 ], [ 95, 169 ], 
  [ 96, 168 ], [ 97, 173 ], [ 98, 141 ], [ 100, 130 ], [ 103, 161 ], [ 104, 181 ], [ 107, 185 ], [ 108, 188 ], [ 109, 184 ], [ 110, 128 ], 
  [ 111, 192 ], [ 113, 195 ], [ 114, 194 ], [ 115, 197 ], [ 116, 126 ], [ 117, 201 ], [ 118, 202 ], [ 120, 204 ], [ 121, 205 ], [ 122, 206 ], 
  [ 123, 125 ], [ 127, 213 ], [ 129, 139 ], [ 132, 136 ], [ 137, 226 ], [ 138, 228 ], [ 140, 144 ], [ 143, 231 ], [ 145, 233 ], [ 146, 150 ], 
  [ 149, 225 ], [ 151, 241 ], [ 153, 246 ], [ 154, 238 ], [ 156, 251 ], [ 157, 252 ], [ 159, 254 ], [ 160, 255 ], [ 163, 261 ], [ 164, 223 ], 
  [ 166, 260 ], [ 167, 250 ], [ 170, 240 ], [ 171, 273 ], [ 172, 269 ], [ 174, 266 ], [ 176, 277 ], [ 177, 193 ], [ 178, 253 ], [ 182, 219 ], 
  [ 183, 186 ], [ 187, 288 ], [ 189, 292 ], [ 190, 286 ], [ 191, 294 ], [ 196, 296 ], [ 198, 207 ], [ 199, 300 ], [ 200, 297 ], [ 203, 215 ], 
  [ 208, 306 ], [ 209, 303 ], [ 210, 284 ], [ 211, 310 ], [ 212, 311 ], [ 214, 313 ], [ 216, 312 ], [ 217, 295 ], [ 218, 320 ], [ 220, 322 ], 
  [ 221, 227 ], [ 222, 262 ], [ 229, 335 ], [ 230, 278 ], [ 232, 336 ], [ 234, 337 ], [ 235, 256 ], [ 236, 271 ], [ 237, 244 ], [ 239, 343 ], 
  [ 242, 332 ], [ 243, 334 ], [ 245, 247 ], [ 248, 353 ], [ 249, 338 ], [ 258, 358 ], [ 259, 362 ], [ 263, 368 ], [ 264, 370 ], [ 265, 324 ], 
  [ 267, 375 ], [ 268, 376 ], [ 270, 367 ], [ 272, 347 ], [ 274, 352 ], [ 275, 379 ], [ 279, 298 ], [ 282, 291 ], [ 283, 289 ], [ 285, 290 ], 
  [ 287, 309 ], [ 293, 392 ], [ 299, 305 ], [ 301, 395 ], [ 304, 319 ], [ 307, 399 ], [ 314, 405 ], [ 315, 404 ], [ 316, 407 ], [ 317, 408 ], 
  [ 318, 359 ], [ 321, 372 ], [ 323, 414 ], [ 325, 413 ], [ 326, 417 ], [ 327, 418 ], [ 328, 356 ], [ 329, 369 ], [ 330, 374 ], [ 333, 366 ], 
  [ 339, 427 ], [ 340, 360 ], [ 341, 398 ], [ 342, 430 ], [ 345, 432 ], [ 346, 357 ], [ 348, 435 ], [ 349, 425 ], [ 350, 363 ], [ 351, 423 ], 
  [ 354, 426 ], [ 355, 442 ], [ 364, 373 ], [ 365, 444 ], [ 371, 449 ], [ 377, 403 ], [ 378, 451 ], [ 380, 448 ], [ 381, 394 ], [ 382, 455 ], 
  [ 383, 419 ], [ 385, 446 ], [ 386, 396 ], [ 388, 391 ], [ 389, 458 ], [ 390, 402 ], [ 397, 401 ], [ 400, 410 ], [ 406, 465 ], [ 411, 459 ], 
  [ 412, 466 ], [ 415, 470 ], [ 416, 469 ], [ 420, 472 ], [ 421, 474 ], [ 424, 447 ], [ 428, 477 ], [ 431, 445 ], [ 434, 443 ], [ 436, 479 ], 
  [ 437, 438 ], [ 439, 456 ], [ 440, 478 ], [ 441, 476 ], [ 452, 464 ], [ 453, 482 ], [ 454, 483 ], [ 457, 460 ], [ 461, 485 ], [ 462, 468 ], 
  [ 463, 486 ], [ 471, 489 ], [ 473, 490 ], [ 475, 481 ], [ 480, 484 ], [ 487, 491 ], [ 493, 495 ] ], 
[ [ 3, 5, 10, 4, 7, 13, 23, 42, 76 ], [ 6, 12, 19, 9, 15, 25, 44, 78, 137 ], [ 8, 16, 29, 53, 97, 174, 43, 80, 143 ], 
  [ 11, 21, 38, 20, 35, 62, 102, 179, 136 ], [ 14, 27, 50, 91, 163, 24, 45, 83, 149 ], [ 17, 32, 58, 81, 145, 234, 31, 57, 105 ], 
  [ 18, 26, 47, 33, 59, 107, 175, 77, 138 ], [ 22, 40, 68, 37, 64, 114, 180, 280, 227 ], [ 28, 52, 93, 164, 263, 46, 85, 151, 242 ], 
  [ 30, 56, 103, 84, 153, 113, 36, 65, 117 ], [ 34, 49, 87, 61, 109, 187, 276, 139, 229 ], [ 39, 70, 94, 69, 122, 207, 304, 279, 213 ], 
  [ 41, 72, 127, 214, 240, 346, 206, 185, 135, 224, 255, 357, 169, 268, 367, 313, 403, 344 ], [ 48, 88, 99, 144, 232, 67, 55, 101, 177 ], 
  [ 51, 95, 170, 270, 63, 115, 198, 298, 262 ], [ 54, 100, 176, 92, 108, 189, 60, 110, 191 ], [ 66, 120, 196, 281, 387, 417, 119, 204, 121 ], 
  [ 71, 126, 168, 124, 209, 305, 400, 386, 312 ], [ 73, 130, 219, 321, 352, 405, 466, 439, 450, 330, 324, 314, 273, 383, 306, 292, 231, 141 ], 
  [ 74, 129, 216, 315, 347, 434, 303, 288, 226, 331, 358, 443, 269, 378, 448, 404, 464, 433 ], 
  [ 75, 132, 220, 323, 334, 418, 287, 261, 366, 257, 343, 82, 146, 235, 338, 414, 427, 112 ], 
  [ 79, 140, 230, 277, 385, 188, 291, 336, 266, 374, 362, 419, 412, 165, 265, 372, 438, 456 ], [ 86, 155, 249, 309, 283, 186, 289, 150, 243 ], 
  [ 89, 159, 111, 190, 293, 384, 320, 411, 192 ], [ 90, 160, 256, 197, 148, 239, 106, 183, 228, 333, 133, 222, 327, 377, 225, 322, 376, 339 ], 
  [ 96, 172, 272, 380, 116, 200, 299, 396, 369 ], [ 104, 182, 171, 274, 208, 123, 210, 308, 295 ], 
  [ 118, 203, 157, 253, 247, 199, 167, 252, 356 ], [ 125, 202, 181, 282, 250, 271, 381, 178, 278 ], 
  [ 128, 217, 318, 236, 341, 328, 407, 429, 201, 302, 398, 215, 316, 394, 359, 284, 294, 393 ], 
  [ 131, 218, 317, 406, 455, 484, 399, 392, 337, 422, 444, 480, 379, 453, 483, 465, 487, 494 ], 
  [ 134, 221, 325, 415, 425, 472, 390, 368, 447, 361, 432, 147, 237, 340, 426, 470, 477, 194 ], 
  [ 142, 193, 173, 161, 259, 363, 300, 246, 351, 373, 446, 364, 423, 152, 245, 350, 437, 195 ], [ 154, 248, 348, 158, 254, 166, 264, 371, 205 ],
  [ 156, 251, 354, 402, 388, 290, 391, 244, 349 ], [ 162, 258, 360, 297, 241, 345, 184, 285, 335, 424, 223, 329, 420, 452, 332, 413, 451, 428 ],
  [ 211, 307, 401, 462, 485, 408, 310, 212, 267 ], [ 233, 326, 416, 471, 479, 490, 486, 449, 481, 492, 478, 238, 342, 431, 476, 489, 495, 296 ],
  [ 260, 365, 445, 395, 353, 440, 286, 389, 459, 475, 370, 421, 473, 491, 435, 469, 482, 493 ], [ 275, 382, 454, 311, 301, 397, 461, 474, 375 ],
  [ 319, 409 ], [ 355, 441, 463, 457, 458, 460, 430, 436, 442 ], [ 410, 467 ], [ 468, 488 ] ], 
[ [ 2, 3 ], [ 4, 8 ], [ 5, 11 ], [ 7, 14 ], [ 9, 17 ], [ 10, 18 ], [ 13, 24 ], [ 16, 30 ], [ 20, 36 ], [ 21, 39 ], [ 23, 43 ], [ 26, 48 ], 
  [ 27, 51 ], [ 29, 54 ], [ 33, 60 ], [ 35, 63 ], [ 37, 66 ], [ 38, 67 ], [ 41, 73 ], [ 42, 77 ], [ 44, 81 ], [ 45, 84 ], [ 47, 86 ], 
  [ 49, 89 ], [ 50, 92 ], [ 53, 98 ], [ 55, 102 ], [ 56, 104 ], [ 59, 108 ], [ 61, 111 ], [ 62, 113 ], [ 65, 118 ], [ 68, 121 ], [ 69, 123 ], 
  [ 70, 125 ], [ 72, 128 ], [ 74, 131 ], [ 75, 133 ], [ 76, 136 ], [ 79, 141 ], [ 80, 144 ], [ 82, 130 ], [ 83, 150 ], [ 85, 154 ], 
  [ 88, 157 ], [ 90, 161 ], [ 91, 110 ], [ 93, 166 ], [ 94, 167 ], [ 95, 171 ], [ 97, 100 ], [ 99, 175 ], [ 101, 178 ], [ 103, 174 ], 
  [ 106, 140 ], [ 107, 186 ], [ 109, 190 ], [ 112, 193 ], [ 114, 196 ], [ 115, 199 ], [ 117, 149 ], [ 122, 208 ], [ 124, 211 ], [ 126, 212 ], 
  [ 127, 215 ], [ 129, 218 ], [ 132, 201 ], [ 135, 225 ], [ 138, 213 ], [ 142, 188 ], [ 143, 177 ], [ 146, 236 ], [ 147, 238 ], [ 148, 240 ], 
  [ 152, 173 ], [ 153, 247 ], [ 155, 250 ], [ 160, 257 ], [ 162, 260 ], [ 163, 262 ], [ 164, 264 ], [ 165, 266 ], [ 168, 267 ], [ 169, 219 ], 
  [ 170, 271 ], [ 172, 275 ], [ 176, 182 ], [ 179, 279 ], [ 180, 281 ], [ 181, 283 ], [ 183, 284 ], [ 184, 286 ], [ 185, 287 ], [ 189, 282 ], 
  [ 191, 295 ], [ 194, 296 ], [ 195, 231 ], [ 197, 230 ], [ 198, 202 ], [ 200, 301 ], [ 203, 243 ], [ 206, 291 ], [ 207, 252 ], [ 209, 307 ], 
  [ 210, 309 ], [ 214, 314 ], [ 216, 317 ], [ 217, 319 ], [ 220, 324 ], [ 221, 326 ], [ 222, 328 ], [ 224, 330 ], [ 228, 334 ], [ 232, 278 ], 
  [ 235, 339 ], [ 237, 342 ], [ 239, 344 ], [ 242, 348 ], [ 245, 338 ], [ 246, 352 ], [ 249, 274 ], [ 251, 355 ], [ 253, 289 ], [ 255, 302 ], 
  [ 256, 359 ], [ 259, 364 ], [ 261, 367 ], [ 265, 373 ], [ 268, 377 ], [ 269, 379 ], [ 270, 356 ], [ 272, 382 ], [ 273, 277 ], [ 276, 384 ], 
  [ 285, 389 ], [ 292, 306 ], [ 294, 394 ], [ 297, 395 ], [ 298, 308 ], [ 299, 397 ], [ 300, 336 ], [ 303, 399 ], [ 304, 381 ], [ 305, 401 ], 
  [ 313, 372 ], [ 315, 406 ], [ 316, 323 ], [ 318, 357 ], [ 321, 412 ], [ 322, 362 ], [ 325, 416 ], [ 327, 419 ], [ 329, 421 ], [ 331, 422 ], 
  [ 333, 423 ], [ 341, 429 ], [ 343, 393 ], [ 346, 427 ], [ 349, 436 ], [ 350, 438 ], [ 351, 439 ], [ 354, 441 ], [ 358, 444 ], [ 360, 445 ], 
  [ 363, 418 ], [ 366, 446 ], [ 374, 450 ], [ 376, 407 ], [ 380, 454 ], [ 383, 437 ], [ 385, 456 ], [ 388, 457 ], [ 391, 460 ], [ 396, 461 ], 
  [ 398, 409 ], [ 400, 462 ], [ 402, 463 ], [ 403, 414 ], [ 404, 465 ], [ 405, 466 ], [ 410, 468 ], [ 413, 469 ], [ 415, 471 ], [ 420, 473 ], 
  [ 424, 475 ], [ 426, 476 ], [ 432, 478 ], [ 443, 480 ], [ 447, 481 ], [ 451, 482 ], [ 467, 488 ], [ 472, 490 ] ], 
[ [ 1, 2 ], [ 3, 6 ], [ 4, 9 ], [ 5, 12 ], [ 7, 15 ], [ 10, 19 ], [ 11, 22 ], [ 13, 25 ], [ 14, 28 ], [ 18, 34 ], [ 20, 37 ], [ 21, 40 ], 
  [ 23, 44 ], [ 24, 46 ], [ 26, 49 ], [ 27, 52 ], [ 33, 61 ], [ 35, 64 ], [ 38, 68 ], [ 39, 71 ], [ 41, 74 ], [ 42, 78 ], [ 45, 85 ], 
  [ 47, 87 ], [ 50, 93 ], [ 51, 96 ], [ 59, 109 ], [ 62, 114 ], [ 63, 116 ], [ 69, 124 ], [ 70, 126 ], [ 72, 129 ], [ 75, 134 ], [ 76, 137 ], 
  [ 77, 139 ], [ 82, 147 ], [ 83, 151 ], [ 86, 156 ], [ 90, 162 ], [ 91, 164 ], [ 94, 168 ], [ 95, 172 ], [ 102, 180 ], [ 106, 184 ], 
  [ 107, 187 ], [ 112, 194 ], [ 115, 200 ], [ 122, 209 ], [ 127, 216 ], [ 132, 221 ], [ 133, 223 ], [ 135, 226 ], [ 136, 227 ], [ 138, 229 ], 
  [ 146, 237 ], [ 148, 241 ], [ 149, 242 ], [ 150, 244 ], [ 155, 251 ], [ 160, 258 ], [ 163, 263 ], [ 169, 269 ], [ 170, 272 ], [ 175, 276 ], 
  [ 179, 280 ], [ 183, 285 ], [ 185, 288 ], [ 186, 290 ], [ 197, 297 ], [ 198, 299 ], [ 206, 303 ], [ 207, 305 ], [ 213, 312 ], [ 214, 315 ], 
  [ 220, 325 ], [ 222, 329 ], [ 224, 331 ], [ 225, 332 ], [ 228, 335 ], [ 235, 340 ], [ 239, 345 ], [ 240, 347 ], [ 243, 349 ], [ 249, 354 ], 
  [ 255, 358 ], [ 256, 360 ], [ 257, 361 ], [ 261, 368 ], [ 262, 369 ], [ 268, 378 ], [ 270, 380 ], [ 279, 386 ], [ 283, 388 ], [ 287, 390 ], 
  [ 289, 391 ], [ 298, 396 ], [ 304, 400 ], [ 309, 402 ], [ 313, 404 ], [ 319, 410 ], [ 322, 413 ], [ 323, 415 ], [ 327, 420 ], [ 333, 424 ], 
  [ 334, 425 ], [ 338, 426 ], [ 339, 428 ], [ 343, 432 ], [ 344, 433 ], [ 346, 434 ], [ 357, 443 ], [ 366, 447 ], [ 367, 448 ], [ 376, 451 ], 
  [ 377, 452 ], [ 403, 464 ], [ 409, 467 ], [ 414, 470 ], [ 418, 472 ], [ 427, 477 ] ] ]:
`0,11,2` := [ 1024, 
[ [ 4, 5 ], [ 6, 8 ], [ 7, 10 ], [ 9, 13 ], [ 11, 15 ], [ 12, 17 ], [ 14, 20 ], [ 23, 30 ], [ 28, 36 ], [ 29, 38 ], [ 31, 41 ], [ 34, 45 ], 
  [ 35, 47 ], [ 37, 50 ], [ 39, 53 ], [ 40, 55 ], [ 42, 58 ], [ 44, 61 ], [ 46, 64 ], [ 48, 67 ], [ 49, 69 ], [ 51, 72 ], [ 52, 74 ], 
  [ 54, 77 ], [ 56, 80 ], [ 57, 82 ], [ 59, 85 ], [ 60, 87 ], [ 62, 90 ], [ 63, 92 ], [ 65, 95 ], [ 66, 97 ], [ 68, 100 ], [ 70, 103 ], 
  [ 71, 105 ], [ 73, 108 ], [ 75, 111 ], [ 76, 113 ], [ 78, 116 ], [ 79, 118 ], [ 81, 121 ], [ 83, 124 ], [ 84, 126 ], [ 88, 131 ], 
  [ 89, 133 ], [ 93, 138 ], [ 94, 140 ], [ 96, 143 ], [ 98, 146 ], [ 99, 148 ], [ 101, 151 ], [ 102, 153 ], [ 104, 156 ], [ 106, 159 ], 
  [ 107, 161 ], [ 110, 165 ], [ 112, 168 ], [ 114, 115 ], [ 117, 173 ], [ 119, 176 ], [ 120, 178 ], [ 122, 181 ], [ 123, 183 ], [ 130, 190 ], 
  [ 132, 193 ], [ 137, 199 ], [ 139, 202 ], [ 141, 205 ], [ 142, 207 ], [ 145, 211 ], [ 147, 214 ], [ 149, 217 ], [ 150, 219 ], [ 152, 222 ], 
  [ 154, 225 ], [ 155, 227 ], [ 157, 230 ], [ 158, 232 ], [ 166, 167 ], [ 169, 243 ], [ 170, 245 ], [ 171, 247 ], [ 172, 249 ], [ 175, 253 ], 
  [ 177, 256 ], [ 179, 259 ], [ 180, 261 ], [ 182, 264 ], [ 191, 273 ], [ 192, 275 ], [ 198, 239 ], [ 200, 283 ], [ 201, 285 ], [ 203, 288 ], 
  [ 204, 290 ], [ 210, 252 ], [ 212, 299 ], [ 213, 301 ], [ 215, 304 ], [ 216, 306 ], [ 218, 309 ], [ 220, 312 ], [ 221, 314 ], [ 224, 318 ], 
  [ 226, 321 ], [ 228, 324 ], [ 229, 326 ], [ 231, 329 ], [ 235, 334 ], [ 240, 338 ], [ 241, 265 ], [ 242, 341 ], [ 244, 344 ], [ 254, 355 ], 
  [ 255, 357 ], [ 257, 360 ], [ 258, 362 ], [ 260, 365 ], [ 262, 263 ], [ 272, 374 ], [ 278, 317 ], [ 281, 337 ], [ 282, 384 ], [ 284, 387 ], 
  [ 286, 390 ], [ 287, 392 ], [ 289, 395 ], [ 295, 351 ], [ 296, 352 ], [ 297, 381 ], [ 298, 404 ], [ 300, 407 ], [ 302, 410 ], [ 303, 412 ], 
  [ 305, 415 ], [ 307, 418 ], [ 308, 408 ], [ 310, 386 ], [ 311, 421 ], [ 319, 430 ], [ 320, 432 ], [ 322, 435 ], [ 323, 436 ], [ 325, 439 ], 
  [ 327, 328 ], [ 330, 444 ], [ 332, 447 ], [ 333, 449 ], [ 339, 453 ], [ 340, 455 ], [ 342, 458 ], [ 343, 460 ], [ 345, 409 ], [ 353, 428 ], 
  [ 354, 469 ], [ 356, 472 ], [ 358, 359 ], [ 361, 440 ], [ 363, 364 ], [ 366, 481 ], [ 367, 445 ], [ 369, 485 ], [ 371, 488 ], [ 379, 426 ], 
  [ 380, 427 ], [ 385, 502 ], [ 388, 420 ], [ 389, 507 ], [ 391, 510 ], [ 393, 513 ], [ 394, 515 ], [ 396, 518 ], [ 400, 522 ], [ 401, 466 ], 
  [ 402, 524 ], [ 403, 498 ], [ 405, 528 ], [ 406, 529 ], [ 411, 533 ], [ 413, 416 ], [ 414, 537 ], [ 417, 530 ], [ 419, 501 ], [ 429, 549 ], 
  [ 431, 552 ], [ 433, 555 ], [ 434, 556 ], [ 437, 438 ], [ 441, 561 ], [ 442, 563 ], [ 443, 564 ], [ 446, 567 ], [ 448, 570 ], [ 451, 573 ], 
  [ 452, 565 ], [ 454, 534 ], [ 456, 578 ], [ 457, 562 ], [ 459, 527 ], [ 461, 539 ], [ 463, 582 ], [ 467, 587 ], [ 468, 548 ], [ 470, 471 ], 
  [ 473, 593 ], [ 474, 557 ], [ 475, 558 ], [ 476, 559 ], [ 477, 597 ], [ 478, 599 ], [ 479, 601 ], [ 480, 603 ], [ 483, 580 ], [ 484, 608 ], 
  [ 486, 611 ], [ 487, 613 ], [ 489, 583 ], [ 496, 546 ], [ 497, 623 ], [ 503, 540 ], [ 504, 505 ], [ 506, 632 ], [ 508, 634 ], [ 509, 636 ], 
  [ 512, 640 ], [ 514, 643 ], [ 516, 646 ], [ 517, 647 ], [ 521, 650 ], [ 523, 652 ], [ 526, 656 ], [ 531, 536 ], [ 532, 658 ], [ 535, 538 ], 
  [ 541, 663 ], [ 545, 667 ], [ 547, 670 ], [ 550, 674 ], [ 551, 676 ], [ 554, 680 ], [ 560, 684 ], [ 566, 662 ], [ 568, 688 ], [ 569, 690 ], 
  [ 571, 693 ], [ 572, 695 ], [ 574, 668 ], [ 575, 659 ], [ 576, 660 ], [ 577, 661 ], [ 581, 703 ], [ 586, 709 ], [ 589, 713 ], [ 590, 715 ], 
  [ 591, 716 ], [ 592, 717 ], [ 594, 714 ], [ 595, 719 ], [ 596, 657 ], [ 598, 673 ], [ 609, 729 ], [ 610, 731 ], [ 614, 736 ], [ 615, 705 ], 
  [ 617, 740 ], [ 622, 744 ], [ 625, 748 ], [ 626, 749 ], [ 628, 629 ], [ 630, 751 ], [ 631, 752 ], [ 633, 753 ], [ 641, 762 ], [ 642, 764 ], 
  [ 644, 767 ], [ 645, 768 ], [ 651, 772 ], [ 666, 783 ], [ 669, 787 ], [ 672, 791 ], [ 679, 798 ], [ 681, 799 ], [ 682, 801 ], [ 683, 777 ], 
  [ 685, 778 ], [ 687, 803 ], [ 689, 806 ], [ 691, 809 ], [ 692, 810 ], [ 694, 763 ], [ 696, 735 ], [ 697, 785 ], [ 704, 821 ], [ 718, 830 ], 
  [ 720, 833 ], [ 728, 839 ], [ 730, 808 ], [ 737, 846 ], [ 739, 834 ], [ 741, 838 ], [ 761, 863 ], [ 765, 868 ], [ 766, 869 ], [ 771, 849 ], 
  [ 774, 873 ], [ 784, 880 ], [ 794, 889 ], [ 796, 882 ], [ 797, 893 ], [ 800, 829 ], [ 802, 832 ], [ 804, 896 ], [ 805, 822 ], [ 807, 900 ], 
  [ 811, 864 ], [ 812, 865 ], [ 814, 906 ], [ 816, 891 ], [ 820, 912 ], [ 824, 887 ], [ 825, 911 ], [ 827, 916 ], [ 831, 920 ], [ 836, 923 ], 
  [ 840, 867 ], [ 844, 928 ], [ 845, 930 ], [ 847, 921 ], [ 848, 888 ], [ 852, 936 ], [ 860, 922 ], [ 870, 948 ], [ 872, 950 ], [ 875, 943 ], 
  [ 879, 914 ], [ 884, 947 ], [ 886, 952 ], [ 890, 917 ], [ 892, 957 ], [ 894, 901 ], [ 895, 913 ], [ 897, 966 ], [ 898, 899 ], [ 902, 944 ], 
  [ 905, 956 ], [ 907, 963 ], [ 908, 972 ], [ 909, 958 ], [ 915, 977 ], [ 918, 968 ], [ 919, 967 ], [ 924, 985 ], [ 925, 949 ], [ 929, 980 ], 
  [ 931, 981 ], [ 932, 982 ], [ 933, 992 ], [ 935, 971 ], [ 941, 997 ], [ 951, 1003 ], [ 953, 996 ], [ 954, 976 ], [ 955, 1002 ], [ 959, 983 ], 
  [ 960, 978 ], [ 961, 979 ], [ 962, 1006 ], [ 964, 965 ], [ 969, 973 ], [ 974, 1011 ], [ 975, 984 ], [ 986, 1000 ], [ 988, 994 ], 
  [ 989, 1010 ], [ 990, 1017 ], [ 991, 1009 ], [ 998, 1021 ], [ 1004, 1013 ], [ 1005, 1019 ], [ 1007, 1022 ], [ 1008, 1012 ], [ 1014, 1016 ], 
  [ 1015, 1024 ], [ 1020, 1023 ] ], 
[ [ 2, 3, 4, 6, 9 ], [ 5, 7, 11, 16, 23, 31, 42, 59, 86, 129 ], [ 8, 12, 18, 25, 33, 44, 62, 91, 136, 198 ], 
  [ 10, 14, 21, 28, 37, 51, 73, 109, 164, 239 ], [ 13, 19, 26, 34, 46, 65, 96, 144, 210, 297 ], [ 15, 22, 29, 39, 54, 78, 117, 174, 252, 353 ], 
  [ 17, 24, 32, 43, 60, 88, 132, 194, 278, 381 ], [ 20, 27, 35, 48, 68, 101, 152, 223, 317, 428 ], 
  [ 30, 40, 56, 81, 122, 182, 265, 367, 483, 607 ], [ 36, 49, 70, 104, 157, 231, 330, 445, 566, 686 ], 
  [ 38, 52, 75, 112, 169, 244, 345, 461, 580, 702 ], [ 41, 57, 83, 125, 186, 269, 371, 489, 616, 739 ], 
  [ 45, 63, 93, 139, 203, 289, 396, 85, 128, 189 ], [ 47, 66, 98, 147, 215, 305, 416, 539, 662, 780 ], [ 50, 71, 106, 160, 235 ], 
  [ 53, 76, 114, 170, 246, 347, 463, 583, 706, 824 ], [ 55, 79, 119, 177, 257, 361, 477, 598, 721, 834 ], 
  [ 58, 84, 127, 188, 271, 373, 491, 618, 741, 849 ], [ 61, 89, 134, 196, 280, 383, 500, 627, 750, 855 ], 
  [ 64, 94, 141, 206, 293, 400, 90, 135, 197, 281 ], [ 67, 99, 149, 218, 310, 420, 541, 159, 234, 333 ], 
  [ 69, 102, 154, 226, 322, 259, 364, 479, 602, 334 ], [ 72, 107, 162, 237, 336, 451, 574, 698, 816, 908 ], 
  [ 74, 110, 166, 240, 339, 454, 549, 673, 792, 887 ], [ 77, 115, 171, 248, 349, 465, 585, 708, 825, 914 ], 
  [ 80, 120, 179, 260, 366, 482, 606, 727, 838, 772 ], [ 82, 123, 184, 267, 369, 486, 612, 734, 650, 771 ], 
  [ 87, 130, 191, 274, 377, 495, 621, 743, 850, 934 ], [ 92, 137, 200, 284, 388, 506, 108, 163, 238, 337 ], 
  [ 95, 142, 208, 295, 402, 525, 655, 776, 875, 951 ], [ 97, 145, 212, 300, 408, 502, 629, 601, 723, 449 ], 
  [ 100, 150, 220, 313, 424, 545, 668, 786, 882, 955 ], [ 103, 155, 228, 325, 440, 560, 676, 795, 891, 962 ], 
  [ 105, 158, 233, 332, 448, 571, 694, 813, 905, 972 ], [ 111, 167, 241, 340, 456, 579, 701, 819, 911, 880 ], 
  [ 113, 116, 172, 250, 351, 467, 588, 712, 783, 879 ], [ 118, 175, 254, 356, 473, 205, 292, 399, 521, 651 ], 
  [ 121, 180, 262, 341, 457, 529, 418, 288, 394, 516 ], [ 124, 185, 268, 370, 487, 614, 737, 847, 395, 517 ], 
  [ 126, 187, 270, 372, 490, 617, 729, 809, 869, 518 ], [ 131, 192, 276, 379, 497, 624, 747, 854, 938, 994 ], 
  [ 133, 195, 279, 382, 499, 626, 611, 733, 843, 522 ], [ 138, 201, 286, 391, 511, 639, 760, 862, 943, 1000 ], 
  [ 140, 204, 291, 398, 520, 649, 770, 871, 949, 1003 ], [ 143, 209, 296, 403, 526, 657, 555, 469, 472, 592 ], 
  [ 146, 213, 302, 411, 534, 430, 551, 677, 796, 892 ], [ 148, 216, 307, 392, 512, 641, 763, 866, 947, 1002 ], 
  [ 151, 221, 315, 426, 547, 671, 790, 886, 959, 1007 ], [ 153, 224, 319, 431, 553, 679, 787, 883, 956, 1006 ], 
  [ 156, 229, 327, 441, 562, 407, 309, 387, 505, 631 ], [ 161, 236, 335, 450, 572, 696, 814, 907, 974, 632 ], 
  [ 165, 168, 242, 342, 459, 312, 423, 544, 666, 784 ], [ 173, 251, 352, 468, 589, 714, 829, 918, 980, 1014 ], 
  [ 176, 255, 358, 474, 594, 718, 831, 921, 515, 645 ], [ 178, 258, 363, 478, 600, 447, 569, 691, 767, 646 ], 
  [ 181, 263, 243, 343, 412, 535, 533, 660, 321, 434 ], [ 183, 266, 368, 484, 609, 730, 840, 643, 766, 647 ], 
  [ 190, 272, 375, 493, 485, 610, 732, 842, 927, 988 ], [ 193, 277, 380, 498, 625, 597, 674, 793, 888, 960 ], 
  [ 199, 282, 385, 503, 481, 605, 726, 837, 925, 986 ], [ 202, 287, 393, 514, 644, 768, 253, 354, 470, 590 ], 
  [ 207, 294, 401, 523, 653, 774, 803, 895, 964, 717 ], [ 211, 298, 405, 314, 425, 546, 669, 788, 884, 957 ], 
  [ 214, 303, 413, 536, 661, 779, 876, 952, 997, 1020 ], [ 217, 308, 419, 540, 603, 724, 835, 922, 983, 1015 ], 
  [ 219, 311, 422, 543, 665, 782, 878, 954, 1005, 1022 ], [ 222, 316, 427, 548, 672, 719, 832, 561, 458, 528 ], 
  [ 225, 320, 433, 355, 471, 591, 283, 386, 504, 630 ], [ 227, 323, 437, 557, 681, 800, 894, 963, 1008, 752 ], 
  [ 230, 328, 442, 460, 304, 414, 415, 538, 658, 778 ], [ 232, 331, 446, 568, 689, 807, 901, 969, 1011, 663 ], 
  [ 245, 346, 462, 581, 704, 822, 900, 968, 1010, 1017 ], [ 247, 348, 464, 584, 707, 613, 735, 844, 929, 990 ], 
  [ 249, 350, 466, 586, 710, 827, 917, 928, 989, 1016 ], [ 256, 359, 475, 595, 720, 564, 453, 576, 432, 554 ], 
  [ 261, 264, 338, 452, 575, 436, 439, 559, 683, 556 ], [ 273, 376, 494, 620, 742, 488, 615, 738, 848, 933 ], 
  [ 275, 378, 496, 622, 745, 852, 709, 826, 915, 978 ], [ 285, 389, 508, 635, 756, 703, 820, 913, 966, 715 ], 
  [ 290, 397, 519, 648, 769, 870, 912, 896, 965, 593 ], [ 299, 406, 530, 390, 509, 637, 758, 860, 941, 998 ], 
  [ 301, 409, 531, 578, 700, 818, 910, 976, 1013, 1023 ], [ 306, 417, 507, 633, 754, 857, 940, 996, 1019, 1024 ], 
  [ 318, 429, 550, 675, 794, 890, 906, 973, 1012, 751 ], [ 324, 438, 558, 682, 802, 563, 344, 410, 532, 659 ], [ 326, 329, 443, 565, 685 ], 
  [ 357, 360, 476, 596, 680 ], [ 362, 365, 480, 604, 725, 836, 924, 656, 777, 435 ], [ 374, 492, 619, 608, 728, 810, 902, 970, 977, 992 ], 
  [ 384, 501, 628, 599, 722, 567, 687, 804, 897, 716 ], [ 404, 527, 421, 542, 664, 781, 877, 953, 1004, 1021 ], 
  [ 444, 455, 577, 699, 817, 909, 975, 791, 801, 833 ], [ 510, 638, 759, 861, 942, 999, 695, 736, 845, 931 ], 
  [ 513, 642, 765, 863, 944, 1001, 916, 979, 846, 932 ], [ 524, 654, 775, 874, 740, 839, 693, 812, 904, 971 ], 
  [ 552, 678, 797, 670, 789, 885, 958, 985, 748, 684 ], [ 570, 692, 811, 903, 950 ], [ 573, 697, 815, 893, 623, 746, 853, 937, 993, 1018 ], 
  [ 582, 705, 823, 889, 961, 930, 991, 634, 755, 858 ], [ 587, 711, 828, 667, 785, 881, 798, 744, 851, 935 ], 
  [ 636, 757, 859, 923, 984, 713, 799, 830, 919, 981 ], [ 640, 761, 864, 945, 873, 688, 805, 898, 920, 982 ], 
  [ 652, 773, 872, 690, 808, 868, 762, 865, 946, 936 ], [ 731, 841, 926, 987, 749 ], [ 753, 856, 939, 995, 948, 821, 806, 899, 967, 1009 ], 
  [ 764, 867 ] ] ]: 


end module;
protect(FiniteGroups:-GeneralOrthogonalGroups);
