############################################################################
############################################################################
#########################                          #########################
#########################  FINITE GROUPS IN MAPLE  #########################
#########################     PSL - Database       #########################
#########################                          #########################
############################################################################
############################################################################



# Generators of the permutation representation of groups PSL(n,q) for 
# q<=241 and n=2
# q<=20  and n=3
# q<=10  and n=4
# q<=5   and n=5 
# q= 2   and n=6,7,8,9,10

unprotect(FiniteGroups:-ProjectiveSpecialLinearGroups);
FiniteGroups:-ProjectiveSpecialLinearGroups := module()

export
  `2,2`, `2,3`, `2,4`, `2,5`, `2,7`, `2,8`, `2,9`, `2,11`, 
  `2,13`, `2,16`, `2,17`, `2,19`, `2,23`, `2,25`, `2,27`, 
  `2,29`, `2,31`, `2,32`, `2,37`, `2,41`, `2,43`, `2,47`, 
  `2,49`, `2,53`, `2,59`, `2,61`, `2,64`, `2,67`, `2,71`, 
  `2,73`, `2,79`, `2,81`, `2,83`, `2,89`, `2,97`, `2,101`, 
  `2,103`, `2,107`, `2,109`, `2,113`, `2,121`, `2,125`, 
  `2,127`, `2,128`, `2,131`, `2,137`, `2,139`, `2,149`, 
  `2,151`, `2,157`, `2,163`, `2,167`, `2,169`, `2,173`, 
  `2,179`, `2,181`, `2,191`, `2,193`, `2,197`, `2,199`, 
  `2,211`, `2,223`, `2,227`, `2,229`, `2,233`, `2,239`, 
  `2,241`, `3,2`, `3,3`, `3,4`, `3,5`, `3,7`, `3,8`, 
  `3,9`, `3,11`, `3,13`, `3,16`, `3,17`, `3,19`, `4,2`, 
  `4,3`, `4,4`, `4,5`, `4,7`, `4,8`, `4,9`, `5,2`, `5,3`, 
  `5,4`, `5,5`, `6,2`, `7,2`, `8,2`, `9,2`, `10,2`;


`2,2` := [ 3, ######## PSL(2,2) ########
[ [ 2, 3 ] ], 
[ [ 1, 2 ] ] ]:
`2,3` := [ 4, ######## PSL(2,3) ########
[ [ 2, 3, 4 ] ], 
[ [ 1, 2 ], [ 3, 4 ] ] ]:
`2,4` := [ 5, ######## PSL(2,4) ########
[ [ 3, 4, 5 ] ], 
[ [ 1, 2, 3 ] ] ]:
`2,5` := [ 6, ######## PSL(2,5) ########
[ [ 3, 5 ], [ 4, 6 ] ], 
[ [ 1, 2, 5 ], [ 3, 4, 6 ] ] ]:
`2,7` := [ 8, ######## PSL(2,7) ########
[ [ 3, 7, 5 ], [ 4, 8, 6 ] ], 
[ [ 1, 2, 6 ], [ 3, 4, 8 ] ] ]:
`2,8` := [ 9, ######## PSL(2,8) ########
[ [ 3, 8, 6, 4, 9, 7, 5 ] ], 
[ [ 1, 2, 3 ], [ 4, 7, 5 ], [ 6, 9, 8 ] ] ]:
`2,9` := [ 10, ######## PSL(2,9) ########
[ [ 3, 9, 4, 6 ], [ 5, 10, 8, 7 ] ], 
[ [ 1, 2, 4 ], [ 5, 6, 8 ], [ 7, 9, 10 ] ] ]:
`2,11` := [ 12, ######## PSL(2,11) ########
[ [ 3, 11, 9, 7, 5 ], [ 4, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 8 ], [ 3, 7, 9 ], [ 4, 10, 5 ], [ 6, 12, 11 ] ] ]:
`2,13` := [ 14, ######## PSL(2,13) ########
[ [ 3, 13, 11, 9, 7, 5 ], [ 4, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 9 ], [ 3, 8, 10 ], [ 4, 5, 12 ], [ 6, 13, 14 ] ] ]:
`2,16` := [ 17, ######## PSL(2,16) ########
[ [ 3, 16, 14, 13, 11, 4, 8, 6, 17, 15, 5, 12, 10, 9, 7 ] ], 
[ [ 1, 2, 3 ], [ 6, 14, 8 ], [ 7, 11, 10 ], [ 9, 17, 15 ], [ 12, 16, 13 ] ] ]:
`2,17` := [ 18, ######## PSL(2,17) ########
[ [ 3, 17, 15, 13, 11, 9, 7, 5 ], [ 4, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 11 ], [ 3, 13, 9 ], [ 4, 15, 6 ], [ 5, 8, 12 ], [ 7, 18, 16 ], 
  [ 10, 14, 17 ] ] ]:
`2,19` := [ 20, ######## PSL(2,19) ########
[ [ 3, 19, 17, 15, 13, 11, 9, 7, 5 ], [ 4, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 12 ], [ 3, 11, 13 ], [ 4, 17, 6 ], [ 5, 14, 8 ], [ 7, 20, 18 ], 
  [ 10, 19, 16 ] ] ]:
`2,23` := [ 24, ######## PSL(2,23) ########
[ [ 3, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 14 ], [ 3, 12, 16 ], [ 4, 18, 9 ], [ 5, 20, 6 ], [ 7, 13, 11 ], 
  [ 8, 23, 22 ], [ 10, 24, 19 ], [ 15, 21, 17 ] ] ]:
`2,25` := [ 26, ######## PSL(2,25) ########
[ [ 3, 25, 23, 6, 20, 18, 5, 15, 13, 4, 10, 8 ], 
  [ 7, 26, 24, 22, 21, 19, 17, 16, 14, 12, 11, 9 ] ], 
[ [ 1, 2, 5 ], [ 3, 4, 6 ], [ 7, 18, 14 ], [ 8, 22, 9 ], [ 10, 17, 12 ], 
  [ 11, 25, 24 ], [ 15, 26, 19 ], [ 16, 23, 21 ] ] ]:
`2,27` := [ 28, ######## PSL(2,27) ########
[ [ 3, 27, 25, 23, 21, 19, 17, 16, 14, 12, 10, 8, 6 ], 
  [ 4, 15, 13, 11, 9, 7, 5, 28, 26, 24, 22, 20, 18 ] ], 
[ [ 1, 2, 4 ], [ 5, 8, 24 ], [ 6, 21, 10 ], [ 7, 16, 15 ], [ 9, 25, 28 ], 
  [ 11, 13, 14 ], [ 12, 27, 23 ], [ 17, 26, 18 ], [ 19, 20, 22 ] ] ]:
`2,29` := [ 30, ######## PSL(2,29) ########
[ [ 3, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 17 ], [ 3, 16, 18 ], [ 4, 12, 21 ], [ 5, 23, 9 ], [ 6, 7, 24 ], 
  [ 8, 15, 14 ], [ 10, 27, 28 ], [ 11, 29, 25 ], [ 13, 22, 30 ], 
  [ 19, 26, 20 ] ] ]:
`2,31` := [ 32, ######## PSL(2,31) ########
[ [ 3, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 18 ], [ 3, 24, 12 ], [ 4, 30, 5 ], [ 6, 32, 31 ], [ 7, 10, 22 ], 
  [ 8, 15, 16 ], [ 9, 11, 19 ], [ 14, 26, 29 ], [ 17, 25, 27 ], 
  [ 20, 21, 28 ] ] ]:
`2,32` := [ 33, ######## PSL(2,32) ########
[ [ 3, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6, 4, 33, 31, 29, 
      27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ] ], 
[ [ 1, 2, 3 ], [ 4, 16, 20 ], [ 5, 29, 6 ], [ 7, 24, 9 ], [ 8, 32, 31 ], 
  [ 10, 12, 18 ], [ 11, 14, 15 ], [ 13, 30, 28 ], [ 17, 21, 33 ], 
  [ 19, 25, 27 ], [ 22, 23, 26 ] ] ]:
`2,37` := [ 38, ######## PSL(2,37) ########
[ [ 3, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 21 ], [ 3, 20, 22 ], [ 4, 31, 10 ], [ 5, 34, 6 ], [ 7, 14, 24 ], 
  [ 8, 37, 36 ], [ 9, 23, 13 ], [ 11, 38, 32 ], [ 12, 16, 17 ], 
  [ 18, 28, 35 ], [ 19, 33, 29 ], [ 25, 26, 30 ] ] ]:
`2,41` := [ 42, ######## PSL(2,41) ########
[ [ 3, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 
      5 ], [ 4, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 
      12, 10, 8, 6 ] ], 
[ [ 1, 2, 23 ], [ 3, 37, 9 ], [ 4, 24, 21 ], [ 5, 31, 13 ], [ 6, 36, 7 ], 
  [ 8, 12, 29 ], [ 10, 40, 39 ], [ 11, 20, 18 ], [ 14, 16, 19 ], 
  [ 15, 41, 33 ], [ 17, 34, 38 ], [ 22, 42, 25 ], [ 26, 35, 28 ], 
  [ 27, 30, 32 ] ] ]:
`2,43` := [ 44, ######## PSL(2,43) ########
[ [ 3, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 
      7, 5 ], 
  [ 4, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 
      10, 8, 6 ] ], 
[ [ 1, 2, 24 ], [ 3, 39, 9 ], [ 4, 12, 35 ], [ 5, 14, 32 ], [ 6, 19, 26 ], 
  [ 7, 33, 11 ], [ 8, 25, 18 ], [ 10, 20, 21 ], [ 13, 36, 44 ], 
  [ 15, 41, 37 ], [ 16, 34, 43 ], [ 22, 29, 42 ], [ 23, 40, 30 ], 
  [ 27, 28, 38 ] ] ]:
`2,47` := [ 48, ######## PSL(2,47) ########
[ [ 3, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 
      13, 11, 9, 7, 5 ], 
  [ 4, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 
      14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 26 ], [ 3, 8, 44 ], [ 4, 34, 17 ], [ 5, 43, 7 ], [ 6, 28, 21 ], 
  [ 9, 47, 45 ], [ 10, 16, 29 ], [ 11, 32, 12 ], [ 13, 15, 27 ], 
  [ 14, 22, 19 ], [ 18, 48, 35 ], [ 20, 41, 40 ], [ 23, 36, 42 ], 
  [ 24, 46, 31 ], [ 25, 37, 39 ], [ 30, 38, 33 ] ] ]:
`2,49` := [ 50, ######## PSL(2,49) ########
[ [ 3, 49, 47, 45, 8, 42, 40, 38, 7, 35, 33, 31, 6, 28, 26, 24, 5, 21, 19, 
      17, 4, 14, 12, 10 ], 
  [ 9, 50, 48, 46, 44, 43, 41, 39, 37, 36, 34, 32, 30, 29, 27, 25, 23, 22, 
      20, 18, 16, 15, 13, 11 ] ], 
[ [ 1, 2, 6 ], [ 3, 4, 8 ], [ 9, 25, 33 ], [ 10, 20, 37 ], [ 11, 32, 24 ], 
  [ 12, 15, 41 ], [ 13, 38, 16 ], [ 14, 30, 23 ], [ 17, 31, 19 ], 
  [ 18, 44, 47 ], [ 21, 46, 43 ], [ 22, 39, 49 ], [ 26, 34, 50 ], 
  [ 27, 48, 35 ], [ 28, 42, 40 ], [ 29, 45, 36 ] ] ]:
`2,53` := [ 54, ######## PSL(2,53) ########
[ [ 3, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 
      19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 
      20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 29 ], [ 3, 28, 30 ], [ 4, 12, 45 ], [ 5, 34, 22 ], [ 6, 47, 8 ], 
  [ 7, 19, 35 ], [ 9, 10, 42 ], [ 11, 52, 50 ], [ 13, 46, 54 ], 
  [ 14, 20, 27 ], [ 15, 25, 21 ], [ 16, 48, 49 ], [ 17, 26, 18 ], 
  [ 23, 39, 51 ], [ 24, 53, 36 ], [ 31, 38, 44 ], [ 32, 41, 40 ], 
  [ 33, 43, 37 ] ] ]:
`2,59` := [ 60, ######## PSL(2,59) ########
[ [ 3, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 
      25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 
      26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 32 ], [ 3, 31, 33 ], [ 4, 40, 23 ], [ 5, 26, 36 ], [ 6, 48, 13 ], 
  [ 7, 50, 10 ], [ 8, 15, 44 ], [ 9, 39, 19 ], [ 11, 22, 34 ], 
  [ 12, 18, 37 ], [ 14, 57, 54 ], [ 16, 58, 51 ], [ 17, 21, 29 ], 
  [ 20, 49, 56 ], [ 24, 60, 41 ], [ 25, 55, 45 ], [ 27, 46, 52 ], 
  [ 28, 38, 59 ], [ 30, 42, 53 ], [ 35, 43, 47 ] ] ]:
`2,61` := [ 62, ######## PSL(2,61) ########
[ [ 3, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 
      27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 
      28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 33 ], [ 3, 32, 34 ], [ 4, 27, 38 ], [ 5, 11, 53 ], [ 6, 21, 42 ], 
  [ 7, 46, 16 ], [ 8, 12, 49 ], [ 9, 31, 29 ], [ 10, 44, 15 ], 
  [ 13, 55, 61 ], [ 14, 19, 36 ], [ 17, 54, 58 ], [ 18, 25, 26 ], 
  [ 20, 59, 50 ], [ 22, 56, 51 ], [ 24, 45, 60 ], [ 28, 39, 62 ], 
  [ 30, 47, 52 ], [ 35, 57, 37 ], [ 40, 41, 48 ] ] ]:
`2,64` := [ 65, ######## PSL(2,64) ########
[ [ 3, 64, 62, 60, 58, 57, 55, 53, 51, 10, 48, 47, 45, 43, 42, 40, 38, 36, 8, 
      33, 31, 4, 28, 27, 25, 23, 21, 6, 18, 16, 14, 12, 65, 63, 61, 59, 11, 
      56, 54, 52, 50, 49, 5, 46, 44, 9, 41, 39, 37, 35, 34, 32, 30, 29, 7, 
      26, 24, 22, 20, 19, 17, 15, 13 ] ], 
[ [ 1, 2, 3 ], [ 6, 9, 7 ], [ 8, 11, 10 ], [ 12, 18, 58 ], [ 13, 24, 51 ], 
  [ 14, 54, 20 ], [ 15, 35, 38 ], [ 16, 40, 33 ], [ 17, 43, 29 ], 
  [ 19, 59, 65 ], [ 21, 46, 22 ], [ 23, 63, 57 ], [ 25, 36, 28 ], 
  [ 26, 53, 64 ], [ 27, 32, 30 ], [ 31, 56, 55 ], [ 34, 60, 48 ], 
  [ 37, 61, 44 ], [ 39, 42, 62 ], [ 41, 52, 49 ], [ 45, 50, 47 ] ] ]:
`2,67` := [ 68, ######## PSL(2,67) ########
[ [ 3, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 
      33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 
      34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 36 ], [ 3, 35, 37 ], [ 4, 63, 8 ], [ 5, 21, 49 ], [ 6, 24, 45 ], 
  [ 7, 38, 30 ], [ 9, 68, 64 ], [ 10, 54, 11 ], [ 12, 41, 22 ], 
  [ 13, 19, 43 ], [ 14, 44, 17 ], [ 15, 20, 40 ], [ 16, 26, 33 ], 
  [ 18, 62, 61 ], [ 23, 51, 67 ], [ 27, 48, 66 ], [ 28, 58, 55 ], 
  [ 29, 53, 59 ], [ 31, 60, 50 ], [ 32, 52, 57 ], [ 34, 65, 42 ], 
  [ 39, 46, 56 ] ] ]:
`2,71` := [ 72, ######## PSL(2,71) ########
[ [ 3, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 
      37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 
      38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 38 ], [ 3, 32, 44 ], [ 4, 20, 55 ], [ 5, 46, 28 ], [ 6, 42, 31 ], 
  [ 7, 35, 37 ], [ 8, 57, 14 ], [ 9, 12, 58 ], [ 10, 54, 15 ], 
  [ 11, 25, 43 ], [ 13, 17, 49 ], [ 16, 40, 23 ], [ 18, 64, 67 ], 
  [ 19, 68, 62 ], [ 21, 56, 72 ], [ 22, 66, 61 ], [ 24, 29, 26 ], 
  [ 27, 59, 63 ], [ 30, 71, 48 ], [ 33, 51, 65 ], [ 34, 70, 45 ], 
  [ 36, 60, 53 ], [ 39, 41, 69 ], [ 47, 52, 50 ] ] ]:
`2,73` := [ 74, ######## PSL(2,73) ########
[ [ 3, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 
      39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 
      40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 39 ], [ 3, 31, 47 ], [ 4, 25, 52 ], [ 5, 44, 32 ], [ 6, 58, 17 ], 
  [ 7, 64, 10 ], [ 8, 16, 57 ], [ 9, 23, 49 ], [ 11, 33, 37 ], 
  [ 12, 56, 13 ], [ 14, 71, 68 ], [ 15, 30, 36 ], [ 18, 28, 35 ], 
  [ 19, 38, 24 ], [ 20, 72, 61 ], [ 21, 62, 70 ], [ 22, 66, 65 ], 
  [ 26, 53, 74 ], [ 29, 55, 69 ], [ 34, 73, 46 ], [ 40, 59, 54 ], 
  [ 41, 45, 67 ], [ 42, 48, 63 ], [ 43, 50, 60 ] ] ]:
`2,79` := [ 80, ######## PSL(2,79) ########
[ [ 3, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 
      45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 
      9, 7, 5 ], 
  [ 4, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 
      46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 
      10, 8, 6 ] ], 
[ [ 1, 2, 42 ], [ 3, 38, 46 ], [ 4, 34, 49 ], [ 5, 54, 28 ], [ 6, 59, 22 ], 
  [ 7, 41, 39 ], [ 8, 67, 12 ], [ 9, 10, 68 ], [ 11, 58, 18 ], 
  [ 13, 23, 51 ], [ 14, 53, 20 ], [ 15, 40, 32 ], [ 16, 74, 75 ], 
  [ 17, 76, 72 ], [ 19, 21, 47 ], [ 24, 36, 27 ], [ 25, 78, 62 ], 
  [ 26, 73, 66 ], [ 30, 79, 56 ], [ 31, 70, 64 ], [ 33, 61, 71 ], 
  [ 35, 50, 80 ], [ 37, 63, 65 ], [ 43, 77, 45 ], [ 44, 69, 52 ], 
  [ 48, 60, 57 ] ] ]:
`2,81` := [ 82, ######## PSL(2,81) ########
[ [ 3, 81, 79, 77, 75, 10, 72, 70, 68, 66, 9, 63, 61, 59, 57, 8, 54, 52, 50, 
      48, 4, 45, 43, 41, 39, 7, 36, 34, 32, 30, 6, 27, 25, 23, 21, 5, 18, 16, 
      14, 12 ], 
  [ 11, 82, 80, 78, 76, 74, 73, 71, 69, 67, 65, 64, 62, 60, 58, 56, 55, 53, 
      51, 49, 47, 46, 44, 42, 40, 38, 37, 35, 33, 31, 29, 28, 26, 24, 22, 20, 
      19, 17, 15, 13 ] ], 
[ [ 1, 2, 4 ], [ 5, 6, 8 ], [ 7, 9, 10 ], [ 11, 21, 71 ], [ 12, 66, 25 ], 
  [ 13, 43, 47 ], [ 14, 55, 35 ], [ 15, 37, 52 ], [ 16, 34, 54 ], 
  [ 17, 63, 24 ], [ 18, 20, 65 ], [ 19, 36, 49 ], [ 22, 72, 82 ], 
  [ 23, 51, 29 ], [ 26, 33, 45 ], [ 27, 81, 68 ], [ 28, 73, 75 ], 
  [ 30, 76, 69 ], [ 31, 32, 40 ], [ 38, 79, 58 ], [ 39, 59, 77 ], 
  [ 41, 56, 78 ], [ 42, 70, 64 ], [ 44, 57, 74 ], [ 46, 50, 80 ], 
  [ 48, 60, 67 ], [ 53, 61, 62 ] ] ]:
`2,83` := [ 84, ######## PSL(2,83) ########
[ [ 3, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 
      49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 
      13, 11, 9, 7, 5 ], 
  [ 4, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 
      50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 
      14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 44 ], [ 3, 43, 45 ], [ 4, 54, 33 ], [ 5, 17, 69 ], [ 6, 64, 21 ], 
  [ 7, 70, 14 ], [ 8, 30, 53 ], [ 9, 22, 60 ], [ 10, 65, 16 ], 
  [ 11, 41, 39 ], [ 12, 27, 52 ], [ 13, 32, 46 ], [ 15, 26, 50 ], 
  [ 18, 81, 74 ], [ 19, 71, 83 ], [ 20, 40, 31 ], [ 23, 78, 72 ], 
  [ 24, 82, 67 ], [ 25, 29, 37 ], [ 28, 66, 79 ], [ 34, 84, 55 ], 
  [ 35, 58, 80 ], [ 36, 61, 76 ], [ 38, 62, 73 ], [ 42, 56, 75 ], 
  [ 47, 77, 49 ], [ 48, 68, 57 ], [ 51, 59, 63 ] ] ]:
`2,89` := [ 90, ######## PSL(2,89) ########
[ [ 3, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 
      55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 
      19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 
      56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 
      20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 47 ], [ 3, 31, 63 ], [ 4, 15, 78 ], [ 5, 49, 43 ], [ 6, 22, 69 ], 
  [ 7, 10, 80 ], [ 8, 34, 55 ], [ 9, 29, 59 ], [ 11, 42, 44 ], 
  [ 12, 64, 21 ], [ 13, 18, 66 ], [ 14, 84, 87 ], [ 16, 79, 90 ], 
  [ 17, 53, 27 ], [ 19, 46, 32 ], [ 20, 54, 23 ], [ 24, 37, 36 ], 
  [ 25, 72, 88 ], [ 26, 38, 33 ], [ 28, 76, 81 ], [ 30, 82, 73 ], 
  [ 35, 65, 85 ], [ 39, 60, 86 ], [ 40, 74, 71 ], [ 41, 77, 67 ], 
  [ 45, 89, 51 ], [ 48, 75, 62 ], [ 50, 52, 83 ], [ 56, 68, 61 ], 
  [ 57, 70, 58 ] ] ]:
`2,97` := [ 98, ######## PSL(2,97) ########
[ [ 3, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 
      63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 
      27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 
      64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 
      28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 51 ], [ 3, 17, 85 ], [ 4, 43, 58 ], [ 5, 88, 12 ], [ 6, 38, 61 ], 
  [ 7, 89, 9 ], [ 8, 27, 70 ], [ 10, 62, 33 ], [ 11, 20, 74 ], 
  [ 13, 95, 93 ], [ 14, 97, 90 ], [ 15, 25, 65 ], [ 16, 42, 47 ], 
  [ 18, 63, 24 ], [ 19, 56, 30 ], [ 21, 48, 36 ], [ 22, 52, 31 ], 
  [ 23, 29, 53 ], [ 26, 34, 45 ], [ 28, 82, 91 ], [ 32, 75, 94 ], 
  [ 37, 77, 87 ], [ 39, 84, 78 ], [ 40, 92, 69 ], [ 41, 64, 96 ], 
  [ 44, 59, 98 ], [ 46, 83, 72 ], [ 49, 73, 79 ], [ 50, 80, 71 ], 
  [ 54, 81, 66 ], [ 55, 60, 86 ], [ 57, 68, 76 ] ] ]:
`2,101` := [ 102, ######## PSL(2,101) ########
[ [ 3, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 
      67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 
      31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 
      68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 
      32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 53 ], [ 3, 52, 54 ], [ 4, 84, 21 ], [ 5, 29, 75 ], [ 6, 15, 88 ], 
  [ 7, 23, 79 ], [ 8, 71, 30 ], [ 9, 63, 37 ], [ 10, 42, 57 ], 
  [ 11, 16, 82 ], [ 12, 50, 47 ], [ 13, 60, 36 ], [ 14, 62, 33 ], 
  [ 17, 67, 25 ], [ 18, 91, 100 ], [ 19, 32, 58 ], [ 20, 55, 34 ], 
  [ 22, 102, 85 ], [ 24, 90, 95 ], [ 26, 45, 38 ], [ 27, 83, 99 ], 
  [ 28, 40, 41 ], [ 31, 77, 101 ], [ 35, 98, 76 ], [ 39, 89, 81 ], 
  [ 43, 97, 69 ], [ 44, 92, 73 ], [ 46, 93, 70 ], [ 48, 74, 87 ], 
  [ 49, 64, 96 ], [ 51, 86, 72 ], [ 56, 94, 59 ], [ 61, 80, 68 ], 
  [ 65, 66, 78 ] ] ]:
`2,103` := [ 104, ######## PSL(2,103) ########
[ [ 3, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 
      69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 
      33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 
      70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 
      34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 54 ], [ 3, 10, 98 ], [ 4, 73, 34 ], [ 5, 40, 66 ], [ 6, 30, 75 ], 
  [ 7, 24, 80 ], [ 8, 92, 11 ], [ 9, 21, 81 ], [ 12, 23, 76 ], 
  [ 13, 60, 38 ], [ 14, 46, 51 ], [ 15, 49, 47 ], [ 16, 100, 97 ], 
  [ 17, 39, 55 ], [ 18, 64, 29 ], [ 19, 56, 36 ], [ 20, 26, 65 ], 
  [ 22, 31, 58 ], [ 25, 45, 41 ], [ 27, 87, 99 ], [ 28, 84, 101 ], 
  [ 32, 85, 96 ], [ 33, 78, 102 ], [ 35, 104, 74 ], [ 42, 68, 103 ], 
  [ 43, 82, 88 ], [ 44, 90, 79 ], [ 48, 95, 70 ], [ 50, 77, 86 ], 
  [ 52, 89, 72 ], [ 53, 69, 91 ], [ 57, 62, 94 ], [ 59, 93, 61 ], 
  [ 63, 83, 67 ] ] ]:
`2,107` := [ 108, ######## PSL(2,107) ########
[ [ 3, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 
      75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 
      39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 
      76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 
      40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 56 ], [ 3, 55, 57 ], [ 4, 92, 19 ], [ 5, 9, 101 ], [ 6, 22, 87 ], 
  [ 7, 27, 81 ], [ 8, 70, 37 ], [ 10, 33, 72 ], [ 11, 103, 107 ], 
  [ 12, 86, 17 ], [ 13, 28, 74 ], [ 14, 52, 49 ], [ 15, 29, 71 ], 
  [ 16, 46, 53 ], [ 18, 58, 39 ], [ 20, 108, 93 ], [ 21, 62, 32 ], 
  [ 23, 47, 45 ], [ 24, 43, 48 ], [ 25, 90, 106 ], [ 26, 100, 95 ], 
  [ 30, 51, 34 ], [ 31, 85, 105 ], [ 35, 44, 36 ], [ 38, 84, 99 ], 
  [ 40, 79, 102 ], [ 41, 83, 97 ], [ 42, 104, 75 ], [ 50, 91, 80 ], 
  [ 54, 94, 73 ], [ 59, 66, 96 ], [ 60, 98, 63 ], [ 61, 82, 78 ], 
  [ 64, 69, 88 ], [ 65, 89, 67 ], [ 68, 77, 76 ] ] ]:
`2,109` := [ 110, ######## PSL(2,109) ########
[ [ 3, 109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 
      77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 
      41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 
     ], [ 4, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 
      82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 
      46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 
      10, 8, 6 ] ], 
[ [ 1, 2, 57 ], [ 3, 108, 6 ], [ 4, 17, 96 ], [ 5, 52, 60 ], [ 7, 28, 82 ], 
  [ 8, 33, 76 ], [ 9, 89, 19 ], [ 10, 13, 94 ], [ 11, 55, 51 ], 
  [ 12, 71, 34 ], [ 14, 26, 77 ], [ 15, 72, 30 ], [ 16, 53, 48 ], 
  [ 18, 97, 110 ], [ 20, 101, 104 ], [ 21, 22, 74 ], [ 23, 45, 49 ], 
  [ 24, 58, 35 ], [ 25, 105, 95 ], [ 27, 46, 44 ], [ 29, 47, 41 ], 
  [ 31, 36, 50 ], [ 32, 86, 107 ], [ 37, 88, 100 ], [ 38, 81, 106 ], 
  [ 40, 92, 93 ], [ 42, 99, 84 ], [ 43, 102, 80 ], [ 54, 62, 109 ], 
  [ 56, 90, 79 ], [ 59, 103, 63 ], [ 61, 98, 66 ], [ 64, 78, 83 ], 
  [ 65, 69, 91 ], [ 67, 85, 73 ], [ 68, 87, 70 ] ] ]:
`2,113` := [ 114, ######## PSL(2,113) ########
[ [ 3, 113, 111, 109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 
      81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 
      45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 
      9, 7, 5 ], 
  [ 4, 114, 112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 
      84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 
      48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 
      12, 10, 8, 6 ] ], 
[ [ 1, 2, 59 ], [ 3, 47, 71 ], [ 4, 35, 82 ], [ 5, 76, 40 ], [ 6, 27, 88 ], 
  [ 7, 65, 49 ], [ 8, 45, 68 ], [ 9, 13, 99 ], [ 10, 77, 34 ], 
  [ 11, 23, 87 ], [ 12, 85, 24 ], [ 14, 89, 18 ], [ 15, 58, 48 ], 
  [ 16, 51, 54 ], [ 17, 72, 32 ], [ 19, 105, 109 ], [ 20, 80, 21 ], 
  [ 22, 55, 44 ], [ 25, 39, 57 ], [ 26, 52, 43 ], [ 28, 37, 56 ], 
  [ 29, 104, 100 ], [ 30, 91, 112 ], [ 31, 95, 107 ], [ 33, 106, 94 ], 
  [ 36, 83, 114 ], [ 38, 98, 97 ], [ 41, 108, 84 ], [ 42, 113, 78 ], 
  [ 46, 101, 86 ], [ 50, 73, 110 ], [ 53, 111, 69 ], [ 60, 103, 70 ], 
  [ 61, 79, 93 ], [ 62, 81, 90 ], [ 63, 96, 74 ], [ 64, 67, 102 ], 
  [ 66, 92, 75 ] ] ]:
`2,121` := [ 122, ######## PSL(2,121) ########
[ [ 3, 121, 119, 117, 115, 113, 12, 110, 108, 106, 104, 102, 11, 99, 97, 95, 
      93, 91, 10, 88, 86, 84, 82, 80, 9, 77, 75, 73, 71, 69, 8, 66, 64, 62, 
      60, 58, 7, 55, 53, 51, 49, 47, 6, 44, 42, 40, 38, 36, 5, 33, 31, 29, 
      27, 25, 4, 22, 20, 18, 16, 14 ], 
  [ 13, 122, 120, 118, 116, 114, 112, 111, 109, 107, 105, 103, 101, 100, 98, 
      96, 94, 92, 90, 89, 87, 85, 83, 81, 79, 78, 76, 74, 72, 70, 68, 67, 65, 
      63, 61, 59, 57, 56, 54, 52, 50, 48, 46, 45, 43, 41, 39, 37, 35, 34, 32, 
      30, 28, 26, 24, 23, 21, 19, 17, 15 ] ], 
[ [ 1, 2, 8 ], [ 3, 7, 9 ], [ 4, 10, 5 ], [ 6, 12, 11 ], [ 13, 43, 91 ], 
  [ 14, 96, 37 ], [ 15, 110, 23 ], [ 16, 90, 41 ], [ 17, 57, 73 ], 
  [ 18, 63, 67 ], [ 19, 20, 109 ], [ 21, 32, 95 ], [ 22, 46, 79 ], 
  [ 24, 59, 64 ], [ 25, 120, 112 ], [ 26, 115, 116 ], [ 27, 34, 87 ], 
  [ 28, 58, 61 ], [ 29, 38, 80 ], [ 30, 35, 82 ], [ 31, 69, 47 ], 
  [ 33, 50, 65 ], [ 36, 60, 51 ], [ 39, 121, 98 ], [ 40, 103, 114 ], 
  [ 42, 52, 54 ], [ 44, 92, 122 ], [ 45, 119, 94 ], [ 48, 101, 108 ], 
  [ 53, 100, 105 ], [ 55, 97, 106 ], [ 56, 89, 113 ], [ 62, 78, 118 ], 
  [ 66, 104, 88 ], [ 68, 72, 117 ], [ 70, 85, 102 ], [ 71, 76, 111 ], 
  [ 74, 77, 107 ], [ 75, 99, 84 ], [ 81, 83, 93 ] ] ]:
`2,125` := [ 126, ######## PSL(2,125) ########
[ [ 3, 125, 123, 121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 101, 99, 
      97, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 5, 65, 
      63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 36, 34, 32, 30, 
      28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8 ], 
  [ 4, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 126, 124, 
      122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 102, 100, 98, 6, 95, 
      93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 66, 64, 62, 60, 
      58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38 ] ], 
[ [ 1, 2, 5 ], [ 3, 4, 6 ], [ 7, 94, 38 ], [ 8, 118, 13 ], [ 9, 57, 73 ], 
  [ 10, 103, 26 ], [ 11, 82, 46 ], [ 12, 52, 75 ], [ 14, 91, 35 ], 
  [ 15, 125, 120 ], [ 16, 83, 40 ], [ 17, 68, 54 ], [ 18, 100, 21 ], 
  [ 19, 97, 23 ], [ 20, 34, 86 ], [ 22, 43, 74 ], [ 24, 85, 31 ], 
  [ 25, 62, 53 ], [ 27, 45, 67 ], [ 28, 63, 49 ], [ 29, 56, 55 ], 
  [ 30, 123, 107 ], [ 32, 64, 44 ], [ 33, 115, 112 ], [ 36, 114, 110 ], 
  [ 37, 41, 61 ], [ 39, 126, 95 ], [ 42, 119, 98 ], [ 47, 99, 113 ], 
  [ 48, 109, 102 ], [ 50, 117, 93 ], [ 51, 122, 87 ], [ 58, 81, 121 ], 
  [ 59, 90, 111 ], [ 60, 76, 124 ], [ 65, 116, 79 ], [ 66, 88, 106 ], 
  [ 69, 101, 89 ], [ 70, 105, 84 ], [ 71, 108, 80 ], [ 72, 92, 96 ], 
  [ 77, 104, 78 ] ] ]:
`2,127` := [ 128, ######## PSL(2,127) ########
[ [ 3, 127, 125, 123, 121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 101, 
      99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 
      63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 
      27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 128, 126, 124, 122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 102, 
      100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 
      66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 
      30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 66 ], [ 3, 120, 12 ], [ 4, 48, 83 ], [ 5, 33, 97 ], [ 6, 59, 70 ], 
  [ 7, 40, 88 ], [ 8, 96, 31 ], [ 9, 21, 105 ], [ 10, 79, 46 ], 
  [ 11, 67, 57 ], [ 13, 42, 80 ], [ 14, 91, 30 ], [ 15, 22, 98 ], 
  [ 16, 19, 100 ], [ 17, 71, 47 ], [ 18, 23, 94 ], [ 20, 78, 37 ], 
  [ 24, 55, 56 ], [ 25, 50, 60 ], [ 26, 58, 51 ], [ 27, 111, 123 ], 
  [ 28, 68, 39 ], [ 29, 43, 63 ], [ 32, 113, 116 ], [ 34, 110, 117 ], 
  [ 35, 99, 127 ], [ 36, 124, 101 ], [ 38, 109, 114 ], [ 41, 118, 102 ], 
  [ 44, 92, 125 ], [ 49, 84, 128 ], [ 52, 90, 119 ], [ 53, 122, 86 ], 
  [ 54, 112, 95 ], [ 61, 115, 85 ], [ 62, 73, 126 ], [ 64, 104, 93 ], 
  [ 65, 121, 75 ], [ 69, 89, 103 ], [ 72, 82, 107 ], [ 74, 106, 81 ], 
  [ 76, 77, 108 ] ] ]:
`2,128` := [ 129, ######## PSL(2,128) ########
[ [ 3, 128, 126, 124, 122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 102, 
      100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 
      66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 
      30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6, 4, 129, 127, 125, 
      123, 121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 101, 99, 97, 95, 
      93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 
      57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 
      21, 19, 17, 15, 13, 11, 9, 7, 5 ] ], 
[ [ 1, 2, 3 ], [ 4, 123, 9 ], [ 5, 116, 15 ], [ 6, 67, 63 ], [ 7, 102, 27 ], 
  [ 8, 76, 52 ], [ 10, 129, 124 ], [ 11, 74, 51 ], [ 12, 40, 84 ], 
  [ 13, 22, 101 ], [ 14, 43, 79 ], [ 16, 75, 45 ], [ 17, 128, 118 ], 
  [ 18, 99, 19 ], [ 20, 87, 29 ], [ 21, 77, 38 ], [ 23, 41, 72 ], 
  [ 24, 73, 39 ], [ 25, 83, 28 ], [ 26, 48, 62 ], [ 30, 64, 42 ], 
  [ 31, 126, 106 ], [ 32, 111, 120 ], [ 33, 68, 35 ], [ 34, 115, 114 ], 
  [ 36, 53, 47 ], [ 37, 44, 55 ], [ 46, 113, 104 ], [ 49, 93, 121 ], 
  [ 50, 108, 105 ], [ 54, 90, 119 ], [ 56, 112, 95 ], [ 57, 125, 81 ], 
  [ 58, 117, 88 ], [ 59, 122, 82 ], [ 60, 109, 94 ], [ 61, 92, 110 ], 
  [ 65, 100, 98 ], [ 66, 127, 70 ], [ 69, 103, 91 ], [ 71, 85, 107 ], 
  [ 78, 89, 96 ], [ 80, 97, 86 ] ] ]:
`2,131` := [ 132, ######## PSL(2,131) ########
[ [ 3, 131, 129, 127, 125, 123, 121, 119, 117, 115, 113, 111, 109, 107, 105, 
      103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 
      69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 
      33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 132, 130, 128, 126, 124, 122, 120, 118, 116, 114, 112, 110, 108, 106, 
      104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 
      70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 
      34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 68 ], [ 3, 67, 69 ], [ 4, 126, 9 ], [ 5, 22, 112 ], [ 6, 54, 79 ], 
  [ 7, 25, 107 ], [ 8, 70, 61 ], [ 10, 132, 127 ], [ 11, 87, 41 ], 
  [ 12, 77, 50 ], [ 13, 110, 16 ], [ 14, 28, 97 ], [ 15, 52, 72 ], 
  [ 17, 21, 101 ], [ 18, 33, 88 ], [ 19, 27, 93 ], [ 20, 81, 38 ], 
  [ 23, 42, 74 ], [ 24, 114, 131 ], [ 26, 123, 120 ], [ 29, 111, 129 ], 
  [ 30, 58, 51 ], [ 31, 71, 37 ], [ 32, 63, 44 ], [ 34, 60, 45 ], 
  [ 35, 115, 119 ], [ 36, 47, 56 ], [ 39, 108, 122 ], [ 40, 46, 53 ], 
  [ 43, 109, 117 ], [ 48, 103, 118 ], [ 49, 125, 95 ], [ 55, 116, 98 ], 
  [ 57, 82, 130 ], [ 59, 124, 86 ], [ 62, 94, 113 ], [ 64, 84, 121 ], 
  [ 65, 105, 99 ], [ 66, 128, 75 ], [ 73, 104, 92 ], [ 76, 102, 91 ], 
  [ 78, 106, 85 ], [ 80, 89, 100 ], [ 83, 90, 96 ] ] ]:
`2,137` := [ 138, ######## PSL(2,137) ########
[ [ 3, 137, 135, 133, 131, 129, 127, 125, 123, 121, 119, 117, 115, 113, 111, 
      109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 
      77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 
      41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 
     ], [ 4, 138, 136, 134, 132, 130, 128, 126, 124, 122, 120, 118, 116, 114, 
      112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 
      80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 
      44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 
      8, 6 ] ], 
[ [ 1, 2, 71 ], [ 3, 61, 81 ], [ 4, 51, 90 ], [ 5, 122, 18 ], [ 6, 9, 130 ], 
  [ 7, 78, 60 ], [ 8, 53, 84 ], [ 10, 119, 16 ], [ 11, 87, 47 ], 
  [ 12, 133, 136 ], [ 13, 70, 62 ], [ 14, 29, 102 ], [ 15, 25, 105 ], 
  [ 17, 36, 92 ], [ 19, 98, 28 ], [ 20, 137, 124 ], [ 21, 48, 76 ], 
  [ 22, 30, 93 ], [ 23, 132, 126 ], [ 24, 46, 75 ], [ 26, 77, 42 ], 
  [ 27, 32, 86 ], [ 31, 35, 79 ], [ 33, 69, 43 ], [ 34, 57, 54 ], 
  [ 37, 117, 127 ], [ 38, 68, 39 ], [ 40, 113, 128 ], [ 41, 59, 45 ], 
  [ 44, 123, 114 ], [ 49, 112, 120 ], [ 50, 106, 125 ], [ 52, 91, 138 ], 
  [ 55, 131, 95 ], [ 56, 110, 115 ], [ 58, 89, 134 ], [ 63, 107, 111 ], 
  [ 64, 135, 82 ], [ 65, 116, 100 ], [ 66, 94, 121 ], [ 67, 96, 118 ], 
  [ 72, 129, 80 ], [ 73, 109, 99 ], [ 74, 104, 103 ], [ 83, 101, 97 ], 
  [ 85, 108, 88 ] ] ]:
`2,139` := [ 140, ######## PSL(2,139) ########
[ [ 3, 139, 137, 135, 133, 131, 129, 127, 125, 123, 121, 119, 117, 115, 113, 
      111, 109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 
      79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 
      43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 
      7, 5 ], 
  [ 4, 140, 138, 136, 134, 132, 130, 128, 126, 124, 122, 120, 118, 116, 114, 
      112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 
      80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 
      44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 
      8, 6 ] ], 
[ [ 1, 2, 72 ], [ 3, 71, 73 ], [ 4, 31, 112 ], [ 5, 124, 18 ], 
  [ 6, 128, 13 ], [ 7, 103, 37 ], [ 8, 93, 46 ], [ 9, 60, 78 ], 
  [ 10, 54, 83 ], [ 11, 50, 86 ], [ 12, 26, 109 ], [ 14, 57, 76 ], 
  [ 15, 92, 40 ], [ 16, 138, 131 ], [ 17, 34, 96 ], [ 19, 101, 27 ], 
  [ 20, 139, 126 ], [ 21, 59, 67 ], [ 22, 80, 45 ], [ 23, 36, 88 ], 
  [ 24, 81, 42 ], [ 25, 53, 69 ], [ 28, 89, 30 ], [ 29, 39, 79 ], 
  [ 32, 113, 140 ], [ 33, 44, 70 ], [ 35, 118, 132 ], [ 38, 62, 47 ], 
  [ 41, 137, 107 ], [ 43, 125, 117 ], [ 48, 110, 127 ], [ 51, 136, 98 ], 
  [ 52, 129, 104 ], [ 55, 116, 114 ], [ 56, 108, 121 ], [ 58, 94, 133 ], 
  [ 61, 90, 134 ], [ 63, 120, 102 ], [ 64, 122, 99 ], [ 65, 105, 115 ], 
  [ 66, 84, 135 ], [ 68, 87, 130 ], [ 74, 100, 111 ], [ 75, 91, 119 ], 
  [ 77, 85, 123 ], [ 82, 106, 97 ] ] ]:
`2,149` := [ 150, ######## PSL(2,149) ########
[ [ 3, 149, 147, 145, 143, 141, 139, 137, 135, 133, 131, 129, 127, 125, 123, 
      121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 101, 99, 97, 95, 93, 
      91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 
      55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 
      19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 150, 148, 146, 144, 142, 140, 138, 136, 134, 132, 130, 128, 126, 124, 
      122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 
      92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 
      56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 
      20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 77 ], [ 3, 76, 78 ], [ 4, 138, 15 ], [ 5, 121, 31 ], 
  [ 6, 51, 100 ], [ 7, 101, 49 ], [ 8, 29, 120 ], [ 9, 68, 80 ], 
  [ 10, 45, 102 ], [ 11, 110, 36 ], [ 12, 28, 117 ], [ 13, 124, 20 ], 
  [ 14, 79, 64 ], [ 16, 150, 139 ], [ 17, 47, 93 ], [ 18, 42, 97 ], 
  [ 19, 56, 82 ], [ 21, 111, 25 ], [ 22, 69, 66 ], [ 23, 71, 63 ], 
  [ 24, 41, 92 ], [ 26, 104, 27 ], [ 30, 141, 134 ], [ 32, 65, 60 ], 
  [ 33, 149, 123 ], [ 34, 125, 146 ], [ 35, 67, 55 ], [ 37, 126, 142 ], 
  [ 38, 46, 73 ], [ 39, 70, 48 ], [ 40, 58, 59 ], [ 43, 133, 129 ], 
  [ 44, 143, 118 ], [ 50, 128, 127 ], [ 52, 109, 144 ], [ 53, 147, 105 ], 
  [ 54, 103, 148 ], [ 57, 112, 136 ], [ 61, 107, 137 ], [ 62, 113, 130 ], 
  [ 72, 98, 135 ], [ 74, 86, 145 ], [ 75, 140, 90 ], [ 81, 108, 116 ], 
  [ 83, 131, 91 ], [ 84, 115, 106 ], [ 85, 132, 88 ], [ 87, 119, 99 ], 
  [ 89, 122, 94 ], [ 95, 96, 114 ] ] ]:
`2,151` := [ 152, ######## PSL(2,151) ########
[ [ 3, 151, 149, 147, 145, 143, 141, 139, 137, 135, 133, 131, 129, 127, 125, 
      123, 121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 101, 99, 97, 95, 
      93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 
      57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 
      21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 152, 150, 148, 146, 144, 142, 140, 138, 136, 134, 132, 130, 128, 126, 
      124, 122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 102, 100, 98, 
      96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 
      60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 
      24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 78 ], [ 3, 8, 148 ], [ 4, 11, 144 ], [ 5, 62, 92 ], [ 6, 133, 20 ], 
  [ 7, 55, 97 ], [ 9, 83, 67 ], [ 10, 95, 54 ], [ 12, 145, 152 ], 
  [ 13, 106, 40 ], [ 14, 36, 109 ], [ 15, 46, 98 ], [ 16, 22, 121 ], 
  [ 17, 113, 29 ], [ 18, 71, 70 ], [ 19, 68, 72 ], [ 21, 42, 96 ], 
  [ 23, 150, 136 ], [ 24, 44, 91 ], [ 25, 27, 107 ], [ 26, 34, 99 ], 
  [ 28, 100, 31 ], [ 30, 63, 66 ], [ 32, 76, 51 ], [ 33, 45, 81 ], 
  [ 35, 134, 140 ], [ 37, 48, 74 ], [ 38, 52, 69 ], [ 39, 79, 41 ], 
  [ 43, 139, 127 ], [ 47, 120, 142 ], [ 49, 129, 131 ], [ 50, 143, 116 ], 
  [ 56, 128, 125 ], [ 57, 122, 130 ], [ 58, 110, 141 ], [ 59, 101, 149 ], 
  [ 60, 114, 135 ], [ 61, 146, 102 ], [ 64, 94, 151 ], [ 65, 112, 132 ], 
  [ 73, 147, 89 ], [ 75, 111, 123 ], [ 77, 117, 115 ], [ 80, 124, 105 ], 
  [ 82, 108, 119 ], [ 84, 88, 137 ], [ 85, 138, 86 ], [ 87, 104, 118 ], 
  [ 90, 93, 126 ] ] ]:
`2,157` := [ 158, ######## PSL(2,157) ########
[ [ 3, 157, 155, 153, 151, 149, 147, 145, 143, 141, 139, 137, 135, 133, 131, 
      129, 127, 125, 123, 121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 
      101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 
      67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 
      31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 158, 156, 154, 152, 150, 148, 146, 144, 142, 140, 138, 136, 134, 132, 
      130, 128, 126, 124, 122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 
      102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 
      68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 
      32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 81 ], [ 3, 96, 66 ], [ 4, 14, 147 ], [ 5, 70, 90 ], [ 6, 97, 62 ], 
  [ 7, 18, 140 ], [ 8, 27, 130 ], [ 9, 58, 98 ], [ 10, 106, 49 ], 
  [ 11, 95, 59 ], [ 12, 117, 36 ], [ 13, 20, 132 ], [ 15, 148, 158 ], 
  [ 16, 102, 47 ], [ 17, 39, 109 ], [ 19, 75, 71 ], [ 21, 76, 68 ], 
  [ 22, 144, 155 ], [ 23, 118, 24 ], [ 25, 99, 41 ], [ 26, 38, 101 ], 
  [ 28, 89, 48 ], [ 29, 105, 31 ], [ 30, 142, 149 ], [ 32, 135, 154 ], 
  [ 33, 50, 82 ], [ 34, 43, 88 ], [ 35, 78, 52 ], [ 37, 51, 77 ], 
  [ 40, 79, 46 ], [ 42, 69, 54 ], [ 44, 139, 138 ], [ 45, 150, 126 ], 
  [ 53, 123, 145 ], [ 56, 152, 113 ], [ 57, 133, 131 ], [ 60, 146, 115 ], 
  [ 61, 124, 136 ], [ 63, 137, 121 ], [ 64, 104, 153 ], [ 65, 156, 100 ], 
  [ 67, 151, 103 ], [ 72, 92, 157 ], [ 73, 134, 114 ], [ 74, 119, 128 ], 
  [ 80, 112, 129 ], [ 83, 122, 116 ], [ 84, 127, 110 ], [ 85, 111, 125 ], 
  [ 86, 141, 94 ], [ 87, 143, 91 ], [ 93, 120, 108 ] ] ]:
`2,163` := [ 164, ######## PSL(2,163) ########
[ [ 3, 163, 161, 159, 157, 155, 153, 151, 149, 147, 145, 143, 141, 139, 137, 
      135, 133, 131, 129, 127, 125, 123, 121, 119, 117, 115, 113, 111, 109, 
      107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 
      73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 
      37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 164, 162, 160, 158, 156, 154, 152, 150, 148, 146, 144, 142, 140, 138, 
      136, 134, 132, 130, 128, 126, 124, 122, 120, 118, 116, 114, 112, 110, 
      108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 
      76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 
      40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 84 ], [ 3, 83, 85 ], [ 4, 145, 22 ], [ 5, 69, 97 ], [ 6, 44, 121 ], 
  [ 7, 27, 137 ], [ 8, 98, 65 ], [ 9, 18, 144 ], [ 10, 107, 54 ], 
  [ 11, 55, 105 ], [ 12, 142, 17 ], [ 13, 56, 102 ], [ 14, 76, 81 ], 
  [ 15, 36, 120 ], [ 16, 46, 109 ], [ 19, 37, 115 ], [ 20, 72, 79 ], 
  [ 21, 86, 64 ], [ 23, 164, 146 ], [ 24, 150, 159 ], [ 25, 118, 28 ], 
  [ 26, 156, 151 ], [ 29, 90, 52 ], [ 30, 101, 40 ], [ 31, 141, 161 ], 
  [ 32, 106, 33 ], [ 34, 88, 49 ], [ 35, 95, 41 ], [ 38, 91, 42 ], 
  [ 39, 58, 74 ], [ 43, 68, 60 ], [ 45, 51, 75 ], [ 47, 124, 162 ], 
  [ 48, 132, 153 ], [ 50, 143, 140 ], [ 53, 131, 149 ], [ 59, 122, 152 ], 
  [ 61, 158, 114 ], [ 62, 136, 135 ], [ 63, 113, 157 ], [ 66, 112, 155 ], 
  [ 67, 138, 128 ], [ 70, 160, 103 ], [ 71, 99, 163 ], [ 73, 133, 127 ], 
  [ 77, 130, 126 ], [ 78, 139, 116 ], [ 80, 134, 119 ], [ 82, 147, 104 ], 
  [ 87, 92, 154 ], [ 89, 96, 148 ], [ 93, 117, 123 ], [ 94, 110, 129 ], 
  [ 100, 125, 108 ] ] ]:
`2,167` := [ 168, ######## PSL(2,167) ########
[ [ 3, 167, 165, 163, 161, 159, 157, 155, 153, 151, 149, 147, 145, 143, 141, 
      139, 137, 135, 133, 131, 129, 127, 125, 123, 121, 119, 117, 115, 113, 
      111, 109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 
      79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 
      43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 
      7, 5 ], 
  [ 4, 168, 166, 164, 162, 160, 158, 156, 154, 152, 150, 148, 146, 144, 142, 
      140, 138, 136, 134, 132, 130, 128, 126, 124, 122, 120, 118, 116, 114, 
      112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 
      80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 
      44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 
      8, 6 ] ], 
[ [ 1, 2, 86 ], [ 3, 46, 126 ], [ 4, 118, 53 ], [ 5, 109, 61 ], 
  [ 6, 72, 97 ], [ 7, 83, 85 ], [ 8, 37, 130 ], [ 9, 27, 139 ], 
  [ 10, 34, 131 ], [ 11, 149, 15 ], [ 12, 20, 143 ], [ 13, 47, 115 ], 
  [ 14, 129, 32 ], [ 16, 68, 91 ], [ 17, 48, 110 ], [ 18, 108, 49 ], 
  [ 19, 101, 55 ], [ 21, 80, 74 ], [ 22, 50, 103 ], [ 23, 161, 157 ], 
  [ 24, 95, 56 ], [ 25, 45, 105 ], [ 26, 113, 36 ], [ 28, 82, 65 ], 
  [ 29, 152, 160 ], [ 30, 93, 52 ], [ 31, 78, 66 ], [ 33, 145, 163 ], 
  [ 35, 102, 38 ], [ 39, 76, 60 ], [ 40, 51, 84 ], [ 41, 138, 162 ], 
  [ 42, 135, 164 ], [ 43, 158, 140 ], [ 44, 58, 73 ], [ 54, 168, 119 ], 
  [ 57, 125, 159 ], [ 59, 146, 136 ], [ 62, 124, 155 ], [ 63, 167, 111 ], 
  [ 64, 154, 123 ], [ 67, 127, 147 ], [ 69, 122, 150 ], [ 70, 137, 134 ], 
  [ 71, 153, 117 ], [ 75, 100, 166 ], [ 77, 148, 116 ], [ 79, 142, 120 ], 
  [ 81, 104, 156 ], [ 87, 89, 165 ], [ 88, 121, 132 ], [ 90, 144, 107 ], 
  [ 92, 151, 98 ], [ 94, 141, 106 ], [ 96, 133, 112 ], [ 99, 114, 128 ] ] ]:
`2,169` := [ 170, ######## PSL(2,169) ########
[ [ 3, 169, 167, 165, 163, 161, 159, 14, 156, 154, 152, 150, 148, 146, 13, 
      143, 141, 139, 137, 135, 133, 12, 130, 128, 126, 124, 122, 120, 11, 
      117, 115, 113, 111, 109, 107, 10, 104, 102, 100, 98, 96, 94, 9, 91, 89, 
      87, 85, 83, 81, 8, 78, 76, 74, 72, 70, 68, 7, 65, 63, 61, 59, 57, 55, 
      6, 52, 50, 48, 46, 44, 42, 5, 39, 37, 35, 33, 31, 29, 4, 26, 24, 22, 
      20, 18, 16 ], 
  [ 15, 170, 168, 166, 164, 162, 160, 158, 157, 155, 153, 151, 149, 147, 145, 
      144, 142, 140, 138, 136, 134, 132, 131, 129, 127, 125, 123, 121, 119, 
      118, 116, 114, 112, 110, 108, 106, 105, 103, 101, 99, 97, 95, 93, 92, 
      90, 88, 86, 84, 82, 80, 79, 77, 75, 73, 71, 69, 67, 66, 64, 62, 60, 58, 
      56, 54, 53, 51, 49, 47, 45, 43, 41, 40, 38, 36, 34, 32, 30, 28, 27, 25, 
      23, 21, 19, 17 ] ], 
[ [ 1, 2, 9 ], [ 3, 8, 10 ], [ 4, 5, 12 ], [ 6, 13, 14 ], [ 15, 146, 38 ], 
  [ 16, 158, 25 ], [ 17, 68, 114 ], [ 18, 28, 153 ], [ 19, 151, 29 ], 
  [ 20, 130, 50 ], [ 21, 76, 103 ], [ 22, 118, 60 ], [ 23, 115, 62 ], 
  [ 24, 78, 98 ], [ 26, 93, 80 ], [ 27, 169, 160 ], [ 30, 128, 41 ], 
  [ 31, 69, 99 ], [ 32, 157, 167 ], [ 33, 36, 131 ], [ 34, 166, 156 ], 
  [ 35, 104, 61 ], [ 37, 120, 42 ], [ 39, 170, 147 ], [ 40, 97, 63 ], 
  [ 43, 84, 72 ], [ 44, 59, 96 ], [ 45, 108, 46 ], [ 47, 79, 74 ], 
  [ 48, 56, 95 ], [ 49, 85, 66 ], [ 51, 91, 58 ], [ 52, 75, 73 ], 
  [ 53, 64, 83 ], [ 54, 149, 152 ], [ 55, 165, 135 ], [ 57, 155, 144 ], 
  [ 65, 148, 143 ], [ 67, 163, 125 ], [ 70, 162, 123 ], [ 71, 117, 168 ], 
  [ 77, 140, 139 ], [ 81, 150, 124 ], [ 82, 109, 164 ], [ 86, 116, 154 ], 
  [ 87, 107, 161 ], [ 88, 145, 122 ], [ 89, 126, 141 ], [ 90, 129, 137 ], 
  [ 92, 159, 105 ], [ 94, 134, 127 ], [ 100, 136, 119 ], [ 101, 142, 113 ], 
  [ 102, 121, 132 ], [ 106, 138, 111 ], [ 110, 133, 112 ] ] ]:
`2,173` := [ 174, ######## PSL(2,173) ########
[ [ 3, 173, 171, 169, 167, 165, 163, 161, 159, 157, 155, 153, 151, 149, 147, 
      145, 143, 141, 139, 137, 135, 133, 131, 129, 127, 125, 123, 121, 119, 
      117, 115, 113, 111, 109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 
      87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 
      51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 
      15, 13, 11, 9, 7, 5 ], 
  [ 4, 174, 172, 170, 168, 166, 164, 162, 160, 158, 156, 154, 152, 150, 148, 
      146, 144, 142, 140, 138, 136, 134, 132, 130, 128, 126, 124, 122, 120, 
      118, 116, 114, 112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 
      88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 
      52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 
      16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 89 ], [ 3, 88, 90 ], [ 4, 62, 115 ], [ 5, 50, 126 ], 
  [ 6, 35, 140 ], [ 7, 16, 158 ], [ 8, 39, 134 ], [ 9, 92, 80 ], 
  [ 10, 150, 21 ], [ 11, 137, 33 ], [ 12, 147, 22 ], [ 13, 45, 123 ], 
  [ 14, 94, 73 ], [ 15, 113, 53 ], [ 17, 96, 68 ], [ 18, 32, 131 ], 
  [ 19, 108, 54 ], [ 20, 162, 171 ], [ 23, 59, 99 ], [ 24, 25, 132 ], 
  [ 26, 60, 95 ], [ 27, 69, 85 ], [ 28, 168, 157 ], [ 29, 51, 101 ], 
  [ 30, 87, 64 ], [ 31, 166, 156 ], [ 34, 71, 76 ], [ 36, 48, 97 ], 
  [ 37, 104, 40 ], [ 38, 143, 172 ], [ 41, 167, 145 ], [ 42, 61, 78 ], 
  [ 43, 66, 72 ], [ 44, 139, 170 ], [ 46, 153, 154 ], [ 47, 146, 160 ], 
  [ 49, 75, 57 ], [ 52, 128, 173 ], [ 55, 133, 165 ], [ 56, 67, 58 ], 
  [ 63, 116, 174 ], [ 65, 163, 125 ], [ 70, 159, 124 ], [ 74, 141, 138 ], 
  [ 77, 127, 149 ], [ 79, 119, 155 ], [ 81, 130, 142 ], [ 82, 161, 110 ], 
  [ 83, 118, 152 ], [ 84, 164, 105 ], [ 86, 169, 98 ], [ 91, 148, 114 ], 
  [ 93, 109, 151 ], [ 100, 117, 136 ], [ 102, 107, 144 ], [ 103, 129, 121 ], 
  [ 106, 112, 135 ], [ 111, 122, 120 ] ] ]:
`2,179` := [ 180, ######## PSL(2,179) ########
[ [ 3, 179, 177, 175, 173, 171, 169, 167, 165, 163, 161, 159, 157, 155, 153, 
      151, 149, 147, 145, 143, 141, 139, 137, 135, 133, 131, 129, 127, 125, 
      123, 121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 101, 99, 97, 95, 
      93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 
      57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 
      21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 180, 178, 176, 174, 172, 170, 168, 166, 164, 162, 160, 158, 156, 154, 
      152, 150, 148, 146, 144, 142, 140, 138, 136, 134, 132, 130, 128, 126, 
      124, 122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 102, 100, 98, 
      96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 
      60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 
      24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 92 ], [ 3, 91, 93 ], [ 4, 162, 21 ], [ 5, 132, 50 ], 
  [ 6, 54, 127 ], [ 7, 104, 76 ], [ 8, 147, 32 ], [ 9, 18, 160 ], 
  [ 10, 82, 95 ], [ 11, 47, 129 ], [ 12, 70, 105 ], [ 13, 17, 157 ], 
  [ 14, 128, 45 ], [ 15, 41, 131 ], [ 16, 26, 145 ], [ 19, 135, 33 ], 
  [ 20, 94, 73 ], [ 22, 180, 163 ], [ 23, 43, 121 ], [ 24, 166, 175 ], 
  [ 25, 46, 116 ], [ 27, 167, 171 ], [ 28, 71, 88 ], [ 29, 83, 75 ], 
  [ 30, 85, 72 ], [ 31, 36, 120 ], [ 34, 86, 67 ], [ 35, 65, 87 ], 
  [ 37, 176, 152 ], [ 38, 107, 42 ], [ 39, 158, 168 ], [ 40, 78, 69 ], 
  [ 44, 59, 84 ], [ 48, 81, 58 ], [ 49, 165, 151 ], [ 51, 74, 62 ], 
  [ 52, 179, 134 ], [ 53, 143, 169 ], [ 55, 137, 173 ], [ 56, 170, 139 ], 
  [ 57, 130, 178 ], [ 60, 66, 61 ], [ 63, 141, 161 ], [ 64, 148, 153 ], 
  [ 68, 138, 159 ], [ 77, 146, 142 ], [ 79, 114, 172 ], [ 80, 177, 108 ], 
  [ 89, 102, 174 ], [ 90, 164, 111 ], [ 96, 113, 156 ], [ 97, 119, 149 ], 
  [ 98, 150, 117 ], [ 99, 154, 112 ], [ 100, 125, 140 ], [ 101, 155, 109 ], 
  [ 103, 136, 126 ], [ 106, 144, 115 ], [ 110, 133, 122 ], [ 118, 124, 123 ] ] ]:
`2,181` := [ 182, ######## PSL(2,181) ########
[ [ 3, 181, 179, 177, 175, 173, 171, 169, 167, 165, 163, 161, 159, 157, 155, 
      153, 151, 149, 147, 145, 143, 141, 139, 137, 135, 133, 131, 129, 127, 
      125, 123, 121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 101, 99, 
      97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 
      61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 
      25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 182, 180, 178, 176, 174, 172, 170, 168, 166, 164, 162, 160, 158, 156, 
      154, 152, 150, 148, 146, 144, 142, 140, 138, 136, 134, 132, 130, 128, 
      126, 124, 122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 102, 100, 
      98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 
      62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 
      26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 93 ], [ 3, 92, 94 ], [ 4, 37, 148 ], [ 5, 117, 67 ], 
  [ 6, 161, 22 ], [ 7, 98, 84 ], [ 8, 155, 26 ], [ 9, 133, 47 ], 
  [ 10, 17, 162 ], [ 11, 136, 42 ], [ 12, 150, 27 ], [ 13, 58, 118 ], 
  [ 14, 44, 131 ], [ 15, 64, 110 ], [ 16, 33, 140 ], [ 18, 90, 81 ], 
  [ 19, 61, 109 ], [ 20, 45, 124 ], [ 21, 82, 86 ], [ 23, 29, 137 ], 
  [ 24, 169, 176 ], [ 25, 180, 164 ], [ 28, 54, 107 ], [ 30, 85, 74 ], 
  [ 31, 178, 160 ], [ 32, 43, 114 ], [ 34, 99, 56 ], [ 35, 89, 65 ], 
  [ 36, 174, 159 ], [ 38, 149, 182 ], [ 39, 59, 91 ], [ 40, 83, 66 ], 
  [ 41, 75, 73 ], [ 46, 153, 170 ], [ 48, 70, 71 ], [ 49, 157, 163 ], 
  [ 50, 175, 144 ], [ 51, 60, 78 ], [ 52, 57, 80 ], [ 53, 177, 139 ], 
  [ 55, 142, 172 ], [ 62, 141, 166 ], [ 68, 128, 173 ], [ 69, 181, 119 ], 
  [ 72, 143, 154 ], [ 76, 122, 171 ], [ 77, 125, 167 ], [ 79, 132, 158 ], 
  [ 87, 152, 130 ], [ 88, 179, 102 ], [ 95, 127, 147 ], [ 96, 168, 105 ], 
  [ 97, 151, 121 ], [ 100, 104, 165 ], [ 101, 156, 112 ], [ 103, 146, 120 ], 
  [ 106, 129, 134 ], [ 108, 126, 135 ], [ 111, 145, 113 ], [ 115, 116, 138 ] ] ]:
`2,191` := [ 192, ######## PSL(2,191) ########
[ [ 3, 191, 189, 187, 185, 183, 181, 179, 177, 175, 173, 171, 169, 167, 165, 
      163, 161, 159, 157, 155, 153, 151, 149, 147, 145, 143, 141, 139, 137, 
      135, 133, 131, 129, 127, 125, 123, 121, 119, 117, 115, 113, 111, 109, 
      107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 
      73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 
      37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 192, 190, 188, 186, 184, 182, 180, 178, 176, 174, 172, 170, 168, 166, 
      164, 162, 160, 158, 156, 154, 152, 150, 148, 146, 144, 142, 140, 138, 
      136, 134, 132, 130, 128, 126, 124, 122, 120, 118, 116, 114, 112, 110, 
      108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 
      76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 
      40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 98 ], [ 3, 54, 142 ], [ 4, 150, 45 ], [ 5, 55, 139 ], 
  [ 6, 17, 176 ], [ 7, 34, 158 ], [ 8, 135, 56 ], [ 9, 161, 29 ], 
  [ 10, 70, 119 ], [ 11, 115, 73 ], [ 12, 86, 101 ], [ 13, 89, 97 ], 
  [ 14, 146, 39 ], [ 15, 153, 31 ], [ 16, 114, 69 ], [ 18, 53, 128 ], 
  [ 19, 129, 51 ], [ 20, 179, 190 ], [ 21, 58, 120 ], [ 22, 137, 40 ], 
  [ 23, 113, 63 ], [ 24, 149, 26 ], [ 25, 80, 94 ], [ 27, 88, 84 ], 
  [ 28, 122, 49 ], [ 30, 125, 44 ], [ 32, 75, 92 ], [ 33, 87, 79 ], 
  [ 35, 187, 167 ], [ 36, 78, 85 ], [ 37, 96, 66 ], [ 38, 162, 189 ], 
  [ 41, 106, 52 ], [ 42, 64, 93 ], [ 43, 181, 165 ], [ 46, 192, 151 ], 
  [ 47, 172, 170 ], [ 48, 60, 91 ], [ 50, 182, 157 ], [ 57, 141, 191 ], 
  [ 59, 174, 156 ], [ 61, 188, 140 ], [ 62, 72, 65 ], [ 67, 177, 145 ], 
  [ 68, 143, 178 ], [ 71, 166, 152 ], [ 74, 168, 147 ], [ 76, 138, 175 ], 
  [ 77, 126, 186 ], [ 81, 185, 123 ], [ 82, 180, 127 ], [ 83, 173, 133 ], 
  [ 90, 155, 144 ], [ 95, 110, 184 ], [ 99, 107, 183 ], [ 100, 159, 130 ], 
  [ 102, 116, 171 ], [ 103, 132, 154 ], [ 104, 121, 164 ], [ 105, 136, 148 ], 
  [ 108, 169, 112 ], [ 109, 163, 117 ], [ 111, 118, 160 ], [ 124, 134, 131 ] ] ]:
`2,193` := [ 194, ######## PSL(2,193) ########
[ [ 3, 193, 191, 189, 187, 185, 183, 181, 179, 177, 175, 173, 171, 169, 167, 
      165, 163, 161, 159, 157, 155, 153, 151, 149, 147, 145, 143, 141, 139, 
      137, 135, 133, 131, 129, 127, 125, 123, 121, 119, 117, 115, 113, 111, 
      109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 
      77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 
      41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 
     ], [ 4, 194, 192, 190, 188, 186, 184, 182, 180, 178, 176, 174, 172, 170, 
      168, 166, 164, 162, 160, 158, 156, 154, 152, 150, 148, 146, 144, 142, 
      140, 138, 136, 134, 132, 130, 128, 126, 124, 122, 120, 118, 116, 114, 
      112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 
      80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 
      44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 
      8, 6 ] ], 
[ [ 1, 2, 99 ], [ 3, 65, 133 ], [ 4, 173, 24 ], [ 5, 116, 80 ], 
  [ 6, 177, 18 ], [ 7, 70, 124 ], [ 8, 112, 81 ], [ 9, 91, 101 ], 
  [ 10, 162, 29 ], [ 11, 77, 113 ], [ 12, 130, 59 ], [ 13, 146, 42 ], 
  [ 14, 46, 141 ], [ 15, 149, 37 ], [ 16, 53, 132 ], [ 17, 62, 122 ], 
  [ 19, 63, 119 ], [ 20, 22, 159 ], [ 21, 192, 180 ], [ 23, 148, 30 ], 
  [ 25, 194, 174 ], [ 26, 72, 103 ], [ 27, 40, 134 ], [ 28, 129, 44 ], 
  [ 31, 83, 87 ], [ 32, 71, 98 ], [ 33, 75, 93 ], [ 34, 89, 78 ], 
  [ 35, 41, 125 ], [ 36, 188, 169 ], [ 38, 108, 55 ], [ 39, 176, 178 ], 
  [ 43, 110, 48 ], [ 45, 54, 102 ], [ 47, 94, 60 ], [ 49, 183, 161 ], 
  [ 50, 175, 168 ], [ 51, 58, 92 ], [ 52, 185, 156 ], [ 56, 61, 84 ], 
  [ 57, 152, 184 ], [ 64, 158, 171 ], [ 66, 145, 182 ], [ 68, 186, 139 ], 
  [ 69, 170, 154 ], [ 73, 157, 163 ], [ 74, 128, 191 ], [ 76, 136, 181 ], 
  [ 79, 135, 179 ], [ 82, 193, 118 ], [ 85, 121, 187 ], [ 86, 190, 117 ], 
  [ 88, 155, 150 ], [ 90, 160, 143 ], [ 95, 126, 172 ], [ 96, 144, 153 ], 
  [ 97, 107, 189 ], [ 100, 127, 166 ], [ 104, 151, 138 ], [ 105, 123, 165 ], 
  [ 106, 140, 147 ], [ 109, 164, 120 ], [ 111, 115, 167 ], [ 114, 137, 142 ] ] ]:
`2,197` := [ 198, ######## PSL(2,197) ########
[ [ 3, 197, 195, 193, 191, 189, 187, 185, 183, 181, 179, 177, 175, 173, 171, 
      169, 167, 165, 163, 161, 159, 157, 155, 153, 151, 149, 147, 145, 143, 
      141, 139, 137, 135, 133, 131, 129, 127, 125, 123, 121, 119, 117, 115, 
      113, 111, 109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 
      81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 
      45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 
      9, 7, 5 ], 
  [ 4, 198, 196, 194, 192, 190, 188, 186, 184, 182, 180, 178, 176, 174, 172, 
      170, 168, 166, 164, 162, 160, 158, 156, 154, 152, 150, 148, 146, 144, 
      142, 140, 138, 136, 134, 132, 130, 128, 126, 124, 122, 120, 118, 116, 
      114, 112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 
      82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 
      46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 
      10, 8, 6 ] ], 
[ [ 1, 2, 101 ], [ 3, 100, 102 ], [ 4, 116, 85 ], [ 5, 12, 188 ], 
  [ 6, 131, 68 ], [ 7, 138, 60 ], [ 8, 87, 110 ], [ 9, 183, 13 ], 
  [ 10, 38, 157 ], [ 11, 25, 169 ], [ 14, 190, 197 ], [ 15, 107, 83 ], 
  [ 16, 63, 126 ], [ 17, 137, 51 ], [ 18, 84, 103 ], [ 19, 193, 189 ], 
  [ 20, 136, 49 ], [ 21, 57, 127 ], [ 22, 128, 55 ], [ 23, 47, 135 ], 
  [ 24, 69, 112 ], [ 26, 140, 39 ], [ 27, 28, 150 ], [ 29, 146, 30 ], 
  [ 31, 77, 97 ], [ 32, 114, 59 ], [ 33, 177, 191 ], [ 34, 42, 129 ], 
  [ 35, 46, 124 ], [ 36, 108, 61 ], [ 37, 89, 79 ], [ 40, 93, 72 ], 
  [ 41, 106, 58 ], [ 43, 82, 80 ], [ 44, 50, 111 ], [ 45, 164, 192 ], 
  [ 48, 104, 53 ], [ 52, 174, 175 ], [ 54, 81, 70 ], [ 56, 173, 172 ], 
  [ 62, 176, 163 ], [ 64, 195, 142 ], [ 65, 185, 151 ], [ 66, 182, 153 ], 
  [ 67, 155, 179 ], [ 71, 196, 134 ], [ 73, 160, 168 ], [ 74, 180, 147 ], 
  [ 75, 145, 181 ], [ 76, 139, 186 ], [ 78, 156, 167 ], [ 86, 198, 117 ], 
  [ 88, 170, 143 ], [ 90, 133, 178 ], [ 91, 152, 158 ], [ 92, 115, 194 ], 
  [ 94, 166, 141 ], [ 95, 187, 119 ], [ 96, 161, 144 ], [ 98, 154, 149 ], 
  [ 99, 118, 184 ], [ 105, 125, 171 ], [ 109, 162, 130 ], [ 113, 165, 123 ], 
  [ 120, 159, 122 ], [ 121, 148, 132 ] ] ]:
`2,199` := [ 200, ######## PSL(2,199) ########
[ [ 3, 199, 197, 195, 193, 191, 189, 187, 185, 183, 181, 179, 177, 175, 173, 
      171, 169, 167, 165, 163, 161, 159, 157, 155, 153, 151, 149, 147, 145, 
      143, 141, 139, 137, 135, 133, 131, 129, 127, 125, 123, 121, 119, 117, 
      115, 113, 111, 109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 
      83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 
      47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 
      11, 9, 7, 5 ], 
  [ 4, 200, 198, 196, 194, 192, 190, 188, 186, 184, 182, 180, 178, 176, 174, 
      172, 170, 168, 166, 164, 162, 160, 158, 156, 154, 152, 150, 148, 146, 
      144, 142, 140, 138, 136, 134, 132, 130, 128, 126, 124, 122, 120, 118, 
      116, 114, 112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 
      86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 
      50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 
      14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 102 ], [ 3, 194, 10 ], [ 4, 88, 115 ], [ 5, 56, 146 ], 
  [ 6, 144, 57 ], [ 7, 27, 173 ], [ 8, 160, 39 ], [ 9, 103, 95 ], 
  [ 11, 63, 133 ], [ 12, 78, 117 ], [ 13, 43, 151 ], [ 14, 139, 54 ], 
  [ 15, 130, 62 ], [ 16, 159, 32 ], [ 17, 162, 28 ], [ 18, 128, 61 ], 
  [ 19, 91, 97 ], [ 20, 153, 34 ], [ 21, 50, 136 ], [ 22, 104, 81 ], 
  [ 23, 64, 120 ], [ 24, 59, 124 ], [ 25, 83, 99 ], [ 26, 152, 29 ], 
  [ 30, 48, 129 ], [ 31, 177, 197 ], [ 33, 92, 82 ], [ 35, 66, 106 ], 
  [ 36, 85, 86 ], [ 37, 132, 38 ], [ 40, 90, 77 ], [ 41, 96, 70 ], 
  [ 42, 187, 176 ], [ 44, 196, 165 ], [ 45, 188, 172 ], [ 46, 94, 67 ], 
  [ 47, 49, 111 ], [ 51, 184, 170 ], [ 52, 178, 175 ], [ 53, 161, 191 ], 
  [ 55, 79, 73 ], [ 58, 148, 199 ], [ 60, 198, 147 ], [ 65, 190, 150 ], 
  [ 68, 154, 183 ], [ 71, 141, 193 ], [ 72, 167, 166 ], [ 74, 189, 142 ], 
  [ 75, 156, 174 ], [ 76, 186, 143 ], [ 80, 145, 180 ], [ 84, 140, 181 ], 
  [ 87, 126, 192 ], [ 89, 116, 200 ], [ 93, 155, 157 ], [ 98, 138, 169 ], 
  [ 100, 182, 123 ], [ 101, 195, 109 ], [ 105, 121, 179 ], [ 107, 113, 185 ], 
  [ 108, 163, 134 ], [ 110, 158, 137 ], [ 112, 171, 122 ], [ 114, 164, 127 ], 
  [ 118, 119, 168 ], [ 125, 149, 131 ] ] ]:
`2,211` := [ 212, ######## PSL(2,211) ########
[ [ 3, 211, 209, 207, 205, 203, 201, 199, 197, 195, 193, 191, 189, 187, 185, 
      183, 181, 179, 177, 175, 173, 171, 169, 167, 165, 163, 161, 159, 157, 
      155, 153, 151, 149, 147, 145, 143, 141, 139, 137, 135, 133, 131, 129, 
      127, 125, 123, 121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 101, 
      99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 
      63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 
      27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 212, 210, 208, 206, 204, 202, 200, 198, 196, 194, 192, 190, 188, 186, 
      184, 182, 180, 178, 176, 174, 172, 170, 168, 166, 164, 162, 160, 158, 
      156, 154, 152, 150, 148, 146, 144, 142, 140, 138, 136, 134, 132, 130, 
      128, 126, 124, 122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 102, 
      100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 
      66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 
      30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 108 ], [ 3, 107, 109 ], [ 4, 65, 150 ], [ 5, 186, 28 ], 
  [ 6, 22, 191 ], [ 7, 119, 93 ], [ 8, 113, 98 ], [ 9, 42, 168 ], 
  [ 10, 195, 14 ], [ 11, 86, 122 ], [ 12, 35, 172 ], [ 13, 37, 169 ], 
  [ 15, 153, 51 ], [ 16, 125, 78 ], [ 17, 43, 159 ], [ 18, 102, 99 ], 
  [ 19, 29, 171 ], [ 20, 135, 64 ], [ 21, 206, 202 ], [ 23, 55, 141 ], 
  [ 24, 62, 133 ], [ 25, 194, 210 ], [ 26, 160, 33 ], [ 27, 68, 124 ], 
  [ 30, 211, 188 ], [ 31, 127, 61 ], [ 32, 59, 128 ], [ 34, 111, 74 ], 
  [ 36, 82, 101 ], [ 38, 69, 112 ], [ 39, 84, 96 ], [ 40, 129, 50 ], 
  [ 41, 52, 126 ], [ 44, 181, 204 ], [ 45, 187, 197 ], [ 46, 106, 67 ], 
  [ 47, 179, 203 ], [ 48, 174, 207 ], [ 49, 54, 116 ], [ 53, 95, 71 ], 
  [ 56, 190, 183 ], [ 57, 173, 199 ], [ 58, 76, 85 ], [ 60, 80, 79 ], 
  [ 63, 201, 165 ], [ 66, 151, 212 ], [ 70, 77, 72 ], [ 75, 161, 193 ], 
  [ 81, 196, 152 ], [ 83, 154, 192 ], [ 87, 176, 166 ], [ 88, 157, 184 ], 
  [ 89, 185, 155 ], [ 90, 164, 175 ], [ 91, 200, 138 ], [ 92, 148, 189 ], 
  [ 94, 130, 205 ], [ 97, 209, 123 ], [ 100, 162, 167 ], [ 103, 208, 118 ], 
  [ 104, 147, 178 ], [ 105, 182, 142 ], [ 110, 170, 149 ], [ 114, 198, 117 ], 
  [ 115, 134, 180 ], [ 120, 132, 177 ], [ 121, 163, 145 ], [ 131, 140, 158 ], 
  [ 136, 156, 137 ], [ 139, 146, 144 ] ] ]:
`2,223` := [ 224, ######## PSL(2,223) ########
[ [ 3, 223, 221, 219, 217, 215, 213, 211, 209, 207, 205, 203, 201, 199, 197, 
      195, 193, 191, 189, 187, 185, 183, 181, 179, 177, 175, 173, 171, 169, 
      167, 165, 163, 161, 159, 157, 155, 153, 151, 149, 147, 145, 143, 141, 
      139, 137, 135, 133, 131, 129, 127, 125, 123, 121, 119, 117, 115, 113, 
      111, 109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 
      79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 
      43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 
      7, 5 ], 
  [ 4, 224, 222, 220, 218, 216, 214, 212, 210, 208, 206, 204, 202, 200, 198, 
      196, 194, 192, 190, 188, 186, 184, 182, 180, 178, 176, 174, 172, 170, 
      168, 166, 164, 162, 160, 158, 156, 154, 152, 150, 148, 146, 144, 142, 
      140, 138, 136, 134, 132, 130, 128, 126, 124, 122, 120, 118, 116, 114, 
      112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 
      80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 
      44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 
      8, 6 ] ], 
[ [ 1, 2, 114 ], [ 3, 156, 72 ], [ 4, 198, 29 ], [ 5, 67, 159 ], 
  [ 6, 210, 15 ], [ 7, 174, 50 ], [ 8, 125, 98 ], [ 9, 41, 181 ], 
  [ 10, 56, 165 ], [ 11, 75, 145 ], [ 12, 108, 111 ], [ 13, 134, 84 ], 
  [ 14, 38, 179 ], [ 16, 55, 160 ], [ 17, 48, 166 ], [ 18, 222, 213 ], 
  [ 19, 121, 91 ], [ 20, 99, 112 ], [ 21, 149, 61 ], [ 22, 73, 136 ], 
  [ 23, 182, 26 ], [ 24, 36, 171 ], [ 25, 65, 141 ], [ 27, 176, 28 ], 
  [ 30, 224, 199 ], [ 31, 118, 82 ], [ 32, 148, 51 ], [ 33, 70, 128 ], 
  [ 34, 131, 66 ], [ 35, 58, 138 ], [ 37, 89, 105 ], [ 39, 86, 106 ], 
  [ 40, 95, 96 ], [ 42, 101, 88 ], [ 43, 124, 64 ], [ 44, 85, 102 ], 
  [ 45, 71, 115 ], [ 46, 205, 202 ], [ 47, 187, 219 ], [ 49, 190, 214 ], 
  [ 52, 201, 200 ], [ 53, 59, 119 ], [ 54, 221, 178 ], [ 57, 192, 204 ], 
  [ 60, 78, 93 ], [ 62, 180, 211 ], [ 63, 172, 218 ], [ 68, 173, 212 ], 
  [ 69, 161, 223 ], [ 74, 81, 76 ], [ 79, 207, 167 ], [ 80, 196, 177 ], 
  [ 83, 153, 217 ], [ 87, 163, 203 ], [ 90, 170, 193 ], [ 92, 155, 206 ], 
  [ 94, 215, 144 ], [ 97, 194, 162 ], [ 100, 158, 195 ], [ 103, 220, 130 ], 
  [ 104, 185, 164 ], [ 107, 209, 137 ], [ 109, 169, 175 ], [ 110, 197, 146 ], 
  [ 113, 157, 183 ], [ 116, 129, 208 ], [ 117, 120, 216 ], [ 122, 142, 189 ], 
  [ 123, 139, 191 ], [ 126, 143, 184 ], [ 127, 186, 140 ], [ 132, 133, 188 ], 
  [ 135, 150, 168 ], [ 147, 154, 152 ] ] ]:
`2,227` := [ 228, ######## PSL(2,227) ########
[ [ 3, 227, 225, 223, 221, 219, 217, 215, 213, 211, 209, 207, 205, 203, 201, 
      199, 197, 195, 193, 191, 189, 187, 185, 183, 181, 179, 177, 175, 173, 
      171, 169, 167, 165, 163, 161, 159, 157, 155, 153, 151, 149, 147, 145, 
      143, 141, 139, 137, 135, 133, 131, 129, 127, 125, 123, 121, 119, 117, 
      115, 113, 111, 109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 87, 85, 
      83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 
      47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 
      11, 9, 7, 5 ], 
  [ 4, 228, 226, 224, 222, 220, 218, 216, 214, 212, 210, 208, 206, 204, 202, 
      200, 198, 196, 194, 192, 190, 188, 186, 184, 182, 180, 178, 176, 174, 
      172, 170, 168, 166, 164, 162, 160, 158, 156, 154, 152, 150, 148, 146, 
      144, 142, 140, 138, 136, 134, 132, 130, 128, 126, 124, 122, 120, 118, 
      116, 114, 112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 88, 
      86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 52, 
      50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 16, 
      14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 116 ], [ 3, 115, 117 ], [ 4, 70, 161 ], [ 5, 105, 125 ], 
  [ 6, 24, 205 ], [ 7, 17, 211 ], [ 8, 42, 185 ], [ 9, 44, 182 ], 
  [ 10, 146, 79 ], [ 11, 58, 166 ], [ 12, 26, 197 ], [ 13, 189, 33 ], 
  [ 14, 69, 152 ], [ 15, 88, 132 ], [ 16, 142, 77 ], [ 18, 158, 59 ], 
  [ 19, 154, 62 ], [ 20, 123, 92 ], [ 21, 215, 225 ], [ 22, 45, 168 ], 
  [ 23, 110, 102 ], [ 25, 54, 156 ], [ 27, 208, 226 ], [ 28, 167, 40 ], 
  [ 29, 61, 145 ], [ 30, 56, 149 ], [ 31, 68, 136 ], [ 32, 82, 121 ], 
  [ 34, 148, 53 ], [ 35, 206, 220 ], [ 36, 95, 104 ], [ 37, 67, 131 ], 
  [ 38, 124, 73 ], [ 39, 99, 97 ], [ 41, 119, 75 ], [ 43, 219, 199 ], 
  [ 46, 91, 98 ], [ 47, 190, 224 ], [ 48, 106, 81 ], [ 49, 114, 72 ], 
  [ 50, 188, 223 ], [ 51, 55, 129 ], [ 52, 94, 89 ], [ 57, 85, 93 ], 
  [ 60, 112, 63 ], [ 64, 187, 210 ], [ 65, 204, 192 ], [ 66, 174, 221 ], 
  [ 71, 162, 228 ], [ 74, 214, 173 ], [ 76, 178, 207 ], [ 78, 213, 170 ], 
  [ 80, 163, 218 ], [ 83, 176, 202 ], [ 84, 198, 179 ], [ 86, 222, 153 ], 
  [ 87, 171, 203 ], [ 90, 216, 155 ], [ 96, 164, 201 ], [ 100, 144, 217 ], 
  [ 101, 165, 195 ], [ 103, 177, 181 ], [ 107, 127, 227 ], [ 108, 194, 159 ], 
  [ 109, 212, 140 ], [ 111, 150, 200 ], [ 113, 191, 157 ], [ 118, 183, 160 ], 
  [ 120, 172, 169 ], [ 122, 209, 130 ], [ 126, 184, 151 ], [ 128, 137, 196 ], 
  [ 133, 193, 135 ], [ 134, 141, 186 ], [ 138, 180, 143 ], [ 139, 147, 175 ] ] ]:
`2,229` := [ 230, ######## PSL(2,229) ########
[ [ 3, 229, 227, 225, 223, 221, 219, 217, 215, 213, 211, 209, 207, 205, 203, 
      201, 199, 197, 195, 193, 191, 189, 187, 185, 183, 181, 179, 177, 175, 
      173, 171, 169, 167, 165, 163, 161, 159, 157, 155, 153, 151, 149, 147, 
      145, 143, 141, 139, 137, 135, 133, 131, 129, 127, 125, 123, 121, 119, 
      117, 115, 113, 111, 109, 107, 105, 103, 101, 99, 97, 95, 93, 91, 89, 
      87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 55, 53, 
      51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 19, 17, 
      15, 13, 11, 9, 7, 5 ], 
  [ 4, 230, 228, 226, 224, 222, 220, 218, 216, 214, 212, 210, 208, 206, 204, 
      202, 200, 198, 196, 194, 192, 190, 188, 186, 184, 182, 180, 178, 176, 
      174, 172, 170, 168, 166, 164, 162, 160, 158, 156, 154, 152, 150, 148, 
      146, 144, 142, 140, 138, 136, 134, 132, 130, 128, 126, 124, 122, 120, 
      118, 116, 114, 112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 92, 90, 
      88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 56, 54, 
      52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 20, 18, 
      16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 117 ], [ 3, 96, 138 ], [ 4, 10, 223 ], [ 5, 125, 107 ], 
  [ 6, 209, 22 ], [ 7, 190, 40 ], [ 8, 43, 186 ], [ 9, 166, 62 ], 
  [ 11, 224, 230 ], [ 12, 193, 32 ], [ 13, 84, 140 ], [ 14, 66, 157 ], 
  [ 15, 164, 58 ], [ 16, 169, 52 ], [ 17, 114, 106 ], [ 18, 71, 148 ], 
  [ 19, 173, 45 ], [ 20, 101, 116 ], [ 21, 72, 144 ], [ 23, 55, 159 ], 
  [ 24, 137, 76 ], [ 25, 228, 212 ], [ 26, 92, 119 ], [ 27, 35, 175 ], 
  [ 28, 104, 105 ], [ 29, 139, 69 ], [ 30, 64, 143 ], [ 31, 126, 80 ], 
  [ 33, 123, 81 ], [ 34, 82, 121 ], [ 36, 56, 145 ], [ 37, 49, 151 ], 
  [ 38, 63, 136 ], [ 39, 67, 131 ], [ 41, 222, 202 ], [ 42, 46, 149 ], 
  [ 44, 227, 194 ], [ 47, 102, 88 ], [ 48, 191, 226 ], [ 50, 134, 53 ], 
  [ 51, 112, 74 ], [ 54, 73, 110 ], [ 57, 93, 87 ], [ 59, 199, 207 ], 
  [ 60, 78, 99 ], [ 61, 215, 189 ], [ 65, 218, 182 ], [ 68, 225, 172 ], 
  [ 70, 219, 176 ], [ 75, 179, 211 ], [ 77, 168, 220 ], [ 83, 185, 197 ], 
  [ 85, 188, 192 ], [ 86, 163, 216 ], [ 89, 178, 198 ], [ 90, 162, 213 ], 
  [ 91, 170, 204 ], [ 94, 150, 221 ], [ 95, 205, 165 ], [ 97, 210, 158 ], 
  [ 98, 171, 196 ], [ 100, 184, 181 ], [ 103, 167, 195 ], [ 108, 203, 154 ], 
  [ 109, 229, 127 ], [ 111, 201, 153 ], [ 113, 152, 200 ], [ 115, 142, 208 ], 
  [ 118, 133, 214 ], [ 120, 217, 128 ], [ 122, 183, 160 ], [ 124, 161, 180 ], 
  [ 129, 130, 206 ], [ 132, 187, 146 ], [ 135, 156, 174 ], [ 141, 177, 147 ] ] ]:
`2,233` := [ 234, ######## PSL(2,233) ########
[ [ 3, 233, 231, 229, 227, 225, 223, 221, 219, 217, 215, 213, 211, 209, 207, 
      205, 203, 201, 199, 197, 195, 193, 191, 189, 187, 185, 183, 181, 179, 
      177, 175, 173, 171, 169, 167, 165, 163, 161, 159, 157, 155, 153, 151, 
      149, 147, 145, 143, 141, 139, 137, 135, 133, 131, 129, 127, 125, 123, 
      121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 101, 99, 97, 95, 93, 
      91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 63, 61, 59, 57, 
      55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 27, 25, 23, 21, 
      19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 234, 232, 230, 228, 226, 224, 222, 220, 218, 216, 214, 212, 210, 208, 
      206, 204, 202, 200, 198, 196, 194, 192, 190, 188, 186, 184, 182, 180, 
      178, 176, 174, 172, 170, 168, 166, 164, 162, 160, 158, 156, 154, 152, 
      150, 148, 146, 144, 142, 140, 138, 136, 134, 132, 130, 128, 126, 124, 
      122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 102, 100, 98, 96, 94, 
      92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 66, 64, 62, 60, 58, 
      56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 30, 28, 26, 24, 22, 
      20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 119 ], [ 3, 47, 191 ], [ 4, 207, 30 ], [ 5, 114, 122 ], 
  [ 6, 217, 18 ], [ 7, 194, 40 ], [ 8, 154, 79 ], [ 9, 169, 63 ], 
  [ 10, 203, 28 ], [ 11, 143, 87 ], [ 12, 73, 156 ], [ 13, 125, 103 ], 
  [ 14, 104, 123 ], [ 15, 53, 173 ], [ 16, 166, 59 ], [ 17, 160, 64 ], 
  [ 19, 101, 121 ], [ 20, 138, 83 ], [ 21, 232, 220 ], [ 22, 180, 39 ], 
  [ 23, 161, 57 ], [ 24, 29, 188 ], [ 25, 127, 89 ], [ 26, 51, 164 ], 
  [ 27, 168, 46 ], [ 31, 234, 208 ], [ 32, 38, 171 ], [ 33, 80, 128 ], 
  [ 34, 55, 152 ], [ 35, 228, 210 ], [ 36, 76, 129 ], [ 37, 142, 62 ], 
  [ 41, 108, 92 ], [ 42, 60, 139 ], [ 43, 93, 105 ], [ 44, 231, 198 ], 
  [ 45, 90, 106 ], [ 48, 75, 118 ], [ 49, 85, 107 ], [ 50, 209, 214 ], 
  [ 52, 91, 98 ], [ 54, 126, 61 ], [ 56, 97, 88 ], [ 58, 216, 199 ], 
  [ 65, 185, 223 ], [ 66, 94, 81 ], [ 67, 200, 206 ], [ 68, 102, 71 ], 
  [ 69, 229, 175 ], [ 70, 211, 192 ], [ 72, 222, 179 ], [ 74, 187, 212 ], 
  [ 77, 215, 181 ], [ 78, 221, 174 ], [ 82, 165, 226 ], [ 84, 230, 159 ], 
  [ 86, 183, 204 ], [ 95, 227, 151 ], [ 96, 201, 176 ], [ 99, 178, 196 ], 
  [ 100, 218, 155 ], [ 109, 162, 202 ], [ 110, 158, 205 ], [ 111, 213, 149 ], 
  [ 112, 184, 177 ], [ 113, 225, 135 ], [ 115, 134, 224 ], [ 116, 124, 233 ], 
  [ 117, 137, 219 ], [ 120, 163, 190 ], [ 130, 197, 146 ], [ 131, 153, 189 ], 
  [ 132, 148, 193 ], [ 133, 145, 195 ], [ 136, 170, 167 ], [ 140, 147, 186 ], 
  [ 141, 182, 150 ], [ 144, 172, 157 ] ] ]:
`2,239` := [ 240, ######## PSL(2,239) ########
[ [ 3, 239, 237, 235, 233, 231, 229, 227, 225, 223, 221, 219, 217, 215, 213, 
      211, 209, 207, 205, 203, 201, 199, 197, 195, 193, 191, 189, 187, 185, 
      183, 181, 179, 177, 175, 173, 171, 169, 167, 165, 163, 161, 159, 157, 
      155, 153, 151, 149, 147, 145, 143, 141, 139, 137, 135, 133, 131, 129, 
      127, 125, 123, 121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 101, 
      99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 67, 65, 
      63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 31, 29, 
      27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 240, 238, 236, 234, 232, 230, 228, 226, 224, 222, 220, 218, 216, 214, 
      212, 210, 208, 206, 204, 202, 200, 198, 196, 194, 192, 190, 188, 186, 
      184, 182, 180, 178, 176, 174, 172, 170, 168, 166, 164, 162, 160, 158, 
      156, 154, 152, 150, 148, 146, 144, 142, 140, 138, 136, 134, 132, 130, 
      128, 126, 124, 122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 102, 
      100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 68, 
      66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 32, 
      30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 122 ], [ 3, 56, 188 ], [ 4, 162, 81 ], [ 5, 18, 224 ], 
  [ 6, 147, 94 ], [ 7, 154, 86 ], [ 8, 177, 62 ], [ 9, 106, 132 ], 
  [ 10, 137, 100 ], [ 11, 50, 186 ], [ 12, 125, 110 ], [ 13, 193, 41 ], 
  [ 14, 76, 157 ], [ 15, 49, 183 ], [ 16, 167, 64 ], [ 17, 19, 211 ], 
  [ 20, 226, 239 ], [ 21, 57, 169 ], [ 22, 109, 116 ], [ 23, 123, 101 ], 
  [ 24, 103, 120 ], [ 25, 142, 80 ], [ 26, 191, 30 ], [ 27, 181, 39 ], 
  [ 28, 60, 159 ], [ 29, 70, 148 ], [ 31, 176, 40 ], [ 32, 43, 172 ], 
  [ 33, 225, 227 ], [ 34, 139, 74 ], [ 35, 47, 165 ], [ 36, 173, 38 ], 
  [ 37, 84, 126 ], [ 42, 92, 113 ], [ 44, 108, 95 ], [ 45, 91, 111 ], 
  [ 46, 55, 146 ], [ 48, 130, 69 ], [ 51, 231, 203 ], [ 52, 117, 78 ], 
  [ 53, 218, 214 ], [ 54, 89, 104 ], [ 58, 194, 233 ], [ 59, 115, 73 ], 
  [ 61, 195, 229 ], [ 63, 217, 205 ], [ 65, 83, 99 ], [ 66, 88, 93 ], 
  [ 67, 236, 182 ], [ 68, 213, 204 ], [ 71, 208, 206 ], [ 72, 201, 212 ], 
  [ 75, 187, 223 ], [ 77, 228, 180 ], [ 79, 197, 209 ], [ 82, 240, 163 ], 
  [ 85, 184, 216 ], [ 87, 168, 230 ], [ 90, 237, 158 ], [ 96, 174, 215 ], 
  [ 97, 238, 150 ], [ 98, 189, 198 ], [ 102, 219, 164 ], [ 105, 210, 170 ], 
  [ 107, 234, 144 ], [ 112, 138, 235 ], [ 114, 196, 175 ], [ 118, 160, 207 ], 
  [ 119, 232, 134 ], [ 121, 221, 143 ], [ 124, 141, 220 ], [ 127, 192, 166 ], 
  [ 128, 135, 222 ], [ 129, 185, 171 ], [ 131, 152, 202 ], [ 133, 153, 199 ], 
  [ 136, 200, 149 ], [ 140, 155, 190 ], [ 145, 161, 179 ], [ 151, 156, 178 ] ] ]:
`2,241` := [ 242, ######## PSL(2,241) ########
[ [ 3, 241, 239, 237, 235, 233, 231, 229, 227, 225, 223, 221, 219, 217, 215, 
      213, 211, 209, 207, 205, 203, 201, 199, 197, 195, 193, 191, 189, 187, 
      185, 183, 181, 179, 177, 175, 173, 171, 169, 167, 165, 163, 161, 159, 
      157, 155, 153, 151, 149, 147, 145, 143, 141, 139, 137, 135, 133, 131, 
      129, 127, 125, 123, 121, 119, 117, 115, 113, 111, 109, 107, 105, 103, 
      101, 99, 97, 95, 93, 91, 89, 87, 85, 83, 81, 79, 77, 75, 73, 71, 69, 
      67, 65, 63, 61, 59, 57, 55, 53, 51, 49, 47, 45, 43, 41, 39, 37, 35, 33, 
      31, 29, 27, 25, 23, 21, 19, 17, 15, 13, 11, 9, 7, 5 ], 
  [ 4, 242, 240, 238, 236, 234, 232, 230, 228, 226, 224, 222, 220, 218, 216, 
      214, 212, 210, 208, 206, 204, 202, 200, 198, 196, 194, 192, 190, 188, 
      186, 184, 182, 180, 178, 176, 174, 172, 170, 168, 166, 164, 162, 160, 
      158, 156, 154, 152, 150, 148, 146, 144, 142, 140, 138, 136, 134, 132, 
      130, 128, 126, 124, 122, 120, 118, 116, 114, 112, 110, 108, 106, 104, 
      102, 100, 98, 96, 94, 92, 90, 88, 86, 84, 82, 80, 78, 76, 74, 72, 70, 
      68, 66, 64, 62, 60, 58, 56, 54, 52, 50, 48, 46, 44, 42, 40, 38, 36, 34, 
      32, 30, 28, 26, 24, 22, 20, 18, 16, 14, 12, 10, 8, 6 ] ], 
[ [ 1, 2, 123 ], [ 3, 173, 73 ], [ 4, 33, 212 ], [ 5, 137, 107 ], 
  [ 6, 54, 189 ], [ 7, 153, 89 ], [ 8, 142, 99 ], [ 9, 230, 10 ], 
  [ 11, 167, 71 ], [ 12, 194, 43 ], [ 13, 146, 90 ], [ 14, 124, 111 ], 
  [ 15, 105, 129 ], [ 16, 237, 236 ], [ 17, 56, 176 ], [ 18, 82, 149 ], 
  [ 19, 200, 30 ], [ 20, 174, 55 ], [ 21, 103, 125 ], [ 22, 182, 45 ], 
  [ 23, 61, 165 ], [ 24, 177, 48 ], [ 25, 116, 108 ], [ 26, 145, 78 ], 
  [ 27, 50, 172 ], [ 28, 41, 180 ], [ 29, 184, 36 ], [ 31, 47, 171 ], 
  [ 32, 51, 166 ], [ 34, 213, 242 ], [ 35, 87, 127 ], [ 37, 102, 110 ], 
  [ 38, 134, 77 ], [ 39, 126, 84 ], [ 40, 58, 151 ], [ 42, 67, 140 ], 
  [ 44, 113, 92 ], [ 46, 227, 216 ], [ 49, 86, 114 ], [ 52, 234, 203 ], 
  [ 53, 131, 65 ], [ 57, 192, 240 ], [ 59, 94, 96 ], [ 60, 91, 98 ], 
  [ 62, 217, 210 ], [ 63, 118, 68 ], [ 64, 224, 201 ], [ 66, 205, 218 ], 
  [ 69, 222, 198 ], [ 70, 190, 229 ], [ 72, 226, 191 ], [ 74, 196, 219 ], 
  [ 75, 199, 215 ], [ 76, 88, 85 ], [ 79, 235, 175 ], [ 80, 195, 214 ], 
  [ 81, 185, 223 ], [ 93, 239, 157 ], [ 95, 188, 206 ], [ 97, 164, 228 ], 
  [ 100, 233, 156 ], [ 101, 220, 168 ], [ 104, 238, 147 ], [ 106, 179, 204 ], 
  [ 109, 241, 139 ], [ 112, 208, 169 ], [ 115, 193, 181 ], [ 117, 141, 231 ], 
  [ 119, 159, 211 ], [ 120, 207, 162 ], [ 121, 143, 225 ], [ 122, 232, 135 ], 
  [ 128, 183, 178 ], [ 130, 221, 138 ], [ 132, 160, 197 ], [ 133, 202, 154 ], 
  [ 136, 144, 209 ], [ 148, 155, 186 ], [ 150, 152, 187 ], [ 158, 170, 161 ] ] ]:
`3,2` := [ 7, ######## PSL(3,2) ########
[ [ 4, 6 ], [ 5, 7 ] ], 
[ [ 1, 2, 4 ], [ 3, 6, 5 ] ] ]:
`3,3` := [ 13, ######## PSL(3,3) ########
[ [ 5, 8, 11 ], [ 6, 9, 12 ], [ 7, 10, 13 ] ], 
[ [ 1, 2, 5 ], [ 3, 8, 7 ], [ 4, 11, 6 ], [ 9, 10, 13 ] ] ]:
`3,4` := [ 21, ######## PSL(3,4) ########
[ [ 3, 4, 5 ], [ 7, 9, 8 ], [ 10, 14, 18 ], [ 11, 17, 20 ], [ 12, 15, 21 ], 
  [ 13, 16, 19 ] ], 
[ [ 1, 2, 6, 7, 11, 3, 10 ], [ 4, 14, 8, 15, 16, 20, 13 ], 
  [ 5, 18, 9, 19, 21, 17, 12 ] ] ]:
`3,5` := [ 31, ######## PSL(3,5) ########
[ [ 3, 4, 5, 6 ], [ 8, 11, 10, 9 ], [ 12, 22 ], [ 13, 26, 15, 24 ], 
  [ 14, 23, 16, 25 ], [ 17, 27 ], [ 18, 31, 20, 29 ], [ 19, 28, 21, 30 ] ], 
[ [ 1, 2, 7, 10, 25, 3, 12, 9, 20, 31, 18, 21, 16, 24, 4, 17, 11, 30, 13, 29, 
      28, 23, 5, 22 ], [ 6, 27, 8, 15, 19, 26 ] ] ]:
`3,7` := [ 57, ######## PSL(3,7) ########
[ [ 3, 4, 5, 6, 7, 8 ], [ 10, 15, 14, 13, 12, 11 ], [ 16, 44, 30 ], 
  [ 17, 50, 35, 20, 47, 32 ], [ 18, 45, 36, 21, 48, 33 ], 
  [ 19, 46, 31, 22, 49, 34 ], [ 23, 51, 37 ], [ 24, 57, 42, 27, 54, 39 ], 
  [ 25, 52, 43, 28, 55, 40 ], [ 26, 53, 38, 29, 56, 41 ] ], 
[ [ 1, 2, 9, 13, 41, 3, 16, 11, 27, 57, 31, 54, 52, 38, 6, 37 ], 
  [ 4, 23, 15, 55, 17, 46, 35, 40 ], 
  [ 5, 30, 12, 34, 33, 26, 50, 21, 32, 19, 18, 53, 45, 28, 22, 39 ], 
  [ 7, 44, 14, 48, 49, 56, 24, 36, 47, 42, 8, 51, 10, 20, 25, 43 ] ] ]:
`3,8` := [ 73, ######## PSL(3,8) ########
[ [ 3, 4, 5, 6, 7, 8, 9 ], [ 11, 17, 16, 15, 14, 13, 12 ], 
  [ 18, 58, 42, 26, 66, 50, 34 ], [ 19, 65, 48, 31, 70, 53, 36 ], 
  [ 20, 59, 49, 32, 71, 54, 37 ], [ 21, 60, 43, 33, 72, 55, 38 ], 
  [ 22, 61, 44, 27, 73, 56, 39 ], [ 23, 62, 45, 28, 67, 57, 40 ], 
  [ 24, 63, 46, 29, 68, 51, 41 ], [ 25, 64, 47, 30, 69, 52, 35 ] ], 
[ [ 1, 2, 10, 11, 19, 3, 18 ], [ 4, 26, 15, 51, 37, 44, 25 ], 
  [ 5, 34, 12, 27, 55, 69, 24 ], [ 6, 42, 17, 67, 64, 30, 23 ], 
  [ 7, 50, 13, 35, 28, 63, 22 ], [ 8, 58, 14, 43, 73, 56, 21 ], 
  [ 9, 66, 16, 59, 46, 41, 20 ], [ 29, 71, 40, 68, 72, 48, 57 ], 
  [ 32, 39, 60, 54, 61, 62, 70 ], [ 33, 47, 49, 65, 38, 52, 45 ] ] ]:
`3,9` := [ 91, ######## PSL(3,9) ########
[ [ 3, 5, 6, 7, 4, 8, 9, 10 ], [ 12, 19, 18, 17, 13, 16, 15, 14 ], 
  [ 20, 74, 29, 47 ], [ 21, 82, 36, 53, 22, 79, 33, 50 ], 
  [ 23, 75, 37, 54, 26, 76, 34, 51 ], [ 24, 77, 30, 55, 27, 80, 31, 52 ], 
  [ 25, 78, 32, 48, 28, 81, 35, 49 ], [ 38, 83, 65, 56 ], 
  [ 39, 91, 72, 62, 40, 88, 69, 59 ], [ 41, 84, 73, 63, 44, 85, 70, 60 ], 
  [ 42, 86, 66, 64, 45, 89, 67, 61 ], [ 43, 87, 68, 57, 46, 90, 71, 58 ] ], 
[ [ 1, 2, 11, 13, 31, 3, 20, 12, 22, 21, 30, 4, 29 ], 
  [ 5, 38, 15, 49, 71, 50, 53, 80, 28, 57, 54, 89, 34 ], 
  [ 6, 47, 17, 67, 41, 87, 43, 42, 24, 75, 64, 45, 33 ], 
  [ 7, 56, 18, 76, 91, 79, 82, 55, 26, 39, 78, 73, 32 ], 
  [ 8, 65, 14, 40, 51, 62, 90, 70, 23, 66, 68, 77, 37 ], 
  [ 9, 74, 19, 85, 61, 72, 59, 63, 27, 48, 44, 60, 36 ], 
  [ 10, 83, 16, 58, 81, 46, 69, 86, 25, 84, 88, 52, 35 ] ] ]:
`3,11` := [ 133, ######## PSL(3,11) ########
[ [ 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 ], 
  [ 14, 23, 22, 21, 20, 19, 18, 17, 16, 15 ], [ 24, 112, 90, 68, 46 ], 
  [ 25, 122, 99, 76, 53, 30, 117, 94, 71, 48 ], 
  [ 26, 113, 100, 77, 54, 31, 118, 95, 72, 49 ], 
  [ 27, 114, 91, 78, 55, 32, 119, 96, 73, 50 ], 
  [ 28, 115, 92, 69, 56, 33, 120, 97, 74, 51 ], 
  [ 29, 116, 93, 70, 47, 34, 121, 98, 75, 52 ], [ 35, 123, 101, 79, 57 ], 
  [ 36, 133, 110, 87, 64, 41, 128, 105, 82, 59 ], 
  [ 37, 124, 111, 88, 65, 42, 129, 106, 83, 60 ], 
  [ 38, 125, 102, 89, 66, 43, 130, 107, 84, 61 ], 
  [ 39, 126, 103, 80, 67, 44, 131, 108, 85, 62 ], 
  [ 40, 127, 104, 81, 58, 45, 132, 109, 86, 63 ] ], 
[ [ 1, 2, 13, 19, 85, 3, 24, 18, 74, 97, 36, 54, 59, 89, 9, 90, 14, 30, 73, 
      86, 12, 123, 22, 118, 61, 111, 93, 102, 104, 126, 88, 10, 101, 16, 52, 
      37, 65, 45, 43, 131, 33, 106, 38, 76, 119, 72, 75, 108, 60, 100, 69, 
      42, 120, 83, 5, 46, 15, 41, 109, 71, 64, 34, 117, 50, 125, 77, 130, 
      132, 44, 32, 95, 124, 66, 56, 81, 7, 68, 20, 96, 25, 128, 110, 82, 6, 
      57, 23, 129, 121, 94, 113, 116, 39, 87, 11, 112, 17, 63, 133, 55, 70, 
      53, 48, 103, 115, 28, 51, 26, 29, 62, 122, 105, 27, 40, 98, 47, 92, 91, 
      80, 8, 79 ], [ 4, 35, 21, 107, 49, 114, 127, 99, 58, 78, 31, 84 ] ] ]:
`3,13` := [ 183, ######## PSL(3,13) ########
[ [ 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14 ], 
  [ 16, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17 ], 
  [ 28, 158, 132, 106, 80, 54 ], 
  [ 29, 170, 143, 116, 89, 62, 35, 164, 137, 110, 83, 56 ], 
  [ 30, 159, 144, 117, 90, 63, 36, 165, 138, 111, 84, 57 ], 
  [ 31, 160, 133, 118, 91, 64, 37, 166, 139, 112, 85, 58 ], 
  [ 32, 161, 134, 107, 92, 65, 38, 167, 140, 113, 86, 59 ], 
  [ 33, 162, 135, 108, 81, 66, 39, 168, 141, 114, 87, 60 ], 
  [ 34, 163, 136, 109, 82, 55, 40, 169, 142, 115, 88, 61 ], 
  [ 41, 171, 145, 119, 93, 67 ], 
  [ 42, 183, 156, 129, 102, 75, 48, 177, 150, 123, 96, 69 ], 
  [ 43, 172, 157, 130, 103, 76, 49, 178, 151, 124, 97, 70 ], 
  [ 44, 173, 146, 131, 104, 77, 50, 179, 152, 125, 98, 71 ], 
  [ 45, 174, 147, 120, 105, 78, 51, 180, 153, 126, 99, 72 ], 
  [ 46, 175, 148, 121, 94, 79, 52, 181, 154, 127, 100, 73 ], 
  [ 47, 176, 149, 122, 95, 68, 53, 182, 155, 128, 101, 74 ] ], 
[ [ 1, 2, 15, 22, 113, 3, 28, 21, 100, 127, 42, 135, 89, 111, 5, 54, 25, 152, 
      43, 148, 147, 134, 76, 39, 151, 30, 34, 86, 72, 143, 37, 125, 172, 149, 
      160, 118, 10, 119, 16, 35, 99, 114, 14, 171, 19, 74, 169, 79, 78, 65, 
      51, 96, 75, 182, 123, 146, 121, 120, 107, 9, 106 ], 
  [ 4, 41, 18, 61, 155, 82, 176, 45, 174, 175, 32, 60, 142, 180, 97, 88, 98, 
      101, 140, 154, 69, 104, 179, 84, 46, 31, 47, 44, 161, 131, 94, 49, 70, 
      117, 11, 132, 24, 139, 141, 167, 53, 122, 133, 63, 181, 110, 6, 67, 26, 
      165, 183, 136, 102, 153, 56, 90, 124, 159, 105, 36, 112 ], 
  [ 7, 80, 20, 87, 85, 59, 129, 68, 91, 137, 115, 13, 158, 27, 178, 71, 130, 
      81, 163, 157, 108, 8, 93, 23, 126, 29, 177, 58, 116, 12, 145, 17, 48, 
      57, 103, 166, 40, 164, 170, 92, 150, 173, 162, 144, 50, 83, 33, 73, 
      156, 95, 62, 168, 66, 64, 38, 138, 128, 55, 77, 52, 109 ] ] ]:
`3,16` := [ 273, ######## PSL(3,16) ########
[ [ 3, 6, 7, 8, 9, 4, 10, 11, 12, 13, 5, 14, 15, 16, 17 ], 
  [ 19, 33, 32, 31, 30, 21, 29, 28, 27, 26, 20, 25, 24, 23, 22 ], 
  [ 34, 242, 210, 194, 162, 50, 114, 82, 258, 226, 66, 178, 146, 130, 98 ], 
  [ 35, 257, 224, 207, 174, 53, 125, 92, 267, 234, 68, 185, 152, 135, 102 ], 
  [ 36, 249, 216, 199, 166, 51, 129, 96, 271, 238, 69, 189, 156, 139, 106 ], 
  [ 37, 253, 220, 203, 170, 52, 121, 88, 263, 230, 67, 193, 160, 143, 110 ], 
  [ 38, 243, 225, 208, 175, 62, 117, 93, 268, 235, 74, 180, 153, 136, 103 ], 
  [ 39, 246, 211, 209, 176, 63, 126, 85, 269, 236, 75, 186, 148, 137, 104 ], 
  [ 40, 247, 214, 195, 177, 64, 127, 94, 261, 237, 76, 187, 154, 132, 105 ], 
  [ 41, 248, 215, 198, 163, 65, 128, 95, 270, 229, 77, 188, 155, 138, 100 ], 
  [ 42, 244, 217, 200, 167, 54, 115, 97, 272, 239, 78, 181, 157, 140, 107 ], 
  [ 43, 250, 212, 201, 168, 55, 118, 83, 273, 240, 79, 190, 149, 141, 108 ], 
  [ 44, 251, 218, 196, 169, 56, 119, 86, 259, 241, 80, 191, 158, 133, 109 ], 
  [ 45, 252, 219, 202, 164, 57, 120, 87, 262, 227, 81, 192, 159, 142, 101 ], 
  [ 46, 245, 221, 204, 171, 58, 116, 89, 264, 231, 70, 179, 161, 144, 111 ], 
  [ 47, 254, 213, 205, 172, 59, 122, 84, 265, 232, 71, 182, 147, 145, 112 ], 
  [ 48, 255, 222, 197, 173, 60, 123, 90, 260, 233, 72, 183, 150, 131, 113 ], 
  [ 49, 256, 223, 206, 165, 61, 124, 91, 266, 228, 73, 184, 151, 134, 99 ] ], 
[ [ 1, 2, 18, 19, 35, 3, 34 ], [ 4, 50, 20, 51, 52, 68, 37 ], 
  [ 5, 66, 21, 67, 69, 53, 36 ], [ 6, 82, 30, 211, 120, 134, 49 ], 
  [ 7, 98, 27, 163, 154, 183, 48 ], [ 8, 114, 22, 83, 222, 264, 47 ], 
  [ 9, 130, 33, 259, 239, 89, 46 ], [ 10, 146, 23, 99, 171, 250, 45 ], 
  [ 11, 162, 26, 147, 103, 203, 44 ], [ 12, 178, 32, 243, 205, 108, 43 ], 
  [ 13, 194, 28, 179, 256, 173, 42 ], [ 14, 210, 24, 115, 86, 238, 41 ], 
  [ 15, 226, 25, 131, 273, 223, 40 ], [ 16, 242, 29, 195, 188, 160, 39 ], 
  [ 17, 258, 31, 227, 137, 129, 38 ], [ 54, 148, 167, 186, 144, 241, 121 ], 
  [ 55, 164, 218, 200, 220, 216, 152 ], [ 56, 180, 128, 262, 255, 157, 215 ], 
  [ 57, 196, 252, 109, 91, 126, 230 ], [ 58, 212, 184, 96, 206, 140, 177 ], 
  [ 59, 228, 201, 236, 233, 185, 112 ], [ 60, 244, 269, 159, 263, 271, 207 ], 
  [ 61, 260, 111, 139, 161, 87, 254 ], [ 62, 84, 94, 174, 106, 251, 93 ], 
  [ 63, 100, 235, 217, 168, 202, 268 ], [ 64, 116, 150, 119, 118, 102, 187 ], 
  [ 65, 132, 145, 257, 189, 176, 138 ], [ 70, 213, 248, 237, 249, 253, 125 ], 
  [ 71, 229, 265, 95, 190, 208, 156 ], [ 72, 245, 141, 193, 240, 105, 219 ], 
  [ 73, 261, 175, 122, 166, 170, 234 ], [ 74, 85, 158, 247, 221, 232, 169 ], 
  [ 75, 101, 107, 267, 143, 225, 104 ], [ 76, 117, 214, 136, 113, 155, 199 ], 
  [ 77, 133, 209, 172, 266, 127, 246 ], [ 78, 149, 231, 153, 151, 135, 97 ], 
  [ 79, 165, 90, 110, 123, 182, 272 ], [ 80, 181, 192, 224, 88, 270, 191 ], 
  [ 81, 197, 124, 198, 204, 92, 142 ] ] ]:
`3,17` := [ 307, ######## PSL(3,17) ########
[ [ 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 ], 
  [ 20, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21 ], 
  [ 36, 274, 240, 206, 172, 138, 104, 70 ], 
  [ 37, 290, 255, 220, 185, 150, 115, 80, 45, 282, 247, 212, 177, 142, 107, 
      72 ], [ 38, 275, 256, 221, 186, 151, 116, 81, 46, 283, 248, 213, 178, 
      143, 108, 73 ], 
  [ 39, 276, 241, 222, 187, 152, 117, 82, 47, 284, 249, 214, 179, 144, 109, 
      74 ], [ 40, 277, 242, 207, 188, 153, 118, 83, 48, 285, 250, 215, 180, 
      145, 110, 75 ], 
  [ 41, 278, 243, 208, 173, 154, 119, 84, 49, 286, 251, 216, 181, 146, 111, 
      76 ], [ 42, 279, 244, 209, 174, 139, 120, 85, 50, 287, 252, 217, 182, 
      147, 112, 77 ], 
  [ 43, 280, 245, 210, 175, 140, 105, 86, 51, 288, 253, 218, 183, 148, 113, 
      78 ], [ 44, 281, 246, 211, 176, 141, 106, 71, 52, 289, 254, 219, 184, 
      149, 114, 79 ], [ 53, 291, 257, 223, 189, 155, 121, 87 ], 
  [ 54, 307, 272, 237, 202, 167, 132, 97, 62, 299, 264, 229, 194, 159, 124, 
      89 ], [ 55, 292, 273, 238, 203, 168, 133, 98, 63, 300, 265, 230, 195, 
      160, 125, 90 ], 
  [ 56, 293, 258, 239, 204, 169, 134, 99, 64, 301, 266, 231, 196, 161, 126, 
      91 ], [ 57, 294, 259, 224, 205, 170, 135, 100, 65, 302, 267, 232, 197, 
      162, 127, 92 ], 
  [ 58, 295, 260, 225, 190, 171, 136, 101, 66, 303, 268, 233, 198, 163, 128, 
      93 ], [ 59, 296, 261, 226, 191, 156, 137, 102, 67, 304, 269, 234, 199, 
      164, 129, 94 ], 
  [ 60, 297, 262, 227, 192, 157, 122, 103, 68, 305, 270, 235, 200, 165, 130, 
      95 ], [ 61, 298, 263, 228, 193, 158, 123, 88, 69, 306, 271, 236, 201, 
      166, 131, 96 ] ], 
[ [ 1, 2, 19, 28, 181, 3, 36, 30, 215, 145, 275, 299, 254, 176, 8, 121, 29, 
      198, 73, 297, 220, 230, 255, 193, 260, 279, 95, 38, 98, 89, 208, 298, 
      237, 102, 157, 116, 86, 246, 40, 132, 233, 306, 101, 140, 190, 209, 43, 
      183, 17, 274, 27, 164, 235, 68, 83, 195, 294, 169, 48, 268, 143, 241, 
      227, 204, 175, 9, 138, 20, 45, 217, 179, 5, 70, 25, 130, 199, 90, 225, 
      170, 65, 304, 67, 66, 49, 285, 197, 56, 151, 105, 171, 82, 178, 6, 87, 
      21, 62, 253, 159, 150, 88, 191, 226, 187, 13, 206, 26, 147, 37, 81, 
      161, 184, 16, 257, 24, 113, 307, 118, 120, 154, 156, 99, 106, 188, 12, 
      189, 22, 79, 127, 148, 54, 117, 103, 174, 10, 155, 31, 232, 289, 265, 
      92, 259, 262, 41, 149, 71, 263, 58, 185, 15, 240, 23, 96, 55, 134, 267, 
      126, 131, 216, 162, 201, 124, 97, 72, 280, 112, 290, 282, 146, 292, 
      135, 284, 180, 4, 53, 32, 249, 91, 242, 244, 278, 78, 110, 256, 210, 
      60, 219, 213, 111, 273, 228, 221, 247, 57, 168, 303, 50, 302, 305, 84, 
      212, 94, 293, 152, 122, 63, 270, 177, 7, 104, 35, 300, 271, 194, 277, 
      61, 236, 85, 229, 238, 119, 137, 46, 234, 51, 47, 251, 125, 114, 52, 
      64, 287, 231, 272, 211, 77, 93, 276, 44, 200, 107, 205, 192, 243, 261, 
      296, 203, 158, 133, 250, 108, 222, 264, 75, 59, 202, 141, 207, 281, 
      129, 182, 18, 291, 33, 266, 109, 239, 136, 301, 288, 248, 74, 42, 166, 
      269, 160, 167, 286, 214, 128, 165, 252, 142, 224, 153, 139, 173, 11, 
      172 ], 
  [ 14, 223, 34, 283, 163, 218, 196, 39, 115, 69, 100, 123, 80, 144, 258, 
      245, 295, 186 ] ] ]:
`3,19` := [ 381, ######## PSL(3,19) ########
[ [ 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ], 
  [ 22, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23 ], 
  [ 40, 344, 306, 268, 230, 192, 154, 116, 78 ], 
  [ 41, 362, 323, 284, 245, 206, 167, 128, 89, 50, 353, 314, 275, 236, 197, 
      158, 119, 80 ], 
  [ 42, 345, 324, 285, 246, 207, 168, 129, 90, 51, 354, 315, 276, 237, 198, 
      159, 120, 81 ], 
  [ 43, 346, 307, 286, 247, 208, 169, 130, 91, 52, 355, 316, 277, 238, 199, 
      160, 121, 82 ], 
  [ 44, 347, 308, 269, 248, 209, 170, 131, 92, 53, 356, 317, 278, 239, 200, 
      161, 122, 83 ], 
  [ 45, 348, 309, 270, 231, 210, 171, 132, 93, 54, 357, 318, 279, 240, 201, 
      162, 123, 84 ], 
  [ 46, 349, 310, 271, 232, 193, 172, 133, 94, 55, 358, 319, 280, 241, 202, 
      163, 124, 85 ], 
  [ 47, 350, 311, 272, 233, 194, 155, 134, 95, 56, 359, 320, 281, 242, 203, 
      164, 125, 86 ], 
  [ 48, 351, 312, 273, 234, 195, 156, 117, 96, 57, 360, 321, 282, 243, 204, 
      165, 126, 87 ], 
  [ 49, 352, 313, 274, 235, 196, 157, 118, 79, 58, 361, 322, 283, 244, 205, 
      166, 127, 88 ], [ 59, 363, 325, 287, 249, 211, 173, 135, 97 ], 
  [ 60, 381, 342, 303, 264, 225, 186, 147, 108, 69, 372, 333, 294, 255, 216, 
      177, 138, 99 ], 
  [ 61, 364, 343, 304, 265, 226, 187, 148, 109, 70, 373, 334, 295, 256, 217, 
      178, 139, 100 ], 
  [ 62, 365, 326, 305, 266, 227, 188, 149, 110, 71, 374, 335, 296, 257, 218, 
      179, 140, 101 ], 
  [ 63, 366, 327, 288, 267, 228, 189, 150, 111, 72, 375, 336, 297, 258, 219, 
      180, 141, 102 ], 
  [ 64, 367, 328, 289, 250, 229, 190, 151, 112, 73, 376, 337, 298, 259, 220, 
      181, 142, 103 ], 
  [ 65, 368, 329, 290, 251, 212, 191, 152, 113, 74, 377, 338, 299, 260, 221, 
      182, 143, 104 ], 
  [ 66, 369, 330, 291, 252, 213, 174, 153, 114, 75, 378, 339, 300, 261, 222, 
      183, 144, 105 ], 
  [ 67, 370, 331, 292, 253, 214, 175, 136, 115, 76, 379, 340, 301, 262, 223, 
      184, 145, 106 ], 
  [ 68, 371, 332, 293, 254, 215, 176, 137, 98, 77, 380, 341, 302, 263, 224, 
      185, 146, 107 ] ], 
[ [ 1, 2, 21, 31, 221, 3, 40, 30, 202, 241, 60, 150, 176, 228, 14, 249, 27, 
      145, 81, 128, 77, 131, 134, 191, 171, 294, 124, 343, 273, 186, 76, 112, 
      156, 351, 244, 117, 210, 51, 220, 4, 59, 36, 316, 101, 289, 371, 303, 
      295, 143, 43, 68, 302, 276, 243, 98, 232, 231, 212, 12, 211 ], 
  [ 5, 78, 33, 259, 141, 347, 168, 237, 326, 292, 86, 223, 19, 344, 35, 297, 
      181, 323, 234, 269, 110, 118, 229, 13, 230, 22, 50, 201, 222, 20, 363, 
      37, 335, 121, 286, 91, 318, 139, 309, 310, 329, 349, 206, 317, 120, 
      267, 293, 105, 365, 189, 133, 172, 313, 44, 87, 242, 79, 90, 299, 219 ],
  [ 6, 97, 23, 69, 321, 196, 127, 58, 353, 282, 357, 358, 377, 75, 93, 356, 
      339, 197, 146, 100, 270, 129, 96, 71, 359, 54, 277, 262, 198, 165, 180, 
      304, 314, 63, 207, 336, 140, 328, 330, 368, 246, 155, 332, 64, 226, 16, 
      287, 29, 183, 361, 92, 337, 159, 66, 264, 236, 307, 272, 167, 218 ], 
  [ 7, 116, 39, 373, 341, 235, 288, 352, 263, 217 ], 
  [ 8, 135, 24, 88, 261, 179, 285, 72, 378, 94, 375, 379, 113, 175, 209, 374, 
      360, 73, 55, 296, 162, 123, 324, 253, 369, 265, 255, 65, 245, 136, 252, 
      350, 225, 17, 306, 25, 107, 61, 169, 256, 84, 185, 57, 334, 102, 308, 
      291, 67, 283, 376, 56, 315, 82, 147, 119, 248, 193, 70, 340, 216 ], 
  [ 9, 154, 28, 164, 161, 104, 346, 149, 157, 370, 284, 53, 258, 122, 305, 
      333, 83, 166, 199, 184, 380, 132, 153, 233, 250, 312, 367, 227, 15, 
      268, 34, 278, 281, 338, 178, 266, 274, 205, 298, 200, 203, 260, 160, 
      85, 204, 279, 300, 238, 345, 130, 115, 213, 11, 192, 32, 240, 41, 372, 
      322, 215 ], 
  [ 10, 173, 38, 354, 301, 257, 103, 327, 311, 348, 187, 95, 52, 239, 364, 
      170, 275, 224, 18, 325, 26, 126, 381, 151, 195, 108, 80, 109, 99, 251, 
      331, 45, 106, 42, 49, 182, 342, 254, 46, 125, 362, 111, 137, 271, 148, 
      138, 290, 48, 163, 142, 366, 208, 355, 320, 177, 247, 174, 190, 152, 
      214 ], [ 47, 144, 62, 188, 114, 194, 89, 280, 319, 158 ] ] ]:
`4,2` := [ 15, ######## PSL(4,2) ########
[ [ 8, 12 ], [ 9, 13 ], [ 10, 14 ], [ 11, 15 ] ], 
[ [ 1, 2, 4, 8 ], [ 3, 6, 12, 9 ], [ 5, 10 ], [ 7, 14, 13, 11 ] ] ]:
`4,3` := [ 40, ######## PSL(4,3) ########
[ [ 14, 23, 32 ], [ 15, 24, 33 ], [ 16, 25, 34 ], [ 17, 26, 35 ], 
  [ 18, 27, 36 ], [ 19, 28, 37 ], [ 20, 29, 38 ], [ 21, 30, 39 ], 
  [ 22, 31, 40 ] ], 
[ [ 1, 2, 5, 14 ], [ 3, 8, 23, 16 ], [ 4, 11, 32, 15 ], [ 6, 17, 7, 20 ], 
  [ 9, 26, 25, 22 ], [ 10, 29, 34, 18 ], [ 12, 35, 33, 21 ], 
  [ 13, 38, 24, 19 ], [ 27, 28, 31, 40 ], [ 30, 37, 36, 39 ] ] ]:
`4,4` := [ 85, ######## PSL(4,4) ########
[ [ 7, 8, 9 ], [ 10, 14, 18 ], [ 11, 16, 21 ], [ 12, 17, 19 ], 
  [ 13, 15, 20 ], [ 23, 25, 24 ], [ 26, 34, 30 ], [ 27, 37, 32 ], 
  [ 28, 35, 33 ], [ 29, 36, 31 ], [ 38, 54, 70 ], [ 39, 57, 72 ], 
  [ 40, 55, 73 ], [ 41, 56, 71 ], [ 42, 66, 78 ], [ 43, 69, 80 ], 
  [ 44, 67, 81 ], [ 45, 68, 79 ], [ 46, 58, 82 ], [ 47, 61, 84 ], 
  [ 48, 59, 85 ], [ 49, 60, 83 ], [ 50, 62, 74 ], [ 51, 65, 76 ], 
  [ 52, 63, 77 ], [ 53, 64, 75 ] ], 
[ [ 1, 2, 6, 22, 23, 27, 43, 11, 42, 7, 26, 39, 3, 10, 38 ], 
  [ 4, 14, 54, 24, 31, 59, 64, 84, 61, 60, 68, 52, 20, 78, 41 ], 
  [ 5, 18, 70, 25, 35, 75, 85, 65, 76, 77, 81, 49, 17, 66, 40 ], 
  [ 8, 30, 55, 32, 63, 80, 45, 19, 74, 73, 33, 67, 48, 13, 50 ], 
  [ 9, 34, 71, 37, 83, 69, 44, 15, 58, 56, 36, 79, 53, 12, 46 ], 
  [ 16, 62, 72, 29, 51 ], [ 21, 82, 57, 28, 47 ] ] ]:
`4,5` := [ 156, ######## PSL(4,5) ########
[ [ 8, 9, 10, 11 ], [ 12, 17, 22, 27 ], [ 13, 19, 25, 31 ], 
  [ 14, 20, 26, 28 ], [ 15, 21, 23, 29 ], [ 16, 18, 24, 30 ], 
  [ 33, 36, 35, 34 ], [ 37, 52, 47, 42 ], [ 38, 56, 50, 44 ], 
  [ 39, 53, 51, 45 ], [ 40, 54, 48, 46 ], [ 41, 55, 49, 43 ], [ 57, 107 ], 
  [ 58, 111, 60, 109 ], [ 59, 108, 61, 110 ], [ 62, 127, 72, 117 ], 
  [ 63, 131, 75, 119 ], [ 64, 128, 76, 120 ], [ 65, 129, 73, 121 ], 
  [ 66, 130, 74, 118 ], [ 67, 112, 77, 122 ], [ 68, 116, 80, 124 ], 
  [ 69, 113, 81, 125 ], [ 70, 114, 78, 126 ], [ 71, 115, 79, 123 ], 
  [ 82, 132 ], [ 83, 136, 85, 134 ], [ 84, 133, 86, 135 ], 
  [ 87, 152, 97, 142 ], [ 88, 156, 100, 144 ], [ 89, 153, 101, 145 ], 
  [ 90, 154, 98, 146 ], [ 91, 155, 99, 143 ], [ 92, 137, 102, 147 ], 
  [ 93, 141, 105, 149 ], [ 94, 138, 106, 150 ], [ 95, 139, 103, 151 ], 
  [ 96, 140, 104, 148 ] ], 
[ [ 1, 2, 7, 32, 35, 50, 125, 13, 62, 134, 53, 140, 113, 15, 72, 84, 51, 130, 
      31, 152, 83, 46, 105, 81, 124, 28, 137, 108, 5, 22, 107 ], 
  [ 3, 12, 57, 34, 45, 100, 156, 93, 121, 24, 117, 9, 42, 85, 56, 155, 88, 
      96, 116, 30, 147, 58, 54, 145, 138, 123, 23, 112, 10, 47, 110 ], 
  [ 4, 17, 82, 36, 55, 150, 63, 154, 103, 71, 74, 89, 101, 141, 118, 29, 142, 
      133, 48, 115, 25, 122, 8, 37, 60, 44, 95, 131, 16, 77, 109 ], 
  [ 6, 27, 132, 33, 40, 75, 94, 126, 18, 87, 86, 41, 80, 119, 14, 67, 59, 39, 
      70, 69, 64, 139, 128, 21, 102, 61, 49, 120, 19, 92, 111 ], 
  [ 11, 52, 135, 38, 65, 144, 153, 98, 146, 143, 148, 73, 104, 76, 99, 151, 
      68, 79, 114, 20, 97, 136, 43, 90, 106, 66, 149, 78, 129, 26, 127 ] ] ]:
`4,7` := [ 400, ######## PSL(4,7) ########
[ [ 10, 11, 12, 13, 14, 15 ], [ 16, 23, 30, 37, 44, 51 ], 
  [ 17, 25, 33, 41, 49, 57 ], [ 18, 26, 34, 42, 50, 52 ], 
  [ 19, 27, 35, 43, 45, 53 ], [ 20, 28, 36, 38, 46, 54 ], 
  [ 21, 29, 31, 39, 47, 55 ], [ 22, 24, 32, 40, 48, 56 ], 
  [ 59, 64, 63, 62, 61, 60 ], [ 65, 100, 93, 86, 79, 72 ], 
  [ 66, 106, 98, 90, 82, 74 ], [ 67, 101, 99, 91, 83, 75 ], 
  [ 68, 102, 94, 92, 84, 76 ], [ 69, 103, 95, 87, 85, 77 ], 
  [ 70, 104, 96, 88, 80, 78 ], [ 71, 105, 97, 89, 81, 73 ], [ 107, 303, 205 ],
  [ 108, 309, 210, 111, 306, 207 ], [ 109, 304, 211, 112, 307, 208 ], 
  [ 110, 305, 206, 113, 308, 209 ], [ 114, 345, 240, 135, 324, 219 ], 
  [ 115, 351, 245, 139, 327, 221 ], [ 116, 346, 246, 140, 328, 222 ], 
  [ 117, 347, 241, 141, 329, 223 ], [ 118, 348, 242, 136, 330, 224 ], 
  [ 119, 349, 243, 137, 325, 225 ], [ 120, 350, 244, 138, 326, 220 ], 
  [ 121, 310, 247, 142, 331, 226 ], [ 122, 316, 252, 146, 334, 228 ], 
  [ 123, 311, 253, 147, 335, 229 ], [ 124, 312, 248, 148, 336, 230 ], 
  [ 125, 313, 249, 143, 337, 231 ], [ 126, 314, 250, 144, 332, 232 ], 
  [ 127, 315, 251, 145, 333, 227 ], [ 128, 317, 212, 149, 338, 233 ], 
  [ 129, 323, 217, 153, 341, 235 ], [ 130, 318, 218, 154, 342, 236 ], 
  [ 131, 319, 213, 155, 343, 237 ], [ 132, 320, 214, 150, 344, 238 ], 
  [ 133, 321, 215, 151, 339, 239 ], [ 134, 322, 216, 152, 340, 234 ], 
  [ 156, 352, 254 ], [ 157, 358, 259, 160, 355, 256 ], 
  [ 158, 353, 260, 161, 356, 257 ], [ 159, 354, 255, 162, 357, 258 ], 
  [ 163, 394, 289, 184, 373, 268 ], [ 164, 400, 294, 188, 376, 270 ], 
  [ 165, 395, 295, 189, 377, 271 ], [ 166, 396, 290, 190, 378, 272 ], 
  [ 167, 397, 291, 185, 379, 273 ], [ 168, 398, 292, 186, 374, 274 ], 
  [ 169, 399, 293, 187, 375, 269 ], [ 170, 359, 296, 191, 380, 275 ], 
  [ 171, 365, 301, 195, 383, 277 ], [ 172, 360, 302, 196, 384, 278 ], 
  [ 173, 361, 297, 197, 385, 279 ], [ 174, 362, 298, 192, 386, 280 ], 
  [ 175, 363, 299, 193, 381, 281 ], [ 176, 364, 300, 194, 382, 276 ], 
  [ 177, 366, 261, 198, 387, 282 ], [ 178, 372, 266, 202, 390, 284 ], 
  [ 179, 367, 267, 203, 391, 285 ], [ 180, 368, 262, 204, 392, 286 ], 
  [ 181, 369, 263, 199, 393, 287 ], [ 182, 370, 264, 200, 388, 288 ], 
  [ 183, 371, 265, 201, 389, 283 ] ], 
[ [ 1, 2, 9, 58, 62, 90, 286, 17, 114, 305, 84, 244, 278, 18, 121, 354, 94, 
      314, 196, 120, 333, 329, 301, 56, 387, 157, 85, 251, 327, 287, 24, 163, 
      211, 96, 328, 294, 22, 149, 256, 5, 30, 205, 61, 83, 237, 229, 173, 
      295, 29, 198, 162, 78, 202, 204, 176, 274, 47, 324, 259, 8, 51, 352, 
      59, 69, 139, 172, 288, 31, 212, 355, 101, 363, 262, 20, 135, 158, 92, 
      300, 49, 338, 357, 73, 167, 253, 341, 385, 122, 389, 192, 134, 137, 
      200, 190, 372, 325, 273, 40, 275, 11, 72, 160, 106, 398, 213, 397, 248, 
      348, 140, 179, 337, 315, 203, 169, 225, 145, 214, 362, 297, 28, 191, 
      113, 88, 272, 33, 226, 159, 99, 349, 147, 228, 166, 246, 292, 50, 345, 
      112, 81, 223, 131, 116, 347, 133, 130, 151, 298, 35, 240, 257, 4, 23, 
      156, 64, 104, 384, 115, 340, 378, 367, 332, 322, 252, 334, 336, 350, 
      154, 277, 53, 366, 304, 77, 195, 155, 284, 45, 310, 161, 71, 153, 270, 
      19, 128, 109, 102, 370, 311, 175, 267, 55, 380, 108, 95, 321, 245, 285, 
      52, 359, 255, 6, 37, 254 ], 
  [ 3, 16, 107, 60, 76, 188, 400, 227, 201, 197, 127, 382, 143, 242, 264, 34, 
      233, 208, 75, 181, 351, 119, 326, 280, 32, 219, 110, 67, 125, 368, 339, 
      371, 318, 224, 138, 165, 239, 243, 271, 26, 177, 309, 70, 146, 221, 
      117, 312, 182, 316, 168, 218, 390, 199, 183, 323, 217, 383, 150, 291, 
      43, 296, 14, 93, 307, 98, 342, 392, 171, 281, 39, 268, 12, 79, 209, 82, 
      230, 180, 344, 364, 269, 54, 373, 353, 87, 265, 41, 282, 10, 65, 111, 
      74, 174, 302, 21, 142, 207, 68, 132, 123, 396, 241, 299, 42, 289, 15, 
      100, 356, 66, 118, 319, 231, 187, 393, 178, 330, 266, 48, 331, 308, 
      105, 391, 164, 232, 194, 148, 235, 215, 369, 346, 126, 375, 388, 185, 
      379, 374, 381, 136, 193, 141, 186, 386, 129, 144, 249, 313, 189, 365, 
      276, 46, 317, 210, 89, 279, 25, 170, 260, 7, 44, 303, 63, 97, 335, 343, 
      399, 220, 152, 263, 27, 184, 358, 80, 216, 376, 395, 234, 250, 320, 
      238, 236, 222, 124, 361, 290, 36, 247, 306, 91, 293, 57, 394, 206, 103, 
      377, 360, 283, 38, 261, 13, 86, 258 ] ] ]:
`4,8` := [ 585, ######## PSL(4,8) ########
[ [ 11, 12, 13, 14, 15, 16, 17 ], [ 18, 26, 34, 42, 50, 58, 66 ], 
  [ 19, 28, 37, 46, 55, 64, 73 ], [ 20, 29, 38, 47, 56, 65, 67 ], 
  [ 21, 30, 39, 48, 57, 59, 68 ], [ 22, 31, 40, 49, 51, 60, 69 ], 
  [ 23, 32, 41, 43, 52, 61, 70 ], [ 24, 33, 35, 44, 53, 62, 71 ], 
  [ 25, 27, 36, 45, 54, 63, 72 ], [ 75, 81, 80, 79, 78, 77, 76 ], 
  [ 82, 130, 122, 114, 106, 98, 90 ], [ 83, 137, 128, 119, 110, 101, 92 ], 
  [ 84, 131, 129, 120, 111, 102, 93 ], [ 85, 132, 123, 121, 112, 103, 94 ], 
  [ 86, 133, 124, 115, 113, 104, 95 ], [ 87, 134, 125, 116, 107, 105, 96 ], 
  [ 88, 135, 126, 117, 108, 99, 97 ], [ 89, 136, 127, 118, 109, 100, 91 ], 
  [ 138, 458, 330, 202, 522, 394, 266 ], [ 139, 465, 336, 207, 526, 397, 268 ]
    , [ 140, 459, 337, 208, 527, 398, 269 ], 
  [ 141, 460, 331, 209, 528, 399, 270 ], [ 142, 461, 332, 203, 529, 400, 271 ]
    , [ 143, 462, 333, 204, 523, 401, 272 ], 
  [ 144, 463, 334, 205, 524, 395, 273 ], [ 145, 464, 335, 206, 525, 396, 267 ]
    , [ 146, 514, 378, 242, 554, 418, 282 ], 
  [ 147, 521, 384, 247, 558, 421, 284 ], [ 148, 515, 385, 248, 559, 422, 285 ]
    , [ 149, 516, 379, 249, 560, 423, 286 ], 
  [ 150, 517, 380, 243, 561, 424, 287 ], [ 151, 518, 381, 244, 555, 425, 288 ]
    , [ 152, 519, 382, 245, 556, 419, 289 ], 
  [ 153, 520, 383, 246, 557, 420, 283 ], [ 154, 466, 386, 250, 562, 426, 290 ]
    , [ 155, 473, 392, 255, 566, 429, 292 ], 
  [ 156, 467, 393, 256, 567, 430, 293 ], [ 157, 468, 387, 257, 568, 431, 294 ]
    , [ 158, 469, 388, 251, 569, 432, 295 ], 
  [ 159, 470, 389, 252, 563, 433, 296 ], [ 160, 471, 390, 253, 564, 427, 297 ]
    , [ 161, 472, 391, 254, 565, 428, 291 ], 
  [ 162, 474, 338, 258, 570, 434, 298 ], [ 163, 481, 344, 263, 574, 437, 300 ]
    , [ 164, 475, 345, 264, 575, 438, 301 ], 
  [ 165, 476, 339, 265, 576, 439, 302 ], [ 166, 477, 340, 259, 577, 440, 303 ]
    , [ 167, 478, 341, 260, 571, 441, 304 ], 
  [ 168, 479, 342, 261, 572, 435, 305 ], [ 169, 480, 343, 262, 573, 436, 299 ]
    , [ 170, 482, 346, 210, 578, 442, 306 ], 
  [ 171, 489, 352, 215, 582, 445, 308 ], [ 172, 483, 353, 216, 583, 446, 309 ]
    , [ 173, 484, 347, 217, 584, 447, 310 ], 
  [ 174, 485, 348, 211, 585, 448, 311 ], [ 175, 486, 349, 212, 579, 449, 312 ]
    , [ 176, 487, 350, 213, 580, 443, 313 ], 
  [ 177, 488, 351, 214, 581, 444, 307 ], [ 178, 490, 354, 218, 530, 450, 314 ]
    , [ 179, 497, 360, 223, 534, 453, 316 ], 
  [ 180, 491, 361, 224, 535, 454, 317 ], [ 181, 492, 355, 225, 536, 455, 318 ]
    , [ 182, 493, 356, 219, 537, 456, 319 ], 
  [ 183, 494, 357, 220, 531, 457, 320 ], [ 184, 495, 358, 221, 532, 451, 321 ]
    , [ 185, 496, 359, 222, 533, 452, 315 ], 
  [ 186, 498, 362, 226, 538, 402, 322 ], [ 187, 505, 368, 231, 542, 405, 324 ]
    , [ 188, 499, 369, 232, 543, 406, 325 ], 
  [ 189, 500, 363, 233, 544, 407, 326 ], [ 190, 501, 364, 227, 545, 408, 327 ]
    , [ 191, 502, 365, 228, 539, 409, 328 ], 
  [ 192, 503, 366, 229, 540, 403, 329 ], [ 193, 504, 367, 230, 541, 404, 323 ]
    , [ 194, 506, 370, 234, 546, 410, 274 ], 
  [ 195, 513, 376, 239, 550, 413, 276 ], [ 196, 507, 377, 240, 551, 414, 277 ]
    , [ 197, 508, 371, 241, 552, 415, 278 ], 
  [ 198, 509, 372, 235, 553, 416, 279 ], [ 199, 510, 373, 236, 547, 417, 280 ]
    , [ 200, 511, 374, 237, 548, 411, 281 ], 
  [ 201, 512, 375, 238, 549, 412, 275 ] ], 
[ [ 1, 2, 10, 74, 75, 83, 147, 19, 146, 11, 82, 139, 3, 18, 138 ], 
  [ 4, 26, 202, 79, 115, 403, 293, 364, 281, 212, 447, 197, 44, 346, 145 ], 
  [ 5, 34, 266, 76, 91, 211, 439, 581, 408, 277, 236, 191, 69, 546, 144 ], 
  [ 6, 42, 330, 81, 131, 531, 512, 222, 471, 342, 553, 184, 30, 234, 143 ], 
  [ 7, 50, 394, 77, 99, 275, 220, 511, 214, 407, 325, 172, 63, 498, 142 ], 
  [ 8, 58, 458, 78, 107, 339, 585, 440, 533, 472, 350, 169, 56, 442, 141 ], 
  [ 9, 66, 522, 80, 123, 467, 366, 297, 340, 537, 504, 158, 41, 322, 140 ], 
  [ 12, 90, 203, 119, 435, 549, 152, 59, 466, 334, 105, 323, 156, 25, 194 ], 
  [ 13, 98, 267, 92, 219, 503, 150, 43, 338, 529, 120, 443, 165, 24, 186 ], 
  [ 14, 106, 331, 137, 579, 448, 149, 35, 274, 204, 127, 499, 174, 23, 178 ], 
  [ 15, 114, 395, 101, 291, 348, 153, 67, 530, 464, 94, 235, 183, 22, 170 ], 
  [ 16, 122, 459, 110, 363, 329, 148, 27, 210, 399, 133, 547, 192, 21, 162 ], 
  [ 17, 130, 523, 128, 507, 238, 151, 51, 402, 269, 108, 347, 201, 20, 154 ], 
  [ 28, 218, 463, 86, 171, 55, 434, 525, 88, 187, 37, 290, 332, 89, 195 ], 
  [ 29, 226, 527, 104, 315, 540, 584, 432, 469, 382, 425, 413, 373, 353, 193 ]
    , [ 31, 242, 207, 95, 243, 247, 223, 479, 406, 317, 556, 264, 359, 241, 
      175 ], 
  [ 32, 250, 271, 124, 475, 430, 509, 254, 279, 252, 319, 572, 392, 505, 166 ]
    , [ 33, 258, 335, 113, 387, 521, 294, 372, 345, 577, 376, 377, 385, 449, 
      157 ], 
  [ 36, 282, 268, 100, 283, 284, 292, 356, 217, 431, 517, 318, 564, 328, 196 ]
    , [ 38, 298, 396, 109, 355, 265, 367, 305, 404, 301, 428, 493, 574, 352, 
      185 ], 
  [ 39, 306, 460, 118, 427, 485, 510, 262, 343, 561, 248, 231, 543, 552, 176 ]
    , [ 40, 314, 524, 136, 571, 384, 441, 541, 536, 496, 542, 544, 560, 240, 
      167 ], 
  [ 45, 354, 209, 111, 371, 393, 513, 230, 535, 488, 478, 454, 253, 327, 188 ]
    , [ 46, 362, 273, 84, 155, 73, 578, 400, 85, 163, 64, 506, 206, 87, 179 ],
  [ 47, 370, 337, 129, 515, 302, 436, 557, 216, 423, 453, 245, 263, 351, 177 ]
    , [ 48, 378, 401, 93, 227, 567, 296, 388, 473, 358, 233, 559, 232, 551, 
      168 ], 
  [ 49, 386, 465, 102, 299, 412, 365, 289, 276, 228, 575, 360, 249, 239, 159 ]
    , [ 52, 410, 333, 97, 259, 375, 369, 321, 532, 520, 286, 308, 484, 502, 
      198 ], 
  [ 53, 418, 397, 117, 419, 421, 437, 565, 280, 260, 383, 433, 477, 446, 189 ]
    , [ 54, 426, 461, 126, 491, 558, 224, 487, 470, 390, 489, 486, 518, 326, 
      180 ], 
  [ 57, 450, 205, 135, 563, 320, 580, 456, 213, 455, 261, 391, 497, 550, 160 ]
    , [ 60, 474, 398, 125, 483, 494, 582, 416, 341, 545, 568, 304, 452, 237, 
      199 ], 
  [ 61, 482, 462, 134, 555, 256, 295, 380, 409, 285, 300, 420, 429, 501, 190 ]
    , [ 62, 490, 526, 96, 251, 311, 508, 246, 215, 415, 389, 481, 422, 445, 
      181 ], 
  [ 65, 514, 270, 116, 411, 357, 225, 495, 534, 480, 414, 381, 417, 349, 161 ]
    , [ 68, 538, 528, 112, 379, 457, 221, 519, 278, 244, 255, 287, 316, 548, 
      200 ], 
  [ 70, 554, 208, 103, 307, 476, 438, 573, 344, 569, 312, 516, 310, 500, 182 ]
    , [ 71, 562, 272, 132, 539, 576, 368, 313, 468, 374, 361, 257, 303, 444, 
      173 ], 
  [ 72, 570, 336, 121, 451, 229, 583, 424, 405, 309, 492, 566, 288, 324, 164 
     ] ] ]:
`4,9` := [ 820, ######## PSL(4,9) ########
[ [ 12, 14, 15, 16, 13, 17, 18, 19 ], [ 20, 38, 47, 56, 29, 65, 74, 83 ], 
  [ 21, 41, 51, 61, 31, 71, 81, 91 ], [ 22, 44, 54, 64, 30, 68, 78, 88 ], 
  [ 23, 42, 52, 58, 35, 72, 82, 84 ], [ 24, 43, 49, 62, 36, 73, 75, 86 ], 
  [ 25, 40, 53, 63, 37, 66, 77, 87 ], [ 26, 45, 55, 57, 32, 69, 79, 85 ], 
  [ 27, 46, 48, 59, 33, 70, 76, 89 ], [ 28, 39, 50, 60, 34, 67, 80, 90 ], 
  [ 93, 100, 99, 98, 94, 97, 96, 95 ], 
  [ 101, 164, 155, 146, 110, 137, 128, 119 ], 
  [ 102, 172, 162, 152, 112, 142, 132, 122 ], 
  [ 103, 169, 159, 149, 111, 145, 135, 125 ], 
  [ 104, 165, 163, 153, 116, 139, 133, 123 ], 
  [ 105, 167, 156, 154, 117, 143, 130, 124 ], 
  [ 106, 168, 158, 147, 118, 144, 134, 121 ], 
  [ 107, 166, 160, 150, 113, 138, 136, 126 ], 
  [ 108, 170, 157, 151, 114, 140, 129, 127 ], 
  [ 109, 171, 161, 148, 115, 141, 131, 120 ], [ 173, 659, 254, 416 ], 
  [ 174, 667, 261, 422, 175, 664, 258, 419 ], 
  [ 176, 660, 262, 423, 179, 661, 259, 420 ], 
  [ 177, 662, 255, 424, 180, 665, 256, 421 ], 
  [ 178, 663, 257, 417, 181, 666, 260, 418 ], 
  [ 182, 731, 317, 470, 191, 704, 290, 443 ], 
  [ 183, 739, 324, 476, 193, 709, 294, 446 ], 
  [ 184, 736, 321, 473, 192, 712, 297, 449 ], 
  [ 185, 732, 325, 477, 197, 706, 295, 447 ], 
  [ 186, 734, 318, 478, 198, 710, 292, 448 ], 
  [ 187, 735, 320, 471, 199, 711, 296, 445 ], 
  [ 188, 733, 322, 474, 194, 705, 298, 450 ], 
  [ 189, 737, 319, 475, 195, 707, 291, 451 ], 
  [ 190, 738, 323, 472, 196, 708, 293, 444 ], 
  [ 200, 668, 326, 479, 227, 677, 299, 452 ], 
  [ 201, 676, 333, 485, 229, 682, 303, 455 ], 
  [ 202, 673, 330, 482, 228, 685, 306, 458 ], 
  [ 203, 669, 334, 486, 233, 679, 304, 456 ], 
  [ 204, 671, 327, 487, 234, 683, 301, 457 ], 
  [ 205, 672, 329, 480, 235, 684, 305, 454 ], 
  [ 206, 670, 331, 483, 230, 678, 307, 459 ], 
  [ 207, 674, 328, 484, 231, 680, 300, 460 ], 
  [ 208, 675, 332, 481, 232, 681, 302, 453 ], 
  [ 209, 686, 263, 488, 236, 713, 272, 461 ], 
  [ 210, 694, 270, 494, 238, 718, 276, 464 ], 
  [ 211, 691, 267, 491, 237, 721, 279, 467 ], 
  [ 212, 687, 271, 495, 242, 715, 277, 465 ], 
  [ 213, 689, 264, 496, 243, 719, 274, 466 ], 
  [ 214, 690, 266, 489, 244, 720, 278, 463 ], 
  [ 215, 688, 268, 492, 239, 714, 280, 468 ], 
  [ 216, 692, 265, 493, 240, 716, 273, 469 ], 
  [ 217, 693, 269, 490, 241, 717, 275, 462 ], 
  [ 218, 695, 281, 425, 245, 722, 308, 434 ], 
  [ 219, 703, 288, 431, 247, 727, 312, 437 ], 
  [ 220, 700, 285, 428, 246, 730, 315, 440 ], 
  [ 221, 696, 289, 432, 251, 724, 313, 438 ], 
  [ 222, 698, 282, 433, 252, 728, 310, 439 ], 
  [ 223, 699, 284, 426, 253, 729, 314, 436 ], 
  [ 224, 697, 286, 429, 248, 723, 316, 441 ], 
  [ 225, 701, 283, 430, 249, 725, 309, 442 ], 
  [ 226, 702, 287, 427, 250, 726, 311, 435 ], [ 335, 740, 578, 497 ], 
  [ 336, 748, 585, 503, 337, 745, 582, 500 ], 
  [ 338, 741, 586, 504, 341, 742, 583, 501 ], 
  [ 339, 743, 579, 505, 342, 746, 580, 502 ], 
  [ 340, 744, 581, 498, 343, 747, 584, 499 ], 
  [ 344, 812, 641, 551, 353, 785, 614, 524 ], 
  [ 345, 820, 648, 557, 355, 790, 618, 527 ], 
  [ 346, 817, 645, 554, 354, 793, 621, 530 ], 
  [ 347, 813, 649, 558, 359, 787, 619, 528 ], 
  [ 348, 815, 642, 559, 360, 791, 616, 529 ], 
  [ 349, 816, 644, 552, 361, 792, 620, 526 ], 
  [ 350, 814, 646, 555, 356, 786, 622, 531 ], 
  [ 351, 818, 643, 556, 357, 788, 615, 532 ], 
  [ 352, 819, 647, 553, 358, 789, 617, 525 ], 
  [ 362, 749, 650, 560, 389, 758, 623, 533 ], 
  [ 363, 757, 657, 566, 391, 763, 627, 536 ], 
  [ 364, 754, 654, 563, 390, 766, 630, 539 ], 
  [ 365, 750, 658, 567, 395, 760, 628, 537 ], 
  [ 366, 752, 651, 568, 396, 764, 625, 538 ], 
  [ 367, 753, 653, 561, 397, 765, 629, 535 ], 
  [ 368, 751, 655, 564, 392, 759, 631, 540 ], 
  [ 369, 755, 652, 565, 393, 761, 624, 541 ], 
  [ 370, 756, 656, 562, 394, 762, 626, 534 ], 
  [ 371, 767, 587, 569, 398, 794, 596, 542 ], 
  [ 372, 775, 594, 575, 400, 799, 600, 545 ], 
  [ 373, 772, 591, 572, 399, 802, 603, 548 ], 
  [ 374, 768, 595, 576, 404, 796, 601, 546 ], 
  [ 375, 770, 588, 577, 405, 800, 598, 547 ], 
  [ 376, 771, 590, 570, 406, 801, 602, 544 ], 
  [ 377, 769, 592, 573, 401, 795, 604, 549 ], 
  [ 378, 773, 589, 574, 402, 797, 597, 550 ], 
  [ 379, 774, 593, 571, 403, 798, 599, 543 ], 
  [ 380, 776, 605, 506, 407, 803, 632, 515 ], 
  [ 381, 784, 612, 512, 409, 808, 636, 518 ], 
  [ 382, 781, 609, 509, 408, 811, 639, 521 ], 
  [ 383, 777, 613, 513, 413, 805, 637, 519 ], 
  [ 384, 779, 606, 514, 414, 809, 634, 520 ], 
  [ 385, 780, 608, 507, 415, 810, 638, 517 ], 
  [ 386, 778, 610, 510, 410, 804, 640, 522 ], 
  [ 387, 782, 607, 511, 411, 806, 633, 523 ], 
  [ 388, 783, 611, 508, 412, 807, 635, 516 ] ], 
[ [ 1, 2, 11, 92, 94, 112, 274, 21, 182, 255, 4, 29, 254 ], 
  [ 3, 20, 173, 93, 103, 193, 183, 273, 30, 263, 13, 110, 256 ], 
  [ 5, 38, 335, 96, 130, 436, 638, 455, 539, 333, 89, 794, 259 ], 
  [ 6, 47, 416, 98, 148, 598, 365, 816, 691, 325, 45, 398, 258 ], 
  [ 7, 56, 497, 99, 157, 679, 820, 727, 406, 312, 73, 650, 257 ], 
  [ 8, 65, 578, 95, 121, 355, 456, 548, 657, 302, 77, 686, 262 ], 
  [ 9, 74, 659, 100, 166, 760, 547, 639, 464, 296, 60, 533, 261 ], 
  [ 10, 83, 740, 97, 139, 517, 729, 370, 798, 286, 52, 461, 260 ], 
  [ 12, 101, 175, 102, 184, 264, 22, 191, 174, 111, 265, 31, 272 ], 
  [ 14, 119, 337, 132, 454, 557, 819, 718, 244, 462, 287, 34, 299 ], 
  [ 15, 128, 418, 152, 634, 446, 458, 566, 252, 534, 297, 33, 290 ], 
  [ 16, 137, 499, 162, 724, 415, 636, 491, 215, 687, 307, 32, 281 ], 
  [ 17, 146, 580, 122, 364, 780, 367, 771, 205, 651, 311, 37, 326 ], 
  [ 18, 155, 661, 172, 814, 709, 730, 379, 231, 399, 321, 36, 317 ], 
  [ 19, 164, 742, 142, 544, 648, 545, 630, 221, 795, 331, 35, 308 ], 
  [ 23, 200, 579, 149, 607, 689, 280, 57, 506, 423, 170, 796, 304 ], 
  [ 24, 209, 660, 145, 571, 405, 276, 75, 668, 505, 126, 400, 294 ], 
  [ 25, 218, 741, 169, 787, 466, 278, 39, 344, 663, 154, 652, 284 ], 
  [ 26, 227, 336, 159, 697, 658, 275, 66, 587, 581, 158, 688, 334 ], 
  [ 27, 236, 417, 125, 391, 537, 279, 48, 425, 341, 141, 535, 324 ], 
  [ 28, 245, 498, 135, 481, 800, 277, 84, 749, 745, 133, 463, 314 ], 
  [ 40, 353, 420, 143, 553, 810, 637, 428, 377, 222, 804, 655, 266 ], 
  [ 41, 362, 744, 124, 382, 375, 186, 318, 54, 479, 746, 115, 301 ], 
  [ 42, 371, 177, 156, 670, 577, 369, 762, 529, 558, 756, 799, 295 ], 
  [ 43, 380, 339, 105, 211, 669, 550, 612, 707, 685, 784, 403, 285 ], 
  [ 44, 389, 501, 117, 319, 81, 722, 343, 150, 616, 770, 187, 327 ], 
  [ 46, 407, 582, 167, 769, 223, 813, 736, 487, 755, 763, 538, 315 ], 
  [ 49, 434, 584, 131, 445, 476, 728, 352, 717, 235, 381, 402, 267 ], 
  [ 50, 443, 422, 161, 715, 253, 543, 621, 788, 430, 359, 465, 305 ], 
  [ 51, 452, 503, 171, 805, 628, 185, 309, 64, 569, 342, 114, 292 ], 
  [ 53, 470, 665, 109, 247, 507, 459, 575, 414, 600, 410, 654, 329 ], 
  [ 55, 488, 179, 120, 346, 699, 640, 437, 620, 779, 349, 690, 316 ], 
  [ 58, 515, 666, 127, 409, 618, 815, 673, 568, 207, 615, 797, 268 ], 
  [ 59, 524, 504, 108, 238, 426, 368, 789, 448, 440, 647, 536, 306 ], 
  [ 61, 542, 585, 140, 526, 567, 189, 291, 78, 695, 586, 113, 283 ], 
  [ 62, 551, 747, 151, 625, 203, 633, 473, 701, 595, 599, 401, 330 ], 
  [ 63, 560, 180, 129, 427, 395, 546, 603, 383, 411, 591, 653, 320 ], 
  [ 67, 596, 338, 168, 778, 385, 366, 753, 772, 214, 732, 469, 269 ], 
  [ 68, 605, 662, 118, 328, 71, 632, 419, 134, 472, 719, 190, 300 ], 
  [ 69, 614, 743, 106, 220, 750, 817, 700, 649, 518, 711, 694, 298 ], 
  [ 70, 623, 176, 147, 589, 608, 725, 361, 474, 710, 676, 541, 288 ], 
  [ 72, 641, 500, 144, 562, 243, 453, 530, 576, 351, 681, 802, 322 ], 
  [ 76, 677, 748, 160, 706, 739, 460, 512, 495, 251, 525, 540, 270 ], 
  [ 79, 704, 667, 136, 490, 233, 363, 807, 610, 671, 523, 693, 289 ], 
  [ 80, 713, 181, 138, 508, 486, 818, 682, 811, 646, 509, 468, 332 ], 
  [ 82, 731, 424, 107, 229, 345, 726, 397, 555, 765, 556, 801, 313 ], 
  [ 85, 758, 502, 153, 643, 527, 549, 594, 626, 239, 471, 692, 271 ], 
  [ 86, 767, 178, 165, 751, 790, 457, 521, 738, 451, 431, 404, 303 ], 
  [ 87, 776, 340, 123, 373, 213, 723, 388, 393, 510, 441, 656, 293 ], 
  [ 88, 785, 421, 116, 310, 91, 812, 664, 163, 733, 496, 188, 282 ], 
  [ 90, 803, 583, 104, 202, 588, 635, 482, 782, 358, 447, 467, 323 ], 
  [ 194, 228, 354, 483, 791, 439, 602, 374, 249, 561, 216, 696, 631 ], 
  [ 195, 237, 435, 611, 698, 604, 356, 492, 224, 768, 250, 570, 378 ], 
  [ 196, 246, 516, 702, 613, 680, 766, 565, 234, 372, 240, 480, 773 ], 
  [ 197, 201, 597, 392, 573, 360, 438, 629, 212, 714, 226, 786, 493 ], 
  [ 198, 210, 678, 793, 484, 764, 520, 720, 208, 624, 230, 390, 564 ], 
  [ 199, 219, 759, 574, 396, 519, 684, 775, 241, 489, 206, 606, 716 ], 
  [ 204, 642, 554, 792, 475, 683, 757, 808, 619, 752, 754, 781, 376 ], 
  [ 217, 705, 712, 703, 622, 761, 511, 477, 737, 433, 350, 708, 721 ], 
  [ 225, 777, 412, 609, 734, 442, 593, 617, 806, 592, 590, 644, 563 ], 
  [ 232, 408, 645, 572, 387, 357, 429, 386, 384, 348, 672, 559, 774 ], 
  [ 242, 444, 449, 485, 809, 601, 347, 735, 478, 674, 514, 450, 494 ], 
  [ 248, 552, 783, 394, 528, 522, 675, 532, 531, 513, 432, 413, 627 ] ] ]:
`5,2` := [ 31, ######## PSL(5,2) ########
[ [ 16, 24 ], [ 17, 25 ], [ 18, 26 ], [ 19, 27 ], [ 20, 28 ], [ 21, 29 ], 
  [ 22, 30 ], [ 23, 31 ] ], 
[ [ 1, 2, 4, 8, 16 ], [ 3, 6, 12, 24, 17 ], [ 5, 10, 20, 9, 18 ], 
  [ 7, 14, 28, 25, 19 ], [ 11, 22, 13, 26, 21 ], [ 15, 30, 29, 27, 23 ] ] ]:
`5,3` := [ 121, ######## PSL(5,3) ########
[ [ 41, 68, 95 ], [ 42, 69, 96 ], [ 43, 70, 97 ], [ 44, 71, 98 ], 
  [ 45, 72, 99 ], [ 46, 73, 100 ], [ 47, 74, 101 ], [ 48, 75, 102 ], 
  [ 49, 76, 103 ], [ 50, 77, 104 ], [ 51, 78, 105 ], [ 52, 79, 106 ], 
  [ 53, 80, 107 ], [ 54, 81, 108 ], [ 55, 82, 109 ], [ 56, 83, 110 ], 
  [ 57, 84, 111 ], [ 58, 85, 112 ], [ 59, 86, 113 ], [ 60, 87, 114 ], 
  [ 61, 88, 115 ], [ 62, 89, 116 ], [ 63, 90, 117 ], [ 64, 91, 118 ], 
  [ 65, 92, 119 ], [ 66, 93, 120 ], [ 67, 94, 121 ] ], 
[ [ 1, 2, 5, 14, 41 ], [ 3, 8, 23, 68, 43 ], [ 4, 11, 32, 95, 42 ], 
  [ 6, 17, 50, 16, 47 ], [ 7, 20, 59, 15, 44 ], [ 9, 26, 77, 70, 49 ], 
  [ 10, 29, 86, 97, 45 ], [ 12, 35, 104, 96, 48 ], [ 13, 38, 113, 69, 46 ], 
  [ 18, 53, 25, 74, 61 ], [ 19, 56, 34, 101, 51 ], [ 21, 62, 33, 98, 60 ], 
  [ 22, 65, 24, 71, 52 ], [ 27, 80, 79, 76, 67 ], [ 28, 83, 88, 103, 54 ], 
  [ 30, 89, 106, 99, 66 ], [ 31, 92, 115, 72, 55 ], [ 36, 107, 114, 75, 64 ], 
  [ 37, 110, 105, 102, 57 ], [ 39, 116, 87, 100, 63 ], 
  [ 40, 119, 78, 73, 58 ], [ 81, 82, 85, 94, 121 ], [ 84, 91, 112, 108, 120 ],
  [ 90, 109, 117, 93, 118 ] ] ]:
`5,4` := [ 341, ######## PSL(5,4) ########
[ [ 23, 24, 25 ], [ 26, 30, 34 ], [ 27, 32, 37 ], [ 28, 33, 35 ], 
  [ 29, 31, 36 ], [ 38, 54, 70 ], [ 39, 56, 73 ], [ 40, 57, 71 ], 
  [ 41, 55, 72 ], [ 42, 62, 82 ], [ 43, 64, 85 ], [ 44, 65, 83 ], 
  [ 45, 63, 84 ], [ 46, 66, 74 ], [ 47, 68, 77 ], [ 48, 69, 75 ], 
  [ 49, 67, 76 ], [ 50, 58, 78 ], [ 51, 60, 81 ], [ 52, 61, 79 ], 
  [ 53, 59, 80 ], [ 87, 89, 88 ], [ 90, 98, 94 ], [ 91, 101, 96 ], 
  [ 92, 99, 97 ], [ 93, 100, 95 ], [ 102, 134, 118 ], [ 103, 137, 120 ], 
  [ 104, 135, 121 ], [ 105, 136, 119 ], [ 106, 146, 126 ], [ 107, 149, 128 ], 
  [ 108, 147, 129 ], [ 109, 148, 127 ], [ 110, 138, 130 ], [ 111, 141, 132 ], 
  [ 112, 139, 133 ], [ 113, 140, 131 ], [ 114, 142, 122 ], [ 115, 145, 124 ], 
  [ 116, 143, 125 ], [ 117, 144, 123 ], [ 150, 214, 278 ], [ 151, 217, 280 ], 
  [ 152, 215, 281 ], [ 153, 216, 279 ], [ 154, 226, 286 ], [ 155, 229, 288 ], 
  [ 156, 227, 289 ], [ 157, 228, 287 ], [ 158, 218, 290 ], [ 159, 221, 292 ], 
  [ 160, 219, 293 ], [ 161, 220, 291 ], [ 162, 222, 282 ], [ 163, 225, 284 ], 
  [ 164, 223, 285 ], [ 165, 224, 283 ], [ 166, 262, 310 ], [ 167, 265, 312 ], 
  [ 168, 263, 313 ], [ 169, 264, 311 ], [ 170, 274, 318 ], [ 171, 277, 320 ], 
  [ 172, 275, 321 ], [ 173, 276, 319 ], [ 174, 266, 322 ], [ 175, 269, 324 ], 
  [ 176, 267, 325 ], [ 177, 268, 323 ], [ 178, 270, 314 ], [ 179, 273, 316 ], 
  [ 180, 271, 317 ], [ 181, 272, 315 ], [ 182, 230, 326 ], [ 183, 233, 328 ], 
  [ 184, 231, 329 ], [ 185, 232, 327 ], [ 186, 242, 334 ], [ 187, 245, 336 ], 
  [ 188, 243, 337 ], [ 189, 244, 335 ], [ 190, 234, 338 ], [ 191, 237, 340 ], 
  [ 192, 235, 341 ], [ 193, 236, 339 ], [ 194, 238, 330 ], [ 195, 241, 332 ], 
  [ 196, 239, 333 ], [ 197, 240, 331 ], [ 198, 246, 294 ], [ 199, 249, 296 ], 
  [ 200, 247, 297 ], [ 201, 248, 295 ], [ 202, 258, 302 ], [ 203, 261, 304 ], 
  [ 204, 259, 305 ], [ 205, 260, 303 ], [ 206, 250, 306 ], [ 207, 253, 308 ], 
  [ 208, 251, 309 ], [ 209, 252, 307 ], [ 210, 254, 298 ], [ 211, 257, 300 ], 
  [ 212, 255, 301 ], [ 213, 256, 299 ] ], 
[ [ 1, 2, 6, 22, 86, 87, 91, 107, 171, 43, 170, 39, 154, 7, 26, 102, 151, 3, 
      10, 38, 150 ], 
  [ 4, 14, 54, 214, 88, 95, 123, 235, 256, 340, 253, 316, 205, 60, 238, 264, 
      164, 20, 78, 310, 153 ], 
  [ 5, 18, 70, 278, 89, 99, 139, 299, 341, 257, 332, 269, 188, 77, 306, 313, 
      161, 17, 66, 262, 152 ], 
  [ 8, 30, 118, 215, 96, 127, 251, 320, 173, 51, 202, 56, 222, 136, 287, 117, 
      211, 48, 190, 41, 162 ], 
  [ 9, 34, 134, 279, 101, 147, 331, 277, 172, 47, 186, 73, 290, 121, 227, 
      112, 191, 53, 210, 40, 158 ], [ 11, 42, 166, 23, 90, 103, 155 ], 
  [ 12, 46, 182, 25, 98, 135, 283, 149, 339, 261, 300, 333, 273, 204, 68, 
      270, 200, 36, 142, 311, 165 ], 
  [ 13, 50, 198, 24, 94, 119, 219, 128, 255, 336, 237, 252, 324, 189, 81, 
      322, 185, 33, 130, 263, 160 ], 
  [ 15, 58, 230, 216, 100, 143, 315, 213, 44, 174, 55, 218, 120, 223, 144, 
      319, 181, 83, 330, 265, 156 ], 
  [ 16, 62, 246, 280, 93, 115, 203, 64, 254, 328, 221, 124, 239, 272, 212, 
      52, 206, 72, 286, 105, 163 ], 
  [ 19, 74, 294, 281, 97, 131, 267, 192, 45, 178, 71, 282, 137, 291, 133, 
      275, 176, 63, 250, 312, 157 ], 
  [ 21, 82, 326, 217, 92, 111, 187, 85, 338, 249, 284, 141, 307, 325, 193, 
      49, 194, 57, 226, 104, 159 ], [ 27, 106, 167 ], 
  [ 28, 110, 183, 37, 146, 327, 229, 108, 175, 59, 234, 248, 292, 125, 243, 
      240, 276, 180, 79, 314, 201 ], 
  [ 29, 114, 199, 32, 126, 247, 288, 109, 179, 75, 298, 329, 225, 140, 303, 
      309, 321, 177, 67, 266, 184 ], 
  [ 31, 122, 231, 224, 148, 335, 245, 236, 260, 308, 317, 209, 76, 302, 297, 
      289, 113, 195, 69, 274, 168 ], 
  [ 35, 138, 295, 293, 129, 259, 304, 301, 337, 241, 268, 196, 61, 242, 232, 
      228, 116, 207, 80, 318, 169 ], [ 65, 258, 296, 285, 145, 323, 197 ], 
  [ 84, 334, 233, 220, 132, 271, 208 ] ] ]:
`5,5` := [ 781, ######## PSL(5,5) ########
[ [ 33, 34, 35, 36 ], [ 37, 42, 47, 52 ], [ 38, 44, 50, 56 ], 
  [ 39, 45, 51, 53 ], [ 40, 46, 48, 54 ], [ 41, 43, 49, 55 ], 
  [ 57, 82, 107, 132 ], [ 58, 84, 110, 136 ], [ 59, 85, 111, 133 ], 
  [ 60, 86, 108, 134 ], [ 61, 83, 109, 135 ], [ 62, 92, 122, 152 ], 
  [ 63, 94, 125, 156 ], [ 64, 95, 126, 153 ], [ 65, 96, 123, 154 ], 
  [ 66, 93, 124, 155 ], [ 67, 97, 127, 137 ], [ 68, 99, 130, 141 ], 
  [ 69, 100, 131, 138 ], [ 70, 101, 128, 139 ], [ 71, 98, 129, 140 ], 
  [ 72, 102, 112, 142 ], [ 73, 104, 115, 146 ], [ 74, 105, 116, 143 ], 
  [ 75, 106, 113, 144 ], [ 76, 103, 114, 145 ], [ 77, 87, 117, 147 ], 
  [ 78, 89, 120, 151 ], [ 79, 90, 121, 148 ], [ 80, 91, 118, 149 ], 
  [ 81, 88, 119, 150 ], [ 158, 161, 160, 159 ], [ 162, 177, 172, 167 ], 
  [ 163, 181, 175, 169 ], [ 164, 178, 176, 170 ], [ 165, 179, 173, 171 ], 
  [ 166, 180, 174, 168 ], [ 182, 257, 232, 207 ], [ 183, 261, 235, 209 ], 
  [ 184, 258, 236, 210 ], [ 185, 259, 233, 211 ], [ 186, 260, 234, 208 ], 
  [ 187, 277, 247, 217 ], [ 188, 281, 250, 219 ], [ 189, 278, 251, 220 ], 
  [ 190, 279, 248, 221 ], [ 191, 280, 249, 218 ], [ 192, 262, 252, 222 ], 
  [ 193, 266, 255, 224 ], [ 194, 263, 256, 225 ], [ 195, 264, 253, 226 ], 
  [ 196, 265, 254, 223 ], [ 197, 267, 237, 227 ], [ 198, 271, 240, 229 ], 
  [ 199, 268, 241, 230 ], [ 200, 269, 238, 231 ], [ 201, 270, 239, 228 ], 
  [ 202, 272, 242, 212 ], [ 203, 276, 245, 214 ], [ 204, 273, 246, 215 ], 
  [ 205, 274, 243, 216 ], [ 206, 275, 244, 213 ], [ 282, 532 ], 
  [ 283, 536, 285, 534 ], [ 284, 533, 286, 535 ], [ 287, 552, 297, 542 ], 
  [ 288, 556, 300, 544 ], [ 289, 553, 301, 545 ], [ 290, 554, 298, 546 ], 
  [ 291, 555, 299, 543 ], [ 292, 537, 302, 547 ], [ 293, 541, 305, 549 ], 
  [ 294, 538, 306, 550 ], [ 295, 539, 303, 551 ], [ 296, 540, 304, 548 ], 
  [ 307, 632, 357, 582 ], [ 308, 636, 360, 584 ], [ 309, 633, 361, 585 ], 
  [ 310, 634, 358, 586 ], [ 311, 635, 359, 583 ], [ 312, 652, 372, 592 ], 
  [ 313, 656, 375, 594 ], [ 314, 653, 376, 595 ], [ 315, 654, 373, 596 ], 
  [ 316, 655, 374, 593 ], [ 317, 637, 377, 597 ], [ 318, 641, 380, 599 ], 
  [ 319, 638, 381, 600 ], [ 320, 639, 378, 601 ], [ 321, 640, 379, 598 ], 
  [ 322, 642, 362, 602 ], [ 323, 646, 365, 604 ], [ 324, 643, 366, 605 ], 
  [ 325, 644, 363, 606 ], [ 326, 645, 364, 603 ], [ 327, 647, 367, 587 ], 
  [ 328, 651, 370, 589 ], [ 329, 648, 371, 590 ], [ 330, 649, 368, 591 ], 
  [ 331, 650, 369, 588 ], [ 332, 557, 382, 607 ], [ 333, 561, 385, 609 ], 
  [ 334, 558, 386, 610 ], [ 335, 559, 383, 611 ], [ 336, 560, 384, 608 ], 
  [ 337, 577, 397, 617 ], [ 338, 581, 400, 619 ], [ 339, 578, 401, 620 ], 
  [ 340, 579, 398, 621 ], [ 341, 580, 399, 618 ], [ 342, 562, 402, 622 ], 
  [ 343, 566, 405, 624 ], [ 344, 563, 406, 625 ], [ 345, 564, 403, 626 ], 
  [ 346, 565, 404, 623 ], [ 347, 567, 387, 627 ], [ 348, 571, 390, 629 ], 
  [ 349, 568, 391, 630 ], [ 350, 569, 388, 631 ], [ 351, 570, 389, 628 ], 
  [ 352, 572, 392, 612 ], [ 353, 576, 395, 614 ], [ 354, 573, 396, 615 ], 
  [ 355, 574, 393, 616 ], [ 356, 575, 394, 613 ], [ 407, 657 ], 
  [ 408, 661, 410, 659 ], [ 409, 658, 411, 660 ], [ 412, 677, 422, 667 ], 
  [ 413, 681, 425, 669 ], [ 414, 678, 426, 670 ], [ 415, 679, 423, 671 ], 
  [ 416, 680, 424, 668 ], [ 417, 662, 427, 672 ], [ 418, 666, 430, 674 ], 
  [ 419, 663, 431, 675 ], [ 420, 664, 428, 676 ], [ 421, 665, 429, 673 ], 
  [ 432, 757, 482, 707 ], [ 433, 761, 485, 709 ], [ 434, 758, 486, 710 ], 
  [ 435, 759, 483, 711 ], [ 436, 760, 484, 708 ], [ 437, 777, 497, 717 ], 
  [ 438, 781, 500, 719 ], [ 439, 778, 501, 720 ], [ 440, 779, 498, 721 ], 
  [ 441, 780, 499, 718 ], [ 442, 762, 502, 722 ], [ 443, 766, 505, 724 ], 
  [ 444, 763, 506, 725 ], [ 445, 764, 503, 726 ], [ 446, 765, 504, 723 ], 
  [ 447, 767, 487, 727 ], [ 448, 771, 490, 729 ], [ 449, 768, 491, 730 ], 
  [ 450, 769, 488, 731 ], [ 451, 770, 489, 728 ], [ 452, 772, 492, 712 ], 
  [ 453, 776, 495, 714 ], [ 454, 773, 496, 715 ], [ 455, 774, 493, 716 ], 
  [ 456, 775, 494, 713 ], [ 457, 682, 507, 732 ], [ 458, 686, 510, 734 ], 
  [ 459, 683, 511, 735 ], [ 460, 684, 508, 736 ], [ 461, 685, 509, 733 ], 
  [ 462, 702, 522, 742 ], [ 463, 706, 525, 744 ], [ 464, 703, 526, 745 ], 
  [ 465, 704, 523, 746 ], [ 466, 705, 524, 743 ], [ 467, 687, 527, 747 ], 
  [ 468, 691, 530, 749 ], [ 469, 688, 531, 750 ], [ 470, 689, 528, 751 ], 
  [ 471, 690, 529, 748 ], [ 472, 692, 512, 752 ], [ 473, 696, 515, 754 ], 
  [ 474, 693, 516, 755 ], [ 475, 694, 513, 756 ], [ 476, 695, 514, 753 ], 
  [ 477, 697, 517, 737 ], [ 478, 701, 520, 739 ], [ 479, 698, 521, 740 ], 
  [ 480, 699, 518, 741 ], [ 481, 700, 519, 738 ] ], 
[ [ 1, 2, 7, 32, 157, 160, 175, 250, 625, 63, 312, 759, 428, 196, 355, 369, 
      439, 476, 641, 91, 452, 436, 416, 216, 455, 456, 441, 466, 591, 149, 
      742, 383, 554, 26, 127, 632, 36, 177, 260, 675, 188, 315, 769, 528, 
      321, 699, 578, 140, 697, 558, 40, 197, 360, 419, 251, 630, 88, 437, 
      461, 541, 30, 147, 732, 283, 179, 270, 725, 688, 623, 73, 362, 509, 
      301, 224, 495, 756, 343, 329, 739, 378, 504, 701, 568, 90, 447, 511, 
      291, 274, 745, 388, 654, 76, 377, 484, 676, 193, 340, 394, 564, 70, 
      347, 334, 289, 264, 695, 638, 96, 477, 561, 55, 272, 735, 288, 279, 
      770, 513, 346, 324, 714, 753, 348, 354, 364, 514, 351, 349, 339, 389, 
      639, 101, 502, 686, 543, 29, 142, 707, 658, 173, 240, 575, 125, 622, 
      58, 287, 259, 670, 263, 690, 613, 123, 612, 108, 537, 10, 47, 232, 535, 
      3, 12, 57, 282, 159, 170, 225, 500, 781, 468, 621, 143, 712, 733, 298, 
      229, 520, 381, 499, 776, 443, 496, 741, 368, 454, 451, 516, 341, 399, 
      589, 139, 692, 633, 46, 227, 510, 306, 249, 620, 138, 687, 608, 48, 
      237, 560, 50, 247, 610, 38, 187, 310, 669, 278, 765, 488, 721, 768, 
      523, 396, 574, 120, 597, 84, 417, 236, 555, 31, 152, 757, 408, 171, 
      230, 525, 406, 624, 78, 387, 634, 51, 252, 635, 56, 277, 760, 413, 221, 
      480, 581, 155, 772, 433, 421, 241, 580, 150, 747, 308, 679, 228, 515, 
      356, 374, 464, 601, 99, 492, 736, 293, 204, 395, 569, 95, 472, 636, 41, 
      202, 385, 544, 14, 67, 332, 284, 164, 195, 350, 344, 314, 764, 503, 
      696, 643, 121, 602, 109, 542, 9, 42, 207, 410, 181, 280, 775, 438, 471, 
      616, 118, 587, 134, 667, 258, 665, 238, 565, 75, 372, 459, 551, 18, 87, 
      432, 411, 166, 205, 400, 594, 64, 317, 684, 553, 21, 102, 507, 286, 
      174, 245, 600, 94, 467, 611, 43, 212, 435, 431, 191, 330, 744, 403, 
      629, 103, 512, 336, 299, 214, 445, 506, 691, 618, 148, 737, 358, 429, 
      201, 380, 494, 751, 318, 704, 603, 129, 642, 111, 552, 11, 52, 257, 
      660, 163, 190, 325, 719, 778, 473, 646, 116, 577, 135, 672, 183, 290, 
      269, 720, 763, 498, 771, 518, 371, 449, 526, 391, 649, 151, 752, 333, 
      304, 239, 570, 100, 497, 761, 418, 246, 605, 119, 592, 59, 292, 184, 
      295, 194, 345, 319, 689, 628, 98, 487, 711, 668, 273, 740, 363, 529, 
      326, 724, 703, 598, 104, 517, 361, 424, 276, 755, 338, 404, 614, 128, 
      637, 86, 427, 186, 305, 244, 595, 69, 342, 309, 664, 253, 640, 106, 
      527, 311, 674, 203, 390, 644, 126, 627, 83, 412, 211, 430, 206, 405, 
      619, 153, 762, 483, 671, 268, 715, 738, 373, 479, 576, 130, 647, 136, 
      677, 208, 415, 231, 530, 331, 749, 328, 754, 353, 379, 489, 726, 693, 
      648, 146, 727, 708, 673, 198, 365, 519, 376, 474, 651, 141, 702, 583, 
      54, 267, 710, 663, 248, 615, 113, 562, 60, 297, 209, 420, 256, 655, 81, 
      402, 609, 53, 262, 685, 538, 15, 72, 357, 409, 176, 255, 650, 156, 777, 
      458, 546, 24, 117, 582, 34, 167, 210, 425, 281, 780, 463, 596, 74, 367, 
      434, 426, 266, 705, 588, 154, 767, 508, 296, 199, 370, 444, 501, 766, 
      493, 746, 393, 579, 145, 722, 683, 548, 23, 112, 557, 35, 172, 235, 
      550, 13, 62, 307, 659, 178, 265, 700, 563, 65, 322, 709, 678, 223, 490, 
      731, 718, 773, 448, 521, 366, 524, 401, 599, 89, 442, 486, 666, 243, 
      590, 144, 717, 758, 423, 271, 730, 713, 748, 323, 729, 728, 723, 698, 
      573, 115, 572, 110, 547, 8, 37, 182, 285, 169, 220, 475, 656, 66, 327, 
      734, 303, 254, 645, 131, 652, 61, 302, 234, 545, 19, 92, 457, 536, 6, 
      27, 132, 657, 158, 165, 200, 375, 469, 626, 68, 337, 384, 539, 20, 97, 
      482, 661, 168, 215, 450, 531, 316, 774, 453, 446, 491, 716, 743, 398, 
      604, 114, 567, 85, 422, 261, 680, 213, 440, 481, 566, 80, 397, 584, 39, 
      192, 335, 294, 189, 320, 694, 653, 71, 352, 359, 414, 226, 505, 706, 
      593, 79, 392, 559, 45, 222, 485, 681, 218, 465, 606, 124, 617, 133, 
      662, 233, 540, 25, 122, 607, 33, 162, 185, 300, 219, 470, 631, 93, 462, 
      586, 49, 242, 585, 44, 217, 460, 556, 16, 77, 382, 534, 4, 17, 82, 407, 
      161, 180, 275, 750, 313, 779, 478, 571, 105, 522, 386, 549, 28, 137, 
      682, 533, 5, 22, 107, 532 ] ] ]:
`6,2` := [ 63, ######## PSL(6,2) ########
[ [ 32, 48 ], [ 33, 49 ], [ 34, 50 ], [ 35, 51 ], [ 36, 52 ], [ 37, 53 ], 
  [ 38, 54 ], [ 39, 55 ], [ 40, 56 ], [ 41, 57 ], [ 42, 58 ], [ 43, 59 ], 
  [ 44, 60 ], [ 45, 61 ], [ 46, 62 ], [ 47, 63 ] ], 
[ [ 1, 2, 4, 8, 16, 32 ], [ 3, 6, 12, 24, 48, 33 ], [ 5, 10, 20, 40, 17, 34 ],
  [ 7, 14, 28, 56, 49, 35 ], [ 9, 18, 36 ], [ 11, 22, 44, 25, 50, 37 ], 
  [ 13, 26, 52, 41, 19, 38 ], [ 15, 30, 60, 57, 51, 39 ], [ 21, 42 ], 
  [ 23, 46, 29, 58, 53, 43 ], [ 27, 54, 45 ], [ 31, 62, 61, 59, 55, 47 ] ] ]:
`7,2` := [ 127, ######## PSL(7,2) ########
[ [ 64, 96 ], [ 65, 97 ], [ 66, 98 ], [ 67, 99 ], [ 68, 100 ], [ 69, 101 ], 
  [ 70, 102 ], [ 71, 103 ], [ 72, 104 ], [ 73, 105 ], [ 74, 106 ], 
  [ 75, 107 ], [ 76, 108 ], [ 77, 109 ], [ 78, 110 ], [ 79, 111 ], 
  [ 80, 112 ], [ 81, 113 ], [ 82, 114 ], [ 83, 115 ], [ 84, 116 ], 
  [ 85, 117 ], [ 86, 118 ], [ 87, 119 ], [ 88, 120 ], [ 89, 121 ], 
  [ 90, 122 ], [ 91, 123 ], [ 92, 124 ], [ 93, 125 ], [ 94, 126 ], 
  [ 95, 127 ] ], 
[ [ 1, 2, 4, 8, 16, 32, 64 ], [ 3, 6, 12, 24, 48, 96, 65 ], 
  [ 5, 10, 20, 40, 80, 33, 66 ], [ 7, 14, 28, 56, 112, 97, 67 ], 
  [ 9, 18, 36, 72, 17, 34, 68 ], [ 11, 22, 44, 88, 49, 98, 69 ], 
  [ 13, 26, 52, 104, 81, 35, 70 ], [ 15, 30, 60, 120, 113, 99, 71 ], 
  [ 19, 38, 76, 25, 50, 100, 73 ], [ 21, 42, 84, 41, 82, 37, 74 ], 
  [ 23, 46, 92, 57, 114, 101, 75 ], [ 27, 54, 108, 89, 51, 102, 77 ], 
  [ 29, 58, 116, 105, 83, 39, 78 ], [ 31, 62, 124, 121, 115, 103, 79 ], 
  [ 43, 86, 45, 90, 53, 106, 85 ], [ 47, 94, 61, 122, 117, 107, 87 ], 
  [ 55, 110, 93, 59, 118, 109, 91 ], [ 63, 126, 125, 123, 119, 111, 95 ] ] ]:
`8,2` := [ 255, ######## PSL(8,2) ########
[ [ 128, 192 ], [ 129, 193 ], [ 130, 194 ], [ 131, 195 ], [ 132, 196 ], 
  [ 133, 197 ], [ 134, 198 ], [ 135, 199 ], [ 136, 200 ], [ 137, 201 ], 
  [ 138, 202 ], [ 139, 203 ], [ 140, 204 ], [ 141, 205 ], [ 142, 206 ], 
  [ 143, 207 ], [ 144, 208 ], [ 145, 209 ], [ 146, 210 ], [ 147, 211 ], 
  [ 148, 212 ], [ 149, 213 ], [ 150, 214 ], [ 151, 215 ], [ 152, 216 ], 
  [ 153, 217 ], [ 154, 218 ], [ 155, 219 ], [ 156, 220 ], [ 157, 221 ], 
  [ 158, 222 ], [ 159, 223 ], [ 160, 224 ], [ 161, 225 ], [ 162, 226 ], 
  [ 163, 227 ], [ 164, 228 ], [ 165, 229 ], [ 166, 230 ], [ 167, 231 ], 
  [ 168, 232 ], [ 169, 233 ], [ 170, 234 ], [ 171, 235 ], [ 172, 236 ], 
  [ 173, 237 ], [ 174, 238 ], [ 175, 239 ], [ 176, 240 ], [ 177, 241 ], 
  [ 178, 242 ], [ 179, 243 ], [ 180, 244 ], [ 181, 245 ], [ 182, 246 ], 
  [ 183, 247 ], [ 184, 248 ], [ 185, 249 ], [ 186, 250 ], [ 187, 251 ], 
  [ 188, 252 ], [ 189, 253 ], [ 190, 254 ], [ 191, 255 ] ], 
[ [ 1, 2, 4, 8, 16, 32, 64, 128 ], [ 3, 6, 12, 24, 48, 96, 192, 129 ], 
  [ 5, 10, 20, 40, 80, 160, 65, 130 ], [ 7, 14, 28, 56, 112, 224, 193, 131 ], 
  [ 9, 18, 36, 72, 144, 33, 66, 132 ], [ 11, 22, 44, 88, 176, 97, 194, 133 ], 
  [ 13, 26, 52, 104, 208, 161, 67, 134 ], 
  [ 15, 30, 60, 120, 240, 225, 195, 135 ], [ 17, 34, 68, 136 ], 
  [ 19, 38, 76, 152, 49, 98, 196, 137 ], [ 21, 42, 84, 168, 81, 162, 69, 138 ]
    , [ 23, 46, 92, 184, 113, 226, 197, 139 ], 
  [ 25, 50, 100, 200, 145, 35, 70, 140 ], 
  [ 27, 54, 108, 216, 177, 99, 198, 141 ], 
  [ 29, 58, 116, 232, 209, 163, 71, 142 ], 
  [ 31, 62, 124, 248, 241, 227, 199, 143 ], 
  [ 37, 74, 148, 41, 82, 164, 73, 146 ], 
  [ 39, 78, 156, 57, 114, 228, 201, 147 ], 
  [ 43, 86, 172, 89, 178, 101, 202, 149 ], 
  [ 45, 90, 180, 105, 210, 165, 75, 150 ], 
  [ 47, 94, 188, 121, 242, 229, 203, 151 ], [ 51, 102, 204, 153 ], 
  [ 53, 106, 212, 169, 83, 166, 77, 154 ], 
  [ 55, 110, 220, 185, 115, 230, 205, 155 ], 
  [ 59, 118, 236, 217, 179, 103, 206, 157 ], 
  [ 61, 122, 244, 233, 211, 167, 79, 158 ], 
  [ 63, 126, 252, 249, 243, 231, 207, 159 ], [ 85, 170 ], 
  [ 87, 174, 93, 186, 117, 234, 213, 171 ], 
  [ 91, 182, 109, 218, 181, 107, 214, 173 ], 
  [ 95, 190, 125, 250, 245, 235, 215, 175 ], 
  [ 111, 222, 189, 123, 246, 237, 219, 183 ], [ 119, 238, 221, 187 ], 
  [ 127, 254, 253, 251, 247, 239, 223, 191 ] ] ]:
`9,2` := [ 511, ######## PSL(9,2) ########
[ [ 256, 384 ], [ 257, 385 ], [ 258, 386 ], [ 259, 387 ], [ 260, 388 ], 
  [ 261, 389 ], [ 262, 390 ], [ 263, 391 ], [ 264, 392 ], [ 265, 393 ], 
  [ 266, 394 ], [ 267, 395 ], [ 268, 396 ], [ 269, 397 ], [ 270, 398 ], 
  [ 271, 399 ], [ 272, 400 ], [ 273, 401 ], [ 274, 402 ], [ 275, 403 ], 
  [ 276, 404 ], [ 277, 405 ], [ 278, 406 ], [ 279, 407 ], [ 280, 408 ], 
  [ 281, 409 ], [ 282, 410 ], [ 283, 411 ], [ 284, 412 ], [ 285, 413 ], 
  [ 286, 414 ], [ 287, 415 ], [ 288, 416 ], [ 289, 417 ], [ 290, 418 ], 
  [ 291, 419 ], [ 292, 420 ], [ 293, 421 ], [ 294, 422 ], [ 295, 423 ], 
  [ 296, 424 ], [ 297, 425 ], [ 298, 426 ], [ 299, 427 ], [ 300, 428 ], 
  [ 301, 429 ], [ 302, 430 ], [ 303, 431 ], [ 304, 432 ], [ 305, 433 ], 
  [ 306, 434 ], [ 307, 435 ], [ 308, 436 ], [ 309, 437 ], [ 310, 438 ], 
  [ 311, 439 ], [ 312, 440 ], [ 313, 441 ], [ 314, 442 ], [ 315, 443 ], 
  [ 316, 444 ], [ 317, 445 ], [ 318, 446 ], [ 319, 447 ], [ 320, 448 ], 
  [ 321, 449 ], [ 322, 450 ], [ 323, 451 ], [ 324, 452 ], [ 325, 453 ], 
  [ 326, 454 ], [ 327, 455 ], [ 328, 456 ], [ 329, 457 ], [ 330, 458 ], 
  [ 331, 459 ], [ 332, 460 ], [ 333, 461 ], [ 334, 462 ], [ 335, 463 ], 
  [ 336, 464 ], [ 337, 465 ], [ 338, 466 ], [ 339, 467 ], [ 340, 468 ], 
  [ 341, 469 ], [ 342, 470 ], [ 343, 471 ], [ 344, 472 ], [ 345, 473 ], 
  [ 346, 474 ], [ 347, 475 ], [ 348, 476 ], [ 349, 477 ], [ 350, 478 ], 
  [ 351, 479 ], [ 352, 480 ], [ 353, 481 ], [ 354, 482 ], [ 355, 483 ], 
  [ 356, 484 ], [ 357, 485 ], [ 358, 486 ], [ 359, 487 ], [ 360, 488 ], 
  [ 361, 489 ], [ 362, 490 ], [ 363, 491 ], [ 364, 492 ], [ 365, 493 ], 
  [ 366, 494 ], [ 367, 495 ], [ 368, 496 ], [ 369, 497 ], [ 370, 498 ], 
  [ 371, 499 ], [ 372, 500 ], [ 373, 501 ], [ 374, 502 ], [ 375, 503 ], 
  [ 376, 504 ], [ 377, 505 ], [ 378, 506 ], [ 379, 507 ], [ 380, 508 ], 
  [ 381, 509 ], [ 382, 510 ], [ 383, 511 ] ], 
[ [ 1, 2, 4, 8, 16, 32, 64, 128, 256 ], 
  [ 3, 6, 12, 24, 48, 96, 192, 384, 257 ], 
  [ 5, 10, 20, 40, 80, 160, 320, 129, 258 ], 
  [ 7, 14, 28, 56, 112, 224, 448, 385, 259 ], 
  [ 9, 18, 36, 72, 144, 288, 65, 130, 260 ], 
  [ 11, 22, 44, 88, 176, 352, 193, 386, 261 ], 
  [ 13, 26, 52, 104, 208, 416, 321, 131, 262 ], 
  [ 15, 30, 60, 120, 240, 480, 449, 387, 263 ], 
  [ 17, 34, 68, 136, 272, 33, 66, 132, 264 ], 
  [ 19, 38, 76, 152, 304, 97, 194, 388, 265 ], 
  [ 21, 42, 84, 168, 336, 161, 322, 133, 266 ], 
  [ 23, 46, 92, 184, 368, 225, 450, 389, 267 ], 
  [ 25, 50, 100, 200, 400, 289, 67, 134, 268 ], 
  [ 27, 54, 108, 216, 432, 353, 195, 390, 269 ], 
  [ 29, 58, 116, 232, 464, 417, 323, 135, 270 ], 
  [ 31, 62, 124, 248, 496, 481, 451, 391, 271 ], 
  [ 35, 70, 140, 280, 49, 98, 196, 392, 273 ], 
  [ 37, 74, 148, 296, 81, 162, 324, 137, 274 ], 
  [ 39, 78, 156, 312, 113, 226, 452, 393, 275 ], 
  [ 41, 82, 164, 328, 145, 290, 69, 138, 276 ], 
  [ 43, 86, 172, 344, 177, 354, 197, 394, 277 ], 
  [ 45, 90, 180, 360, 209, 418, 325, 139, 278 ], 
  [ 47, 94, 188, 376, 241, 482, 453, 395, 279 ], 
  [ 51, 102, 204, 408, 305, 99, 198, 396, 281 ], 
  [ 53, 106, 212, 424, 337, 163, 326, 141, 282 ], 
  [ 55, 110, 220, 440, 369, 227, 454, 397, 283 ], 
  [ 57, 114, 228, 456, 401, 291, 71, 142, 284 ], 
  [ 59, 118, 236, 472, 433, 355, 199, 398, 285 ], 
  [ 61, 122, 244, 488, 465, 419, 327, 143, 286 ], 
  [ 63, 126, 252, 504, 497, 483, 455, 399, 287 ], [ 73, 146, 292 ], 
  [ 75, 150, 300, 89, 178, 356, 201, 402, 293 ], 
  [ 77, 154, 308, 105, 210, 420, 329, 147, 294 ], 
  [ 79, 158, 316, 121, 242, 484, 457, 403, 295 ], 
  [ 83, 166, 332, 153, 306, 101, 202, 404, 297 ], 
  [ 85, 170, 340, 169, 338, 165, 330, 149, 298 ], 
  [ 87, 174, 348, 185, 370, 229, 458, 405, 299 ], 
  [ 91, 182, 364, 217, 434, 357, 203, 406, 301 ], 
  [ 93, 186, 372, 233, 466, 421, 331, 151, 302 ], 
  [ 95, 190, 380, 249, 498, 485, 459, 407, 303 ], 
  [ 103, 206, 412, 313, 115, 230, 460, 409, 307 ], 
  [ 107, 214, 428, 345, 179, 358, 205, 410, 309 ], 
  [ 109, 218, 436, 361, 211, 422, 333, 155, 310 ], 
  [ 111, 222, 444, 377, 243, 486, 461, 411, 311 ], 
  [ 117, 234, 468, 425, 339, 167, 334, 157, 314 ], 
  [ 119, 238, 476, 441, 371, 231, 462, 413, 315 ], 
  [ 123, 246, 492, 473, 435, 359, 207, 414, 317 ], 
  [ 125, 250, 500, 489, 467, 423, 335, 159, 318 ], 
  [ 127, 254, 508, 505, 499, 487, 463, 415, 319 ], 
  [ 171, 342, 173, 346, 181, 362, 213, 426, 341 ], 
  [ 175, 350, 189, 378, 245, 490, 469, 427, 343 ], 
  [ 183, 366, 221, 442, 373, 235, 470, 429, 347 ], 
  [ 187, 374, 237, 474, 437, 363, 215, 430, 349 ], 
  [ 191, 382, 253, 506, 501, 491, 471, 431, 351 ], [ 219, 438, 365 ], 
  [ 223, 446, 381, 251, 502, 493, 475, 439, 367 ], 
  [ 239, 478, 445, 379, 247, 494, 477, 443, 375 ], 
  [ 255, 510, 509, 507, 503, 495, 479, 447, 383 ] ] ]:
`10,2` := [ 1023, ######## PSL(10,2) ########
[ [ 512, 768 ], [ 513, 769 ], [ 514, 770 ], [ 515, 771 ], [ 516, 772 ], 
  [ 517, 773 ], [ 518, 774 ], [ 519, 775 ], [ 520, 776 ], [ 521, 777 ], 
  [ 522, 778 ], [ 523, 779 ], [ 524, 780 ], [ 525, 781 ], [ 526, 782 ], 
  [ 527, 783 ], [ 528, 784 ], [ 529, 785 ], [ 530, 786 ], [ 531, 787 ], 
  [ 532, 788 ], [ 533, 789 ], [ 534, 790 ], [ 535, 791 ], [ 536, 792 ], 
  [ 537, 793 ], [ 538, 794 ], [ 539, 795 ], [ 540, 796 ], [ 541, 797 ], 
  [ 542, 798 ], [ 543, 799 ], [ 544, 800 ], [ 545, 801 ], [ 546, 802 ], 
  [ 547, 803 ], [ 548, 804 ], [ 549, 805 ], [ 550, 806 ], [ 551, 807 ], 
  [ 552, 808 ], [ 553, 809 ], [ 554, 810 ], [ 555, 811 ], [ 556, 812 ], 
  [ 557, 813 ], [ 558, 814 ], [ 559, 815 ], [ 560, 816 ], [ 561, 817 ], 
  [ 562, 818 ], [ 563, 819 ], [ 564, 820 ], [ 565, 821 ], [ 566, 822 ], 
  [ 567, 823 ], [ 568, 824 ], [ 569, 825 ], [ 570, 826 ], [ 571, 827 ], 
  [ 572, 828 ], [ 573, 829 ], [ 574, 830 ], [ 575, 831 ], [ 576, 832 ], 
  [ 577, 833 ], [ 578, 834 ], [ 579, 835 ], [ 580, 836 ], [ 581, 837 ], 
  [ 582, 838 ], [ 583, 839 ], [ 584, 840 ], [ 585, 841 ], [ 586, 842 ], 
  [ 587, 843 ], [ 588, 844 ], [ 589, 845 ], [ 590, 846 ], [ 591, 847 ], 
  [ 592, 848 ], [ 593, 849 ], [ 594, 850 ], [ 595, 851 ], [ 596, 852 ], 
  [ 597, 853 ], [ 598, 854 ], [ 599, 855 ], [ 600, 856 ], [ 601, 857 ], 
  [ 602, 858 ], [ 603, 859 ], [ 604, 860 ], [ 605, 861 ], [ 606, 862 ], 
  [ 607, 863 ], [ 608, 864 ], [ 609, 865 ], [ 610, 866 ], [ 611, 867 ], 
  [ 612, 868 ], [ 613, 869 ], [ 614, 870 ], [ 615, 871 ], [ 616, 872 ], 
  [ 617, 873 ], [ 618, 874 ], [ 619, 875 ], [ 620, 876 ], [ 621, 877 ], 
  [ 622, 878 ], [ 623, 879 ], [ 624, 880 ], [ 625, 881 ], [ 626, 882 ], 
  [ 627, 883 ], [ 628, 884 ], [ 629, 885 ], [ 630, 886 ], [ 631, 887 ], 
  [ 632, 888 ], [ 633, 889 ], [ 634, 890 ], [ 635, 891 ], [ 636, 892 ], 
  [ 637, 893 ], [ 638, 894 ], [ 639, 895 ], [ 640, 896 ], [ 641, 897 ], 
  [ 642, 898 ], [ 643, 899 ], [ 644, 900 ], [ 645, 901 ], [ 646, 902 ], 
  [ 647, 903 ], [ 648, 904 ], [ 649, 905 ], [ 650, 906 ], [ 651, 907 ], 
  [ 652, 908 ], [ 653, 909 ], [ 654, 910 ], [ 655, 911 ], [ 656, 912 ], 
  [ 657, 913 ], [ 658, 914 ], [ 659, 915 ], [ 660, 916 ], [ 661, 917 ], 
  [ 662, 918 ], [ 663, 919 ], [ 664, 920 ], [ 665, 921 ], [ 666, 922 ], 
  [ 667, 923 ], [ 668, 924 ], [ 669, 925 ], [ 670, 926 ], [ 671, 927 ], 
  [ 672, 928 ], [ 673, 929 ], [ 674, 930 ], [ 675, 931 ], [ 676, 932 ], 
  [ 677, 933 ], [ 678, 934 ], [ 679, 935 ], [ 680, 936 ], [ 681, 937 ], 
  [ 682, 938 ], [ 683, 939 ], [ 684, 940 ], [ 685, 941 ], [ 686, 942 ], 
  [ 687, 943 ], [ 688, 944 ], [ 689, 945 ], [ 690, 946 ], [ 691, 947 ], 
  [ 692, 948 ], [ 693, 949 ], [ 694, 950 ], [ 695, 951 ], [ 696, 952 ], 
  [ 697, 953 ], [ 698, 954 ], [ 699, 955 ], [ 700, 956 ], [ 701, 957 ], 
  [ 702, 958 ], [ 703, 959 ], [ 704, 960 ], [ 705, 961 ], [ 706, 962 ], 
  [ 707, 963 ], [ 708, 964 ], [ 709, 965 ], [ 710, 966 ], [ 711, 967 ], 
  [ 712, 968 ], [ 713, 969 ], [ 714, 970 ], [ 715, 971 ], [ 716, 972 ], 
  [ 717, 973 ], [ 718, 974 ], [ 719, 975 ], [ 720, 976 ], [ 721, 977 ], 
  [ 722, 978 ], [ 723, 979 ], [ 724, 980 ], [ 725, 981 ], [ 726, 982 ], 
  [ 727, 983 ], [ 728, 984 ], [ 729, 985 ], [ 730, 986 ], [ 731, 987 ], 
  [ 732, 988 ], [ 733, 989 ], [ 734, 990 ], [ 735, 991 ], [ 736, 992 ], 
  [ 737, 993 ], [ 738, 994 ], [ 739, 995 ], [ 740, 996 ], [ 741, 997 ], 
  [ 742, 998 ], [ 743, 999 ], [ 744, 1000 ], [ 745, 1001 ], [ 746, 1002 ], 
  [ 747, 1003 ], [ 748, 1004 ], [ 749, 1005 ], [ 750, 1006 ], [ 751, 1007 ], 
  [ 752, 1008 ], [ 753, 1009 ], [ 754, 1010 ], [ 755, 1011 ], [ 756, 1012 ], 
  [ 757, 1013 ], [ 758, 1014 ], [ 759, 1015 ], [ 760, 1016 ], [ 761, 1017 ], 
  [ 762, 1018 ], [ 763, 1019 ], [ 764, 1020 ], [ 765, 1021 ], [ 766, 1022 ], 
  [ 767, 1023 ] ], 
[ [ 1, 2, 4, 8, 16, 32, 64, 128, 256, 512 ], 
  [ 3, 6, 12, 24, 48, 96, 192, 384, 768, 513 ], 
  [ 5, 10, 20, 40, 80, 160, 320, 640, 257, 514 ], 
  [ 7, 14, 28, 56, 112, 224, 448, 896, 769, 515 ], 
  [ 9, 18, 36, 72, 144, 288, 576, 129, 258, 516 ], 
  [ 11, 22, 44, 88, 176, 352, 704, 385, 770, 517 ], 
  [ 13, 26, 52, 104, 208, 416, 832, 641, 259, 518 ], 
  [ 15, 30, 60, 120, 240, 480, 960, 897, 771, 519 ], 
  [ 17, 34, 68, 136, 272, 544, 65, 130, 260, 520 ], 
  [ 19, 38, 76, 152, 304, 608, 193, 386, 772, 521 ], 
  [ 21, 42, 84, 168, 336, 672, 321, 642, 261, 522 ], 
  [ 23, 46, 92, 184, 368, 736, 449, 898, 773, 523 ], 
  [ 25, 50, 100, 200, 400, 800, 577, 131, 262, 524 ], 
  [ 27, 54, 108, 216, 432, 864, 705, 387, 774, 525 ], 
  [ 29, 58, 116, 232, 464, 928, 833, 643, 263, 526 ], 
  [ 31, 62, 124, 248, 496, 992, 961, 899, 775, 527 ], 
  [ 33, 66, 132, 264, 528 ], [ 35, 70, 140, 280, 560, 97, 194, 388, 776, 529 ]
    , [ 37, 74, 148, 296, 592, 161, 322, 644, 265, 530 ], 
  [ 39, 78, 156, 312, 624, 225, 450, 900, 777, 531 ], 
  [ 41, 82, 164, 328, 656, 289, 578, 133, 266, 532 ], 
  [ 43, 86, 172, 344, 688, 353, 706, 389, 778, 533 ], 
  [ 45, 90, 180, 360, 720, 417, 834, 645, 267, 534 ], 
  [ 47, 94, 188, 376, 752, 481, 962, 901, 779, 535 ], 
  [ 49, 98, 196, 392, 784, 545, 67, 134, 268, 536 ], 
  [ 51, 102, 204, 408, 816, 609, 195, 390, 780, 537 ], 
  [ 53, 106, 212, 424, 848, 673, 323, 646, 269, 538 ], 
  [ 55, 110, 220, 440, 880, 737, 451, 902, 781, 539 ], 
  [ 57, 114, 228, 456, 912, 801, 579, 135, 270, 540 ], 
  [ 59, 118, 236, 472, 944, 865, 707, 391, 782, 541 ], 
  [ 61, 122, 244, 488, 976, 929, 835, 647, 271, 542 ], 
  [ 63, 126, 252, 504, 1008, 993, 963, 903, 783, 543 ], 
  [ 69, 138, 276, 552, 81, 162, 324, 648, 273, 546 ], 
  [ 71, 142, 284, 568, 113, 226, 452, 904, 785, 547 ], 
  [ 73, 146, 292, 584, 145, 290, 580, 137, 274, 548 ], 
  [ 75, 150, 300, 600, 177, 354, 708, 393, 786, 549 ], 
  [ 77, 154, 308, 616, 209, 418, 836, 649, 275, 550 ], 
  [ 79, 158, 316, 632, 241, 482, 964, 905, 787, 551 ], 
  [ 83, 166, 332, 664, 305, 610, 197, 394, 788, 553 ], 
  [ 85, 170, 340, 680, 337, 674, 325, 650, 277, 554 ], 
  [ 87, 174, 348, 696, 369, 738, 453, 906, 789, 555 ], 
  [ 89, 178, 356, 712, 401, 802, 581, 139, 278, 556 ], 
  [ 91, 182, 364, 728, 433, 866, 709, 395, 790, 557 ], 
  [ 93, 186, 372, 744, 465, 930, 837, 651, 279, 558 ], 
  [ 95, 190, 380, 760, 497, 994, 965, 907, 791, 559 ], 
  [ 99, 198, 396, 792, 561 ], 
  [ 101, 202, 404, 808, 593, 163, 326, 652, 281, 562 ], 
  [ 103, 206, 412, 824, 625, 227, 454, 908, 793, 563 ], 
  [ 105, 210, 420, 840, 657, 291, 582, 141, 282, 564 ], 
  [ 107, 214, 428, 856, 689, 355, 710, 397, 794, 565 ], 
  [ 109, 218, 436, 872, 721, 419, 838, 653, 283, 566 ], 
  [ 111, 222, 444, 888, 753, 483, 966, 909, 795, 567 ], 
  [ 115, 230, 460, 920, 817, 611, 199, 398, 796, 569 ], 
  [ 117, 234, 468, 936, 849, 675, 327, 654, 285, 570 ], 
  [ 119, 238, 476, 952, 881, 739, 455, 910, 797, 571 ], 
  [ 121, 242, 484, 968, 913, 803, 583, 143, 286, 572 ], 
  [ 123, 246, 492, 984, 945, 867, 711, 399, 798, 573 ], 
  [ 125, 250, 500, 1000, 977, 931, 839, 655, 287, 574 ], 
  [ 127, 254, 508, 1016, 1009, 995, 967, 911, 799, 575 ], 
  [ 147, 294, 588, 153, 306, 612, 201, 402, 804, 585 ], 
  [ 149, 298, 596, 169, 338, 676, 329, 658, 293, 586 ], 
  [ 151, 302, 604, 185, 370, 740, 457, 914, 805, 587 ], 
  [ 155, 310, 620, 217, 434, 868, 713, 403, 806, 589 ], 
  [ 157, 314, 628, 233, 466, 932, 841, 659, 295, 590 ], 
  [ 159, 318, 636, 249, 498, 996, 969, 915, 807, 591 ], 
  [ 165, 330, 660, 297, 594 ], 
  [ 167, 334, 668, 313, 626, 229, 458, 916, 809, 595 ], 
  [ 171, 342, 684, 345, 690, 357, 714, 405, 810, 597 ], 
  [ 173, 346, 692, 361, 722, 421, 842, 661, 299, 598 ], 
  [ 175, 350, 700, 377, 754, 485, 970, 917, 811, 599 ], 
  [ 179, 358, 716, 409, 818, 613, 203, 406, 812, 601 ], 
  [ 181, 362, 724, 425, 850, 677, 331, 662, 301, 602 ], 
  [ 183, 366, 732, 441, 882, 741, 459, 918, 813, 603 ], 
  [ 187, 374, 748, 473, 946, 869, 715, 407, 814, 605 ], 
  [ 189, 378, 756, 489, 978, 933, 843, 663, 303, 606 ], 
  [ 191, 382, 764, 505, 1010, 997, 971, 919, 815, 607 ], 
  [ 205, 410, 820, 617, 211, 422, 844, 665, 307, 614 ], 
  [ 207, 414, 828, 633, 243, 486, 972, 921, 819, 615 ], 
  [ 213, 426, 852, 681, 339, 678, 333, 666, 309, 618 ], 
  [ 215, 430, 860, 697, 371, 742, 461, 922, 821, 619 ], 
  [ 219, 438, 876, 729, 435, 870, 717, 411, 822, 621 ], 
  [ 221, 442, 884, 745, 467, 934, 845, 667, 311, 622 ], 
  [ 223, 446, 892, 761, 499, 998, 973, 923, 823, 623 ], 
  [ 231, 462, 924, 825, 627 ], 
  [ 235, 470, 940, 857, 691, 359, 718, 413, 826, 629 ], 
  [ 237, 474, 948, 873, 723, 423, 846, 669, 315, 630 ], 
  [ 239, 478, 956, 889, 755, 487, 974, 925, 827, 631 ], 
  [ 245, 490, 980, 937, 851, 679, 335, 670, 317, 634 ], 
  [ 247, 494, 988, 953, 883, 743, 463, 926, 829, 635 ], 
  [ 251, 502, 1004, 985, 947, 871, 719, 415, 830, 637 ], 
  [ 253, 506, 1012, 1001, 979, 935, 847, 671, 319, 638 ], 
  [ 255, 510, 1020, 1017, 1011, 999, 975, 927, 831, 639 ], [ 341, 682 ], 
  [ 343, 686, 349, 698, 373, 746, 469, 938, 853, 683 ], 
  [ 347, 694, 365, 730, 437, 874, 725, 427, 854, 685 ], 
  [ 351, 702, 381, 762, 501, 1002, 981, 939, 855, 687 ], 
  [ 363, 726, 429, 858, 693 ], 
  [ 367, 734, 445, 890, 757, 491, 982, 941, 859, 695 ], 
  [ 375, 750, 477, 954, 885, 747, 471, 942, 861, 699 ], 
  [ 379, 758, 493, 986, 949, 875, 727, 431, 862, 701 ], 
  [ 383, 766, 509, 1018, 1013, 1003, 983, 943, 863, 703 ], 
  [ 439, 878, 733, 443, 886, 749, 475, 950, 877, 731 ], 
  [ 447, 894, 765, 507, 1014, 1005, 987, 951, 879, 735 ], 
  [ 479, 958, 893, 763, 503, 1006, 989, 955, 887, 751 ], 
  [ 495, 990, 957, 891, 759 ], 
  [ 511, 1022, 1021, 1019, 1015, 1007, 991, 959, 895, 767 ] ] ]: 

end module;
protect(FiniteGroups:-ProjectiveSpecialLinearGroups);
